<?php
namespace App;
use Illuminate\Database\Eloquent\Model;

class Estadia extends Model
{
    protected $connection = 'mysql';
    protected $table = 'SGP_estadia';
    protected $primaryKey = 'ESTA_id';
    public $timestamps = false;

    //campos
    public static $id = 'ESTA_id';
    public static $cliente = 'ESTA_FK_CLIE_id';
    public static $veiculo = 'ESTA_FK_VEIC_id';
    public static $motorista = 'ESTA_FK_MOTO_id';
    public static $produto = 'ESTA_FK_PROD_id';
    public static $destino = 'ESTA_FK_DEST_id';
    public static $transportador = 'ESTA_FK_TRAN_id';
    public static $data_prev = 'ESTA_data_prev';
    public static $data_entrada = 'ESTA_data_entrada';
    public static $data_chamada = 'ESTA_data_chamada';
    public static $foi_chamado = 'ESTA_foi_chamado';
    public static $data_saida = 'ESTA_data_saida';
    public static $status = 'ESTA_status';
    public static $qtde = 'ESTA_qtde';
    public static $pedido = 'ESTA_pedido';
    public static $obs = 'ESTA_obs';
    public static $tipo_carga = 'ESTA_tipo_carga';
    public static $chamado_por = 'ESTA_chamado_por';
    public static $hora_prev = 'ESTA_hora_prev';
    public static $avulso = 'ESTA_avulso';
    public static $estadia = 'ESTA_vlr_estadia';
    public static $especie = 'ESTA_vlr_especie';
    public static $debito = 'ESTA_vlr_debito';
    public static $credito = 'ESTA_vlr_credito';
    public static $desconto = 'ESTA_vlr_desconto';
    public static $total = 'ESTA_vlr_total';
    public static $categoria = 'ESTA_FK_CATE_id';
    public static $caixa = 'ESTA_FK_CAIXA_id';
    public static $status_pgto = 'ESTA_status_pgto';
    public static $ticket = 'ESTA_ticket';
    public static $forma = 'ESTA_forma_pgto';
    public static $unidade = 'ESTA_FK_UNID_id';
    public static $formula = 'ESTA_formula';
    public static $operacao = 'ESTA_tipo_operacao';
    public static $operador = 'ESTA_operador';
    public static $prioridade = 'ESTA_prioridade';
    public static $vira = 'ESTA_vira';
    public static $navio = 'ESTA_operacao';
    public static $viravirtual = 'ESTA_vira_virtual';

    //relacionamentos
    public function Veiculo()
    {
        return $this->belongsTo('App\Veiculo',Estadia::$veiculo);
    }
    public function Motorista()
    {
        return $this->belongsTo('App\Motorista',Estadia::$motorista);
    }
    public function Transportador()
    {
        return $this->belongsTo('App\Transportador',Estadia::$transportador);
    }
    public function Produto()
    {
        return $this->belongsTo('App\Produto',Estadia::$produto);
    }
    public function Destino()
    {
        return $this->belongsTo('App\Destino',Estadia::$destino);
    }
    public function Cliente()
    {
        return $this->belongsTo('App\Cliente',Estadia::$cliente);
    }

    //atributos
    Public Function getId(){return $this->attributes[Estadia::$id];}

    //Monta GET
    Public Function getCliente(){return $this->attributes[Estadia::$cliente];}
    Public Function getVeiculo(){return $this->attributes[Estadia::$veiculo];}
    Public Function getMotorista(){return $this->attributes[Estadia::$motorista];}
    Public Function getProduto(){return $this->attributes[Estadia::$produto];}
    Public Function getDestino(){return $this->attributes[Estadia::$destino];}
    Public Function getTransportador(){return $this->attributes[Estadia::$transportador];}
    Public Function getData_prev(){return $this->attributes[Estadia::$data_prev];}
    Public Function getData_entrada(){return $this->attributes[Estadia::$data_entrada];}
    Public Function getData_chamada(){return $this->attributes[Estadia::$data_chamada];}
    Public Function getFoi_chamado(){return $this->attributes[Estadia::$foi_chamado];}
    Public Function getData_saida(){return $this->attributes[Estadia::$data_saida];}
    Public Function getStatus(){return $this->attributes[Estadia::$status];}
    Public Function getQtde(){return $this->attributes[Estadia::$qtde];}
    Public Function getPedido(){return $this->attributes[Estadia::$pedido];}
    Public Function getObs(){return $this->attributes[Estadia::$obs];}
    Public Function getTipo_carga(){return $this->attributes[Estadia::$tipo_carga];}
    Public Function getChamado_por(){return $this->attributes[Estadia::$chamado_por];}
    Public Function getHora_prev(){return $this->attributes[Estadia::$hora_prev];}
    Public Function getAvulso(){return $this->attributes[Estadia::$avulso];}
    Public Function getVira(){return $this->attributes[Estadia::$vira];}
    Public Function getNavio(){return $this->attributes[Estadia::$navio];}
    Public Function getViravirtual(){return $this->attributes[Estadia::$viravirtual];}

    Public Function getEstadia(){return $this->attributes[Estadia::$estadia];}
    Public Function getEspecie(){return $this->attributes[Estadia::$especie];}
    Public Function getDebito(){return $this->attributes[Estadia::$debito];}
    Public Function getCredito(){return $this->attributes[Estadia::$credito];}
    Public Function getDesconto(){return $this->attributes[Estadia::$desconto];}
    Public Function getTotal(){return $this->attributes[Estadia::$total];}
    Public Function getCategoria(){return $this->attributes[Estadia::$categorria];}
    Public Function getCaixa(){return $this->attributes[Estadia::$caixa];}
    Public Function getStatuspgto(){return $this->attributes[Estadia::$status_pgto];}
    Public Function getTicket(){return $this->attributes[Estadia::$ticket];}
    Public Function getForma(){return $this->attributes[Estadia::$forma];}
    Public Function getUnidade(){return $this->attributes[Estadia::$unidade];}
    Public Function getFormula(){return $this->attributes[Estadia::$formula];}
    Public Function getOperacao(){return $this->attributes[Estadia::$operacao];}
    Public Function getOperador(){return $this->attributes[Estadia::$operador];}
    Public Function getPrioridade(){return $this->attributes[Estadia::$prioridade];}

    //Monta SET
    public function setCliente($valor){$this->attributes[Estadia::$cliente] = $valor;}
    public function setVeiculo($valor){$this->attributes[Estadia::$veiculo] = $valor;}
    public function setMotorista($valor){$this->attributes[Estadia::$motorista] = $valor;}
    public function setProduto($valor){$this->attributes[Estadia::$produto] = $valor;}
    public function setDestino($valor){$this->attributes[Estadia::$destino] = $valor;}
    public function setTransportador($valor){$this->attributes[Estadia::$transportador] = $valor;}
    public function setData_prev($valor){$this->attributes[Estadia::$data_prev] = $valor;}
    public function setData_entrada($valor){$this->attributes[Estadia::$data_entrada] = $valor;}
    public function setData_chamada($valor){$this->attributes[Estadia::$data_chamada] = $valor;}
    public function setFoi_chamado($valor){$this->attributes[Estadia::$foi_chamado] = $valor;}
    public function setData_saida($valor){$this->attributes[Estadia::$data_saida] = $valor;}
    public function setStatus($valor){$this->attributes[Estadia::$status] = $valor;}
    public function setQtde($valor){$this->attributes[Estadia::$qtde] = $valor;}
    public function setPedido($valor){$this->attributes[Estadia::$pedido] = $valor;}
    public function setObs($valor){$this->attributes[Estadia::$obs] = $valor;}
    public function setTipo_carga($valor){$this->attributes[Estadia::$tipo_carga] = $valor;}
    public function setChamado_por($valor){$this->attributes[Estadia::$chamado_por] = $valor;}
    public function setHora_prev($valor){$this->attributes[Estadia::$hora_prev] = $valor;}
    public function setAvulso($valor){$this->attributes[Estadia::$avulso] = $valor;}
    public function setVira($valor){$this->attributes[Estadia::$vira] = $valor;}
    public function setNavio($valor){$this->attributes[Estadia::$navio] = $valor;}
    public function setViravirtual($valor){$this->attributes[Estadia::$viravirtual] = $valor;}

    public function setEstadia($valor){$this->attributes[Estadia::$estadia] = $valor;}
    public function setEspecie($valor){$this->attributes[Estadia::$especie] = $valor;}
    public function setDebito($valor){$this->attributes[Estadia::$debito] = $valor;}
    public function setCredito($valor){$this->attributes[Estadia::$credito] = $valor;}
    public function setDesconto($valor){$this->attributes[Estadia::$desconto] = $valor;}
    public function setTotal($valor){$this->attributes[Estadia::$total] = $valor;}
    public function setCategoria($valor){$this->attributes[Estadia::$categoria] = $valor;}
    public function setCaixa($valor){$this->attributes[Estadia::$caixa] = $valor;}
    public function setStatuspgto($valor){$this->attributes[Estadia::$status_pgto] = $valor;}
    public function setTicket($valor){$this->attributes[Estadia::$ticket] = $valor;}
    public function setForma($valor){$this->attributes[Estadia::$forma] = $valor;}
    public function setUnidade($valor){$this->attributes[Estadia::$unidade] = $valor;}
    public function setFormula($valor){$this->attributes[Estadia::$formula] = $valor;}
    public function setOperacao($valor){$this->attributes[Estadia::$operacao] = $valor;}
    public function setOperador($valor){$this->attributes[Estadia::$operador] = $valor;}
    public function setPrioridade($valor){$this->attributes[Estadia::$prioridade] = $valor;}
    
}
