<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use App\Http\Controllers\Util;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = '/home';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    public function username()
    {
        return 'USUA_login';
    }

    protected function authenticated(Request $request, $user)
    {
        if(!$user->getAtivo())
        {
            Util::Log('tentativa de logon negada. usuário inativo.');

            Auth::logout();

            return Redirect::route('login')->with('alerta-vermelho','Usuário inativo. Procure o administrador do sistema.');
        }

        if($user->Classe->count() == 0)
        {
            Util::Log('tentativa de logon negada. usuário sem acesso ao sistema');
            
            Auth::logout();

            return Redirect::route('login')->with('alerta','Usuário sem acesso ao sistema. Procure o adminsitrador do sistema');
        }

        Util::Log('usuário logou no sistema');
    }
}
