<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Banco;

class BancoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexBanco(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.banco');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarBanco(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('banco.banco');}
        Try
        {
            //$p = Banco::where(Banco::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('banco.banco')->withErrors('Já existe um registro com este código.');
            //}

            $banco = Banco::findOrNew($request->id);
            $banco->setDescricao($request->descricao);
            $banco->setCodigo($request->codigo);
        
            $banco->save();
            return Redirect::route('financeiro.banco');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.banco')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
    
    public function ajaxExcluirBanco(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('banco.banco');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('financeiro.banco')->withErrors('Código vazio.');
            }

            $banco = Banco::find($request->id);
            $banco->delete();

            return Redirect::route('financeiro.banco');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.banco')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarBanco(Request $request)
    {
        try
        {
            //$unidade = Auth::user()->getUnidade();
            $palavra = $request->palavra;

            //Seleciona dados
            $sql = "SELECT  BANCO_id                    as id, 
                            upper(BANCO_descricao)      as descricao, 
                            ifnull(BANCO_codigo,'')     as codigo 
                    FROM    TBG_banco ";
            if($palavra != '0')
            {
                $sql .="WHERE (BANCO_descricao LIKE '%" .$palavra. "%' ";
                $sql .="OR BANCO_codigo       LIKE '%" .$palavra. "%') ";
            }
            $sql .="ORDER BY BANCO_descricao;";
                                          
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }
    
}