<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Caixa;

class CaixaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexCaixa(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            $caixa = Caixa::all();
            return view('caixa.caixa',['caixa'=>$caixa]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarCaixa(Request $request)
    {
        Try
        {
           
            $id= $request->idcaixa;
            $datacaixa= $request->datacaixa;
            $turno= $request->turno;
            $guiche= $request->guiche;
            $inicial= $request->inicial;
            $usuario = Auth::user()->getId();
            $unidade = Auth::user()->getUnidade();
            if($inicial==''){$inicial = 0;}

            $caixa = Caixa::findOrNew($id);
            $caixa->setTurno($turno);
            $caixa->setUsuario($usuario);
            $caixa->setData($datacaixa);
            $caixa->setAberto('1');
            $caixa->setGuiche($guiche);
            $caixa->setVlr_inicial($inicial);
            $caixa->setUnidade($unidade);
            $caixa->save();

            //if($id=='0')
            //{
                $id = $caixa->getCaixa_id();
                //$id ='666';
            //}

            $dados = ['consulta'=>$id];
            
            return response()->json($dados,200);

            return Redirect::route('patio.caixa');


            if($idagenda=='0')
            {
                $idagenda = $agenda->getId();
            }

            $dados = ['consulta'=>$idagenda];

            //grava log
            //$texto = 'Iniciou o caixa: ' .$datacaixa. ' - Guichê: ' .$guiche. ' - Turno: ' .$turno. ' - Valor inicial: ' .$inicial. ' ';
            //Util::Log($texto);
            
            return response()->json($dados,200);
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.caixa')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }


    public function ajaxFecharCaixa(Request $request)
    {
        Try
        {
           
            $id         = $request->idcaixa;
            $especie    = $request->especie;
            $debito     = $request->debito;
            $credito    = $request->credito;
            $desconto   = $request->desconto;
            $subtotal   = 0;
            $despesa    = 0;
            $total      = $request->total;
            $obs        = $request->obs;
            $unidade    = Auth::user()->getUnidade();
            
            $caixa = Caixa::find($id);
            $caixa->setVlr_especie($especie);
            $caixa->setVlr_debito($debito);
            $caixa->setVlr_credito($credito);
            $caixa->setVlr_desconto($desconto);
            $caixa->setVlr_subtotal($subtotal);
            $caixa->setVlr_despesa($despesa);
            $caixa->setVlr_total($total);
            $caixa->setAberto('0');
            $caixa->setObs($obs);
            $caixa->setUnidade($unidade);
        
            $caixa->save();
            return Redirect::route('patio.caixa');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.caixa')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteCaixa(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('caixa.caixa');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('caixa.caixa')->withErrors('Código vazio.');
            }

            $caixa = Caixa::find($request->id);
            $caixa->delete();

            return Redirect::route('caixa.caixa');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('caixa.caixa')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxListaCaixaAberto(Request $request)
    {
        try
        {
            $usuario = Auth::user()->getId();
            $usuario = Auth::user()->getId();

            //Seleciona dados da operação
            $sql = "SELECT  c.CAIXA_id as id, 
                            concat(date_format(c.CAIXA_data,'%d/%m/%Y'), ' - ', t.TURNO_descricao , ' - Guichê: ', c.CAIXA_guiche, ' - ', u.USUA_nome) as descricao 
                    FROM    SGP_caixa c, 
                            TBG_usuario u, 
                            SGP_caixa_turno t
                    WHERE   c.CAIXA_FK_USUA_id = u.USUA_id
                    AND     c.CAIXA_FK_TURNO_id = t.TURNO_id
                    AND     c.CAIXA_aberto = 1 ";
            $sql .="AND c.CAIXA_FK_USUA_id = " .$usuario. " ";
            $sql .="ORDER BY c.CAIXA_data";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListaSumarioCaixa(Request $request)
    {
        try
        {
            $caixa = $request->caixa;

            //Seleciona dados da operação
            $sql = "SELECT  e.ESTA_FK_CAIXA_id  as id, 
                            date_format(c.CAIXA_data,'%d/%m/%Y') as data, 
                            c.CAIXA_FK_TURNO_id as turno, 
                            c.CAIXA_guiche      as guiche, 
                            c.CAIXA_aberto      as status,
                            c.CAIXA_FK_USUA_id  as usuario, 
                            c.CAIXA_vlr_inicial as inicial, 
                            SUM(e.ESTA_vlr_especie)     as especie, 
                            SUM(e.ESTA_vlr_debito)      as debito, 
                            SUM(e.ESTA_vlr_credito)     as credito, 
                            SUM(e.ESTA_vlr_desconto)    as desconto, 
                            SUM(e.ESTA_vlr_total)       as total
                    FROM    SGP_estadia e, SGP_caixa c
                    WHERE   e.ESTA_FK_CAIXA_id=c.CAIXA_id ";
            $sql .="AND     e.ESTA_FK_CAIXA_id=" .$caixa. " ";
            $sql .="GROUP BY e.ESTA_FK_CAIXA_id, 
                            c.CAIXA_data, c.CAIXA_FK_TURNO_id, c.CAIXA_guiche, c.CAIXA_aberto,
                            c.CAIXA_FK_USUA_id, c.CAIXA_vlr_inicial
                    ORDER BY e.ESTA_FK_CAIXA_id, c.CAIXA_data, c.CAIXA_FK_TURNO_id, c.CAIXA_guiche, 
                            c.CAIXA_aberto,c.CAIXA_FK_USUA_id, c.CAIXA_vlr_inicial";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListaEstadiasDoCaixa(Request $request)
    {
        try
        {
            $caixa = $request->caixa;
            $unidade = Auth::user()->getUnidade();

            //Seleciona dados da operação
            $sql = "SELECT  v.VEIC_placa_cavalo as placa, 
                            m.MOTO_nome         as motorista, 
                            c.CLIE_nome         as cliente,
                            date_format(e.ESTA_data_entrada, '%d/%m/%Y %H:%i:%s')    as entradaf,
                            date_format(e.ESTA_data_saida, '%d/%m/%Y %H:%i:%s')      as saidaf,
                            date_format(e.ESTA_data_entrada, '%Y/%m/%d %H:%i:%s')    as entrada,
                            date_format(e.ESTA_data_saida, '%Y/%m/%d %H:%i:%s')      as saida,
                            e.ESTA_vlr_estadia  as valor, 
                            e.ESTA_vlr_desconto as desconto, 
                            e.ESTA_vlr_total    as total,
                            e.ESTA_forma_pgto                                           as forma,
                            (CASE e.ESTA_forma_pgto WHEN 'ES' THEN 'ESPÉCIE' WHEN 'CD' THEN 'CARTÃO DÉBITO' WHEN 'CC' THEN 'CARTÃO CRÉDITO' WHEN 'FA' THEN 'FATURADO' WHEN 'PX' THEN 'PIX' END) as formapgto,
                            (CASE e.ESTA_avulso WHEN '1' THEN 'AVULSO' WHEN '0' THEN 'ESTADIA NORMAL' END) as tipo,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao
                    FROM    SGP_estadia e, 
                            SGP_veiculo v, 
                            SGP_motorista m, 
                            SGP_cliente c
                    WHERE   e.ESTA_FK_VEIC_id=v.VEIC_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_CLIE_id=c.CLIE_id AND e.ESTA_vira=0 ";
            $sql .="AND     e.ESTA_FK_CAIXA_id=" .$caixa. " ";
            $sql .="AND     e.ESTA_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY e.ESTA_data_saida";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxDadosEstadia(Request $request)
    {
        try
        {
            $estadia = $request->estadia;

            //Seleciona dados da operação
            $sql = "SELECT  v.VEIC_placa_cavalo as placa, 
                            m.MOTO_nome         as motorista, 
                            m.MOTO_cpf			as cpf,
                            c.CLIE_nome         as cliente,
                            d.DEST_descricao    as destino,
                            date_format(e.ESTA_data_entrada, '%d/%m/%Y %H:%i:%s')    as entrada,
                            ifnull(date_format(e.ESTA_data_saida, '%d/%m/%Y %H:%i:%s'),'')      as saida,
                            ifnull(e.ESTA_vlr_estadia,'0,00')  as valor, 
                            ifnull(e.ESTA_vlr_desconto,'0,00') as desconto, 
                            ifnull(e.ESTA_vlr_total,'0,00')    as total,
                            ifnull((CASE e.ESTA_forma_pgto WHEN 'ES' THEN 'ESPÉCIE' WHEN 'CD' THEN 'CARTÃO DÉBITO' WHEN 'CC' THEN 'CARTÃO CRÉDITO' WHEN 'PX' THEN 'PIX' WHEN 'FA' THEN 'FATURADO' END),'') as formapgto,
                            (CASE e.ESTA_avulso WHEN '1' THEN 'AVULSO' WHEN '0' THEN 'ESTADIA NORMAL' END) as tipo,
                            -- u.USUA_nome as usuario,
                            ifnull(e.ESTA_operador,'') as usuario,
                            -- ifnull(x.CAIXA_guiche,'')  as guiche,
                            '' as guiche,
                            t.TRAN_nome                as transportador,
                            ifnull(e.ESTA_operador,'') as operador,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao
                    FROM    SGP_estadia e, 
                            SGP_veiculo v, 
                            SGP_motorista m, 
                            SGP_cliente c,
                            SGP_destino d,
                            -- SGP_caixa x,
                            -- TBG_usuario u,
                            SGP_transportador t
                    WHERE   e.ESTA_FK_VEIC_id=v.VEIC_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    -- AND     e.ESTA_FK_CAIXA_id=x.CAIXA_id
                    -- AND     x.CAIXA_FK_USUA_id=u.USUA_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     e.ESTA_id = " .$estadia. " ";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}
