<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Caixa_mov;

class Caixa_movController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexCaixa_mov(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            $caixa_mov = Caixa_mov::all();
            return view('caixa_mov.caixa_mov',['caixa_mov'=>$caixa_mov]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function salvarCaixa_mov(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('caixa_mov.caixa_mov');}
        Try
        {
            //$p = Caixa_mov::where(Caixa_mov::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('caixa_mov.caixa_mov')->withErrors('Já existe um registro com este código.');
            //}

            $caixa_mov = Caixa_mov::findOrNew($request->id);
            $caixa_mov->setCaixa($request->caixa);
            $caixa_mov->setEstadia($request->estadia);
            $caixa_mov->setTempo($request->tempo);
            $caixa_mov->setValor($request->valor);
            $caixa_mov->setDesconto($request->desconto);
            $caixa_mov->setAdicional($request->adicional);
            $caixa_mov->setTotal($request->total);
            $caixa_mov->setTicket($request->ticket);
            $caixa_mov->setId_cancela($request->id_cancela);
        
            $caixa_mov->save();
            return Redirect::route('caixa_mov.caixa_mov');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('caixa_mov.caixa_mov')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteCaixa_mov(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('caixa_mov.caixa_mov');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('caixa_mov.caixa_mov')->withErrors('Código vazio.');
            }

            $caixa_mov = Caixa_mov::find($request->id);
            $caixa_mov->delete();

            return Redirect::route('caixa_mov.caixa_mov');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('caixa_mov.caixa_mov')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }
}