<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Caixa_turno;

class Caixa_turnoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexCaixa_turno(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            $caixa_turno = Caixa_turno::all();
            return view('caixa_turno.caixa_turno',['caixa_turno'=>$caixa_turno]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function salvarCaixa_turno(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('caixa_turno.caixa_turno');}
        Try
        {
            //$p = Caixa_turno::where(Caixa_turno::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('caixa_turno.caixa_turno')->withErrors('Já existe um registro com este código.');
            //}

            $caixa_turno = Caixa_turno::findOrNew($request->id);
            $caixa_turno->setDescricao($request->descricao);
        
            $caixa_turno->save();
            return Redirect::route('caixa_turno.caixa_turno');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('caixa_turno.caixa_turno')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteCaixa_turno(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('caixa_turno.caixa_turno');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('caixa_turno.caixa_turno')->withErrors('Código vazio.');
            }

            $caixa_turno = Caixa_turno::find($request->id);
            $caixa_turno->delete();

            return Redirect::route('caixa_turno.caixa_turno');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('caixa_turno.caixa_turno')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxListaTurno(Request $request)
    {
        try
        {
            //Seleciona dados da operação
            $sql = "SELECT  TURNO_id        as id, 
                            TURNO_descricao as descricao 
                    FROM SGP_caixa_turno 
                    ORDER BY TURNO_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}