<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Categoria;

class CategoriaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexCategoria(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('cadastro.categoria');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarCategoria(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('categoria.categoria');}
        Try
        {
            //$p = Categoria::where(Categoria::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('categoria.categoria')->withErrors('Já existe um registro com este código.');
            //}

            $id=$request->idcategoria;
            $descricao=$request->descricao; 
            $diaria=$request->diaria; 
            $hora=$request->hora;
            $horaadd=$request->horaadd; 
            $ativo=$request->ativo; 
            $motora=$request->motora;
            $marcacao=$request->marcacao; 
            $marcacaodesc=$request->marcacaodesc; 
            $unidade = Auth::user()->getUnidade();

            $categoria = Categoria::findOrNew($id);
            $categoria->setDescricao($descricao);
            $categoria->setVlr_diaria($diaria);
            $categoria->setVlr_hora($hora);
            $categoria->setVlr_hora_adic($horaadd);
            $categoria->setMotora_paga($motora);
            $categoria->setAtivo($ativo);
            $categoria->setUnidade($unidade);
            $categoria->setMarcacao($marcacao);
            $categoria->setMarcacaodesc($marcacaodesc);
        
            $categoria->save();
            return Redirect::route('cadastro.categoria');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.categoria')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteCategoria(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('categoria.categoria');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.categoria')->withErrors('Código vazio.');
            }

            $categoria = Categoria::find($request->id);
            $categoria->delete();

            return Redirect::route('cadastro.categoria');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.categoria')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaCategoria(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();

            //Seleciona dados da operação
            $sql = "SELECT  CATE_id             as id, 
                            CATE_descricao      as descricao, 
                            CATE_vlr_diaria     as diaria, 
                            CATE_vlr_hora       as hora, 
                            CATE_vlr_hora_adic  as horaadd, 
                            CATE_motora_paga    as motora, 
                            CATE_ativo          as ativo,
                            CATE_marcacao       as marcacao,
                            CATE_marcacao_descarga  as marcacaodesc
                    FROM    SGP_categoria ";
            $sql .="WHERE   CATE_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY CATE_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

    public function ajaxListaCategoria(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();

            //Seleciona dados da operação
            $sql = "SELECT  CATE_id             as id, 
                            CATE_descricao      as descricao
                    FROM    SGP_categoria 
                    WHERE   CATE_ativo = '1' ";
            $sql .="AND     CATE_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY CATE_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxDadosCategoria(Request $request)
    {
        try
        {
            $categoria = $request->categoria;
            $unidade    = Auth::user()->getUnidade();

            //Seleciona dados da operação
            $sql = "SELECT  CATE_id             as id, 
                            CATE_descricao      as descricao, 
                            CATE_vlr_diaria     as diaria, 
                            CATE_vlr_hora       as hora, 
                            CATE_vlr_hora_adic  as horaadd, 
                            CATE_motora_paga    as motora, 
                            CATE_ativo          as ativo,
                            ifnull(CATE_marcacao,0)       as marcacao,
                            ifnull(CATE_marcacao_descarga,0)  as marcacaodesc
                    FROM    SGP_categoria ";
            $sql .="WHERE   CATE_id = " .$categoria. " ";
            $sql .="AND     CATE_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY CATE_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

}