<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Centro_custo;

class Centro_custoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexCentro_custo(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.centro_custo');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarCentroCusto(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('centro_custo.centro_custo');}
        Try
        {
            //$p = Centro_custo::where(Centro_custo::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('centro_custo.centro_custo')->withErrors('Já existe um registro com este código.');
            //}

            $unidade = Auth::user()->getUnidade();
            $descricao = $request->descricao;
            $descricao = strtoupper($descricao);
            $grupo = $request->grupo;

            $centro_custo = Centro_custo::findOrNew($request->id);
            $centro_custo->setUnidade($unidade);
            $centro_custo->setDescricao($descricao);
            $centro_custo->setGrupo($grupo);

            $centro_custo->save();
            return Redirect::route('financeiro.centro_custo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.centro_custo')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
    
    public function ajaxExcluirCentroCusto(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('centro_custo.centro_custo');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('financeiro.centro_custo')->withErrors('Código vazio.');
            }

            $centro_custo = Centro_custo::find($request->id);
            $centro_custo->delete();

            return Redirect::route('financeiro.centro_custo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.centro_custo')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarCentroCusto(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $palavra = $request->palavra;
            $grupo = $request->grupo;

            //Seleciona dados
            $sql = "SELECT  CCUSTO_id           as id, 
                            CCUSTO_descricao    as descricao ,
                            GRUPOCC_descricao   as grupo,
                            GRUPOCC_id          as idgrupo
                    FROM    SGP_centro_custo, SGP_grupo_ccusto 
                    WHERE   CCUSTO_FK_GRUPOCC_id=GRUPOCC_id 
                    AND     CCUSTO_FK_UNID_id=" .$unidade. " ";
            if($grupo!='')
            {
                $sql .="AND CCUSTO_FK_GRUPOCC_id = " .$grupo. " ";
            }            
            if($palavra!='')
            {
                $sql .="AND CCUSTO_descricao LIKE '%" .$palavra. "%' ";
            }
            $sql .="ORDER BY GRUPOCC_descricao, CCUSTO_descricao;";
                                          
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

}