<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Estadia;
use Carbon\Carbon;

class ChartsController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function ajaxAgendamentoByMes(Request $request)
    {
        try
        {
            $agenda=[];

            for($mes = 1; $mes <= 12; $mes++)
            {
               array_push($agenda, Estadia::whereYear(Estadia::$data_previsao,$request->ano)
                                ->whereMonth(Estadia::$data_previsao,$mes)
                                ->where(Estadia::$status,'<>','CL')
                                ->count());
            }
            
            return response()->json($agenda,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('Erro ao buscar os dados de agendamentos por mês: '.$ex->getMessage(),500);
        }
    }

    public function ajaxOcupacaoNovo(Request $request)
    {
        try
        {
            //$patio = Estadia::where(Estadia::$status,'PA')->count();
            //$vagas = Util::GetParametro('VAGAS');

            //$usuario = $request->usuario;
            $usuario = Auth::user()->getId();

            $sql="SELECT count(*) as patio, (SELECT sum(CLIE_vagas) FROM PATIO_cliente ";
            if($usuario !='')
            {
                $sql .="WHERE CLIE_id IN 
                (SELECT USCLI_FK_CLIE_id 
                FROM PATIO_usuario_cliente 
                WHERE USCLI_FK_USUA_id = " .$usuario. " ) "; 
            }
            $sql .=") as vagas 
            FROM PATIO_estadia e
            WHERE e.ESTA_status='PA' ";
            if($usuario !='')
            {
                $sql .="AND e.ESTA_FK_CLIE_id IN 
                (SELECT USCLI_FK_CLIE_id 
                FROM PATIO_usuario_cliente 
                WHERE USCLI_FK_USUA_id = " .$usuario. ") ";
            }
                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
                                        
            $ocupacao = $resultado;

            //return $resultado->qtde;
            return response()->json($ocupacao,200);

            /* $ocupacao = 
            [
              'patio'=>$patio,
              'vagas'=>$vagas,
              'porcetagem'=>round((($patio / $vagas) * 100),0)
            ];

            return response()->json($ocupacao,200); */
        }
        catch(\Exception $ex)
        {
            return response()->json('Erro ao buscar os dados de agendamentos por mês: '.$ex->getMessage(),500);
        }
    }

    public function ajaxOcupacao()
    {
        try
        {
            $patio = Estadia::where(Estadia::$status,'PA')->count();
            $vagas = Util::GetParametro('VAGAS');

            $ocupacao = 
            [
              'patio'=>$patio,
              'vagas'=>$vagas,
              'porcetagem'=>round((($patio / $vagas) * 100),0)
            ];

            return response()->json($ocupacao,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('Erro ao buscar os dados de agendamentos por mês: '.$ex->getMessage(),500);
        }
    }

    public function ajaxDadosGrafico(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade = Auth::user()->getUnidade();
            $ano = $request->ano;
            
            //Seleciona dados da operação
            $sql = "SELECT  sum(case month(ESTA_data_prev) WHEN 1  THEN 1 ELSE 0 END) as janeiro, 
                            sum(case month(ESTA_data_prev) WHEN 2  THEN 1 ELSE 0 END) as fevereiro,
                            sum(case month(ESTA_data_prev) WHEN 3  THEN 1 ELSE 0 END) as marco,
                            sum(case month(ESTA_data_prev) WHEN 4  THEN 1 ELSE 0 END) as abril,
                            sum(case month(ESTA_data_prev) WHEN 5  THEN 1 ELSE 0 END) as maio,
                            sum(case month(ESTA_data_prev) WHEN 6  THEN 1 ELSE 0 END) as junho,
                            sum(case month(ESTA_data_prev) WHEN 7  THEN 1 ELSE 0 END) as julho,
                            sum(case month(ESTA_data_prev) WHEN 8  THEN 1 ELSE 0 END) as agosto,
                            sum(case month(ESTA_data_prev) WHEN 9  THEN 1 ELSE 0 END) as setembro,
                            sum(case month(ESTA_data_prev) WHEN 10 THEN 1 ELSE 0 END) as outubro,
                            sum(case month(ESTA_data_prev) WHEN 11 THEN 1 ELSE 0 END) as novembro,
                            sum(case month(ESTA_data_prev) WHEN 12 THEN 1 ELSE 0 END) as dezembro
                    FROM    SGP_estadia
                    WHERE   ESTA_status <> 'CA' ";
            $sql .="AND		year(ESTA_data_prev)=" .$ano. " ";
            $sql .="AND     ESTA_FK_UNID_id=" .$unidade. " ";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }


    public function ajaxDadosGraficoClientes(Request $request)
    {
        try
        {
            $codigo = Auth::user()->getLogin();
            $ano = $request->ano;
            
            //Seleciona dados da operação
            $sql = "SELECT  sum(case month(CONTRA_data) WHEN 1  THEN 1 ELSE 0 END) as janeiro, 
                            sum(case month(CONTRA_data) WHEN 2  THEN 1 ELSE 0 END) as fevereiro,
                            sum(case month(CONTRA_data) WHEN 3  THEN 1 ELSE 0 END) as marco,
                            sum(case month(CONTRA_data) WHEN 4  THEN 1 ELSE 0 END) as abril,
                            sum(case month(CONTRA_data) WHEN 5  THEN 1 ELSE 0 END) as maio,
                            sum(case month(CONTRA_data) WHEN 6  THEN 1 ELSE 0 END) as junho,
                            sum(case month(CONTRA_data) WHEN 7  THEN 1 ELSE 0 END) as julho,
                            sum(case month(CONTRA_data) WHEN 8  THEN 1 ELSE 0 END) as agosto,
                            sum(case month(CONTRA_data) WHEN 9  THEN 1 ELSE 0 END) as setembro,
                            sum(case month(CONTRA_data) WHEN 10 THEN 1 ELSE 0 END) as outubro,
                            sum(case month(CONTRA_data) WHEN 11 THEN 1 ELSE 0 END) as novembro,
                            sum(case month(CONTRA_data) WHEN 12 THEN 1 ELSE 0 END) as dezembro
                    FROM    BEAU_contrato
                    WHERE   CONTRA_ativo = '1' ";
            $sql .="AND		year(CONTRA_data)=" .$ano. " ";
            $sql .="AND     CONTRA_indicacao='" .$codigo. "'";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }

    public function ajaxListaIndicados(Request $request)
    {
        try
        {
            $codigo = Auth::user()->getLogin();
            
            //Seleciona dados da operação
            $sql = "SELECT      upper(u.UNID_nome) as nome, 
                                ifnull(u.UNID_celular,'') as celular, 
                                ifnull(u.UNID_email,'') as email,  
                                ifnull(date_format(c.CONTRA_data, '%d/%m/%Y'),'') as data_contrato, 
                                ifnull(date_format(c.CONTRA_validade, '%d/%m/%Y'),'') as data_termino, 
                                (case c.CONTRA_status 
                                    when 'P' then 'PENDENTE' 
                                    when 'R' then 'REALIZADO' 
                                    when 'F' then 'FINALIZADO' 
                                    when 'C' then 'CANCELADO' end) as status
                    FROM BEAU_contrato c, TBG_unidade u 
                    WHERE c.CONTRA_FK_UNID_id=u.UNID_id
                    AND c.CONTRA_ativo=1 ";
            $sql .="AND c.CONTRA_indicacao='" .$codigo. "' ";
            $sql .="ORDER BY c.CONTRA_status, c.CONTRA_data";

                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }    

}
