<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use app\Sistema;
use App\Classe;
use App\Rota;
use App\Classe_Rota;
use App\Permissao;

class ClasseController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

     //############ CLASSE ############
    /*  public function indexClasse(Request $request)
     {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

         try
         {
             $classes = Classe::whereHas('Sistema',function($sistema)
                        {
                            $sistema->where(Sistema::$codigo,env('APP_SISTEMA'));
                        })
                        ->get();

             return view('adm.classe',['classes'=>$classes]);
         }
         catch(\Exception $ex)
         {
             return Redirect::route('home')->withErrors('erro ao carregar as classes: '.$ex->getMessage());
         }
     } */

    //############ CLASSE ############
    public function indexClasse(Request $request)
    {
    // if(!RotaController::Acesso($request->route()->getName()))
    // {
    //     return RotaController::AcessoNegado('home');
    // }

        try
        {
            return view('adm.classe');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('home')->withErrors('erro ao carregar as classes: '.$ex->getMessage());
        }
    }

    //############ CLASSE ############
    public function indexEditarCadastroClasse($prefixo,$id,$sufixo)
    {
    // if(!RotaController::Acesso($request->route()->getName()))
    // {
    //     return RotaController::AcessoNegado('home');
    // }

        try
        {
            $classe = Classe::find($id);
            return view('adm.cadastroclasses',['id'=>$id,'classe'=>$classe]);
        }
        catch(\Exception $ex)
        {
            return Redirect::route('home')->withErrors('erro ao carregar as classes: '.$ex->getMessage());
        }
    }

    public function salvarClasse(Request $request)
    {

        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('adm.classe');
        }

        try
        {
            $cls = Classe::whereHas('Sistema',function($sistema)
                        {
                            $sistema->where(Sistema::$codigo,env('APP_SISTEMA'));
                        })
                        ->where(Classe::$codigo,$request->codigo)->first();

            if((empty($request->id) && !empty($cls)) || (!empty($request->id) && !empty($cls) && $request->id != $cls->getId()))
            {
                return Redirect::back()->withErrors('Já existe uma classe com este codigo.');
            }

            $unidade =  Auth::user()->getUnidade();

            $classe = Classe::findOrNew($request->id);
            $classe->setCodigo($request->codigo);
            $classe->setDescricao($request->descricao);
            $classe->setAdmin($request->admin);
            $classe->setFkSistema(Util::getSistema()->getId());
            $classe->setUnidade($unidade);

            $classe->save();
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.classe')->withErrors('erro ao salvar a classe: '.$ex->getMessage());
        }

        if($request->id)
        {
            return Redirect::route('adm.classe')->with('mensagem','Cadastro da classe ' .$classe->getDescricao(). ' editado com sucesso!');
        }
        else
        {
            return Redirect::route('adm.classe')->with('mensagem','Cadastro da classe ' .$classe->getDescricao(). ' efetuada com sucesso!');
        }
    }

    public function deleteClasse(Request $request)
    {

        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('adm.classe');
        }

        try
        {
            if(empty($request->id))
            {
                return Redirect::route('adm.classe')->withErrors('ID da classe vazio.');
            }

            $classe = Classe::find($request->id);
            $classe->delete();
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao excluir a classe: '.$ex->getMessage());
        }

        return Redirect::route('adm.classe')->with('exclusao','Classe excluída com sucesso!');
    }

    public static function GetComboClasse()
    {
        return Classe::whereHas('Sistema',function($sistema)
                {
                    $sistema->where(Sistema::$codigo,env('APP_SISTEMA'));
                })
                ->orderby(Classe::$descricao)
                ->get()
                ->keyBy(Classe::$id)->map(function ($item)
                {
                    return $item->getDescricao();
                });
    }

    //############ CLASSES X ROTAS ############
    public function indexClasseRotas()
    {
        if(!RotaController::Acesso('adm.classe_rotas')){return RotaController::AcessoNegado('home');}

        try
        {
            /* $classes = Classe::whereHas('Sistema',function($sistema)
                        {
                            $sistema->where(Sistema::$codigo,env('APP_SISTEMA'));
                        })
                        ->get();

            return View('adm.classe_rota',['classes'=>$classes]); */
            return View('adm.classe_rota');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('home')->withErrors('erro ao carregar as classes x rotas: '.$ex->getMessage());
        }
    }

    public function ajaxCarregaRotasByClasse(Request $request)
    {
        try
        {
            $id_classe = $request->id;

            //rotas do sistema que não estão vinculadas à classe
            $rotasDisponiveis = Rota::whereHas('Sistema',function($sistema)
                        {
                            $sistema->where(Sistema::$codigo,env('APP_SISTEMA'));
                        })
                    ->whereDoesntHave('Classes',function($query) use ($id_classe)
                        {
                            $query->where(Classe::$id,$id_classe);
                        })
                    ->get()
                    ->map(function($item)
                    {
                       return ['id'=> $item->getId(),'label'=> $item->getNome()];
                    });

            //rotas vinculadas à classe
            $rotasClasse = Rota::whereHas('Sistema',function($sistema)
                        {
                            $sistema->where(Sistema::$codigo,env('APP_SISTEMA'));
                        })
                    ->whereHas('Classes',function($query) use ($id_classe)
                        {
                            $query->where(Classe::$id,$id_classe);
                        })
                    ->get()
                    ->map(function($item)
                    {
                       return ['id'=> $item->getId(),'label'=> $item->getNome()];
                    });
            
            $dados = ['available'=>$rotasDisponiveis,'selected'=>$rotasClasse];

            return response()->json($dados,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar as rotas da classe: '.$ex->getMessage(),500);
        }
    }

    public function ajaxVinculaRotas(Request $request)
    {        
        try
        {
            if($request->associa == 'true')
            {
                foreach($request->rotas as $rota)
                {
                    $vincula = New Classe_Rota;
                    
                    $vincula->setFkClasse($request->idClasse);
                    $vincula->setFkRota($rota['id']);
                    $vincula->save();
                }
            }
            else
            {
                foreach($request->rotas as $rota)
                {
                    $claro = Classe_Rota::where(Classe_Rota::$fk_classe,$request->idClasse)->where(Classe_Rota::$fk_rota,$rota['id'])->first();
                    $claro->delete();
                }
            }

            return response()->json(200);
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao associar rota à classe: '.$ex->getMessage(),500);
        }
    }

    //############ CLASSES X USUÁRIOS ############
    public static function PermissaoUsuario($usuario,$fk_classe)
    {
        try
        {
            //exclui as classes vinculadas ao usuario no sistema atual
            Permissao::where(Permissao::$fk_usuario,$usuario->getId())
                    ->whereHas('Classe',function($classe)
                    {
                        $classe->where(Classe::$fk_sistema,Util::getSistema()->getId());
                    })
                    ->delete();

            //vincula a nova classe do sistema ao usuário, caso seja indicado uma classe
            if(!empty($fk_classe))
            {
                $permissao = New Permissao;
                $permissao->setFkClasse($fk_classe);
                $permissao->setFkUsuario($usuario->getId());
            }

            $permissao->save();
        }
        catch(\Exception $ex)
        {
            report($ex);
        }
    }

    public function ajaxListaClasseUsuario(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade =  Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT      CLA_id as id, 
                                CLA_descricao as descricao 
                    FROM        TBG_classe 
                    WHERE       CLA_codigo NOT IN ('ADM','MAST') 
                    AND         CLA_FK_SIST_id=1 ";
            $sql .="AND         CLA_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY    CLA_descricao";

                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListaClasseUsuarioTodos(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade =  Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT      CLA_id as id, 
                                CLA_descricao as descricao 
                    FROM        TBG_classe 
                    -- WHERE       CLA_codigo NOT IN ('ADM','MAST') 
                    WHERE       CLA_FK_SIST_id=1 ";
            $sql .="AND         CLA_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY    CLA_descricao";

                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}
