<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Cliente;

class ClienteController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexCliente(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            //$cliente = Cliente::all();
            return view('cadastro.cliente');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarCliente(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cliente.cliente');}
        Try
        {
            //$p = Cliente::where(Cliente::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cliente.cliente')->withErrors('Já existe um registro com este código.');
            //}

            $id =       $request->idcliente;
            $nome =     strtoupper($request->nome);
            $codigo =   strtoupper($request->codigo); 
            $contato=   strtoupper($request->contato); 
            $email =    strtolower($request->email);
            $inspecao = strtolower($request->inspecao);
            
            $celular =  $request->celular; 
            $ativo =    $request->ativo;
            $unidade =  Auth::user()->getUnidade();
            $categoria =    $request->categoria;
            if($categoria=='')
            {
                $cliente=    Util::GetParametro("CATEG"); 
            }
            $cliente = Cliente::findOrNew($id);
            $cliente->setNome($nome);
            $cliente->setCodigo($codigo);
            $cliente->setContato($contato);
            $cliente->setCelular($celular);
            $cliente->setEmail($email);
            $cliente->setAtivo($ativo);
            $cliente->setUnidade($unidade);
            $cliente->setCategoria($categoria);
            $cliente->setInspecao($inspecao);
            
            $cliente->save();
            return Redirect::route('cadastro.cliente');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.cliente')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteCliente(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cliente.cliente');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.cliente')->withErrors('Código vazio.');
            }

            $cliente = Cliente::find($request->id);
            $cliente->delete();

            return Redirect::route('cadastro.cliente');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.cliente')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaCliente(Request $request)
    {
        try
        {
            $ativo = $request->status;
            $palavra = $request->busca;
            $unidade =  Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  CLIE_id                 as id, 
                            CLIE_nome               as nome, 
                            ifnull(CLIE_codigo,'')  as codigo, 
                            ifnull(CLIE_contato,'') as contato, 
                            ifnull(CLIE_celular,'') as celular, 
                            ifnull(CLIE_email,'')   as email, 
                            ifnull(CLIE_FK_CATE_id,'') as categoria, 
                            CLIE_ativo              as ativo,
                            CLIE_inspecao           as inspecao
                    FROM    SGP_cliente 
                    WHERE   CLIE_id > 0 ";
            $sql .="AND     CLIE_FK_UNID_id=" .$unidade. " ";
            if($ativo!='')
            {
                $sql.="AND CLIE_ativo='" .$ativo. "' ";
            }
            if($palavra!='')
            {
                $sql.="AND (CLIE_nome       LIKE '%" .$palavra. "%' ";
                $sql.="OR   CLIE_contato    LIKE '%" .$palavra. "%' ";
                $sql.="OR   CLIE_celular    LIKE '%" .$palavra. "%' ";
                $sql.="OR   CLIE_email      LIKE '%" .$palavra. "%') ";
            }
            $sql.="ORDER BY CLIE_nome";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxBuscaClientePorId(Request $request)
    {
        try
        {
            $id = $request->idcliente;

            //Seleciona dados
            $sql = "SELECT  CLIE_id                 as id, 
                            CLIE_nome               as nome, 
                            ifnull(CLIE_codigo,'')  as codigo, 
                            ifnull(CLIE_contato,'') as contato, 
                            ifnull(CLIE_celular,'') as celular, 
                            ifnull(CLIE_email,'')   as email,
                            ifnull(CLIE_FK_CATE_id,'') as categoria,  
                            CLIE_ativo              as ativo,
                            CLIE_inspecao           as inspecao
                    FROM    SGP_cliente 
                    WHERE   CLIE_id = " .$id. " ";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxListarCliente(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            $cliente =  Auth::user()->getCliente();

            if($cliente=='')
            {
                $cliente = '0';
            }

            //Seleciona dados
            $sql = "SELECT  CLIE_id                 as id, 
                            upper(CLIE_nome)        as nome,
                            CLIE_inspecao           as inspecao
                    FROM    SGP_cliente 
                    WHERE   CLIE_ativo = '1' ";
            $sql .="AND     CLIE_FK_UNID_id=" .$unidade. " ";
            if($cliente!='0')
            {
                $sql .="AND     CLIE_id=" .$cliente. " ";
            }
            $sql .="ORDER BY CLIE_nome";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListarClienteManutencao(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            
            //Seleciona dados
            $sql = "SELECT  CLIE_id                 as id, 
                            upper(CLIE_nome)        as nome ,
                            CLIE_inspecao           as inspecao
                    FROM    SGP_cliente ";
            $sql .="WHERE   CLIE_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY CLIE_nome";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxListarClienteParaCarga(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  CLIE_id                 as id, 
                            upper(CLIE_nome)        as nome ,
                            CLIE_inspecao           as inspecao
                    FROM    SGP_cliente 
                    WHERE   CLIE_ativo = '1' ";
            $sql .="AND     CLIE_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY CLIE_nome";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }



    public function ajaxListarClienteAuto(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  CLIE_id                 as id, 
                            upper(CLIE_nome)        as nome ,
                            CLIE_inspecao           as inspecao
                    FROM    SGP_cliente 
                    WHERE   CLIE_ativo = '1' "; //AND CLIE_auto='1' ";
            $sql .="AND     CLIE_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY CLIE_nome";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListarClienteVivo(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            $cliente =  Auth::user()->getCliente();

            if($cliente=='')
            {
                $cliente = '0';
            }

            //Seleciona dados
            $sql = "SELECT  distinct CLIE_id as id, 
                                     CLIE_nome as nome 
                    FROM    SGP_cliente 
                    WHERE   CLIE_id IN (
                    SELECT  ESTA_FK_CLIE_id 
                    FROM    SGP_estadia 
                    WHERE   ESTA_FK_UNID_id=" .$unidade. " ";
            $sql .="AND     ESTA_status = 'PA') ";
            if($cliente!='0')
            {
                $sql .="AND CLIE_id=" .$cliente. " ";
            }
            $sql .="ORDER BY CLIE_nome";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}