<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Clientecarga;

class ClientecargaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexClientecarga(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('cadastro.clientecarga');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarClientecarga(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.clientecarga');}
        Try
        {
            //$p = Clientecarga::where(Clientecarga::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.clientecarga')->withErrors('Já existe um registro com este código.');
            //}

            $nome =     strtoupper($request->descricao);

            $clientecarga = Clientecarga::findOrNew($request->id);
            $clientecarga->setCliente($request->cliente);
            $clientecarga->setNome($nome);
        
            $clientecarga->save();
            return Redirect::route('cadastro.clientecarga');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.clientecarga')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxExcluirClientecarga(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.clientecarga');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.clientecarga')->withErrors('Código vazio.');
            }

            $clientecarga = Clientecarga::find($request->id);
            $clientecarga->delete();

            return Redirect::route('cadastro.clientecarga');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.clientecarga')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarClienteCarga(Request $request)
    {
        try
        {
            $cliente = $request->cliente;
            
            //Seleciona dados da operação
            $sql = "SELECT  CLIG_id as id, 
                            CLIG_nome as nome, 
                            CLIG_FK_CLIE_id as idcliente 
                            FROM SGP_clientecarga ";
            if($cliente!='')
            {
                $sql.="WHERE CLIG_FK_CLIE_id=" .$cliente. " ";
            }         
            $sql .="ORDER BY CLIG_nome";
       
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados dos veículos: '.$ex->getMessage(),500);
        }
       
    }

}