<?php 
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Colaborador;

class ColaboradorController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexColaborador(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('cadastro.colaborador');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarColaborador(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.colaborador');}
        Try
        {
            //$p = Colaborador::where(Colaborador::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('merendeira.colaborador')->withErrors('Já existe um registro com este código.');
            //}
            $nome = strtoupper($request->nome);
            $endereco = strtoupper($request->endereco);
            $bairro = strtoupper($request->bairro);
            $complemento = strtoupper($request->complemento);
            $cidade = strtoupper($request->cidade);
            $uf = strtoupper($request->uf);
            $unidade = Auth::user()->getUnidade();

            /* $nome = $request->nome;
            $endereco = $request->endereco;
            $bairro = $request->bairro;
            $complemento = $request->complemento;
            $cidade = $request->cidade;
            $uf = $request->uf; */

            $colaborador = Colaborador::findOrNew($request->id);
            $colaborador->setUnidade($unidade);
            $colaborador->setNome($nome);
            $colaborador->setAtivo($request->ativo);
            $colaborador->setCelular($request->celular);
            $colaborador->setFuncao($request->funcao);
            $colaborador->setEndereco($endereco);
            $colaborador->setNro($request->nro);
            $colaborador->setBairro($bairro);
            $colaborador->setComplemento($complemento);
            $colaborador->setCep($request->cep);
            $colaborador->setCidade($cidade);
            $colaborador->setUf($uf);
            $colaborador->setCpf($request->cpf);
            $colaborador->setObs($request->obs);
                    
            $colaborador->save();
            return Redirect::route('cadastro.colaborador');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.colaborador')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function deleteColaborador(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('merendeira.colaborador');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.colaborador')->withErrors('Código vazio.');
            }

            $colaborador = Colaborador::find($request->id);
            $colaborador->delete();

            return Redirect::route('cadastro.colaborador');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.colaborador')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }


    public function ajaxPesquisarColaborador(Request $request)
    {
        try
        {
            $palavra = $request->palavra;
            $escola  = $request->escola;
            $funcao  = $request->funcao;
            $unidade = Auth::user()->getUnidade();
           
            //Seleciona dados
            $sql = "SELECT  COLAB_id          as id, 
                            COLAB_nome        as nome, 
                            COLAB_ativo       as ativo, 
                            ifnull(COLAB_celular,'')  as celular,
                            COLAB_FK_FUNC_id  as idfuncao, 
                            FUNC_descricao  as funcao,
                            ifnull(COLAB_endereco,'') as endereco,
                            ifnull(COLAB_nro,'')      as nro,
                            ifnull(COLAB_bairro,'')   as bairro,
                            ifnull(COLAB_complemento,'') as complemento,
                            ifnull(COLAB_ceP,'')      as cep,
                            ifnull(COLAB_cidade,'')   as cidade,
                            ifnull(COLAB_uf,'')       as uf,
                            ifnull(COLAB_cpf,'')      as cpf,
                            ifnull(COLAB_obs,'')      as obs,
                            (SELECT count(*) FROM SGP_colab_ocorrencia WHERE OCOR_FK_COLAB_id=COLAB_id) as qtde_ocorr
                    FROM    SGP_colaborador m, 
                            SGP_funcao f
                    WHERE   COLAB_FK_FUNC_id = FUNC_id ";
                    $sql .="AND     COLAB_FK_UNID_id=" .$unidade. " ";
                    if($funcao!='')
                    {
                        $sql .="AND     COLAB_FK_FUNC_id=" .$funcao. " ";
                    }
                    if($palavra!='')
                    {
                        $sql .="AND     (COLAB_nome       LIKE '%" .$palavra. "%' ";
                        $sql .="OR       COLAB_celular    LIKE '%" .$palavra. "%' ";
                        $sql .="OR       COLAB_endereco   LIKE '%" .$palavra. "%' ";
                        $sql .="OR       COLAB_bairro     LIKE '%" .$palavra. "%' ";
                        $sql .="OR       COLAB_cpf        LIKE '%" .$palavra. "%') ";
                    }
                    $sql .="ORDER BY COLAB_nome;";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    

    public function ajaxPesquisarFuncMov(Request $request)
    {
        try
        {
            //$palavra = $request->palavra;
            $unidade = Auth::user()->getUnidade();
           
            //Seleciona dados
            $sql = "SELECT  COLAB_id          as id, 
                            COLAB_nome        as nome, 
                            COLAB_ativo       as ativo
                    FROM    SGP_colaborador ";
            $sql.= "WHERE   COLAB_FK_UNID_id = " .$unidade. " ";
            $sql.= "ORDER BY COLAB_nome";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisarFinanceiro(Request $request)
    {
        try
        {
            $colab = $request->colab;
            $unidade = Auth::user()->getUnidade();
           
            //Seleciona dados
            $sql = "SELECT  MOV_descricao       as descricao, 
                            MOV_valor_total     as valor, 
                            date_format(MOV_data_rec, '%d/%m/%Y') as data,
                            (case MOV_status WHEN '3'  THEN 'PAGO' WHEN '4'  THEN 'A PAGAR' ELSE '' END) as status, 
                            ifnull(MOV_obs,'')  as obs, 
                            MOV_status          as sta
                    FROM    SGP_movimento 
                    WHERE   MOV_FK_COLAB_id=" .$colab. " ";
            $sql .="AND     MOV_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY MOV_data_rec DESC";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }



}