<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Conta_custo;

class Conta_custoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexConta_custo(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.conta_custo');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarConta_custo(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('conta_custo.conta_custo');}
        Try
        {
            //$p = Conta_custo::where(Conta_custo::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('conta_custo.conta_custo')->withErrors('Já existe um registro com este código.');
            //}
            $unidade = Auth::user()->getUnidade();
            $conta = $request->conta;
            $conta = strtoupper($conta);
            $subconta = $request->subconta;
            $subconta = strtoupper($subconta);
            
            $conta_custo = Conta_custo::findOrNew($request->id);
            $conta_custo->setUnidade($unidade);
            $conta_custo->setDescricao($conta);
            $conta_custo->setSubconta($subconta);
            $conta_custo->setCodigo($request->codigo);
            $conta_custo->setClassificacao($request->classificacao);
            $conta_custo->setTipo($request->tipo);

            $conta_custo->save();

            return Redirect::route('financeiro.conta_custo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.conta_custo')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxExcluirConta_custo(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('conta_custo.conta_custo');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('financeiro.conta_custo')->withErrors('Código vazio.');
            }

            $conta_custo = Conta_custo::find($request->id);
            $conta_custo->delete();

            return Redirect::route('financeiro.conta_custo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.conta_custo')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarConta_custo(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $tipo = $request->tipo;
            $palavra = $request->palavra;

            //Seleciona dados
            $sql = "SELECT  CONTAC_id as id, 
                            upper(CONTAC_descricao)         as conta, 
                            upper(CONTAC_subconta)          as subconta, 
                            ifnull(CONTAC_codigo,'')        as codigo, 
                            ifnull(CONTAC_classificacao,'') as classificacao,
                            ifnull(CONTAC_tipo,'')          as tipo
                    FROM    SGP_conta_custo 
                    WHERE   CONTAC_FK_UNID_id=" .$unidade. " ";
            if($tipo!='')
            {
                $sql .="AND CONTAC_tipo='" .$tipo. "' ";    //R - receita   D - despesa 
            }
            if($palavra!='')
            {
                $sql .="AND (CONTAC_descricao LIKE '%" .$palavra. "%' ";    
                $sql .="OR CONTAC_subconta LIKE '%" .$palavra. "%') ";    
                
            }
            $sql .="ORDER BY CONTAC_tipo, CONTAC_descricao;";
                                          
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

}