<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Conta_fin;

class Conta_finController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexConta_fin(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.conta_fin');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarConta_fin(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('conta_fin.conta_fin');}
        Try
        {
            //$p = Conta_fin::where(Conta_fin::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('conta_fin.conta_fin')->withErrors('Já existe um registro com este código.');
            //}
            $unidade = Auth::user()->getUnidade();
            $descricao = $request->descricao;
            $descricao = strtoupper($descricao);
            $agencia = $request->agencia;
            $agencia = strtoupper($agencia);

            $conta_fin = Conta_fin::findOrNew($request->id);
            $conta_fin->setUnidade($unidade);
            $conta_fin->setBanco($request->banco);
            $conta_fin->setDescricao($descricao);
            $conta_fin->setAgencia($request->agencia);
        
            $conta_fin->save();
            return Redirect::route('financeiro.conta_fin');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.conta_fin')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function ajaxExcluirConta_fin(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('conta_fin.conta_fin');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('financeiro.conta_fin')->withErrors('Código vazio.');
            }

            $conta_fin = Conta_fin::find($request->id);
            $conta_fin->delete();

            return Redirect::route('financeiro.conta_fin');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.conta_fin')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarContaFin(Request $request)
    {
        try
        {

            $unidade = Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  CONTAF_id           as id, 
                            CONTAF_descricao    as descricao,
                            ifnull(CONTAF_agencia,'')    as agencia,
                            CONTAF_FK_BANCO_id  as idbanco,
                            upper(BANCO_descricao)     as banco
                    FROM    SGP_conta_fin, TBG_banco
                    WHERE   CONTAF_FK_BANCO_id = BANCO_id
                    AND     CONTAF_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY CONTAF_descricao";  
                                         
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}