<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Contrato;

class ContratoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexContrato(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            $contrato = Contrato::all();
            return view('contrato.contrato',['contrato'=>$contrato]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function salvarContrato(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('contrato.contrato');}
        Try
        {
            //$p = Contrato::where(Contrato::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('contrato.contrato')->withErrors('Já existe um registro com este código.');
            //}

            $contrato = Contrato::findOrNew($request->id);
            $contrato->setUnidade($request->unidade);
            $contrato->setData($request->data);
            $contrato->setValidade($request->validade);
            $contrato->setTipo($request->tipo);
            $contrato->setAtivo($request->ativo);
        
            $contrato->save();
            return Redirect::route('contrato.contrato');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('contrato.contrato')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteContrato(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('contrato.contrato');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('contrato.contrato')->withErrors('Código vazio.');
            }

            $contrato = Contrato::find($request->id);
            $contrato->delete();

            return Redirect::route('contrato.contrato');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('contrato.contrato')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }
}