<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Despesa;

class DespesaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexDespesa(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            $despesa = Despesa::all();
            return view('despesa.despesa',['despesa'=>$despesa]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function salvarDespesa(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('despesa.despesa');}
        Try
        {
            //$p = Despesa::where(Despesa::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('despesa.despesa')->withErrors('Já existe um registro com este código.');
            //}

            $despesa = Despesa::findOrNew($request->id);
            $despesa->setCaixa($request->caixa);
            $despesa->setDescricao($request->descricao);
            $despesa->setValor($request->valor);
        
            $despesa->save();
            return Redirect::route('despesa.despesa');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('despesa.despesa')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteDespesa(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('despesa.despesa');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('despesa.despesa')->withErrors('Código vazio.');
            }

            $despesa = Despesa::find($request->id);
            $despesa->delete();

            return Redirect::route('despesa.despesa');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('despesa.despesa')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }
}