<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Destino;

class DestinoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexDestino(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            //$destino = Destino::all();
            return view('cadastro.destino');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarDestino(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('destino.destino');}
        Try
        {
            //$p = Destino::where(Destino::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('destino.destino')->withErrors('Já existe um registro com este código.');
            //}

            $id=         $request->iddestino;
            $descricao=  $request->descricao; 
            $descricao=  strtoupper($descricao);
            $codigo=     $request->codigo;
            $titulo=     $request->titulo; 
            $paineltq=    $request->paineltq; 

            $destino = Destino::findOrNew($id);
            //$destino->setCliente($cliente);
            $destino->setDescricao($descricao);
            $destino->setCodigo($codigo);
            $destino->setTitulo($titulo);
            $destino->setPaineltq($paineltq);
        
            $destino->save();
            return Redirect::route('cadastro.destino');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.destino')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarDestinoAuto(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('destino.destino');}
        Try
        {
            //$p = Destino::where(Destino::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('destino.destino')->withErrors('Já existe um registro com este código.');
            //}

            $id = 0;
            $descricao =  $request->descricao; 
            $descricao = strtoupper($descricao);

            $codigo= '';
            $titulo= ''; 

            $destino = Destino::findOrNew($id);
            $destino->setDescricao($descricao);
            $destino->setCodigo($codigo);
            $destino->setTitulo($titulo);
        
            $destino->save();
            //return Redirect::route('cadastro.destino');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.destino')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxSalvarDestinoAvulso(Request $request)
    {
        Try
        {

            $id=         $request->iddestino;
            $descricao=  strtoupper($request->descricao); 
            $codigo=     $request->codigo;
            $titulo=     $request->titulo; 
            //$cliente=    Util::GetParametro("CLIENT");      //pega o codigo de cliente padrao

            $destino = Destino::findOrNew($id);
            //$destino->setCliente($cliente);
            $destino->setDescricao($descricao);
            $destino->setCodigo($codigo);
            $destino->setTitulo($titulo);
        
            $destino->save();
            return Redirect::route('patio.avulso');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.avulso')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
    
    public function deleteDestino(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('destino.destino');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.destino')->withErrors('Código vazio.');
            }

            $destino = Destino::find($request->id);
            $destino->delete();

            return Redirect::route('cadastro.destino');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.destino')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarDestino(Request $request)
    {
        try
        {

            //$cliente = $request->cliente;

            //Seleciona dados
            $sql = "SELECT  DEST_id as id, 
                            ifnull(UPPER(DEST_descricao),'') as descricao, 
                            ifnull(UPPER(DEST_codigo),'')    as codigo, 
                            ifnull(UPPER(DEST_titulo),'')    as titulo,
                            ifnull(UPPER(DEST_painel_tanque),'0')    as paineltq,
                            ifnull(DEST_s2gpi,'')            as s2gpi
--                            DEST_FK_CLIE_id                  as idcliente
                    FROM    SGP_destino WHERE DEST_descricao <> '' ";
            //$sql.= "WHERE   DEST_FK_CLIE_id=" .$cliente. " ";
            $sql.= "ORDER BY DEST_descricao";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    
    public function ajaxListaDestino(Request $request)
    {
        try
        {

           // $cliente = $request->cliente;

            //Seleciona dados
            $sql = "SELECT  DEST_id as id, 
                            ifnull(UPPER(DEST_descricao),'') as descricao,
                            ifnull(DEST_s2gpi,'') as s2gpi
                    FROM    SGP_destino 
                    WHERE   DEST_descricao <> ''  ";
           /*  if($cliente!='')
            {
                $sql.= "WHERE   DEST_FK_CLIE_id=" .$cliente. " ";
            } */
            $sql.= "ORDER BY DEST_descricao";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListaDestinoAvulso(Request $request)
    {
        try
        {

            //$cliente        = Util::GetParametro("CLIENT");

            //Seleciona dados
            $sql = "SELECT  DEST_id as id, 
                            ifnull(UPPER(DEST_descricao),'') as descricao,
                            ifnull(DEST_s2gpi,'') as s2gpi
                    FROM    SGP_destino WHERE DEST_descricao <> '' ";
           /*  if($cliente!='')
            {
                $sql.= "WHERE   DEST_FK_CLIE_id=" .$cliente. " ";
            } */
            $sql.= "ORDER BY DEST_descricao";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListaBaseDestino(Request $request)
    {
        try
        {

            //$cliente = $request->cliente;

            //Seleciona dados
            $sql = "SELECT  d.DEST_id as id, 
                            ifnull(UPPER(d.DEST_descricao),'') as descricao,
                            ifnull(DEST_s2gpi,'') as s2gpi
                            -- ifnull(UPPER(c.CLIE_nome),'') as cliente
                    FROM    SGP_destino d WHERE DEST_descricao <> '' "; //, SGP_cliente c WHERE d.DEST_FK_CLIE_id=c.CLIE_id ";
            /* if($cliente!='')
            {
                $sql.= "WHERE   d.DEST_FK_CLIE_id=" .$cliente. " ";
            } */
            $sql.= "ORDER BY d.DEST_descricao";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

}