<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Entrada;
use App\Entrada_item;
use App\Movimento;
use App\Http\Controllers\Util;

class EntradaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexEntrada(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('estoque.entrada');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexAjuste(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('estoque.ajuste');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarEntrada(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('entrada.entrada');}
        Try
        {
            //$p = Entrada::where(Entrada::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('entrada.entrada')->withErrors('Já existe um registro com este código.');
            //}

            $unidade        = Auth::user()->getUnidade();
            $identrada      = $request->identrada;
            $idpessoa       = $request->idpessoa;
            $dataentrada    = $request->dataentrada;
            $nf             = $request->nf; 
            $observacao     = $request->observacao;  
            $item           = $request->item; 
            $qtde           = $request->qtde;
            $preco          = $request->preco; 
            $totalitem      = $request->totalitem;
            $outro          = $request->outro; 
            $desconto       = $request->desconto; 
            $total          = $request->total; 
            //$forma          = $request->forma; 
            //$conta          = $request->conta;
            //$nome           = $request->nome;
            //$centrocusto    = $request->centrocusto;
            //$contacusto     = $request->contacusto;


            if($outro==''){$outro='0';}
            if($desconto==''){$desconto='0';}
            

            $qtde  = Util::Ponto($qtde);
            $preco = Util::Ponto($preco);

            $totalitem  = Util::Ponto($totalitem);
            $outro  = Util::Ponto($outro);
            $total  = Util::Ponto($total);
            $desconto  = Util::Ponto($desconto);

            /* public function setFornecedor($valor){$this->attributes[Entrada::$fornecedor] = $valor;}
            public function setData($valor){$this->attributes[Entrada::$data] = $valor;}
            public function setTipo($valor){$this->attributes[Entrada::$tipo] = $valor;}
            public function setObs($valor){$this->attributes[Entrada::$obs] = $valor;}
            public function setNf($valor){$this->attributes[Entrada::$nf] = $valor;}
            public function setProduto($valor){$this->attributes[Entrada::$valor_produto] = $valor;}
            public function setOutro($valor){$this->attributes[Entrada::$valor_outro] = $valor;}
            public function setDesconto($valor){$this->attributes[Entrada::$valor_desconto] = $valor;}
            public function setTotal($valor){$this->attributes[Entrada::$valor_total] = $valor;}
            public function setAjustador($valor){$this->attributes[Entrada::$ajustador] = $valor;}
 */           
            $entrada = Entrada::findOrNew($identrada);
            $entrada->setData($dataentrada);
            $entrada->setTipo('E');
            $entrada->setObs($observacao);
            $entrada->setNf($nf);
            $entrada->setProduto($totalitem);
            $entrada->setOutro($outro);
            $entrada->setDesconto($desconto);
            $entrada->setTotal($total);
            $entrada->setFornecedor($idpessoa);            
            $entrada->save();

            if($identrada=='0')
            {
                $identrada = $entrada->getId();
            }

            //grava dados dos itens
            $item1 = substr($item,0,6);
            $item2 = substr($item,6,6);
            $item3 = substr($item,12,6);
            $item4 = substr($item,18,6);
            $item5 = substr($item,24,6);
            $item6 = substr($item,30,6);
            $item7 = substr($item,36,6);
            $item8 = substr($item,42,6);
            $item9 = substr($item,48,6);
            $item10= substr($item,54,6);

            $qtde1 = substr($qtde,0,6);
            $qtde2 = substr($qtde,6,6);
            $qtde3 = substr($qtde,12,6);
            $qtde4 = substr($qtde,18,6);
            $qtde5 = substr($qtde,24,6);
            $qtde6 = substr($qtde,30,6);
            $qtde7 = substr($qtde,36,6);
            $qtde8 = substr($qtde,42,6);
            $qtde9 = substr($qtde,48,6);
            $qtde10= substr($qtde,54,6);

            $preco1 = substr($preco,0,6);
            $preco2 = substr($preco,6,6);
            $preco3 = substr($preco,12,6);
            $preco4 = substr($preco,18,6);
            $preco5 = substr($preco,24,6);
            $preco6 = substr($preco,30,6);
            $preco7 = substr($preco,36,6);
            $preco8 = substr($preco,42,6);
            $preco9 = substr($preco,48,6);
            $preco10= substr($preco,54,6);

            $id = 0;

            if($item1!='000000' && $qtde1!='000000')
            {
                $entrada_item = Entrada_item::findOrNew($id);
                $entrada_item->setEntrada($identrada);
                $entrada_item->setProduto($item1);
                $entrada_item->setQtde($qtde1);
                $entrada_item->setPreco_custo($preco1);
                $entrada_item->save();

                $sql ="UPDATE NUTRI_produto ";
                $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde1. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde1. ") ";
                $sql.=",PROD_preco_custo = " .$preco1. " ";
                $sql.="WHERE PROD_id = " .$item1. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item2!='000000' && $qtde2!='000000')
            {
                $entrada_item = Entrada_item::findOrNew($id);
                $entrada_item->setEntrada($identrada);
                $entrada_item->setProduto($item2);
                $entrada_item->setQtde($qtde2);
                $entrada_item->setPreco_custo($preco2);
                $entrada_item->save();

                $sql ="UPDATE NUTRI_produto ";
                $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde2. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde2. ") ";
                $sql.=",PROD_preco_custo = " .$preco2. " ";
                $sql.="WHERE PROD_id = " .$item2. ";";
                $atualiza =\DB::select($sql);
            }

            if($item3!='000000' && $qtde3!='000000')
            {
                $entrada_item = Entrada_item::findOrNew($id);
                $entrada_item->setEntrada($identrada);
                $entrada_item->setProduto($item3);
                $entrada_item->setQtde($qtde3);
                $entrada_item->setPreco_custo($preco3);
                $entrada_item->save();

                $sql ="UPDATE NUTRI_produto ";
                $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde3. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde3. ") ";
                $sql.=",PROD_preco_custo = " .$preco3. " ";
                $sql.="WHERE PROD_id = " .$item3. ";";
                $atualiza =\DB::select($sql);
            }

            if($item4!='000000' && $qtde4!='000000')
            {
                $entrada_item = Entrada_item::findOrNew($id);
                $entrada_item->setEntrada($identrada);
                $entrada_item->setProduto($item4);
                $entrada_item->setQtde($qtde4);
                $entrada_item->setPreco_custo($preco4);
                $entrada_item->save();

                $sql ="UPDATE NUTRI_produto ";
                $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde4. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde4. ") ";
                $sql.=",PROD_preco_custo = " .$preco4. " ";
                $sql.="WHERE PROD_id = " .$item4. ";";
                $atualiza =\DB::select($sql);
            }

            if($item5!='000000' && $qtde5!='000000')
            {
                $entrada_item = Entrada_item::findOrNew($id);
                $entrada_item->setEntrada($identrada);
                $entrada_item->setProduto($item5);
                $entrada_item->setQtde($qtde5);
                $entrada_item->setPreco_custo($preco5);
                $entrada_item->save();

                $sql ="UPDATE NUTRI_produto ";
                $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde5. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde5. ") ";
                $sql.=",PROD_preco_custo = " .$preco5. " ";
                $sql.="WHERE PROD_id = " .$item5. ";";
                $atualiza =\DB::select($sql);

            }

            if($item6!='000000' && $qtde6!='000000')
            {
                $entrada_item = Entrada_item::findOrNew($id);
                $entrada_item->setEntrada($identrada);
                $entrada_item->setProduto($item6);
                $entrada_item->setQtde($qtde6);
                $entrada_item->setPreco_custo($preco6);
                $entrada_item->save();

                $sql ="UPDATE NUTRI_produto ";
                $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde6. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde6. ") ";
                $sql.=",PROD_preco_custo = " .$preco6. " ";
                $sql.="WHERE PROD_id = " .$item6. ";";
                $atualiza =\DB::select($sql);
            }

            if($item7!='000000' && $qtde7!='000000')
            {
                $entrada_item = Entrada_item::findOrNew($id);
                $entrada_item->setEntrada($identrada);
                $entrada_item->setProduto($item7);
                $entrada_item->setQtde($qtde7);
                $entrada_item->setPreco_custo($preco7);
                $entrada_item->save();

                $sql ="UPDATE NUTRI_produto ";
                $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde7. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde7. ") ";
                $sql.=",PROD_preco_custo = " .$preco7. " ";
                $sql.="WHERE PROD_id = " .$item7. ";";
                $atualiza =\DB::select($sql);
            }

            if($item8!='000000' && $qtde8!='000000')
            {
                $entrada_item = Entrada_item::findOrNew($id);
                $entrada_item->setEntrada($identrada);
                $entrada_item->setProduto($item8);
                $entrada_item->setQtde($qtde8);
                $entrada_item->setPreco_custo($preco8);
                $entrada_item->save();

                $sql ="UPDATE NUTRI_produto ";
                $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde8. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde8. ") ";
                $sql.=",PROD_preco_custo = " .$preco8. " ";
                $sql.="WHERE PROD_id = " .$item8. ";";
                $atualiza =\DB::select($sql);
            }

            if($item9!='000000' && $qtde9!='000000')
            {
                $entrada_item = Entrada_item::findOrNew($id);
                $entrada_item->setEntrada($identrada);
                $entrada_item->setProduto($item9);
                $entrada_item->setQtde($qtde9);
                $entrada_item->setPreco_custo($preco9);
                $entrada_item->save();

                $sql ="UPDATE NUTRI_produto ";
                $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde9. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde9. ") ";
                $sql.=",PROD_preco_custo = " .$preco9. " ";
                $sql.="WHERE PROD_id = " .$item9. ";";
                $atualiza =\DB::select($sql);
            }

            if($item10!='000000' && $qtde10!='000000')
            {
                $entrada_item = Entrada_item::findOrNew($id);
                $entrada_item->setEntrada($identrada);
                $entrada_item->setProduto($item10);
                $entrada_item->setQtde($qtde10);
                $entrada_item->setPreco_custo($preco10);
                $entrada_item->save();

                $sql ="UPDATE NUTRI_produto ";
                $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde10. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde10. ") ";
                $sql.=",PROD_preco_custo = " .$preco10. " ";
                $sql.="WHERE PROD_id = " .$item10. ";";
                $atualiza =\DB::select($sql);
            }

            

            /* $status = 'R';
            $statusfin = '1';       //receita - recebida
            $id     = $request->idagenda;
            $obs    = $request->observacao;
            $valor  =  $request->valor;
            $desconto =  $request->desconto;
            $pagar  =  $request->pagar;
            $conta  =  $request->conta;
            $forma  =  $request->forma;
            $pessoa =  $request->pessoa;
            $nome   =  $request->nome;
            $datahora=  $request->datahora;
            $data   =  $request->data;
            $descr  = 'ATENDIMENTO Nº ' .$id. " - " . $nome. "."; */

            //$data = Carbon::createFromFormat('d/m/Y', $request->data)->format('Y-m-d');

            //$data = '2021-06-28';
            //$data = substr($request->data,6,4) . '-' . substr($request->data,3,2) . '-' . substr($request->data,0,2); 
            

            //se valor > 0 envia dados para financeiro

            //$teste = parseFloat($total);

            //if($teste > 0)
            //{

                //atualiza dados no financeiro
                
                $id = '0';
                $statusfin = "4";   //conta a pagar
                $descr = substr("PGTO DE NF: " .$nf. " - COMPRA DE PROD. - FORNEC: " .$nome. ".",0,199) ;

/*                 $movimento = Movimento::findOrNew($id);
                $movimento->setUnidade($unidade);
                $movimento->setPessoa($idpessoa);
                $movimento->setConta_fin($conta);
                $movimento->setDescricao($descr);
                $movimento->setStatus($statusfin);
                $movimento->setValor($totalitem);
                $movimento->setJuros(0);
                $movimento->setMulta($outro);
                $movimento->setDesconto($desconto);
                $movimento->setValor_total($total);
                $movimento->setForma_pgto($forma);
                $movimento->setDoc($nf);
                $movimento->setObs($observacao);
                $movimento->setExcluido('0');
                $movimento->setData_mov($dataentrada);
                $movimento->setData_rec($dataentrada);
                $movimento->save(); */

                //não enviar para finaneiro, aguardar processo de lancamento de ordem de compras

/*                 $movimento = Movimento::findOrNew($idmov);
                $movimento->setUnidade($unidade);
                $movimento->setCentro_custo($centrocusto);
                $movimento->setConta_custo($contacusto);
                $movimento->setConta_finance($conta);
                $movimento->setParceiro($idpessoa);
                $movimento->setDescricao($descr);
                $movimento->setData_mov($dataentrada);
                $movimento->setData_rec($dataentrada);
                $movimento->setStatus($statusfin);
                $movimento->setValor($totalitem);
                $movimento->setJuros(0);
                $movimento->setMulta($outro);
                $movimento->setDesconto($desconto);
                $movimento->setValor_total($total);
                $movimento->setForma_pgto($forma);
                $movimento->setDoc($nf);
                $movimento->setObs($observacao);
                $movimento->setExcluido(0);      
                $movimento->save(); */
            //}


            return Redirect::route('estoque.entrada');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.entrada')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
   
    public function deleteEntrada(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('entrada.entrada');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('estoque.entrada')->withErrors('Código vazio.');
            }

            $entrada = Entrada::find($request->id);
            $entrada->delete();

            return Redirect::route('estoque.entrada');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.entrada')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaEntrada(Request $request)
    {
        try
        {
            //$unidade    = Auth::user()->getUnidade();
            $mes        = $request->mes;
            $ano        = $request->ano;
            $palavra    = $request->palavra;
            $fornecedor = $request->fornecedor;
            
            //Seleciona dados da operação
            $sql = "SELECT  e.ENTRA_id              as id, 
                            date_format(e.ENTRA_data,'%d/%m/%Y') as datae, 
                            e.ENTRA_FK_PARC_id      as idfornec, 
                            p.PARC_nome             as fornecedor,
                            ifnull(e.ENTRA_nf,'')   as nf, 
                            ifnull(e.ENTRA_obs,'')  as obs, 
                            e.ENTRA_tipo            as tipo, 
                            ifnull(e.ENTRA_valor_produto,0)     as produto, 
                            ifnull(e.ENTRA_valor_outro,0)       as outro,
                            ifnull(e.ENTRA_valor_desconto,0)    as desconto, 
                            ifnull(e.ENTRA_valor_total,0)       as total
                    FROM    NUTRI_entrada e, NUTRI_parceiro p
                    WHERE   e.ENTRA_FK_PARC_id=p.PARC_id ";
                    // "AND     e.ENTRA_FK_UNID_id=" .$unidade. " ";
                    if($mes!='')
                    {
                        $sql .="AND     month(e.ENTRA_data)=" .$mes. " ";
                    }
                    if($ano!='')
                    {
                        $sql .="AND     year(e.ENTRA_data)=" .$ano. " ";
                    }
                    $sql .="AND     e.ENTRA_tipo='E' ";
                    if($fornecedor!='')
                    {
                        $sql .="AND e.ENTRA_FK_PARC_id=" .$fornecedor. " ";
                    }
                    if($palavra!='')
                    {
                        $sql .="AND (e.ENTRA_nf LIKE  '%" .$palavra. "%'  ";
                        $sql .="OR   e.ENTRA_obs LIKE '%" .$palavra. "%') ";
    
                    }
                    $sql .="ORDER BY e.ENTRA_data";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

    public function ajaxPesquisaItensEntrada(Request $request)
    {
        try
        {
        
            $entrada = $request->entrada;
            
            //Seleciona dados da operação
            $sql = "SELECT  p.PROD_descricao    as produto, 
                            g.GRUPOP_descricao  as grupo, 
                            i.ENTRAI_qtde       as qtde, 
                            i.ENTRAI_preco_custo as preco,
                            round(i.ENTRAI_qtde * i.ENTRAI_preco_custo,2) as total
                    FROM    NUTRI_entrada_item i, 
                            NUTRI_produto p, 
                            TBG_grupo_prod g
                    WHERE   i.ENTRAI_FK_PROD_id = p.PROD_id
                    AND     p.PROD_FK_GRUPOP_id=g.GRUPOP_id ";
                    if($entrada!='')
                    {
                        $sql .="AND     i.ENTRAI_FK_ENTRA_id=" .$entrada. " ";

                    }
                    $sql .="ORDER BY p.PROD_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

    
    public function ajaxPesquisaItensAjuste(Request $request)
    {
        try
        {
        
            $entrada = $request->entrada;
            
            //Seleciona dados da operação
            $sql = "SELECT  p.PROD_descricao    as produto, 
                            g.GRUPOP_descricao  as grupo, 
                            i.ENTRAI_qtde       as qtde,
                            u.UNIDM_sigla       as unid
                    FROM    NUTRI_entrada_item i, 
                            NUTRI_produto p, 
                            TBG_grupo_prod g,
                            TBG_unidade_medida u
                    WHERE   i.ENTRAI_FK_PROD_id = p.PROD_id
                    AND     p.PROD_FK_GRUPOP_id=g.GRUPOP_id 
                    AND     p.PROD_FK_UNIDM_id=u.UNIDM_id ";
                    if($entrada!='')
                    {
                        $sql .="AND     i.ENTRAI_FK_ENTRA_id=" .$entrada. " ";

                    }
                    $sql .="ORDER BY p.PROD_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

}