<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Entrada_item;

class Entrada_itemController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexEntrada_item(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            //$entrada_item = Entrada_item::all();
            return view('cadastro.entrada_item');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function salvarEntrada_item(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('entrada_item.entrada_item');}
        Try
        {
            //$p = Entrada_item::where(Entrada_item::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('entrada_item.entrada_item')->withErrors('Já existe um registro com este código.');
            //}

            $entrada_item = Entrada_item::findOrNew($request->id);
            $entrada_item->setEntrada($request->entrada);
            $entrada_item->setProduto($request->produto);
            $entrada_item->setQtde($request->qtde);
            $entrada_item->setPreco_custo($request->preco_custo);
        
            $entrada_item->save();
            return Redirect::route('cadastro.entrada_item');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.entrada_item')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteEntrada_item(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('entrada_item.entrada_item');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.entrada_item')->withErrors('Código vazio.');
            }

            $entrada_item = Entrada_item::find($request->id);
            $entrada_item->delete();

            return Redirect::route('cadastro.entrada_item');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.entrada_item')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaItensEntrada(Request $request)
    {
        try
        {
        
            $entrada = $request->entrada;
            
            //Seleciona dados da operação
            $sql = "SELECT  p.PROD_descricao    as produto, 
                            g.GRUPOP_descricao  as grupo, 
                            i.ENTRAI_qtde       as qtde, 
                            i.ENTRAI_preco_custo as preco,
                            round(i.ENTRAI_qtde * i.ENTRAI_preco_custo,2) as total
                    FROM    NUTRI_entrada_item i, 
                            NUTRI_produto p, 
                            TBG_grupo_prod g
                    WHERE   i.ENTRAI_FK_PROD_id = p.PROD_id
                    AND     p.PROD_FK_GRUPOP_id=g.GRUPOP_id ";
                    if($entrada!='')
                    {
                        $sql .="AND     i.ENTRAI_FK_ENTRA_id=" .$entrada. " ";

                    }
                    $sql .="ORDER BY p.PROD_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

    
    public function ajaxPesquisaItensAjuste(Request $request)
    {
        try
        {
        
            $entrada = $request->entrada;
            
            //Seleciona dados da operação
            $sql = "SELECT  p.PROD_descricao    as produto, 
                            g.GRUPOP_descricao  as grupo, 
                            i.ENTRAI_qtde       as qtde,
                            u.UNIDM_sigla       as unid
                    FROM    BEAU_entrada_item i, 
                            BEAU_produto p, 
                            TBG_grupo_prod g,
                            TBG_unidade_medida u
                    WHERE   i.ENTRAI_FK_PROD_id = p.PROD_id
                    AND     p.PROD_FK_GRUPOP_id=g.GRUPOP_id 
                    AND     p.PROD_FK_UNIDM_id=u.UNIDM_id ";
                    if($entrada!='')
                    {
                        $sql .="AND     i.ENTRAI_FK_ENTRA_id=" .$entrada. " ";

                    }
                    $sql .="ORDER BY p.PROD_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }


}