<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Mail;
use Illuminate\Http\Request;
use App\Estadia;
use App\Veiculo;
use App\Motorista;
use App\Inspecao;
use App\Ocorrencia;
use Carbon\Carbon;
use App\Exceptions\CurlException;

class EstadiaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexEstadia(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.estadia');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexReceber(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.receber');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }



    public function indexChamar(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.chamar');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexSair(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.sair');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexReceberFab(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.receberfab');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexCaixa(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.caixa');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexImpCaixa(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.impcaixa');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }
    
    public function indexImpRecibo(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.imprecibo');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexImpReciboRoma(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.impreciboroma');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexImpReciboBrasil(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.imprecibobrasil');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexConsEstadia(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('consulta.consestadia');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexConsVira(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('consulta.consultavira');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    
    public function indexConsFinanceiro(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('consulta.consfinanceiro');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indeximpConsEstadia(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('consulta.impconsestadia');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexConsAgenda(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('consulta.consagenda');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }
    
    public function indexAuto(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.autoagenda');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexAvulso(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.avulso');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }
    
    public function indexCarrosel(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.carrosel');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }
    
    public function indexConsPatio(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('consulta.conspatio');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    
    public function indexConsTransito(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('consulta.constransito');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexConsCarga(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('consulta.conscarga');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexConsDescarga(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('consulta.consdescarga');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }
    
    public function indexConsChamado(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('consulta.conschamado');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexManutencao(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.manutencao');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarAgenda(Request $request)
    {
        Try
        {
            $idestadia  = $request->idestadia;
            $placa      = strtoupper($request->placa); 
            $placa_carreta = strtoupper($request->placa_carreta); 
            $marca      = strtoupper($request->marca);
            $modelo     = strtoupper($request->modelo); 
            $cpf        = $request->cpf; 
            $nome       = strtoupper($request->nome); 
            $celular    = $request->celular; 
            $cnh        = $request->cnh;
            $categoria  = strtoupper($request->categoria); 
            $cliente    = $request->cliente; 
            $produto    = $request->produto; 
            $qtde       = $request->qtde; 
            $pedido     = $request->pedido; 
            $tipo_carga = $request->tipo_carga; 
            $data_prev  = $request->data; 
            $hora_prev  = $request->hora; 
            //$data_prev  = Carbon::createFromFormat('d/m/Y', $request->data)->format('Y-m-d');
            $destino    = $request->destino; 
            $transp     = $request->transp;
            $obs        = $request->obs;
            $idveiculo  = $request->veiculo;
            $idmotorista= $request->motorista;
            $status     = 'AG';     //Status = Agendado
            $unidade    =  Auth::user()->getUnidade();
            $formula    = $request->formula;
            $tipov      = $request->tipov;
            $operacao   = $request->operacao;

            //testa id do veiculo
            if($idveiculo=='0')
            {
                //cria novo veiculo
                $veiculo = New Veiculo;
                $veiculo->setPlaca_cavalo($placa);
                $veiculo->setPlaca_carreta($placa_carreta);
                $veiculo->setMarca($marca);
                $veiculo->setModelo($modelo);
                $veiculo->setTipo($tipov);
                $veiculo->save();
                $idveiculo = $veiculo->getId();
            }
            else 
            {
                //atualiza somente a placa da carreta
                $veiculo = Veiculo::findOrNew($idveiculo);
                $veiculo->setPlaca_carreta($placa_carreta);
                $veiculo->save();
            }

            //teste id do motorista
            if($idmotorista=='0')
            {
                //cria novo motorista
                $motorista = new Motorista;
                $motorista->setNome($nome);
                $motorista->setCpf($cpf);
                $motorista->setCelular($celular);
                $motorista->setCnh($cnh);
                $motorista->setCategoria($categoria);
                $motorista->save();
                $idmotorista = $motorista->getId();
            }
            else 
            {
                //atualiza somente o celular
                $motorista = Motorista::findOrNew($idmotorista);
                $motorista->setCelular($celular);
                $motorista->save();
            }

            $estadia = Estadia::findOrNew($idestadia);
            $estadia->setCliente($cliente);
            $estadia->setVeiculo($idveiculo);
            $estadia->setMotorista($idmotorista);
            $estadia->setProduto($produto);
            $estadia->setDestino($destino);
            $estadia->setTransportador($transp);
            $estadia->setData_prev($data_prev);
            $estadia->setHora_prev($hora_prev);
            //$estadia->setData_entrada($data_entrada);
            //$estadia->setData_chamada($data_chamada);
            //$estadia->setFoi_chamado($foi_chamado);
            //$estadia->setDatta_saida($data_saida);
            $estadia->setStatus($status);
            $estadia->setQtde($qtde);
            $estadia->setPedido($pedido);
            $estadia->setObs($obs);
            $estadia->setTipo_carga($tipo_carga);
            $estadia->setUnidade($unidade);
            $estadia->setOperacao($operacao);
            if($tipo_carga=='GR' || $tipo_carga=='BG' || $tipo_carga=='SA')   //Se for Granel, Bag ou Sacaria grava a formula
            {
                $estadia->setFormula($formula);
            }
            else
            {
                $estadia->setFormula('');
            }
        
            $estadia->save();

            //PEGA O ID ATUAL DA ESTADIA
            $idestadia = $estadia->getId();

            return Redirect::route('patio.estadia');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.estadia')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxSalvarAvulso(Request $request)
    {
        Try
        {
            $idestadia  = $request->idestadia;
            $placa      = strtoupper($request->placa); 
            $placa_carreta = strtoupper($request->placa_carreta); 
            $marca      = strtoupper($request->marca);
            $modelo     = strtoupper($request->modelo); 
            $cpf        = $request->cpf; 
            $nome       = strtoupper($request->nome); 
            $celular    = $request->celular; 
            $cnh        = $request->cnh;
            $categoria  = strtoupper($request->categoria);  //categoria da cnh do motora
            //$cliente    = $request->cliente; 
            //$produto    = $request->produto; 
            $qtde       = $request->qtde; 
            $pedido     = $request->pedido; 
            $tipo_carga = $request->tipo_carga; 
            $data_prev  = $request->data; 
            $hora_prev  = $request->hora; 
            //$data_prev  = Carbon::createFromFormat('d/m/Y', $request->data)->format('Y-m-d');
            $destino    = $request->destino; 
            //$transp     = $request->transp;
            $obs        = $request->obs;
            $idveiculo  = $request->veiculo;
            $idmotorista= $request->motorista;
            $status     = $request->status;
            $data_entrada=$request->dataentrada;
            $avulso     = '1';
            $unidade    =  Auth::user()->getUnidade();
            $tipo       = $request->tipo;
            
            $formula    = '';       //$request->formula;
            $operacao   = 'C';      //$request->operacao;

            //codigos parametrizados
            $tipo=      Util::GetParametro("TIPOV");        //tipo de veiculo padrao
            $produto=   Util::GetParametro("PROD");        //pega o codigo de produto padrao
            $transp =   Util::GetParametro("TRANSP");      //pega o codigo de transportador padrao
            //$cliente=    Util::GetParametro("CLIENT");      //pega o codigo de cliente padrao

            IF($unidade =='1')  //Soene
            {
                $cliente = Util::GetParametro("CLIENT"); 
                $categest =  Util::GetParametro("CATEG");   //categoria da estadia
            }
            else if($unidade == '2')              //Roma
            {
                $cliente=    Util::GetParametro("CLIENR"); 
                $categest =  Util::GetParametro("CATEGR"); 
            }
            else if($unidade == '3')              //Interbras
            {
                $cliente=    Util::GetParametro("CLIENB"); 
                $categest =  Util::GetParametro("CATEGB"); 
            }

            //testa id do veiculo
            if($idveiculo=='0')
            {
                //cria novo veiculo
                $veiculo = New Veiculo;
                $veiculo->setPlaca_cavalo($placa);
                $veiculo->setPlaca_carreta($placa_carreta);
                $veiculo->setMarca($marca);
                $veiculo->setModelo($modelo);
                $veiculo->setTipo($tipo);
                $veiculo->save();
                $idveiculo = $veiculo->getId();
            }
            else 
            {
                //atualiza somente a placa da carreta e tipo
                $veiculo = Veiculo::findOrNew($idveiculo);
                $veiculo->setPlaca_carreta($placa_carreta);
                $veiculo->setTipo($tipo);
                $veiculo->save();
            }

            //teste id do motorista
            if($idmotorista=='0')
            {
                //cria novo motorista
                $motorista = new Motorista;
                $motorista->setNome($nome);
                $motorista->setCpf($cpf);
                $motorista->setCelular($celular);
                $motorista->setCnh($cnh);
                $motorista->setCategoria($categoria);
                $motorista->save();
                $idmotorista = $motorista->getId();
            }
            else 
            {
                //atualiza somente o celular
                $motorista = Motorista::findOrNew($idmotorista);
                $motorista->setCelular($celular);
                $motorista->save();
            }

            $estadia = Estadia::findOrNew($idestadia);
            $estadia->setCliente($cliente);
            $estadia->setVeiculo($idveiculo);
            $estadia->setMotorista($idmotorista);
            $estadia->setProduto($produto);
            $estadia->setDestino($destino);
            $estadia->setTransportador($transp);
            $estadia->setData_prev($data_prev);
            $estadia->setHora_prev($hora_prev);
            $estadia->setData_entrada($data_entrada);
            $estadia->setStatus($status);
            $estadia->setQtde($qtde);
            $estadia->setPedido($pedido);
            $estadia->setObs($obs);
            $estadia->setTipo_carga($tipo_carga);
            $estadia->setAvulso($avulso);
            $estadia->setUnidade($unidade);
            $estadia->setOperacao($operacao);
            $estadia->setCategoria($categest);
            if($formula!='')
            {
                $estadia->setFormula($formula);
            }
        
            $estadia->save();
            return Redirect::route('patio.avulso');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.avulso')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }


    public function ajaxSalvarVira(Request $request)
    {
        Try
        {
            $idestadia  = $request->idestadia;
            $placa      = strtoupper($request->placa); 
            $placa_carreta = strtoupper($request->placa_carreta); 
            $marca      = strtoupper($request->marca);
            $modelo     = strtoupper($request->modelo); 
            $cpf        = $request->cpf; 
            $nome       = strtoupper($request->nome); 
            $celular    = $request->celular; 
            $cnh        = $request->cnh;
            $vira       = '1';
            $categoria  = strtoupper($request->categoria);  //categoria da cnh do motora
            //$cliente    = $request->cliente; 
            //$produto    = $request->produto; 
            $qtde       = $request->qtde; 
            $pedido     = $request->pedido; 
            $tipo_carga = $request->tipo_carga; 
            $data_prev  = $request->data; 
            $hora_prev  = $request->hora; 
            //$data_prev  = Carbon::createFromFormat('d/m/Y', $request->data)->format('Y-m-d');
            //$destino    = $request->destino; 
            $transp     = $request->transp;
            $obs        = $request->obs;
            $idveiculo  = $request->veiculo;
            $idmotorista= $request->motorista;
            $status     = $request->status;
            $data_entrada=$request->dataentrada;
            $avulso     = '1';
            $unidade    =  Auth::user()->getUnidade();
            $tipo       = $request->tipo;
            //$navio   = $request->navio;
            
            $formula    = '';       //$request->formula;
            $operacao   = 'C';      //$request->operacao;

            //codigos parametrizados
            $tipo=      Util::GetParametro("TIPOV");        //tipo de veiculo padrao
            $produto=   Util::GetParametro("PROD");        //pega o codigo de produto padrao
            $destino  =   Util::GetParametro("DEST");      //pega o codigo de transportador padrao
            //$cliente=    Util::GetParametro("CLIENT");      //pega o codigo de cliente padrao

            IF($unidade =='1')  //Soene
            {
                $cliente = Util::GetParametro("CLIENT"); 
                $categest =  Util::GetParametro("CATEG");   //categoria da estadia
            }
            else if($unidade == '2')              //Roma
            {
                $cliente=    Util::GetParametro("CLIENR"); 
                $categest =  Util::GetParametro("CATEGR"); 
            }
            else if($unidade == '3')              //Interbras
            {
                $cliente=    Util::GetParametro("CLIENB"); 
                $categest =  Util::GetParametro("CATEGB"); 
            }

            //testa id do veiculo
            if($idveiculo=='0')
            {
                //cria novo veiculo
                $veiculo = New Veiculo;
                $veiculo->setPlaca_cavalo($placa);
                $veiculo->setPlaca_carreta($placa_carreta);
                $veiculo->setMarca($marca);
                $veiculo->setModelo($modelo);
                $veiculo->setTipo($tipo);
                $veiculo->setTransportadora($transp);
                $veiculo->save();
                $idveiculo = $veiculo->getId();
            }
            else 
            {
                //atualiza somente a placa da carreta e tipo
                $veiculo = Veiculo::findOrNew($idveiculo);
                $veiculo->setPlaca_carreta($placa_carreta);
                $veiculo->setTipo($tipo);
                $veiculo->save();
            }

            //teste id do motorista
            if($idmotorista=='0')
            {
                //cria novo motorista
                $motorista = new Motorista;
                $motorista->setNome($nome);
                $motorista->setCpf($cpf);
                $motorista->setCelular($celular);
                $motorista->setCnh($cnh);
                $motorista->setCategoria($categoria);
                $motorista->save();
                $idmotorista = $motorista->getId();
            }
            else 
            {
                //atualiza somente o celular
                $motorista = Motorista::findOrNew($idmotorista);
                $motorista->setCelular($celular);
                $motorista->save();
            }

            $estadia = Estadia::findOrNew($idestadia);
            $estadia->setCliente($cliente);
            $estadia->setVeiculo($idveiculo);
            $estadia->setMotorista($idmotorista);
            $estadia->setProduto($produto);
            $estadia->setDestino($destino);
            $estadia->setVira($vira);
            $estadia->setTransportador($transp);
            $estadia->setData_prev($data_prev);
            $estadia->setHora_prev($hora_prev);
            $estadia->setData_entrada($data_entrada);
            $estadia->setStatus($status);
            $estadia->setQtde($qtde);
            $estadia->setPedido($pedido);
            $estadia->setObs($obs);
            $estadia->setTipo_carga($tipo_carga);
            $estadia->setAvulso($avulso);
            $estadia->setUnidade($unidade);
            $estadia->setOperacao($operacao);
            //$estadia->setNavio($navio);
            $estadia->setCategoria($categest);
            if($formula!='')
            {
                $estadia->setFormula($formula);
            }
        
            $estadia->save();
            return Redirect::route('patio.carrosel');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.carrosel')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }


    public function ajaxSalvarAutoAgenda(Request $request)
    {
        Try
        {
            $id         = 0;
            $resultado  = 0;
            $entrou = '';
            $sql='SELECT * FROM SGP_inspecao';
            $teste = '';

            $idestadia  = $request->idestadia;
            $placa      = strtoupper($request->placa); 
            $placa_carreta = strtoupper($request->placa_carreta); 
            $marca      = strtoupper($request->marca);
            $modelo     = strtoupper($request->modelo); 
            $cpf        = $request->cpf; 
            $nome       = strtoupper($request->nome); 
            $celular    = $request->celular; 
            $cnh        = $request->cnh;
            $categoria  = strtoupper($request->categoria); 
            $cliente    = $request->cliente; 
            $produto    = $request->produto; 
            $qtde       = $request->qtde; 
            $pedido     = $request->pedido; 
            $tipo_carga = $request->tipo_carga; 
            $data_prev  = $request->data; 
            $hora_prev  = $request->hora; 
            //$data_prev  = Carbon::createFromFormat('d/m/Y', $request->data)->format('Y-m-d');
            $destino    = $request->destino; 
            $transp     = $request->transp;
            $obs        = $request->obs;
            $idveiculo  = $request->veiculo;
            $idmotorista= $request->motorista;
            $status     = $request->status;
            $data_entrada=$request->dataentrada;
            $unidade    =  Auth::user()->getUnidade();
            $tipo       = $request->tipo;
            $formula    = $request->formula;
            $operacao   = $request->operacao;
            $inspecao   = $request->inspecao;
            
            $avulso     = '0';
            if($cliente=='7' || $cliente=='31')
            {
                $avulso = '1';
            }

            //testa id do veiculo
            if($idveiculo=='0')
            {
                //cria novo veiculo
                $veiculo = New Veiculo;
                $veiculo->setPlaca_cavalo($placa);
                $veiculo->setPlaca_carreta($placa_carreta);
                $veiculo->setMarca($marca);
                $veiculo->setModelo($modelo);
                $veiculo->setTipo($tipo);
                $veiculo->save();
                $idveiculo = $veiculo->getId();
            }
            else 
            {
                //atualiza somente a placa da carreta
                $veiculo = Veiculo::findOrNew($idveiculo);
                $veiculo->setPlaca_carreta($placa_carreta);
                $veiculo->setTipo($tipo);
                $veiculo->save();
            }

            //teste id do motorista
            if($idmotorista=='0')
            {
                //cria novo motorista
                $motorista = new Motorista;
                $motorista->setNome($nome);
                $motorista->setCpf($cpf);
                $motorista->setCelular($celular);
                $motorista->setCnh($cnh);
                $motorista->setCategoria($categoria);
                $motorista->save();
                $idmotorista = $motorista->getId();
            }
            else 
            {
                //atualiza somente o celular
                $motorista = Motorista::findOrNew($idmotorista);
                $motorista->setCelular($celular);
                $motorista->save();
            }


            $estadia = Estadia::findOrNew($idestadia);
            $estadia->setCliente($cliente);
            $estadia->setVeiculo($idveiculo);
            $estadia->setMotorista($idmotorista);
            $estadia->setProduto($produto);
            $estadia->setDestino($destino);
            $estadia->setTransportador($transp);
            $estadia->setData_prev($data_prev);
            $estadia->setHora_prev($hora_prev);
            $estadia->setData_entrada($data_entrada);
            $estadia->setStatus($status);
            $estadia->setQtde($qtde);
            $estadia->setPedido($pedido);
            $estadia->setObs($obs);
            $estadia->setTipo_carga($tipo_carga);
            $estadia->setUnidade($unidade);
            $estadia->setOperacao($operacao);
            $estadia->setAvulso($avulso);
            if($formula!='')
            {
                $estadia->setFormula($formula);
            }
            $estadia->save();

            $idestadia = $estadia->getId();     //pega o ID da estadia

            
            

            //cria um registro na Inspeção se o tipo de carga for GR (granel) ou BG (bags)
            //if(($tipo_carga=='GR' || $tipo_carga=='BG' || $tipo_carga=='SA') && $inspecao=='1')     //PARA TODOS OS POSTOS
            if($inspecao=='1')     //PARA TODOS OS POSTOS
            {
                
                $idinspecao = 0;
                $status = 'PENDENTE';
                
                $teste = "INSERT INTO SGP_inspecao (INSP_FK_ESTA_id, INSP_FK_UNID_id, INSP_data, INSP_tipocarga, INSP_status) VALUES(" .$idestadia. "," .$unidade. ",date('" .$data_prev. "'),'" .$tipo_carga.  "','" .$status. "')";
                $resultado =\DB::insert($teste);
                
                if($idestadia!='')
                {
                    $teste = "UPDATE SGP_estadia ";
                    $teste .="SET ESTA_status_inspecao='" .$status. "' WHERE ESTA_id=" .$idestadia. " ";
                    //$teste .="SET ESTA_status_inspecao='" .$status. "', ESTA_FK_INSP_id=(SELECT INSP_id FROM SGP_inspecao WHERE INSP_FK_ESTA_id=" .$idestadia. ") WHERE ESTA_id=" .$idestadia. " ";
                    $resultado =\DB::update($teste);
                }
            }

            //grava log
            $texto = 'Incluiu a estadia da Placa: ' .$placa. ' - Motorista: ' .$nome. ' - CPF: ' .$cpf. '';
            Util::Log($texto);

            return response()->json(["id estadia"=>$idestadia, "id inspecao"=>$id, "resultado update"=>$resultado]);
            //return Redirect::route('patio.autoagenda');
        }
        catch(\exception $ex)
        {
            //return response()->json(["error"=>$ex]);
            //return Redirect::route('patio.autoagenda')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }


    public function ajaxSalvarEstadia(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('patio.estadia');}

        Try
        {
            //$p = Estadia::where(Estadia::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('patio.estadia')->withErrors('Já existe um registro com este código.');
            //}
            $idestadia  = $request->idestadia; 
            $placa      = $request->placa; 
            $placa_carreta = $request->placa_carreta; 
            $marca      = $request->marca;
            $modelo     = $request->modelo; 
            $tipo       = $request->tipo; 
            $cpf        = $request->cpf; 
            $nome       = $request->nome; 
            $celular    = $request->celular; 
            $cnh        = $request->cnh;
            $categoria  = $request->categoria; 
            $cliente    = $request->cliente; 
            $produto    = $request->produto; 
            $qtde       = $request->qtde; 
            $pedido     = $request->pedido; 
            $tipo_carga = $request->tipo_carga; 
            $data_prev  = $request->data; 
            $destino    = $request->destino; 
            $transp     = $request->transp;
            $veiculo    = $request->veiculo;
            $motorista  = $request->motorista;
            $unidade    =  Auth::user()->getUnidade();
            $formula    = $request->formula;
            $operacao   = $request->tipooper; 
            $avulso     = '0';
            if($cliente=='7' || $cliente=='31')
            {
                $avulso = '1';
            }
            
            $estadia = Estadia::findOrNew($id);
            $estadia->setCliente($cliente);
            $estadia->setVeiculo($veiculo);
            $estadia->setMotorista($motorista);
            $estadia->setProduto($produto);
            $estadia->setDestino($destino);
            $estadia->setTransportador($transportador);
            $estadia->setData_prev($data_prev);
            $estadia->setData_entrada($data_entrada);
            $estadia->setData_chamada($data_chamada);
            $estadia->setFoi_chamado($foi_chamado);
            $estadia->setDatta_saida($datta_saida);
            $estadia->setStatus($status);
            $estadia->setQtde($qtde);
            $estadia->setPedido($pedido);
            $estadia->setObs($obs);
            $estadia->setTipo_carga($tipo_carga);
            $estadia->setOperacao($operacao);
            $estadia->setFormula($formula);
            $estadia->setAvulso($avulso);

            $estadia->setUnidade($unidade);
            if($tipo_carga=='GR' || $tipo_carga=='BG' || $tipo_carga=='SA')   //Se for Granel grava a formula
            {
                $estadia->setFormula($formula);
            }
            else
            {
                $estadia->setFormula('');
            }

            $estadia->save();
            return Redirect::route('patio.estadia');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.estadia')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
    
    public function deleteEstadia(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('patio.estadia');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('patio.estadia')->withErrors('Código vazio.');
            }

            $estadia = Estadia::find($request->id);
            $estadia->delete();

            return Redirect::route('patio.estadia');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.estadia')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarAgendados(Request $request)
    {
        try
        {
            $cliente = $request->cliente;
            $status  = 'AG';    //$request->status;
            $unidade =  Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            upper(c.CLIE_nome )        as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,                          
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')       as formula,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            e.ESTA_FK_PROD_id   as idproduto, 
                            upper(p.PROD_descricao)    as produto, 
                            e.ESTA_FK_TRAN_id   as idtransportador, 
                            upper(t.TRAN_nome)         as transportador,
                            e.ESTA_FK_DEST_id   as iddestino, 
                            upper(d.DEST_descricao)    as destino,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')     as dataprev,
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y'),'')    as datasaida, 
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            e.ESTA_status               as status,
                            ifnull(e.ESTA_qtde,'')      as qtde,
                            ifnull(e.ESTA_pedido,'')    as pedido,
                            ifnull(e.ESTA_obs,'')       as obs,
                            ifnull(e.ESTA_tipo_carga,'') as tipocarga,
                            v.VEIC_FK_TIPOV_id as tipov,
                            ifnull(ESTA_prioridade,'') as prioridade,
                            e.ESTA_vira as vira
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_destino     d
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND e.ESTA_FK_UNID_id=" .$unidade. " ";
            if($status!='')
            {
                $sql .= "AND     e.ESTA_status = '" .$status. "' ";
            }
            if($cliente!='')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            $sql .= "ORDER BY e.ESTA_data_prev, e.ESTA_hora_prev";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    
    public function ajaxPesquisarPatio(Request $request)
    {
        try
        {
            $cliente = $request->cliente;
            $status  = 'PA';    //$request->status;
            $unidade =  Auth::user()->getUnidade();
            $destino = $request->destino;
            $usuario =  Auth::user()->getId();
            $transp  =  Auth::user()->getTransp();

            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            upper(c.CLIE_nome )        as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,
                            ifnull(v.VEIC_FK_TIPOV_id,'0')  as tipov,
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')     as formula,
                            e.ESTA_FK_PROD_id   as idproduto, 
                            upper(p.PROD_descricao)    as produto, 
                            e.ESTA_FK_TRAN_id   as idtransportador, 
                            upper(t.TRAN_nome)         as transportador,
                            e.ESTA_FK_DEST_id   as iddestino, 
                            upper(d.DEST_descricao)    as destino,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')     as dataprev,
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y'),'')    as datasaida, 
                            ifnull(date_format(e.ESTA_data_entrada,'%d/%m/%Y'),'')  as dataentrada,
                            ifnull(date_format(e.ESTA_data_entrada,'%d/%m/%Y %H:%i'),'')  as dataentrada2,
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            ifnull(e.ESTA_chamado_por,'')   as chamadopor,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            e.ESTA_status               as status,
                            ifnull(e.ESTA_qtde,'')      as qtde,
                            ifnull(e.ESTA_pedido,'')    as pedido,
                            ifnull(e.ESTA_obs,'')       as obs,
                            ifnull(e.ESTA_tipo_carga,'') as tipocarga,
                            ifnull(e.ESTA_formula,'')       as formula,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao,
                            tv.TIPOV_descricao              as tipoveiculo,
                            (SELECT COUNT(*) FROM SGP_ocorrencia WHERE OCOR_FK_ESTA_id=ESTA_id) as qtde_ocorr,
                            ifnull(ESTA_bloqueio,'0') as bloqueio,
                            ifnull(ESTA_motivo_bloqueio,'') as motivo,
                            ifnull(ESTA_prioridade,'') as prioridade,
                            e.ESTA_vira as vira
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_tipo_veiculo tv,
                            SGP_destino     d
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     v.VEIC_FK_TIPOV_id=tv.TIPOV_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND e.ESTA_FK_UNID_id=" .$unidade. " ";
            if($destino!='')
            {
                $sql .="AND e.ESTA_FK_DEST_id=" .$destino. " ";
            }
            
            if($status!='')
            {
                $sql .= "AND     e.ESTA_status = '" .$status. "' ";
            }
            if($cliente!='')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            if($transp!='')
            {
                $sql .= "AND     e.ESTA_FK_TRAN_id = " .$transp. " ";
            }
            $sql .= "ORDER BY e.ESTA_data_entrada";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    
    public function ajaxPesquisarTransito(Request $request)
    {
        try
        {
            $cliente = Auth::user()->getCliente();
            $transp  = Auth::user()->getTransp();
            $status  = 'ET';    //$request->status;
            $unidade =  Auth::user()->getUnidade();
            $usuario =  Auth::user()->getId();

            if($cliente=='' || $cliente==null)
            {
                $cliente='0';
            }

            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            upper(c.CLIE_nome )        as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,
                            ifnull(v.VEIC_FK_TIPOV_id,'0')  as tipov,
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')     as formula,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            e.ESTA_FK_PROD_id   as idproduto, 
                            upper(p.PROD_descricao)    as produto, 
                            e.ESTA_FK_TRAN_id   as idtransportador, 
                            upper(t.TRAN_nome)         as transportador,
                            e.ESTA_FK_DEST_id   as iddestino, 
                            upper(d.DEST_descricao)    as destino,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')     as dataprev,
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y'),'')    as datasaida, 
                            ifnull(date_format(e.ESTA_data_entrada,'%d/%m/%Y'),'')  as dataentrada,
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            ifnull(e.ESTA_chamado_por,'')   as chamadopor,
                            e.ESTA_status               as status,
                            ifnull(e.ESTA_qtde,'')      as qtde,
                            ifnull(e.ESTA_pedido,'')    as pedido,
                            ifnull(e.ESTA_obs,'')       as obs,
                            ifnull(e.ESTA_tipo_carga,'') as tipocarga,
                            ifnull(e.ESTA_formula,'')       as formula,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao,
                            tv.TIPOV_descricao              as tipoveiculo,
                            e.ESTA_vira                       as vira
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_tipo_veiculo tv,
                            SGP_destino     d
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     v.VEIC_FK_TIPOV_id=tv.TIPOV_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND e.ESTA_FK_UNID_id=" .$unidade. " ";
           
            if($status!='')
            {
                $sql .= "AND     e.ESTA_status = '" .$status. "' ";
            }
            if($cliente>'0')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            if($transp!='')
            {
                $sql .= "AND     e.ESTA_FK_TRAN_id = " .$transp. " ";
            }
            $sql .= "ORDER BY e.ESTA_data_entrada";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxSalvarReceberFab(Request $request)
    {
        Try
        {
            $idestadia  = $request->idestadia;
            $status     = 'FN';     //Status = Finalizado na fábrica (cliente)
            
            $unidade =  Auth::user()->getUnidade();

            $estadia = Estadia::findOrNew($idestadia);
            $estadia->setStatus($status);
            
            $estadia->save();

            return Redirect::route('patio.receberfab');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.receberfab')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }


    public function ajaxSalvarReceber(Request $request)
    {
        Try
        {
            $idestadia  = $request->idestadia;
            $entrada    = $request->entrada; 
            $tipocarga  = $request->tipocarga;
            $status     = 'PA';     //Status = No Pátio
            $teste = '';

            $unidade =  Auth::user()->getUnidade();

            $estadia = Estadia::findOrNew($idestadia);
            $estadia->setData_entrada($entrada);
            $estadia->setStatus($status);
            
            $estadia->save();

            $idestadia = $estadia->getId();     //pega o ID da estadia

            //cria um registro na Inspeção se o tipo de carga for GR (granel) ou BG (bags)
            if(($tipocarga=='GR' || $tipocarga=='BG' || $tipocarga=='SA') && $idestadia > 0)     //mudado para todos os Postos 28/08/2022 --- SOMENTE PARA O ROMA
            {
                $inspecao = 0;
                $status = 'PENDENTE';

                $teste = "INSERT INTO SGP_inspecao (INSP_FK_ESTA_id, INSP_FK_UNID_id, INSP_data, INSP_tipocarga, INSP_status) VALUES(" .$idestadia. "," .$unidade. ",date('" .$entrada. "'),'" .$tipocarga.  "','" .$status. "')";
                $resultado =\DB::insert($teste);
 
                
                if($idestadia!='')
                {
                    $teste = "UPDATE SGP_estadia ";
                    $teste .="SET ESTA_status_inspecao='" .$status. "' WHERE ESTA_id=" .$idestadia. " ";
                    //$teste .="SET ESTA_status_inspecao='" .$status. "', ESTA_FK_INSP_id=(SELECT INSP_id FROM SGP_inspecao WHERE INSP_FK_ESTA_id=" .$idestadia. ") WHERE ESTA_id=" .$idestadia. " ";
                    $resultado =\DB::update($teste);
                }

            }


            return Redirect::route('patio.receber');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.receber')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarReceber(Request $request)
    {
        try
        {
            $cliente = $request->cliente;
            $status  = 'AG';
            $unidade =  Auth::user()->getUnidade();
            if($cliente=='0')
            {
                $cliente='';
            }

            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            upper(c.CLIE_nome ) as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,
                            ifnull(v.VEIC_FK_TIPOV_id,'')   as tipov,
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')     as formula,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            e.ESTA_FK_PROD_id           as idproduto, 
                            upper(p.PROD_descricao)     as produto, 
                            e.ESTA_FK_TRAN_id           as idtransportador, 
                            upper(t.TRAN_nome)          as transportador,
                            e.ESTA_FK_DEST_id           as iddestino, 
                            upper(d.DEST_descricao)     as destino,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')     as dataprev,
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y'),'')    as datasaida, 
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            e.ESTA_status               as status,
                            ifnull(e.ESTA_qtde,'')      as qtde,
                            ifnull(e.ESTA_pedido,'')    as pedido,
                            ifnull(e.ESTA_obs,'')       as obs,
                            ifnull(e.ESTA_formula,'')   as formula,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao,
                            ifnull(e.ESTA_tipo_carga,'')    as tipocarga,
                            ifnull(ESTA_prioridade,'') as prioridade,
                            e.ESTA_vira                     as vira
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_destino     d
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND     e.ESTA_FK_UNID_id=" .$unidade. " ";
            if($status!='')
            {
                $sql .= "AND     e.ESTA_status = '" .$status. "' ";
            }
            if($cliente!='')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            $sql .= "ORDER BY e.ESTA_data_entrada";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisarChamada(Request $request)
    {
        try
        {
            $cliente  = $request->cliente;
            $status   = 'PA';
            $ordem    = $request->ordem;
            $unidade  =  Auth::user()->getUnidade();
            $destino  =  Auth::user()->getDestino();
            $usuario  =  Auth::user()->getId();
            $transp   =  Auth::user()->getTransp();
            $formula  = $request->formula;
            $inspecao = $request->inspecao;

            if($cliente=='0')
            {
                $cliente='';
            }

            if($cliente=='')
            {
                $cliente = Auth::user()->getCliente();
            }

            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            upper(c.CLIE_nome ) as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,
                            ifnull(v.VEIC_FK_TIPOV_id,'0')  as tipov,
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')     as formula,
                            e.ESTA_FK_PROD_id           as idproduto, 
                            upper(p.PROD_descricao)     as produto, 
                            e.ESTA_FK_TRAN_id           as idtransportador, 
                            upper(t.TRAN_nome)          as transportador,
                            e.ESTA_FK_DEST_id           as iddestino, 
                            upper(d.DEST_descricao)     as destino,
                            ifnull(e.ESTA_FK_INSP_id,0) as inspecao,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')     as dataprev,
                            ifnull(date_format(e.ESTA_data_entrada,'%d/%m/%Y %H:%i:%s'),'')  as dataentrada, 
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y %H:%i:%s'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y %H:%i:%s'),'')    as datasaida, 
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            ifnull(e.ESTA_chamado_por,'')   as chamadopor,
                            e.ESTA_status                   as status,
                            ifnull(e.ESTA_qtde,'')          as qtde,
                            ifnull(e.ESTA_pedido,'')        as pedido,
                            ifnull(e.ESTA_obs,'')           as obs,
                            ifnull(e.ESTA_tipo_carga,'')    as tipocarga,
                            ifnull(e.ESTA_formula,'')       as formula,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao,
                            ifnull(e.ESTA_avulso,'0')       as avulso,
                            e.ESTA_FK_UNID_id               as unidade,
                            tv.TIPOV_descricao              as tipoveiculo,
                            (SELECT COUNT(*) FROM SGP_ocorrencia WHERE OCOR_FK_ESTA_id=ESTA_id) as qtde_ocorr,
                            ifnull(ESTA_bloqueio,'0') as bloqueio,
                            ifnull(ESTA_motivo_bloqueio,'') as motivo,
                            ifnull(ESTA_prioridade,'')      as prioridade,
                            e.ESTA_vira                     as vira
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_destino     d,
                            SGP_tipo_veiculo tv
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     v.VEIC_FK_TIPOV_id=tv.TIPOV_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND     e.ESTA_FK_UNID_id=" .$unidade. " ";
            if($status!='')
            {
                $sql .= "AND     e.ESTA_status = '" .$status. "' ";
            }
            if($cliente!='')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            if($transp!='')
            {
                $sql .= "AND     e.ESTA_FK_TRAN_id = " .$transp. " ";
            }
            if($inspecao=='1')
            {
                $sql .= "AND     (e.ESTA_status_inspecao = 'APROVADO' OR e.ESTA_tipo_operacao='D') "; 
            }
            
            if($formula!='')
            {
                $sql .= "AND     (e.ESTA_formula LIKE '%" .$formula. "%') ";
            }
            if($ordem=='1')
            {
                $sql .="ORDER BY e.ESTA_data_entrada";
            }
            else if($ordem=='2')
            {
                $sql .="ORDER BY e.ESTA_data_entrada desc";
            }
            else if($ordem=='3')
            {
                $sql .="ORDER BY e.ESTA_data_prev, e.ESTA_hora_prev";
            }
            else if($ordem=='4')
            {
                $sql .="ORDER BY v.VEIC_placa_cavalo";
            }
            else
            {
                $sql .="ORDER BY e.ESTA_data_entrada";
            }
            
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisarConsChamada(Request $request)
    {
        try
        {
            $cliente = $request->cliente;
            $status  = 'PA';
            $unidade =  Auth::user()->getUnidade();
            $usuario =  Auth::user()->getId();
            $transp =  Auth::user()->getTransp();
            
            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            upper(c.CLIE_nome ) as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,
                            ifnull(v.VEIC_FK_TIPOV_id,'0')  as tipov,
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')     as formula,
                            e.ESTA_FK_PROD_id           as idproduto, 
                            upper(p.PROD_descricao)     as produto, 
                            e.ESTA_FK_TRAN_id           as idtransportador, 
                            upper(t.TRAN_nome)          as transportador,
                            e.ESTA_FK_DEST_id           as iddestino, 
                            upper(d.DEST_descricao)     as destino,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')     as dataprev,
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y %H:%i:%s'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y %H:%i:%s'),'')    as datasaida, 
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            ifnull(e.ESTA_chamado_por,'')   as chamadopor,
                            e.ESTA_status               as status,
                            ifnull(e.ESTA_qtde,'')      as qtde,
                            ifnull(e.ESTA_pedido,'')    as pedido,
                            ifnull(e.ESTA_obs,'')       as obs,
                            ifnull(e.ESTA_formula,'')       as formula,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao,
                            ifnull(e.ESTA_tipo_carga,'')    as tipocarga,
                            ifnull(ESTA_prioridade,'') as prioridade,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            e.ESTA_vira                     as vira,
                            (SELECT COUNT(*) FROM SGP_ocorrencia WHERE OCOR_FK_ESTA_id=ESTA_id) as qtde_ocorr
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_destino     d
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id 
                    AND     e.ESTA_foi_chamado = 1 ";
            $sql .="AND     e.ESTA_FK_UNID_id=" .$unidade. " ";
            if($status!='')
            {
                $sql .= "AND     e.ESTA_status = '" .$status. "' ";
            }
            if($cliente!='')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            if($transp!='')
            {
                $sql .= "AND     e.ESTA_FK_TRAN_id = " .$transp. " ";
            }
            $sql .= "ORDER BY e.ESTA_data_entrada";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxSalvarChamada(Request $request)
    {
        Try
        {
            $idestadia  = $request->idestadia;
            $chamada    = $request->chamada; 
            $motorista  = $request->nome;
            $placa      = $request->placa;
            $destino    = $request->destino;
            $celular    = $request->celular;
            $chamadopor = Auth::user()->getLogin();
            $unidade = Auth::user()->getUnidade();

            $corpo = "SIGP INFORMA! ATENCAO SR(A) MOTORISTA: " .$motorista. ", PLACA: " .$placa. ". FAVOR COMPARECER A SALA DE TRIAGEM.";

            //if($unidade=='1')
            //{
            //    return Redirect::route('patio.chamar');
            //}

            $estadia = Estadia::findOrNew($idestadia);
            $estadia->setData_chamada($chamada);
            $estadia->setFoi_chamado('1');
            $estadia->setChamado_por($chamadopor);
            $estadia->save();

            $estadia->corpo = $corpo;
            
            //grava log
            $texto = 'Chamou a Placa: ' .$placa. ' - Motorista: ' .$motorista. ' - Destino: ' .$destino. '';
            Util::Log($texto);
            
            //destino após teste: sms@facilitamovel.com.br
            //notificacao@sigp.com.br
            
            //envia SMS
            Mail::send('mail.mensagemmail', ['corpo' => $estadia->corpo], function($m) use($celular) {
                $m->from('notificacao@sigp.com.br', 'SMS SiGP');
                $m->to('sms@facilitamovel.com.br')->subject($celular);
            });

            return Redirect::route('patio.chamar');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.chamar')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }


    public function ajaxDesfazerChamada(Request $request)
    {
        Try
        {
            $idestadia  = $request->idestadia;
            $placa      = $request->placa;
            $chamadopor = '';

            $estadia = Estadia::findOrNew($idestadia);
            $estadia->setFoi_chamado('0');
            $estadia->setChamado_por($chamadopor);
                  
            $estadia->save();

            //grava log
            $texto = 'Desfez a chamada da Placa: ' .$placa. ' - Id da Estadia: ' .$idestadia. ' ';
            Util::Log($texto);

            return Redirect::route('patio.chamar');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.chamar')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarSaida(Request $request)
    {
        try
        {

            $idestadia  = $request->idestadia;
            $datasaida  = $request->datasaida; 
            $status     = 'ET';                 //Status = Em trânsito
            $cliente    = $request->cliente;    //Cliente a ser considerado no S2GPI
            $placa      = $request->placa;      //Placa a ser considerada no S2GPI
            $avulso     = $request->avulso;
            if($avulso=='1')    //SE FOR SAIDA DE AVULSO, FINALIZA A ESTADIA
            {
                $status='FN';
            }

            $estadia = Estadia::findOrNew($idestadia);
            $estadia->setData_saida($datasaida);
            $estadia->setStatus($status);
            
            $estadia->save();

              //grava log
              $texto = 'Deu saida sem passar pelo caixa na placa: ' .$placa. ' - usou opção (SAIDA) ';
              Util::Log($texto);

        /*  
        S2GPI
        --------------------------
        1 PETROBRÁS
        2 SHELL - SABBÁ
        3 ESSO - COSAN COMBUSTÍVEIS
        4 IPIRANGA
        5 TOTAL DISTRIBUIDORA
        6 SP COMBUSTÍVEIS
        7 ALESAT COMBUSTÍVEIS
        8 GRANEL QUÍMICA
        11 ULTRACARGO
        16 RAIZEN
        18 COPI */

        /*              
        SGP
        -----------------------
        1	GRUPO MATEUS
        2	TRANSPETRO
        3	POSTO MAGNóLIA II
        4	POSTO MARACANÃ
        5	POSTO JURANDIR
        6	TRANSUL
        7	POSTO SOENE (AVULSO)
        8	BR DISTRIBUIDORA                *
        9	POSTO MAGNOLIA LTDA
        10	IPIRANGA                        *
        11	GRANEL QUíMICA LTDA             *
        12	MANOEL ANTONIO LEITE DA COSTA
        13	ANTONIO RODRIGUES DE LIMA
        14	GREEN PETROLEO
        15	ULTRACARGO                      *
        16	TABOCAO / SAO LUIS
        17	CLIENTE TESTE
        18  RAIZEN                          *
        19  ALE                             *
        */


        //return response()->json(["resposta" => $cliente]);

            //DE PARA PARA O DESTINO NO S2GPI
            $destino = '';

            if($cliente == 8)           //TERMINAL BR
            { 
                $destino = '1';

            } 
            else if($cliente == 10)           //IPIRANGA
            { 
                $destino = '4';
            } 
            else if($cliente == 11)           //GRANEL
            { 
                $destino = '8';
            } 
            else if($cliente == 15)           //ULTRACARGO
            { 
                $destino = '11';
            } 
            else if($cliente == 18)           //RAIZEN
            { 
                $destino = '16';
            } 
            else if($cliente == 19)           //ALESAT
            { 
                $destino = '7';
            } 


            if($destino!='')
            {
                //$statusCode = $this->AutenticandoS2GPITanque($placa, $destino, $datasaida);
                return response()->json(["resposta" => $statusCode]);
            }
        }
        catch(\Exception $ex)
        {
            //return response()->json('Quebrou o código');
            //return Redirect::route('patio.sair')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }



    public function ajaxPesquisarSaida(Request $request)
    {
        try
        {
            $cliente = $request->cliente;
            $status  = 'PA';
            $unidade =  Auth::user()->getUnidade();
            $busca   = $request->busca;

            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            e.ESTA_FK_UNID_id   as unidade, 
                            upper(c.CLIE_nome ) as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,
                            ifnull(v.VEIC_FK_TIPOV_id,'')   as tipov,
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')     as formula,
                            ifnull(c.CLIE_FK_CATE_id,'0')   as categoriapgto,
                            e.ESTA_FK_PROD_id           as idproduto, 
                            upper(p.PROD_descricao)     as produto, 
                            e.ESTA_FK_TRAN_id           as idtransportador, 
                            upper(t.TRAN_nome)          as transportador,
                            e.ESTA_FK_DEST_id           as iddestino, 
                            upper(d.DEST_descricao)     as destino,
                            ifnull(e.ESTA_tipo_carga,'')    as tipocarga,
                            ifnull(d.DEST_s2gpi,'')     as destinos2gpi,
                            -- ifnull(c.CLIE_s2gpi,'')     as destinos2gpi,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')              as dataprev,
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y %H:%i:%s'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y %H:%i:%s'),'')    as datasaida, 
                            ifnull(date_format(e.ESTA_data_entrada,'%d/%m/%Y %H:%i:%s'),'')  as dataentrada,
                            ifnull(date_format(e.ESTA_data_entrada,'%Y-%m-%d %H:%i:%s'),'')  as dataentradacalc,
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            ifnull(e.ESTA_chamado_por,'')   as chamadopor,
                            e.ESTA_status               as status,
                            ifnull(e.ESTA_qtde,'')      as qtde,
                            ifnull(e.ESTA_pedido,'')    as pedido,
                            ifnull(e.ESTA_obs,'')       as obs,
                            ifnull(e.ESTA_formula,'')   as formula,
                            ifnull(e.ESTA_tipo_operacao,'')   as operacao,
                            ifnull(e.ESTA_tipo_carga,'') as tipocarga,
                            e.ESTA_avulso                as avulso,
                            e.ESTA_FK_UNID_id            as unidade,
                            ifnull(e.ESTA_FK_INSP_id,0)  as inspecao,
                            tv.TIPOV_descricao           as tipoveiculo,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            (SELECT COUNT(*) FROM SGP_ocorrencia WHERE OCOR_FK_ESTA_id=ESTA_id) as qtde_ocorr,
                            ifnull(ESTA_bloqueio,'0') as bloqueio,
                            ifnull(ESTA_motivo_bloqueio,'') as motivo,
                            ifnull(ESTA_prioridade,'') as prioridade,
                            e.ESTA_vira                     as vira
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_tipo_veiculo tv,
                            SGP_destino     d
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     v.VEIC_FK_TIPOV_id=tv.TIPOV_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND     e.ESTA_FK_UNID_id=" .$unidade. " ";
                    //AND     e.ESTA_foi_chamado = '1'  ";
            if($busca!='')
            {
                $sql.="AND (m.MOTO_nome LIKE '%" .$busca. "%' ";
                $sql.="OR   m.MOTO_celular LIKE '%" .$busca. "%' ";
                $sql.="OR   v.VEIC_placa_cavalo LIKE '%" .$busca. "%' ";
                $sql.="OR   c.CLIE_nome LIKE '%" .$busca. "%' ";
                $sql.="OR   m.MOTO_cpf LIKE '%" .$busca. "%' ";
                $sql.="OR   e.ESTA_obs LIKE '%" .$busca. "%' ";
                $sql.="OR   e.ESTA_pedido LIKE '%" .$busca. "%') ";
            }
            if($status!='')
            {
                $sql .= "AND     e.ESTA_status = '" .$status. "' ";
            }
            if($cliente!='')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            $sql .= "ORDER BY e.ESTA_data_entrada";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxPesquisarReceberFab(Request $request)
    {
        try
        {
            $cliente = Auth::user()->getCliente();      //cliente associado ao usuario
            $status  = 'ET';                            //veiculos em trânsito
            $unidade =  Auth::user()->getUnidade();     //unidade de negocio do usuario
            if($cliente=='0')
            {
                $cliente='';
            }

            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            e.ESTA_FK_UNID_id   as unidade, 
                            upper(c.CLIE_nome ) as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,
                            ifnull(v.VEIC_FK_TIPOV_id,'')   as tipov,
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')     as formula,
                            ifnull(c.CLIE_FK_CATE_id,'0')   as categoriapgto,
                            e.ESTA_FK_PROD_id           as idproduto, 
                            upper(p.PROD_descricao)     as produto, 
                            e.ESTA_FK_TRAN_id           as idtransportador, 
                            upper(t.TRAN_nome)          as transportador,
                            e.ESTA_FK_DEST_id           as iddestino, 
                            upper(d.DEST_descricao)     as destino,
                            ifnull(e.ESTA_tipo_carga,'')    as tipocarga,
                            ifnull(d.DEST_s2gpi,'')     as destinos2gpi,
                            -- ifnull(c.CLIE_s2gpi,'')     as destinos2gpi,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')              as dataprev,
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y %H:%i:%s'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y %H:%i:%s'),'')    as datasaida, 
                            ifnull(date_format(e.ESTA_data_entrada,'%d/%m/%Y %H:%i:%s'),'')  as dataentrada,
                            ifnull(date_format(e.ESTA_data_entrada,'%Y-%m-%d %H:%i:%s'),'')  as dataentradacalc,
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            ifnull(e.ESTA_chamado_por,'')   as chamadopor,
                            e.ESTA_status               as status,
                            ifnull(e.ESTA_qtde,'')      as qtde,
                            ifnull(e.ESTA_pedido,'')    as pedido,
                            ifnull(e.ESTA_obs,'')       as obs,
                            ifnull(e.ESTA_formula,'')   as formula,
                            ifnull(e.ESTA_tipo_operacao,'')   as operacao,
                            ifnull(e.ESTA_tipo_carga,'') as tipocarga,
                            e.ESTA_avulso                as avulso,
                            e.ESTA_FK_UNID_id            as unidade,
                            ifnull(e.ESTA_FK_INSP_id,0)  as inspecao,
                            tv.TIPOV_descricao           as tipoveiculo,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            ifnull(e.ESTA_prioridade,'') as prioridade,
                            e.ESTA_vira                     as vira
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_tipo_veiculo tv,
                            SGP_destino     d
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     v.VEIC_FK_TIPOV_id=tv.TIPOV_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND     e.ESTA_FK_UNID_id=" .$unidade. " ";
                    //AND     e.ESTA_foi_chamado = '1'  ";
            if($status!='')
            {
                $sql .= "AND     e.ESTA_status = '" .$status. "' ";
            }
            if($cliente!='')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            $sql .= "ORDER BY e.ESTA_data_entrada";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxConsultaEstadia(Request $request)
    {
        try
        {
            $cliente    = $request->cliente;
            $transp     = $request->transp;
            $dataini    = $request->dataini;
            $datafim    = $request->datafim;
            $categoria  = $request->categoria;
            $forma      = $request->forma;
            $unidade    =  Auth::user()->getUnidade();
            $destino    = $request->destino;
            $usuario    =  Auth::user()->getId();
            $busca      = $request->busca;
            $operacao   = $request->operacao;
            $tranpu     =  Auth::user()->getTransp();       //transportador definido para o usuario

            if($tranpu !='')
            {
                $transp = $tranpu;
            }

            if($dataini!='')
            {
                $dataini = $dataini .' 00:00:01';
                $datafim = $datafim .' 23:59:59';
            }
            
            //Seleciona dados
            $sql = "SELECT  e.ESTA_id               as id, 
                            v.VEIC_placa_cavalo     as placa, 
                            date_format(e.ESTA_data_entrada,'%d/%m/%Y %H:%i')           as entrada, 
                            date_format(e.ESTA_data_saida,'%d/%m/%Y %H:%i')             as saida,
                            TIMESTAMPDIFF(minute,e.ESTA_data_entrada,e.ESTA_data_saida) as tempo,
                            ifnull(e.ESTA_vlr_total,0)                                  as total,
                            e.ESTA_forma_pgto                                           as forma,
                            ifnull((CASE e.ESTA_forma_pgto WHEN 'ES' THEN 'ESPÉCIE' WHEN 'CD' THEN 'CARTÃO DÉBITO' WHEN 'CC' THEN 'CARTÃO CRÉDITO' WHEN 'FA' THEN 'FATURADO' WHEN 'PX' THEN 'PIX' WHEN '24' THEN '24H GRÁTIS' END),'') as formapgto,
                            m.MOTO_nome             as motorista, 
                            c.CLIE_nome             as cliente, 
                            d.DEST_descricao        as destino, 
                            t.TRAN_nome             as transportador, 
                            p.PROD_descricao        as produto,
                            ifnull(e.ESTA_operador,'') as operador,
                            ifnull(e.ESTA_prioridade,'') as prioridade,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            e.ESTA_vira                     as vira,
                            (SELECT COUNT(*) FROM SGP_ocorrencia WHERE OCOR_FK_ESTA_id=ESTA_id) as qtde_ocorr
                    FROM    SGP_estadia e, 
                            SGP_cliente c, 
                            SGP_veiculo v, 
                            SGP_motorista m, 
                            SGP_transportador t, 
                            SGP_produto p, 
                            SGP_destino d
                    WHERE   e.ESTA_FK_CLIE_id = c.CLIE_id
                    AND     e.ESTA_FK_DEST_id = d.DEST_id
                    AND     e.ESTA_FK_MOTO_id = m.MOTO_id
                    AND     e.ESTA_FK_PROD_id = p.PROD_id
                    AND     e.ESTA_FK_TRAN_id = t.TRAN_id
                    AND     e.ESTA_FK_VEIC_id = v.VEIC_id
                    AND     e.ESTA_data_entrada IS NOT NULL 
                    AND     e.ESTA_data_saida   IS NOT NULL ";
            $sql .="AND     e.ESTA_FK_UNID_id=" .$unidade. " ";
            if($destino!='')
            {
                $sql .="AND     e.ESTA_FK_DEST_id=" .$destino. " ";
            }
            if($dataini != '' && $datafim != '')
            {
                $sql .= "AND     (e.ESTA_data_entrada >= '" .$dataini. "' ";
                $sql .= "AND      e.ESTA_data_entrada <= '" .$datafim. "') ";
            }
            if($cliente !='')
            {
                $sql.= "AND       e.ESTA_FK_CLIE_id=" .$cliente. " ";
            }
            if($categoria !='')
            {
                $sql.= "AND       e.ESTA_FK_CATE_id=" .$categoria. " ";
            }
            if($forma !='')
            {
                $sql.= "AND       e.ESTA_forma_pgto='" .$forma. "' ";
            }
            if($transp !='')
            {
                $sql.= "AND      e.ESTA_FK_TRAN_id=" .$transp. " ";
            }
            if($operacao !='')
            {
                $sql.= "AND      e.ESTA_tipo_operacao='" .$operacao. "' ";
            }
            if($busca!='')
            {
                $sql.= "AND      (v.VEIC_placa_cavalo LIKE '%" .$busca. "%' ";
                $sql.= "OR      m.MOTO_nome  LIKE '%" .$busca. "%' ";
                $sql.= "OR      m.MOTO_cpf  LIKE '%" .$busca. "%' ";
                $sql.= "OR      m.MOTO_celular LIKE '%" .$busca. "%') ";
                
            }
            $sql.= "ORDER BY e.ESTA_data_entrada";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxSalvarCaixa(Request $request)
    {
        
        Try
        {

            //idestadia, datasaida, forma, estadia, especie, debito, credito, desconto, total, categoria, caixa, status_pgto, ticket, status

            $id         = $request->idestadia;
            $vestadia   = $request->vestadia;
            $vespecie   = $request->especie;
            $vdebito    = $request->debito;
            $vcredito   = $request->credito;
            $vdesconto  = $request->desconto;
            $vtotal     = $request->total;
            $categoria  = $request->categoria;
            $caixa      = $request->caixa;
            $statuspgto = $request->status_pgto;
            $ticket     = $request->ticket;
            $forma      = $request->forma;
            $datasaida  = $request->datasaida; 
            $status     = 'ET';     //$request->status; 
            $placa      = $request->placa;
            $cliente    = $request->cliente;
            $destino    = $request->destinos2gpi;
            $avulso     = $request->avulso;
            $unidade    =  Auth::user()->getUnidade();      //1 -> SOENE    2 -> ROMA
            $login      =  Auth::user()->getLogin();        //login do operador

            if($avulso=='1')    //SE FOR AVULSO, FINALIZA A ESTADIA
            {
                $status = 'FN';
            }

            $estadia = Estadia::find($id);
            $estadia->setEstadia($vestadia);
            $estadia->setEspecie($vespecie);
            $estadia->setDebito($vdebito);
            $estadia->setCredito($vcredito);
            $estadia->setDesconto($vdesconto);
            $estadia->setTotal($vtotal);
            $estadia->setCategoria($categoria);
            $estadia->setCaixa($caixa);
            $estadia->setStatuspgto($statuspgto);
            $estadia->setTicket($ticket);
            $estadia->setForma($forma);
            $estadia->setStatus($status);
            $estadia->setData_saida($datasaida);
            $estadia->setOperador($login);
            
            $estadia->save();

            //grava log
            $texto = 'Deu baixa pelo caixa na placa: ' .$placa. ' - Valor total: ' .$vtotal. ' ';
            Util::Log($texto);

        /*  
        S2GPI
        --------------------------
        1 PETROBRÁS
        2 SHELL - SABBÁ
        3 ESSO - COSAN COMBUSTÍVEIS
        4 IPIRANGA
        5 TOTAL DISTRIBUIDORA
        6 SP COMBUSTÍVEIS
        7 ALESAT COMBUSTÍVEIS
        8 GRANEL QUÍMICA
        11 ULTRACARGO
        16 RAIZEN
        18 COPI */

        /*              
        SGP
        -----------------------
        1	GRUPO MATEUS
        2	TRANSPETRO
        3	POSTO MAGNóLIA II
        4	POSTO MARACANÃ
        5	POSTO JURANDIR
        6	TRANSUL
        7	POSTO SOENE (AVULSO)
        8	BR DISTRIBUIDORA                *
        9	POSTO MAGNOLIA LTDA
        10	IPIRANGA                        *
        11	GRANEL QUíMICA LTDA             *
        12	MANOEL ANTONIO LEITE DA COSTA
        13	ANTONIO RODRIGUES DE LIMA
        14	GREEN PETROLEO
        15	ULTRACARGO                      *
        16	TABOCAO / SAO LUIS
        17	CLIENTE TESTE
        18  RAIZEN                          *
        19  ALE                             *
        */


        //return response()->json(["resposta" => $cliente]);

            //DE PARA PARA O DESTINO NO S2GPI
            /* $destino = '';

            if($cliente == 8)           //TERMINAL BR
            { 
                $destino = '1';

            } 
            else if($cliente == 10)           //IPIRANGA
            { 
                $destino = '4';
            } 
            else if($cliente == 11)           //GRANEL
            { 
                $destino = '8';
            } 
            else if($cliente == 15)           //ULTRACARGO
            { 
                $destino = '11';
            } 
            else if($cliente == 18)           //RAIZEN
            { 
                $destino = '16';
            } 
            else if($cliente == 19)           //ALESAT
            { 
                $destino = '7';
            } 
 */

            if($destino!='')
            {
                if($unidade=='1')               //SOENE
                {
                    $statusCode = $this->AutenticandoS2GPITanque($placa, $destino, $datasaida);
                }
                else if($unidade=='2')          //ROMA
                {
                    $statusCode = '0';
                }

                return response()->json(["resposta" => $statusCode]);
            }


            return Redirect::route('patio.caixa');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.estadia')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    //FUNÇÕES PARA INTEGRAÇÃO COM S2GPI
    //*********************************

    public function AutenticandoS2GPI($placa, $destino, $datas2){

        $url = 'http://sistemas.emap.ma.gov.br:8080/s2gpiws/login';
        //$body = array('login' => 'tester', 'senha' => '1234');
        $body = array('login' => 'ENE.OLIVEIRA', 'senha' => 'Psoene@22');
        $header = array("content-type: application/json");
        
        $token = $this->clientHttpS2GPI('POST', $url, $header, $body);

        //return response()->json($token);

        $ativo = $this->ConsultarVeiculoTanque($token,$placa);

        return $ativo;

        if($ativo == true)
        {
            $statusCode = $this->CadastrarEstadiaTanque($token,$placa,$destino,$datas2);
        }
        else
        {
            $statusCode = 0;
        }

        return $statusCode;

    }

    public function CadastrarEstadiaTanque($token,$placa,$destino,$datas2)
    {
        try
        {
            $url = 'http://sistemas.emap.ma.gov.br:8080/s2gpiws/estadias/tanque/salvar';
            $header = array("token: ".$token, 'Content-Type: Application/json');
            
            $dataLimpa = str_replace('-','',$datas2);   
            $dataLimpa2 = str_replace(' ','',$dataLimpa);   
            $dataLimpa3 = str_replace(':','',$dataLimpa2);   
            //$dataLimpa = trim($dataLimpa);
            $dataLimpa4 = substr($dataLimpa3,0,12);   //data = AAAAMMDDHHMI

            $bodyCadastro = array('placa' => $placa, 'destinoId' => $destino, 'dataHoraInicio' => $dataLimpa4);
            $response = $this->clientHttpS2GPI('POST', $url, $header, $bodyCadastro);
            return 200;
        }
        catch(CurlException $e)
        {
            $statusCode = $e->statusCode;
            return $statusCode;
        }

    }
    

    public function clientHttpS2GPI($method, $url, $header = [], $body = []){

        $curl = curl_init();
        
        $config = array();

        if ($method == 'POST') {
            $config = array(
                CURLOPT_URL => $url,
                CURLOPT_FAILONERROR => true,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => "",
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 30,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => "POST",
                CURLOPT_POSTFIELDS => json_encode($body),
                CURLOPT_HTTPHEADER => $header
            );
        } else {
            $config = array(
                CURLOPT_URL => $url,
                CURLOPT_FAILONERROR => true,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => "",
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 30,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => "GET",
                CURLOPT_HTTPHEADER => $header
            );
        }

        curl_setopt_array($curl, $config);

        $response = curl_exec($curl);
        $err = curl_error($curl);
        $errno = curl_errno($curl);
        $responseCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
    
        if ($responseCode >= 400) {
            throw new CurlException($err, $responseCode);
        }

        return $response;
    }


    public function ConsultarVeiculo($token,$placa){
        try
        {
            $header = array("token: ".$token);
            $url = 'http://sistemas.emap.ma.gov.br:8080/s2gpiws/estadias/tegram/veiculo/'. $placa;

            $response = $this->clientHttpS2GPI('GET', $url, $header);
            //dd($response); //"{"id":92613,"placa":"PPY0J71","ativo":true,"motivobloqueio":""}"
            $veiculo = json_decode($response, true);
            $statusCode = 200;  //$response->getStatusCode();
            $idVeiculo = $veiculo['id'];
            $statusAtivo = $veiculo['ativo'];
        }
        catch(CurlException $e)
        {
            $response = $e->message;
            $statusCode = $e->statusCode;
            
            if($statusCode == 400)
            {
                $url = 'http://sistemas.emap.ma.gov.br:8080/s2gpiws/estadias/tegram/veiculo';
                $header = array("token: ".$token, 'Content-Type: Application/json');
                $bodyCadastro = array('placa' => $placa);
                
                $this->clientHttpS2GPI('POST', $url, $header, $bodyCadastro);
                
                $urlPesquisaVeiculo = 'http://sistemas.emap.ma.gov.br:8080/s2gpiws/estadias/tegram/veiculo/'. $placa;

                $response = $this->clientHttpS2GPI('GET', $urlPesquisaVeiculo, $header);
                $veiculo = json_decode($response, true);
            
                $statusAtivo = $veiculo['ativo'];
            }
        }

        return $statusAtivo;
        
    }

    public function ConsultarVeiculoTanque($token,$placa){
        try
        {
            $header = array("token: ".$token);
            $url = 'http://sistemas.emap.ma.gov.br:8080/s2gpiws/estadias/tanque/veiculo/'. $placa;

            $response = $this->clientHttpS2GPI('GET', $url, $header);
            $veiculo = json_decode($response, true);
            $statusCode = 200;  
            $idVeiculo = $veiculo['id'];
            $statusAtivo = $veiculo['ativo'];
        }
        catch(CurlException $e)
        {
            $response = $e->message;
            $statusCode = $e->statusCode;
            
            if($statusCode == 400)
            {
                $url = 'http://sistemas.emap.ma.gov.br:8080/s2gpiws/estadias/tanque/veiculo';
                $header = array("token: ".$token, 'Content-Type: Application/json');
                $bodyCadastro = array('placa' => $placa, 'marca' => 'VOLVO', 'modelo' => 'VM 270', 'ano' => '2017', 'cor' => '');
                
                $this->clientHttpS2GPI('POST', $url, $header, $bodyCadastro);
                
                $urlPesquisaVeiculo = 'http://sistemas.emap.ma.gov.br:8080/s2gpiws/estadias/tanque/veiculo/'. $placa;

                $response = $this->clientHttpS2GPI('GET', $urlPesquisaVeiculo, $header);
                $veiculo = json_decode($response, true);

                $statusAtivo = $veiculo['ativo'];
            }
        }

        return $statusAtivo;
    }

    public function AutenticandoS2GPITanque($placa, $destino, $datas2){

        $url = 'http://sistemas.emap.ma.gov.br:8080/s2gpiws/login';
        //$body = array('login' => 'tester', 'senha' => '1234');
        $body = array('login' => 'ENE.OLIVEIRA', 'senha' => 'Psoene@22');
        $header = array("content-type: application/json");
        
        //return response()->json('TESTANDO...');

        $token = $this->clientHttpS2GPI('POST', $url, $header, $body);


        $ativo = $this->ConsultarVeiculoTanque($token,$placa);

        if($ativo == true)
        {
            $statusCode = $this->CadastrarEstadiaTanque($token,$placa,$destino,$datas2);
        }
        else
        {
            $statusCode = 0;
        }

        return $statusCode;

    }


    public function ajaxPesquisarCargaDescarga(Request $request)
    {
        try
        {
            $cliente  = Auth::user()->getCliente();
            $transp   = Auth::user()->getTransp();
            $status   = 'PA';    //$request->status;
            $unidade  =  Auth::user()->getUnidade();
            $operacao = $request->operacao;
            $usuario  =  Auth::user()->getId();
            if($cliente=='0')
            {
                $cliente='';
            }


            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            upper(c.CLIE_nome )        as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,
                            ifnull(v.VEIC_FK_TIPOV_id,'0')  as tipov,
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')     as formula,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            e.ESTA_FK_PROD_id   as idproduto, 
                            upper(p.PROD_descricao)    as produto, 
                            e.ESTA_FK_TRAN_id   as idtransportador, 
                            upper(t.TRAN_nome)         as transportador,
                            e.ESTA_FK_DEST_id   as iddestino, 
                            upper(d.DEST_descricao)    as destino,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')     as dataprev,
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y'),'')    as datasaida, 
                            ifnull(date_format(e.ESTA_data_entrada,'%d/%m/%Y'),'')  as dataentrada,
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            ifnull(e.ESTA_chamado_por,'')   as chamadopor,
                            e.ESTA_status               as status,
                            ifnull(e.ESTA_qtde,'')      as qtde,
                            ifnull(e.ESTA_pedido,'')    as pedido,
                            ifnull(e.ESTA_obs,'')       as obs,
                            ifnull(e.ESTA_tipo_carga,'') as tipocarga,
                            ifnull(e.ESTA_formula,'')       as formula,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao,
                            tv.TIPOV_descricao              as tipoveiculo,
                            ifnull(e.ESTA_prioridade,'') as prioridade,
                            e.ESTA_vira                     as vira,
                            (SELECT COUNT(*) FROM SGP_ocorrencia WHERE OCOR_FK_ESTA_id=ESTA_id) as qtde_ocorr
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_tipo_veiculo tv,
                            SGP_destino     d
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id ";
            $sql .="AND     e.ESTA_tipo_operacao='" .$operacao. "' ";
            $sql .="AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     v.VEIC_FK_TIPOV_id=tv.TIPOV_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND e.ESTA_FK_UNID_id=" .$unidade. " ";
            if($status!='')
            {
                $sql .= "AND     e.ESTA_status = '" .$status. "' ";
            }
            if($cliente!='')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            if($transp!='')
            {
                $sql .= "AND     e.ESTA_FK_TRAN_id = " .$transp. " ";
            }
            $sql .= "ORDER BY e.ESTA_data_entrada";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisarManutencao(Request $request)
    {
        try
        {
            $cliente = $request->cliente;
            $status  = $request->status;
            $placa   = $request->placa;
            $unidade =  Auth::user()->getUnidade();

            //AG - Agendado
            //PA - Patio
            //ET - Em transito
            //NF - Na fábrica
            //CL - Cancelado
            //FN - Finalizado
            

            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            e.ESTA_FK_UNID_id   as unidade, 
                            upper(c.CLIE_nome )        as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,                          
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')       as formula,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            e.ESTA_FK_PROD_id   as idproduto, 
                            upper(p.PROD_descricao)    as produto, 
                            e.ESTA_FK_TRAN_id   as idtransportador, 
                            upper(t.TRAN_nome)         as transportador,
                            e.ESTA_FK_DEST_id   as iddestino, 
                            upper(d.DEST_descricao)    as destino,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')     as dataprev,
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y'),'')    as datasaida, 
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            e.ESTA_status               as status,
                            ifnull(e.ESTA_qtde,'')      as qtde,
                            ifnull(e.ESTA_pedido,'')    as pedido,
                            ifnull(e.ESTA_obs,'')       as obs,
                            ifnull(e.ESTA_tipo_carga,'') as tipocarga,
                            v.VEIC_FK_TIPOV_id as tipov,
                            ifnull(e.ESTA_prioridade,'') as prioridade,
                            e.ESTA_vira                     as vira,
                            (SELECT COUNT(*) FROM SGP_ocorrencia WHERE OCOR_FK_ESTA_id=ESTA_id) as qtde_ocorr
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_destino     d
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND e.ESTA_FK_UNID_id=" .$unidade. " ";
            if($placa!='')
            {
                $sql.="AND (v.VEIC_placa_cavalo LIKE '%" .$placa. "%' " ;
                $sql.="OR v.VEIC_placa_carreta LIKE  '%" .$placa. "%') ";
            }
            if($status!='')
            {
                $sql .= "AND     e.ESTA_status = '" .$status. "' ";
            }
            if($cliente!='')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            $sql .= "ORDER BY e.ESTA_data_prev, e.ESTA_hora_prev";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxSalvarManutencao(Request $request)
    {
        Try
        {
            $idestadia  = $request->idestadia;
            $placa      = strtoupper($request->placa); 
            $placa_carreta = strtoupper($request->placa_carreta); 
            $marca      = strtoupper($request->marca);
            $modelo     = strtoupper($request->modelo); 
            $cpf        = $request->cpf; 
            $nome       = strtoupper($request->nome); 
            $celular    = $request->celular; 
            $cnh        = $request->cnh;
            $categoria  = strtoupper($request->categoria); 
            $cliente    = $request->cliente; 
            $produto    = $request->produto; 
            $qtde       = $request->qtde; 
            $pedido     = $request->pedido; 
            $tipo_carga = $request->tipo_carga; 
            $data_prev  = $request->data; 
            $hora_prev  = $request->hora; 
            //$data_prev  = Carbon::createFromFormat('d/m/Y', $request->data)->format('Y-m-d');
            $destino    = $request->destino; 
            $transp     = $request->transp;
            $obs        = $request->obs;
            $idveiculo  = $request->veiculo;
            $idmotorista= $request->motorista;
            //$status     = 'AG';     //Status = Agendado
            $unidade    =  Auth::user()->getUnidade();
            $formula    = $request->formula;
            $tipov      = $request->tipov;
            $operacao   = $request->operacao;
            $status     = $request->status;

            //testa id do veiculo
            if($idveiculo=='0')
            {
                //cria novo veiculo
                $veiculo = New Veiculo;
                $veiculo->setPlaca_cavalo($placa);
                $veiculo->setPlaca_carreta($placa_carreta);
                $veiculo->setMarca($marca);
                $veiculo->setModelo($modelo);
                $veiculo->setTipo($tipov);
                $veiculo->save();
                $idveiculo = $veiculo->getId();
            }
            else 
            {
                //atualiza somente a placa da carreta
                $veiculo = Veiculo::findOrNew($idveiculo);
                $veiculo->setPlaca_carreta($placa_carreta);
                $veiculo->save();
            }

            //teste id do motorista
            if($idmotorista=='0')
            {
                //cria novo motorista
                $motorista = new Motorista;
                $motorista->setNome($nome);
                $motorista->setCpf($cpf);
                $motorista->setCelular($celular);
                $motorista->setCnh($cnh);
                $motorista->setCategoria($categoria);
                $motorista->save();
                $idmotorista = $motorista->getId();
            }
            else 
            {
                //atualiza somente o celular
                $motorista = Motorista::findOrNew($idmotorista);
                $motorista->setCelular($celular);
                $motorista->save();
            }

            $estadia = Estadia::findOrNew($idestadia);
            $estadia->setCliente($cliente);
            $estadia->setVeiculo($idveiculo);
            $estadia->setMotorista($idmotorista);
            $estadia->setProduto($produto);
            $estadia->setDestino($destino);
            $estadia->setTransportador($transp);
            $estadia->setStatus($status);
            $estadia->setQtde($qtde);
            $estadia->setPedido($pedido);
            $estadia->setObs($obs);
            $estadia->setTipo_carga($tipo_carga);
            $estadia->setUnidade($unidade);
            $estadia->setOperacao($operacao);
            if($tipo_carga=='GR' || $tipo_carga=='BG' || $tipo_carga=='SA')   //Se for Granel, Bag ou Sacaria grava a formula
            {
                $estadia->setFormula($formula);
            }
            else
            {
                $estadia->setFormula('');
            }
        
            $estadia->save();

            $sta = '';
            if($status=='PA')
            {
                $sta = 'NO PÁTIO';
            }
            else if($status=='CL')
            {
                $sta = 'CANCELADO';
            }
            else if($status=='AG')
            {
                $sta = 'AGENDADO';
            }
            else if($status=='ET')
            {
                $sta = 'EM TRÂNSITO';
            }
            else if($status=='FN')
            {
                $sta = 'FINALIZADO';
            }
            else
            {
                $sta = 'NÃO DEFINIDO';
            }



            //grava log
            $texto = 'Fez manutenção na Placa: ' .$placa. ' - Motorista: ' .$nome. ' - CPF: ' .$cpf. ' - Status: ' .$sta. ' ';
            Util::Log($texto);


            //PEGA O ID ATUAL DA ESTADIA
            $idestadia = $estadia->getId();

            return Redirect::route('patio.estadia');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.estadia')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarSumario(Request $request)
    {
        try
        {
            $cliente = $request->cliente;
            $destino = $request->destino;
            $dataini = $request->dataini;
            $datafim = $request->datafim;
            $unidade = Auth::user()->getUnidade();
            $transp  = $request->transp;;  //Auth::user()->getTransp();
            $busca      = $request->busca;
            $operacao   = $request->operacao;

            if($dataini!='')
            {
                $dataini = $dataini .' 00:00:01';
                $datafim = $datafim .' 23:59:59';
            }

            //AG - Agendado
            //PA - Patio
            //ET - Em transito
            //NF - Na fábrica
            //CL - Cancelado
            //FN - Finalizado
            

            //Seleciona dados
            $sql = "SELECT  ESTA_status as status, count(*) as qtde 
                    FROM    SGP_estadia, SGP_veiculo, SGP_motorista
                    WHERE   ESTA_status NOT IN ('AG') 
                    AND     ESTA_FK_VEIC_id=VEIC_id
                    AND     ESTA_FK_MOTO_id=MOTO_id
                    AND     ESTA_FK_UNID_id=" .$unidade. " ";
            if($dataini!='' && $datafim!='')
            {
                $sql .= "AND     (ESTA_data_entrada >= '" .$dataini. "' ";
                $sql .= "AND      ESTA_data_entrada <= '" .$datafim. "') ";
            }
            if($cliente!='')
            {
                $sql.= "AND     ESTA_FK_CLIE_id=" .$cliente. " ";
            }
            if($transp!='')
            {
                $sql.= "AND     ESTA_FK_TRAN_id=" .$transp. " ";
            }
            if($destino!='')
            {
                $sql.= "AND     ESTA_FK_DEST_id=" .$destino. " ";
            }
            if($operacao !='')
            {
                $sql.= "AND      e.ESTA_tipo_operacao='" .$operacao. "' ";
            }
            if($busca!='')
            {
                $sql.= "AND      (VEIC_placa_cavalo LIKE '%" .$busca. "%' ";
                $sql.= "OR      MOTO_nome  LIKE '%" .$busca. "%' ";
                $sql.= "OR      MOTO_cpf  LIKE '%" .$busca. "%' ";
                $sql.= "OR      MOTO_celular LIKE '%" .$busca. "%') ";
            }
            $sql.= "GROUP BY ESTA_status 
                    ORDER BY ESTA_status";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisaSumarioCategoria(Request $request)
    {
        try
        {
            $cliente    = $request->cliente;
            $transp     = $request->transp;
            $dataini    = $request->dataini;
            $datafim    = $request->datafim;
            $categoria  = $request->categoria;
            $forma      = $request->forma;
            $unidade    =  Auth::user()->getUnidade();
            $destino    = $request->destino;
            $busca      = $request->busca;
            $operacao   = $request->operacao;

            if($dataini!='')
            {
                $dataini = $dataini .' 00:00:01';
                $datafim = $datafim .' 23:59:59';
            }
            
            //Seleciona dados
            $sql = "SELECT  CATE_descricao      as categoria, 
                            count(*)            as qtde, 
                            sum(ifnull(ESTA_vlr_total,0)) as total
                    FROM    SGP_estadia, 
                            SGP_categoria ,
                            SGP_motorista,
                            SGP_veiculo
                    WHERE   ESTA_FK_UNID_id=" .$unidade. " ";
            $sql.= "AND     ESTA_FK_CATE_id=CATE_id
                    AND     ESTA_FK_VEIC_id=VEIC_id
                    AND     ESTA_FK_MOTO_id=MOTO_id
                    AND     ESTA_status NOT IN ('CL','AG')
                    AND     ESTA_data_entrada IS NOT NULL 
                    AND     ESTA_data_saida   IS NOT NULL ";
            if($dataini != '' && $datafim != '')
            {
                $sql .= "AND     (ESTA_data_entrada >= '" .$dataini. "' ";
                $sql .= "AND      ESTA_data_entrada <= '" .$datafim. "') ";
            }
            if($cliente !='')
            {
                $sql.= "AND       ESTA_FK_CLIE_id=" .$cliente. " ";
            }
            if($categoria !='')
            {
                $sql.= "AND       ESTA_FK_CATE_id=" .$categoria. " ";
            }
            if($forma !='')
            {
                $sql.= "AND       ESTA_forma_pgto='" .$forma. "' ";
            }
            if($transp !='')
            {
                $sql.= "AND      ESTA_FK_TRAN_id=" .$transp. " ";
            }
            if($operacao !='')
            {
                $sql.= "AND      e.ESTA_tipo_operacao='" .$operacao. "' ";
            }
            if($busca!='')
            {
                $sql.= "AND      (VEIC_placa_cavalo LIKE '%" .$busca. "%' ";
                $sql.= "OR      MOTO_nome  LIKE '%" .$busca. "%' ";
                $sql.= "OR      MOTO_cpf  LIKE '%" .$busca. "%' ";
                $sql.= "OR      MOTO_celular LIKE '%" .$busca. "%') ";
            }
            $sql.= "GROUP BY CATE_descricao ";
            $sql.= "ORDER BY CATE_descricao";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxListaVeiculosNoPatio(Request $request)
    {
        try
        {
            $cliente = Auth::user()->getCliente();
            $unidade =  Auth::user()->getUnidade();
            $transp = Auth::user()->getTransp();

            if($cliente=='0')
            {
                $cliente='';
            }

            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            upper(c.CLIE_nome ) as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,
                            ifnull(v.VEIC_FK_TIPOV_id,'0')  as tipov,
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')       as formula,
                            e.ESTA_FK_PROD_id               as idproduto, 
                            upper(p.PROD_descricao)         as produto, 
                            e.ESTA_FK_TRAN_id               as idtransportador, 
                            upper(t.TRAN_nome)              as transportador,
                            e.ESTA_FK_DEST_id               as iddestino, 
                            upper(d.DEST_descricao)         as destino,
                            ifnull(e.ESTA_FK_INSP_id,0)     as inspecao,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')     as dataprev,
                            ifnull(date_format(e.ESTA_data_entrada,'%d/%m/%Y %H:%i:%s'),'')  as dataentrada, 
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y %H:%i:%s'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y %H:%i:%s'),'')    as datasaida, 
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            ifnull(e.ESTA_chamado_por,'')   as chamadopor,
                            e.ESTA_status                   as status,
                            ifnull(e.ESTA_qtde,'')          as qtde,
                            ifnull(e.ESTA_pedido,'')        as pedido,
                            ifnull(e.ESTA_obs,'')           as obs,
                            ifnull(e.ESTA_tipo_carga,'')    as tipocarga,
                            ifnull(e.ESTA_formula,'')       as formula,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao,
                            ifnull(e.ESTA_avulso,'0')       as avulso,
                            e.ESTA_FK_UNID_id               as unidade,
                            tv.TIPOV_descricao              as tipoveiculo,
                            (SELECT COUNT(*) FROM SGP_ocorrencia WHERE OCOR_FK_ESTA_id=ESTA_id) as qtde_ocorr,
                            ifnull(ESTA_bloqueio,'0') as bloqueio,
                            ifnull(ESTA_motivo_bloqueio,'') as motivo,
                            ifnull(ESTA_prioridade,'') as prioridade,
                            e.ESTA_vira                     as vira
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_destino     d,
                            SGP_tipo_veiculo tv
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     v.VEIC_FK_TIPOV_id=tv.TIPOV_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND     e.ESTA_FK_UNID_id=" .$unidade. " ";
            $sql .="AND     e.ESTA_status = 'PA' ";
            if($cliente!='')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            if($transp!='')
            {
                $sql .= "AND     e.ESTA_FK_TRAN_id = " .$transp. " ";
            }
            $sql .="ORDER BY e.ESTA_data_entrada";
            
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisarPatioVivo(Request $request)
    {
        try
        {
            $cliente = $request->cliente;
            $status  = 'PA';
            $ordem   = $request->ordem;
            $unidade =  Auth::user()->getUnidade();
            $usuario =  Auth::user()->getId();
            
            if($cliente=='0')
            {
                $cliente='';
            }

            /* if($cliente=='')
            {
                $cliente = Auth::user()->getCliente();
            } */

            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            upper(c.CLIE_nome ) as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,
                            ifnull(v.VEIC_FK_TIPOV_id,'0')  as tipov,
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')     as formula,
                            e.ESTA_FK_PROD_id           as idproduto, 
                            upper(p.PROD_descricao)     as produto, 
                            e.ESTA_FK_TRAN_id           as idtransportador, 
                            upper(t.TRAN_nome)          as transportador,
                            e.ESTA_FK_DEST_id           as iddestino, 
                            upper(d.DEST_descricao)     as destino,
                            ifnull(e.ESTA_FK_INSP_id,0) as inspecao,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')     as dataprev,
                            ifnull(date_format(e.ESTA_data_entrada,'%d/%m/%Y %H:%i:%s'),'')  as dataentrada, 
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y %H:%i:%s'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y %H:%i:%s'),'')    as datasaida, 
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            ifnull(e.ESTA_chamado_por,'')   as chamadopor,
                            e.ESTA_status                   as status,
                            ifnull(e.ESTA_qtde,'')          as qtde,
                            ifnull(e.ESTA_pedido,'')        as pedido,
                            ifnull(e.ESTA_obs,'')           as obs,
                            ifnull(e.ESTA_tipo_carga,'')    as tipocarga,
                            ifnull(e.ESTA_formula,'')       as formula,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao,
                            ifnull(e.ESTA_avulso,'0')       as avulso,
                            e.ESTA_FK_UNID_id               as unidade,
                            tv.TIPOV_descricao              as tipoveiculo,
                            (SELECT COUNT(*) FROM SGP_ocorrencia WHERE OCOR_FK_ESTA_id=ESTA_id) as qtde_ocorr,
                            ifnull(ESTA_bloqueio,'0') as bloqueio,
                            ifnull(ESTA_motivo_bloqueio,'') as motivo,
                            ifnull(ESTA_prioridade,'') as prioridade,
                            e.ESTA_vira                     as vira
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_destino     d,
                            SGP_tipo_veiculo tv
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     v.VEIC_FK_TIPOV_id=tv.TIPOV_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND     e.ESTA_FK_UNID_id=" .$unidade. " ";
            $sql .="AND     e.ESTA_status = '" .$status. "' ";
            if($cliente!='')
            {
                $sql .= "AND     e.ESTA_FK_CLIE_id = " .$cliente. " ";
            }
            $sql .="ORDER BY e.ESTA_data_entrada";
            
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxPesquisarHistoricoVivo(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            $placa = $request->placa;
            $cliente = $request->cliente;
            
            //Seleciona dados
            $sql = "SELECT  e.ESTA_id           as id, 
                            e.ESTA_FK_CLIE_id   as idcliente, 
                            upper(c.CLIE_nome ) as cliente,
                            e.ESTA_FK_VEIC_id   as idveiculo, 
                            v.VEIC_placa_cavalo as placa, 
                            ifnull(v.VEIC_placa_carreta,'') as placa_carreta,
                            ifnull(v.VEIC_marca,'')         as marca,
                            ifnull(v.VEIC_modelo,'')        as modelo,
                            ifnull(v.VEIC_FK_TIPOV_id,'0')  as tipov,
                            e.ESTA_FK_MOTO_id               as idmotorista, 
                            upper(m.MOTO_nome)              as motorista, 
                            ifnull(m.MOTO_celular,'')       as celular,
                            ifnull(m.MOTO_cpf,'')           as cpf,
                            ifnull(m.MOTO_cnh,'')           as cnh,
                            ifnull(m.MOTO_categoria,'')     as categoria,
                            ifnull(e.ESTA_formula,'')     as formula,
                            e.ESTA_FK_PROD_id           as idproduto, 
                            upper(p.PROD_descricao)     as produto, 
                            e.ESTA_FK_TRAN_id           as idtransportador, 
                            upper(t.TRAN_nome)          as transportador,
                            e.ESTA_FK_DEST_id           as iddestino, 
                            upper(d.DEST_descricao)     as destino,
                            ifnull(e.ESTA_FK_INSP_id,0) as inspecao,
                            ifnull(e.ESTA_status_inspecao,'') as status_inspecao,
                            ifnull(date_format(e.ESTA_data_prev,'%d/%m/%Y'),'')     as dataprev,
                            ifnull(date_format(e.ESTA_data_entrada,'%d/%m/%Y %H:%i:%s'),'')  as dataentrada, 
                            ifnull(date_format(e.ESTA_data_chamada,'%d/%m/%Y %H:%i:%s'),'')  as datachamada, 
                            ifnull(date_format(e.ESTA_data_saida,'%d/%m/%Y %H:%i:%s'),'')    as datasaida, 
                            ifnull(e.ESTA_hora_prev,'')     as horaprev,
                            ifnull(e.ESTA_foi_chamado,'')   as foichamado,
                            ifnull(e.ESTA_chamado_por,'')   as chamadopor,
                            e.ESTA_status                   as status,
                            ifnull(e.ESTA_qtde,'')          as qtde,
                            ifnull(e.ESTA_pedido,'')        as pedido,
                            ifnull(e.ESTA_obs,'')           as obs,
                            ifnull(e.ESTA_tipo_carga,'')    as tipocarga,
                            ifnull(e.ESTA_formula,'')       as formula,
                            ifnull(e.ESTA_tipo_operacao,'') as operacao,
                            ifnull(e.ESTA_avulso,'0')       as avulso,
                            e.ESTA_FK_UNID_id               as unidade,
                            tv.TIPOV_descricao              as tipoveiculo,
                            (SELECT COUNT(*) FROM SGP_ocorrencia WHERE OCOR_FK_ESTA_id=ESTA_id) as qtde_ocorr,
                            ifnull(ESTA_bloqueio,'0') as bloqueio,
                            ifnull(ESTA_motivo_bloqueio,'') as motivo,
                            ifnull(ESTA_prioridade,'') as prioridade,
                            e.ESTA_vira                     as vira
                    FROM    SGP_estadia     e, 
                            SGP_cliente     c, 
                            SGP_veiculo     v, 
                            SGP_motorista   m, 
                            SGP_produto     p, 
                            SGP_transportador t, 
                            SGP_destino     d,
                            SGP_tipo_veiculo tv
                    WHERE   e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND     e.ESTA_FK_DEST_id=d.DEST_id
                    AND     e.ESTA_FK_MOTO_id=m.MOTO_id
                    AND     e.ESTA_FK_PROD_id=p.PROD_id
                    AND     e.ESTA_FK_TRAN_id=t.TRAN_id
                    AND     v.VEIC_FK_TIPOV_id=tv.TIPOV_id
                    AND     e.ESTA_FK_VEIC_id=v.VEIC_id ";
            $sql .="AND     e.ESTA_FK_UNID_id=" .$unidade. " ";
            $sql .="AND     v.VEIC_placa_cavalo='" .$placa. "' ";
            $sql .="AND     e.ESTA_FK_CLIE_id=" .$cliente. " ";
            $sql .="ORDER BY e.ESTA_data_entrada DESC";
            
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxSalvarBloqueio(Request $request)
    {
        Try
        {
            $id = 0;
            $idestadia  = $request->idestadia;
            $placa      = $request->placa;
            $tipo       = $request->tipo;
            $motivo     = $request->motivo;
            $databloq   = $request->databloqueio;

           /*  idestadia:      idestadia, 
            databloqueio:   databloqueio, 
            motivo:         motivo, 
            placa:          placa, 
            tipo:           tipo
 */

            //bloqueio da estadia
            $sql = "UPDATE SGP_estadia SET ESTA_bloqueio='1', ESTA_motivo_bloqueio='" .$motivo. "' WHERE ESTA_id=" .$idestadia. " ";
            $resultado =\DB::update($sql);

            //inclui uma ocorrência
            $ocorrencia = Ocorrencia::findOrNew($id);
            $ocorrencia->setEstadia($idestadia);
            $ocorrencia->setData($databloq);
            $ocorrencia->setDescricao($motivo);
            $ocorrencia->setPlaca($placa);
            $ocorrencia->setTipo($tipo);
            $ocorrencia->save();
            
            //grava log
            $texto = 'Bloqueiou a Placa: ' .$placa. ' - Id da Estadia: ' .$idestadia. ' ';
            Util::Log($texto);

            return Redirect::route('patio.patiovivo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.chamar')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }


    public function ajaxSalvarDesbloqueio(Request $request)
    {
        Try
        {
            $id = 0;
            $idestadia  = $request->idestadia;
            $placa      = $request->placa;
            $databloq   = $request->databloqueio;
            $motivo     = 'FOI DESBLOQUEADO EM ' .$databloq. ' ';

            //bloqueio da estadia
            $sql = "UPDATE SGP_estadia SET ESTA_bloqueio='0', ESTA_motivo_bloqueio='" .$motivo. "' WHERE ESTA_id=" .$idestadia. " ";
            $resultado =\DB::update($sql);

            
            //grava log
            $texto = 'Desbloqueiou a Placa: ' .$placa. ' - Id da Estadia: ' .$idestadia. ' ';
            Util::Log($texto);

            return Redirect::route('patio.patiovivo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.chamar')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarCancelar(Request $request)
    {
        Try
        {
            $id = 0;
            $idestadia  = $request->idestadia;
            $placa      = $request->placa;
            $tipo       = $request->tipo;
            $motivo     = $request->motivo;
            $databloq   = $request->datacancelar;

            $motivo = 'CANCELAMENTO - ' .$motivo;


            //bloqueio da estadia
            $sql = "UPDATE SGP_estadia SET ESTA_status='CL' WHERE ESTA_id=" .$idestadia. " ";
            $resultado =\DB::update($sql);

            //inclui uma ocorrência
            $ocorrencia = Ocorrencia::findOrNew($id);
            $ocorrencia->setEstadia($idestadia);
            $ocorrencia->setData($databloq);
            $ocorrencia->setDescricao($motivo);
            $ocorrencia->setPlaca($placa);
            $ocorrencia->setTipo($tipo);
            $ocorrencia->save();
            
            //grava log
            $texto = 'Cancelou a Placa: ' .$placa. ' - Id da Estadia: ' .$idestadia. ' ';
            Util::Log($texto);

            return Redirect::route('patio.patiovivo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.chamar')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxSalvarOcorrencia(Request $request)
    {
        Try
        {
            $id = 0;
            $idestadia  = $request->idestadia;
            $placa      = $request->placa;
            $tipo       = $request->tipo;
            $motivo     = $request->motivo;
            $dataocorr   = $request->dataocorr;

           /*  idestadia:      idestadia, 
            databloqueio:   databloqueio, 
            motivo:         motivo, 
            placa:          placa, 
            tipo:           tipo
 */

            //bloqueio da estadia
            //$sql = "UPDATE SGP_estadia SET ESTA_bloqueio='1', ESTA_motivo_bloqueio='" .$motivo. "' WHERE ESTA_id=" .$idestadia. " ";
            //$resultado =\DB::update($sql);

            //inclui uma ocorrência
            $ocorrencia = Ocorrencia::findOrNew($id);
            $ocorrencia->setEstadia($idestadia);
            $ocorrencia->setData($dataocorr);
            $ocorrencia->setDescricao($motivo);
            $ocorrencia->setPlaca($placa);
            $ocorrencia->setTipo($tipo);
            $ocorrencia->save();
            
            //grava log
            $texto = 'Registrou uma ocorrência para a Placa: ' .$placa. ' - Id da Estadia: ' .$idestadia. ' ';
            Util::Log($texto);

            return Redirect::route('patio.patiovivo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.chamar')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }


    public function ajaxCriarNovaInspecao(Request $request)
    {
        Try
        {
            $id = 0;
            $idestadia  = $request->idestadia;
            $placa      = $request->placa;
            $tipo       = $request->tipo;
            $datainsp   = $request->datainsp;
            $unidade    =  Auth::user()->getUnidade();

            //apaga a inspeção atual se existir - nao pode haver 2


            $sql = "DELETE FROM SGP_inspecao WHERE INSP_FK_ESTA_id=" .$idestadia. " ";
            $resultado =\DB::update($sql);

            //cria inspecao nova
            $sql = "INSERT INTO SGP_inspecao ";
            $sql .="(INSP_FK_ESTA_id, INSP_FK_UNID_id, INSP_data, INSP_tipocarga, INSP_status) ";
            $sql .="VALUES(" .$idestadia. "," .$unidade. ",date('" .$datainsp. "'),'" .$tipo. "','PENDENTE')";
            $resultado =\DB::update($sql);

            //atualiza a estadia com a inspecao nova
            $sql = "UPDATE SGP_estadia SET ESTA_FK_INSP_id=(SELECT INSP_id FROM SGP_inspecao WHERE INSP_FK_ESTA_id=" .$idestadia. ") ";
            $sql.="WHERE ESTA_id=" .$idestadia. " ";
            $resultado =\DB::update($sql);

            //grava log
            $texto = 'Incluiu a inspeção de forma manual para a Placa: ' .$placa. ' - Id da Estadia: ' .$idestadia. ' ';
            Util::Log($texto);
            

            return Redirect::route('patio.manutencao');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.chamar')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarPrioridade(Request $request)
    {
        Try
        {
            $id = 0;
            $idestadia  = $request->idestadia;
            $placa      = $request->placa;
            $tipo       = 'OU';


            //bloqueio da estadia
            $sql = "UPDATE SGP_estadia SET ESTA_prioridade='1' WHERE ESTA_id=" .$idestadia. " ";
            $resultado =\DB::update($sql);

                        
            //grava log
            $texto = 'Solicitou prioridade para a Placa: ' .$placa. ' na inspeção/limpeza - Id da Estadia: ' .$idestadia. ' ';
            Util::Log($texto);

            return Redirect::route('patio.patiovivo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.chamar')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarRetirarPrioridade(Request $request)
    {
        Try
        {
            $id = 0;
            $idestadia  = $request->idestadia;
            $placa      = $request->placa;
            $tipo       = 'OU';


            //bloqueio da estadia
            $sql = "UPDATE SGP_estadia SET ESTA_prioridade='0' WHERE ESTA_id=" .$idestadia. " ";
            $resultado =\DB::update($sql);

                        
            //grava log
            $texto = 'Retirou prioridade para a Placa: ' .$placa. ' na inspeção/limpeza - Id da Estadia: ' .$idestadia. ' ';
            Util::Log($texto);

            return Redirect::route('patio.patiovivo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.chamar')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }


    public function ajaxTesteAPIold(Request $request)
    {
        try
        {
            //$id=0;
            //$cpf=$request->cpf;

            //curl --request POST \
            // --url 'http://191.37.156.2:9393/api/auth?email=admin%40soene.com&password=4t8RX53midXF'

            $doc = $cpf;
            $dataset = 'basic_data';
            //$token = 'bfbc7cb4-d0f5-4e2b-9d08-b2cde589b891';
            //$url ='https://bigboost.bigdatacorp.com.br/peoplev2?Datasets=' .$dataset. '&q=doc{' .$doc. '}&AccessToken=' .$token. '';
            
            //$url = 'http://191.37.156.2:9393/api/auth?email=admin%40soene.com&password=4t8RX53midXF';
            $url = 'http://191.37.156.2:9393/api/events?dateStart=2022-10-06%2016%3A00%3A00&dateEnd=2022-10-06%2017%3A00%3A00';

            //executa a url passando os parâmetros
            $resultado = file_get_contents($url);
                        
            //decodifica o resultado da url -> json
            $dados = json_decode($resultado);

            //carrega com os dados do json
            //foreach ($dados as $field) {
                // Passa para a variável o nome do pesquisado
            //    $nome = $dados->Result[0]->BasicData->Name;
                
            //}


            //busca dados
            
            
            //executa a query e guarda o resultado
            //$resultado2 =\DB::select($sql);
                        
            $dados2 = ['consulta'=>$resultado];
                

            return response()->json($dados2,200);

        }
        catch(\Exception $ex)
        {

        }
    }


    //TESTE PARA COLETA DE DADOS DAS CANCELAS VIA API
    public function ajaxTesteAPI()
    {

        //try

        $url = 'http://191.37.156.2:9393/api/auth?email=admin%40soene.com&password=4t8RX53midXF';
        $header = array("content-type: application/json");
        
        //return response()->json('TESTANDO...');

        $response = $this->ExecutaAPI('POST', $url, $header);
        $token = json_decode($response, true);

        //return response()->json($token["access_token"]);

        $dados = $this->BuscarPlacas($token["access_token"]);

        //return $dados;
        return response()->json($dados);

    }

    public function BuscarPlacas($token){
        
        $header = array("Authorization: Bearer ".$token);
        $url = 'http://191.37.156.2:9393/api/events?dateStart=2022-10-06%2016%3A00%3A00&dateEnd=2022-10-06%2017%3A00%3A00';

        $response = $this->ExecutaAPI('GET', $url, $header);
        
        $dados = json_decode($response, true);
        $veiculo = $response;
        
        
        foreach($dados as $item) {          //foreach element in $arr
            $placa = $item['placenumber'];  //placa do veiculo
            $datac = $item['date'];
            $codigo = $item['id'];
            //Util::Log($placa);
            try 
            {
                $sql = "INSERT INTO SGP_integracao (INTE_FK_UNID_id, INTE_placa, INTE_data, INTE_codigo) VALUES('1','" .$placa. "','" .$datac. "','" .$codigo. "')";
                $resultado =\DB::update($sql);
            } 
            catch (Exception $e) 
            {
            
            }

        }
        
        return $veiculo;
        
    }


    public function ExecutaAPI($method, $url, $header = [], $body = []){

        $curl = curl_init();
        
        $config = array();

        if ($method == 'POST') {
            $config = array(
                CURLOPT_URL => $url,
                CURLOPT_FAILONERROR => true,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => "",
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 30,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => "POST",
                CURLOPT_POSTFIELDS => json_encode($body),
                CURLOPT_HTTPHEADER => $header
            );
        } else {
            $config = array(
                CURLOPT_URL => $url,
                CURLOPT_FAILONERROR => true,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => "",
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 30,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => "GET",
                CURLOPT_HTTPHEADER => $header
            );
        }

        curl_setopt_array($curl, $config);

        $response = curl_exec($curl);
        $err = curl_error($curl);
        $errno = curl_errno($curl);
        $responseCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
    
        if ($responseCode >= 400) {
            throw new CurlException($err, $responseCode);
        }

        return $response;
    }


    public function ajaxSalvarIntegracao(Request $request)
    {
        Try
        {
            $id = 0;
            $placa  = $request->placa;
            $datac  = $request->datac;
            $codigo = $request->codigo;
            
            $sql = "INSERT INTO SGP_integracao (INTE_FK_UNID_id, INTE_placa, INTE_data, INTE_codigo) VALUES('1','" .$placa. "','" .$datac. "','" .$codigo. "')";
            $resultado =\DB::update($sql);

            //CONVERTER AS PLACAS CAPTURADAS PARA AVULSO


            //return Redirect::route('patio.patiovivo');
        }
        catch(\Exception $ex)
        {
            //return Redirect::route('patio.chamar')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarVira(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            $transp = $request->transp;
            $dataini = $request->dataini;
            $datafim = $request->datafim;
            $horaini = $request->horaini;
            $horafim = $request->horafim;            
            
            //Seleciona dados
            $sql = "SELECT  day(ESTA_data_entrada)      as dia, 
                            month(ESTA_data_entrada )   as mes, 
                            year(ESTA_data_entrada )    as ano, 
                            VEIC_placa_cavalo           as placa, 
                            TRAN_valor_vira             as valor, 
                            count(*)                    as qtde
                    FROM    SGP_estadia, SGP_veiculo, SGP_transportador
                    WHERE   ESTA_FK_VEIC_id=VEIC_id
                    AND     ESTA_FK_TRAN_id=TRAN_id
                    AND     ESTA_vira='1'
                    AND     (ESTA_data_entrada >='" .$dataini. " " .$horaini. ":01' ";
            $sql.= "AND     ESTA_data_entrada  <='" .$datafim. " " .$horafim. ":59') ";
            $sql.= "AND     ESTA_FK_TRAN_id=" .$transp. " ";
            $sql.= "AND     ESTA_FK_UNID_id=" .$unidade. " ";
            $sql.= "AND     ESTA_status <> 'CL'
                    GROUP BY    day(ESTA_data_entrada), 
                                month(ESTA_data_entrada ), 
                                year(ESTA_data_entrada ), 
                                TRAN_valor_vira , 
                                VEIC_placa_cavalo
                    ORDER BY    day(ESTA_data_entrada), 
                                month(ESTA_data_entrada ),  
                                year(ESTA_data_entrada ), 
                                TRAN_valor_vira , 
                                VEIC_placa_cavalo";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxPesquisarDadosVira_fatura(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            $transp = $request->transp;
            $datafim = $request->datafim;
            $horafim = $request->horafim;            
            
            //Seleciona dados
            $sql = "SELECT  VEIC_placa_cavalo   as placa, 
                            ESTA_FK_VEIC_id     as idveic, 
                            date_format(ESTA_data_saida,'%d/%m/%Y %H:%i')     as datae, 
                            date_format(ESTA_data_saida,'%Y/%m/%d %H:%i')     as dataf, 
                            date_format(ESTA_data_saida,'%Y-%m-%d')           as datac, 
                            ESTA_FK_TRAN_id     as idtransp,
                            TRAN_valor_vira     as valor,
                            ESTA_id             as id
                    FROM    SGP_estadia, 
                            SGP_veiculo, 
                            SGP_transportador 
                    WHERE   ESTA_FK_VEIC_id=VEIC_id
                    AND     ESTA_FK_TRAN_id=TRAN_id
                    AND     ESTA_vira='1' 
                    AND     (ESTA_fatura IS NULL OR ESTA_fatura = '') ";
            $sql.= "AND     ESTA_FK_UNID_id=" .$unidade. " ";
            $sql.= "AND     ESTA_FK_TRAN_id="  .$transp. " ";
            $sql.= "AND     ESTA_data_saida  <='" .$datafim. " " .$horafim. ":59' ";
            $sql.= "AND     VEIC_placa_cavalo NOT IN ('0') AND ESTA_status NOT IN ('CL') AND ESTA_data_saida IS NOT NULL ";
            $sql.= "ORDER BY    VEIC_placa_cavalo, 
                                ESTA_data_saida";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            //$dados = ['consulta'=>$resultado, 'consulta2'=>$sql];
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    
    public function ajaxPesquisarDadosFaturado(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            $fatura = $request->fatura;
            
            //Seleciona dados
            $sql = "SELECT  VEIC_placa_cavalo   as placa, 
                            ESTA_FK_VEIC_id     as idveic, 
                            date_format(ESTA_data_saida,'%d/%m/%Y %H:%i')     as datae, 
                            date_format(ESTA_data_saida,'%Y/%m/%d %H:%i')     as dataf, 
                            date_format(ESTA_data_saida,'%Y-%m-%d')           as datac, 
                            ESTA_FK_TRAN_id     as idtransp,
                            TRAN_valor_vira     as valor,
                            TRAN_nome           as transportador
                    FROM    SGP_estadia, 
                            SGP_veiculo, 
                            SGP_transportador 
                    WHERE   ESTA_FK_VEIC_id=VEIC_id
                    AND     ESTA_FK_TRAN_id=TRAN_id
                    AND     ESTA_vira='1' ";
            $sql.= "AND     ESTA_FK_UNID_id=" .$unidade. " ";
            $sql.= "AND     ESTA_fatura='"  .$fatura. "' ";
            //$sql.= "AND     ESTA_data_saida  <='" .$datafim. " " .$horafim. ":59' ";
            $sql.= "AND     VEIC_placa_cavalo NOT IN ('0') AND ESTA_status NOT IN ('CL') AND ESTA_data_saida IS NOT NULL ";
            $sql.= "ORDER BY    VEIC_placa_cavalo, 
                                ESTA_data_saida";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado, 'consulta2'=>$sql];
            //$dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }
    
    public function ajaxSalvarFaturas(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            $transp  = $request->transp;
            $datafim = $request->datafim;
            $horafim = $request->horafim; 
            $fatura  = $request->fatura;  
            $faturadoate  = $request->faturadoate;            
            
            //Seleciona dados
            $sql = "UPDATE SGP_estadia SET  ESTA_fatura='" .$fatura. "', 
                                            ESTA_faturado_ate='" .$faturadoate. "' ";
            $sql.= "WHERE   ESTA_vira='1' 
                    AND     (ESTA_fatura IS NULL OR ESTA_fatura='')
                    AND     ESTA_FK_UNID_id=" .$unidade. " ";
            $sql.= "AND     ESTA_FK_TRAN_id="  .$transp. " ";
            $sql.= "AND     ESTA_data_saida  <='" .$datafim. " " .$horafim. ":59' ";
            $sql.= "AND     ESTA_status NOT IN ('CL') AND ESTA_data_saida IS NOT NULL ";

            //executa a query 
            $resultado =\DB::update($sql);
            
            //$dados = ['consulta'=>$resultado, 'consulta2'=>$sql];
            
            //return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisarSumarioVira(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            
            //Seleciona dados
            $sql = "SELECT  VEIC_placa_cavalo as placa, 
                            VIRA_qtde as qtde, 
                            VIRA_valor as valor, 
                            date_format(VIRA_diaria,'%d/%m/%Y') as diaria
                    FROM    SGP_vira, 
                            SGP_veiculo
                    WHERE   VIRA_FK_VEIC_id=VEIC_id
                    AND     VIRA_FK_UNID_id=" .$unidade. " ";
            $sql.= "ORDER BY VEIC_placa_cavalo, VIRA_diaria;";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisarFaturas(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            
            //Seleciona dados
            $sql = "SELECT  distinct 
                            ESTA_fatura         as fatura, 
                            TRAN_nome           as transportador, 
                            ESTA_faturado_ate   as faturadoate
                    FROM    SGP_estadia , 
                            SGP_transportador
                    WHERE   ESTA_FK_TRAN_id=TRAN_id
                    AND     ESTA_FK_UNID_id=" .$unidade. " ";  
            $sql.= "AND     (ESTA_fatura IS NOT NULL 
                    OR      ESTA_fatura <> '') 
                    ORDER BY ESTA_fatura DESC";

           /*  $sql = "SELECT  distinct ESTA_fatura as fatura
                    FROM    SGP_estadia 
                    WHERE   ESTA_FK_UNID_id=" .$unidade. " "; 
            $sql.= "AND     (ESTA_fatura IS NOT NULL 
                    OR      ESTA_fatura <> '') 
                    ORDER BY ESTA_fatura"; */

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisarDadosVira(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            $transp = $request->transp;
            //$dataini = $request->dataini;
            //$datafim = $request->datafim;
            //$horaini = $request->horaini;
            //$horafim = $request->horafim;            
            
            //Seleciona dados
            $sql = "SELECT  VEIC_placa_cavalo   as placa, 
                            ESTA_FK_VEIC_id     as idveic, 
                            date_format(ESTA_data_saida,'%d/%m/%Y %H:%i')     as datae, 
                            date_format(ESTA_data_saida,'%Y/%m/%d %H:%i')     as dataf, 
                            date_format(ESTA_data_saida,'%Y-%m-%d')           as datac, 
                            ESTA_FK_TRAN_id     as idtransp,
                            TRAN_valor_vira     as valor,
                            ESTA_id             as id
                    FROM    SGP_estadia, 
                            SGP_veiculo, 
                            SGP_transportador 
                    WHERE   ESTA_FK_VEIC_id=VEIC_id
                    AND     ESTA_FK_TRAN_id=TRAN_id
                    AND     ESTA_vira='1' ";
            $sql.= "AND     ESTA_FK_UNID_id=" .$unidade. " ";
            $sql.= "AND     ESTA_FK_TRAN_id="  .$transp. " ";
            //$sql.= "AND     (ESTA_data_saida >='" .$dataini. " " .$horaini. ":01' ";
            //$sql.= "AND     ESTA_data_saida  <='" .$datafim. " " .$horafim. ":59') ";
            $sql.= "AND     VEIC_placa_cavalo NOT IN ('0') AND ESTA_status NOT IN ('CL') AND ESTA_data_saida IS NOT NULL ";
            $sql.= "ORDER BY    VEIC_placa_cavalo, 
                                ESTA_data_saida";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxEstaNoPatio(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            $placa = $request->placa;
            $placa = str_replace('-','',$placa);
            
            //Seleciona dados da operação
            $sql = "SELECT  COUNT(*) as qtde 
                    FROM    SGP_estadia, 
                            SGP_veiculo 
                    WHERE   ESTA_FK_VEIC_id=VEIC_id 
                    AND     ESTA_status='PA' 
                    AND     VEIC_placa_cavalo='" .$placa. "' ";
            $sql.= "AND     ESTA_FK_UNID_id=" .$unidade. " ";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    } 

}