<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use App\Ticket;
use App\Tipo_Estadia;
use App\Cliente;
use App\Estadia;

class ExcelController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    
    public function gerarExcelConsultaConvenio($cliente,$dataI,$dataF)
    {
        $consultas = Ticket::join(Tipo_Estadia::$tabela,Ticket::$tipo,'=',Tipo_Estadia::$id)
                                ->join(Cliente::$tabela,Ticket::$cliente,'=',Cliente::$id)
                                    ->where(Ticket::$status,'=','R')
                                        ->where(Ticket::$tipo,'=',$cliente)
                                            ->whereBetween(Ticket::$datasaida, [$dataI, $dataF])
                                                ->orderBy(Ticket::$datasaida)->get();
        return view('excel.excelconsultaconvenio',['consultas'=>$consultas]);
    }

    public function gerarExcelConsultaMovimento($cliente,$dataI,$dataF)
    {
     
        $statusEstadia = ['PA','ET','RC','NF','FN'];
        $consultas = Estadia::whereIn(Estadia::$status,$statusEstadia)->where(Estadia::$fk_cliente,$cliente)
                                ->where(Estadia::$fk_destino,$destino)
                                ->where(Estadia::$data_chegada,'>=',$dataI)->where(Estadia::$data_chegada,'<=',$dataF)
                                ->get()
                                ->map(function ($item)
                                {
                                    return [
                                        'dataChegada'=>$item->getDataChegada(),
                                        'placa'=>$item->Veiculo->getPlaca(),
                                        'motorista'=>$item->Motorista->getNome(),
                                        'produto'=>$item->Produto->getDescricao(),
                                        'cliente'=>$item->Cliente->getRazaoSocial(),
                                        'clienteCarga'=>$item->ClienteCarga->getNome(),
                                        'transportador'=>$item->Transportador->getRazaoSocial(),
                                        'formula'=>$item->Formula->getDescricao(),
                                        'statusChk'=>$item->getStatusChk(),
                                        'status'=>$item->getStatus()
                                    ];
                                });
            
        
                    
        return view('excel.excelconsultamovimento',['consultas'=>$consultas]);
    }

    public function gerarExcelConsultaEstadia($cliente,$dataI,$dataF,$transp)
    {
        return view('excel.excelconestadia',['cliente'=>$cliente, 'dataini'=>$dataI, 'datafim'=>$dataF, 'transp'=>$transp]);
    }

}