<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Formula;

class FormulaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexFormula(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('adm.formula');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarFormula(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('formula.formula');}
        Try
        {
            //$p = Formula::where(Formula::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('formula.formula')->withErrors('Já existe um registro com este código.');
            //}

            $id = $request->id;
            $descricao = $request->descricao;
            $descricao=  strtoupper($descricao); 
            $unidade =  Auth::user()->getUnidade();
            $cliente = $request->cliente;

            if($id=='0')
            {
                $sql="INSERT INTO SGP_formula (FORM_FK_UNID_id, FORM_FK_CLIE_id, FORM_descricao) VALUES(" .$unidade. "," .$cliente. ",'" .$descricao. "')";
            }
            else
            {
                $sql="UPDATE SGP_formula SET FORM_descricao='" .$descricao. "' WHERE FORM_id=" .$id. "";
            }
            
            $resultado =\DB::select($sql);

            /* $formula = Formula::findOrNew($request->id);
            $formula->setUnidade($unidade);
            $formula->setCliente($cliente);
            $formula->setDescricao($descricao);
            $formula->save(); */
            return Redirect::route('adm.formula');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.formula')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function ajaxExcluirFormula(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('formula.formula');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('adm.formula')->withErrors('Código vazio.');
            }

            $formula = Formula::find($request->id);
            $formula->delete();

            return Redirect::route('adm.formula');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.formula')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxListaFormula(Request $request)
    {
        try
        {

           $cliente = $request->cliente;
           $unidade =  Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  FORM_descricao as id, 
                            FORM_descricao as descricao 
                    FROM    SGP_formula 
                    WHERE   FORM_FK_UNID_id=" .$unidade. " ";
            $sql .="AND     FORM_FK_CLIE_id=" .$cliente. " ";
            $sql .="ORDER BY FORM_descricao; ";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisarFormula(Request $request)
    {
        try
        {

           $cliente = $request->cliente;
           $unidade =  Auth::user()->getUnidade();
           $palavra = $request->palavra;

            //Seleciona dados
            $sql = "SELECT  FORM_id as id, 
                            FORM_descricao as descricao 
                    FROM    SGP_formula 
                    WHERE   FORM_FK_UNID_id=" .$unidade. " ";
            $sql .="AND     FORM_FK_CLIE_id=" .$cliente. " ";
            if($palavra!='')
            {
                $sql.="AND FORM_descricao LIKE '%" .$palavra. "%' ";
            }
            $sql .="ORDER BY FORM_descricao; ";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

}