<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Funcao;

class FuncaoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexFuncao(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('cadastro.funcao');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarFuncao(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.funcao');}
        Try
        {
            //$p = Funcao::where(Funcao::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.funcao')->withErrors('Já existe um registro com este código.');
            //}
            $unidade = Auth::user()->getUnidade();
            $descricao = strtoupper($request->descricao);

            $funcao = Funcao::findOrNew($request->id);
            $funcao->setDescricao($descricao);
            $funcao->setUnidade($unidade);
        
            $funcao->save();
            return Redirect::route('cadastro.funcao');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.funcao')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function ajaxExcluirFuncao(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.funcao');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.funcao')->withErrors('Código vazio.');
            }

            $funcao = Funcao::find($request->id);
            $funcao->delete();

            return Redirect::route('cadastro.funcao');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.funcao')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarFuncao(Request $request)
    {
        try
        {

            $unidade = Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  FUNC_id                    as id, 
                            upper(FUNC_descricao)      as descricao
                    FROM    SGP_funcao ";
            $sql.= "WHERE   FUNC_FK_UNID_id=" . $unidade. " ";
            $sql.= "ORDER BY FUNC_descricao";
                                          
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

}