<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Grupo_ccusto;

class Grupo_ccustoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexGrupo_ccusto(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.grupo_ccusto');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarGrupo_ccusto(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('financeiro.grupo_ccusto');}
        Try
        {
            //$p = Grupo_ccusto::where(Grupo_ccusto::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('financeiro.grupo_ccusto')->withErrors('Já existe um registro com este código.');
            //}

            $unidade = Auth::user()->getUnidade();
            $descricao = $request->descricao;
            $descricao = strtoupper($descricao);

            $grupo_ccusto = Grupo_ccusto::findOrNew($request->id);
            $grupo_ccusto->setDescricao($descricao);
            $grupo_ccusto->setUnidade($unidade);
        
            $grupo_ccusto->save();
            //return Redirect::route('financeiro.grupo_ccusto');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.grupo_ccusto')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function ajaxExcluirGrupo_ccusto(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('financeiro.grupo_ccusto');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('financeiro.grupo_ccusto')->withErrors('Código vazio.');
            }

            $grupo_ccusto = Grupo_ccusto::find($request->id);
            $grupo_ccusto->delete();

            //return Redirect::route('financeiro.grupo_ccusto');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.grupo_ccusto')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarGrupoCCusto(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            //Seleciona dados
            $sql = "SELECT  GRUPOCC_id as id, 
                            GRUPOCC_descricao as descricao 
                    FROM    SGP_grupo_ccusto ";
            $sql .="WHERE   GRUPOCC_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY GRUPOCC_descricao";
                                          
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

}