<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Grupo_prod;

class Grupo_prodController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexGrupo_prod(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            //$grupo_prod = Grupo_prod::all();
            return view('estoque.grupo_prod');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarGrupo(Request $request)
    {

        Try
        {

            $unidade = Auth::user()->getUnidade();

            $descricao = $request->descricao;
            $descricao = strtoupper($descricao);

            $grupo_prod = Grupo_prod::findOrNew($request->id);
            $grupo_prod->setDescricao($descricao);
            $grupo_prod->setUnidade($unidade);
        
            $grupo_prod->save();

            //return Redirect::route('estoque.grupo_prod');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.grupo_prod')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
  
    
    public function ajaxExcluirGrupo(Request $request)
    {
        
        Try
        {
            /* if(empty($request->id))
            {
                return Redirect::route('estoque.grupo_prod')->withErrors('Código vazio.');
            } */

            //$grupo_prod = Grupo_prod::find($request->id);
            //$grupo_prod->delete();

            $id = $request->id;

            //Seleciona dados
            $sql = "DELETE FROM TBG_grupo_prod 
                    WHERE GRUPOP_id=" .$id. " ";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

            //return Redirect::route('estoque.grupo_prod');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.grupo_prod')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarGrupo(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  GRUPOP_id           as id, 
                            GRUPOP_descricao    as descricao 
                    FROM    TBG_grupo_prod ";
            $sql .="WHERE GRUPOP_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY GRUPOP_descricao";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}