<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Parametro;
use App\Estadia;


class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        /* $total = 0;
        $agendados = 0;
        $patio = 0;
        $chamados =0;
        $processo = 0;
        $checklist = 0;
        $recebido = 0; */

        try
        {
            //$usuario=Auth::user()->getId();

        }
        catch(\Exception $ex)
        {

        }

        //return view('home');

        if(Auth::user()->Classe->first()->getCodigo() == 'PAR')    //carrega home do parceiro
        {
            return view('homeParceiro');
        }
        else if(Auth::user()->Classe->first()->getCodigo() == 'MINA')    //carrega home da mineração
        {
            return view('homeMina');
        }
        else if(Auth::user()->Classe->first()->getCodigo() == 'ADMM')    //carrega home da mineração
        {
            return view('homeMina');
        }
        else 
        {
            return view('home');                                    //carrega home genérico
        }

   }


    public function ajaxQtdePatio(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $cliente = Auth::user()->getCliente();
            $transp  = Auth::user()->getTransp();
            
            if($cliente=='0')
            {
                $cliente='';
            }
            if($transp=='0')
            {
                $transp='';
            }
            
            //Seleciona dados da operação
            $sql = "SELECT count(*) as qtde 
                    FROM SGP_estadia 
                    WHERE ESTA_status='PA' ";
                    if($cliente!='')
                    {
                        $sql .="AND ESTA_FK_CLIE_id=" .$cliente. " ";
                    }
                    if($transp!='')
                    {
                        $sql .="AND ESTA_FK_TRAN_id=" .$transp. " ";
                    }
                    if($unidade!='')
                    {
                        $sql .="AND ESTA_FK_UNID_id=" .$unidade. " ";
                    }
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }

    
/*     public function ajaxQtdePendente(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $login = Auth::user()->getLogin();
            
            //Seleciona dados da operação
            $sql = "SELECT COUNT(*) AS qtde FROM BEAU_contrato WHERE CONTRA_indicacao='" .$login. "' AND CONTRA_ativo=1 AND CONTRA_status='P'";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    } */

/*     public function ajaxQtdeConfirmado(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $login = Auth::user()->getLogin();
            
            //Seleciona dados da operação
            $sql = "SELECT COUNT(*) AS qtde FROM BEAU_contrato WHERE CONTRA_indicacao='" .$login. "' AND CONTRA_ativo=1 AND CONTRA_status='R'";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    } */

    public function ajaxQtdeChamado(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade = Auth::user()->getUnidade();
            $cliente = Auth::user()->getCliente();
            $transp  = Auth::user()->getTransp();

            if($cliente=='0')
            {
                $cliente='';
            }
            if($transp=='0')
            {
                $transp='';
            }

            //Seleciona dados da operação
            $sql = "SELECT count(*) as qtde 
                    FROM SGP_estadia 
                    WHERE ESTA_status='PA' 
                    AND ESTA_foi_chamado=1 ";
                    if($cliente!='')
                    {
                        $sql .="AND ESTA_FK_CLIE_id=" .$cliente. " ";
                    }
                    if($transp!='')
                    {
                        $sql .="AND ESTA_FK_TRAN_id=" .$transp. " ";
                    }
                    if($unidade!='')
                    {
                        $sql .="AND ESTA_FK_UNID_id=" .$unidade. " ";
                    }

                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }

    
    public function ajaxQtdeAgendado(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade = Auth::user()->getUnidade();
            $transp  = Auth::user()->getTransp();
            $cliente = $request->cliente;
            if($cliente=='0')
            {
                $cliente='';
            }
            if($transp=='0')
            {
                $transp='';
            }

            //Seleciona dados da operação
            $sql = "SELECT count(*) as qtde 
                    FROM SGP_estadia 
                    WHERE ESTA_status='AG' ";
                    if($cliente!='')
                    {
                        $sql .="AND ESTA_FK_CLIE_id=" .$cliente. " ";
                    }
                    if($transp!='')
                    {
                        $sql .="AND ESTA_FK_TRAN_id=" .$transp. " ";
                    }
                    if($unidade!='')
                    {
                        $sql .="AND ESTA_FK_UNID_id=" .$unidade. " ";
                    }
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }

    public function ajaxQtdeEnviado(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade = Auth::user()->getUnidade();
            $cliente = Auth::user()->getCliente();
            $transp  = Auth::user()->getTransp();
            if($cliente=='0')
            {
                $cliente='';
            }
            if($transp=='0')
            {
                $transp='';
            }

            //Seleciona dados da operação
            $sql = "SELECT count(*) as qtde 
                    FROM SGP_estadia 
                    WHERE ESTA_status='ET' 
                    AND   ESTA_avulso='0' ";
                    if($cliente!='')
                    {
                        $sql .="AND ESTA_FK_CLIE_id=" .$cliente. " ";
                    }
                    if($transp!='')
                    {
                        $sql .="AND ESTA_FK_TRAN_id=" .$transp. " ";
                    }
                    if($unidade!='')
                    {
                        $sql .="AND ESTA_FK_UNID_id=" .$unidade. " ";
                    }
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }

    public function ajaxSumarioCliente(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade = Auth::user()->getUnidade();
            $transp  = Auth::user()->getTransp();
            //$ano = $request->ano;
            $cliente = $request->cliente;
            if($cliente=='0')
            {
                $cliente='';
            }
            if($transp=='0')
            {
                $transp='';
            }
            
            //Seleciona dados
            $sql = "SELECT      c.CLIE_nome as cliente, ESTA_tipo_operacao as operacao, count(*) as qtde , ifnull(sum(ESTA_qtde),0) as total
                    FROM        SGP_estadia e, SGP_cliente c
                    WHERE       e.ESTA_FK_CLIE_id=c.CLIE_id
                    AND         e.ESTA_status='PA' ";
                    if($cliente!='')
                    {
                        $sql .="AND ESTA_FK_CLIE_id=" .$cliente. " ";
                    }
                    if($transp!='')
                    {
                        $sql .="AND ESTA_FK_TRAN_id=" .$transp. " ";
                    }
                    if($unidade!='')
                    {
                        $sql .="AND ESTA_FK_UNID_id=" .$unidade. " ";
                    }
                    $sql .="GROUP BY    c.CLIE_nome, ESTA_tipo_operacao
                            ORDER BY    c.CLIE_nome, ESTA_tipo_operacao";

                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    /* public function ajaxAgendamentoPendente(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade = Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT      date_format(a.AGEN_data,'%d/%m/%Y') as dataa, 
                                date_format(a.AGEN_data ,'%Y%m%d') as datai, 
                                a.AGEN_hora as hora, 
                                ucase(ifnull(a.AGEN_observacao,'')) as obs, 
                                ucase(p.PES_nome) as nome, 
                                p.PES_celular as celular 
                    FROM        BEAU_agenda a, 
                                BEAU_pessoa p 
                    WHERE       a.AGEN_FK_PES_id=p.PES_id 
                    AND         a.AGEN_FK_UNID_id=" .$unidade. " ";
            $sql .="AND         a.AGEN_status='P' 
                    ORDER BY    a.AGEN_data, a.AGEN_hora;";

                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }
 */
    
    public function ajaxQtdeTipoOperacao(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade = Auth::user()->getUnidade();
            $cliente = $request->cliente;
            $transp  = Auth::user()->getTransp();
            $tipooperacao = $request->tipooperacao;

            if($cliente=='0')
            {
                $cliente='';
            }
            if($transp=='0')
            {
                $transp='';
            }

            //Seleciona dados da operação
            $sql = "SELECT count(*) as qtde 
                    FROM SGP_estadia 
                    WHERE ESTA_status='PA' ";
            if($cliente!='')
            {
                $sql .="AND ESTA_FK_CLIE_id=" .$cliente. " ";
            }
            if($transp!='')
            {
                $sql .="AND ESTA_FK_TRAN_id=" .$transp. " ";
            }
            if($unidade!='')
            {
                $sql .="AND ESTA_FK_UNID_id=" .$unidade. " ";
            }
            $sql.="AND ESTA_tipo_operacao='" .$tipooperacao. "' ";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }

    public function ajaxQtdeInspecao(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $cliente = Auth::user()->getCliente();
            $transp  = Auth::user()->getTransp();
            if($cliente=='0')
            {
                $cliente='';
            }
            if($transp=='0')
            {
                $transp='';
            }

            //Seleciona dados da operação

            $sql = "SELECT count(*) as qtde 
                    FROM  SGP_estadia, SGP_inspecao
                    WHERE INSP_FK_ESTA_id=ESTA_id
                    AND   ESTA_status='PA' ";
                    if($cliente!='')
                    {
                        $sql .="AND ESTA_FK_CLIE_id=" .$cliente. " ";
                    }
                    if($transp!='')
                    {
                        $sql .="AND ESTA_FK_TRAN_id=" .$transp. " ";
                    }
                    $sql .="AND ESTA_FK_UNID_id=" .$unidade. " ";
                    $sql .="AND INSP_status IN ('INICIADO','PENDENTE') ";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }


    public function ajaxQtdeInspecaoOk(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $cliente = Auth::user()->getCliente();
            $transp  = Auth::user()->getTransp();
            if($cliente=='0')
            {
                $cliente='';
            }
            if($transp=='0')
            {
                $transp='';
            }

            //Seleciona dados da operação

            $sql = "SELECT count(*) as qtde 
                    FROM  SGP_estadia, SGP_inspecao
                    WHERE INSP_FK_ESTA_id=ESTA_id
                    AND   ESTA_status='PA' ";
                    if($cliente!='')
                    {
                        $sql .="AND ESTA_FK_CLIE_id=" .$cliente. " ";
                    }
                    if($transp!='')
                    {
                        $sql .="AND ESTA_FK_TRAN_id=" .$transp. " ";
                    }
                    $sql .="AND ESTA_FK_UNID_id=" .$unidade. " ";
                    $sql .="AND INSP_status='APROVADO' ";
                    
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }

    
    public function ajaxQtdeVira(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            //$cliente = Auth::user()->getCliente();
            $transp  = Auth::user()->getTransp();
            
            //if($cliente=='0')
            //{
            //    $cliente='';
            //}
            
            //Seleciona dados da operação
            $sql = "SELECT count(*) as qtde 
                    FROM SGP_estadia 
                    WHERE ESTA_status='PA'
                    AND ESTA_vira='1'
                    AND ESTA_vira_virtual='0' ";
                    
                    //if($cliente!='')
                    //{
                    //    $sql .="AND ESTA_FK_CLIE_id=" .$cliente. " ";
                    //}
                    //if($transp!='')
                    //{
                    //    $sql .="AND ESTA_FK_TRAN_id=" .$transp. " ";
                    //}
                    if($unidade!='')
                    {
                        $sql .="AND ESTA_FK_UNID_id=" .$unidade. " ";
                    }
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }

    public function ajaxQtdeViraExt(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            //$cliente = Auth::user()->getCliente();
            $transp  = Auth::user()->getTransp();
            
            //if($cliente=='0')
            //{
            //    $cliente='';
            //}
             
            //Seleciona dados da operação
            $sql = "SELECT count(*) as qtde 
                    FROM SGP_estadia 
                    WHERE ESTA_status='PA'
                    AND ESTA_vira='1'
                    AND ESTA_vira_virtual='1' ";
                    
                    //if($cliente!='')
                    //{
                    //    $sql .="AND ESTA_FK_CLIE_id=" .$cliente. " ";
                    //}
                    //if($transp!='')
                    //{
                    //    $sql .="AND ESTA_FK_TRAN_id=" .$transp. " ";
                    //}
                    if($unidade!='')
                    {
                        $sql .="AND ESTA_FK_UNID_id=" .$unidade. " ";
                    }
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }



}
