<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Inspecao;

class InspecaoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexInspecao(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.inspecao');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function salvarInspecao(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('inspecao.inspecao');}
        Try
        {
            
            $item1 = $request->item1;
            $item2 = $request->item2;
            $item3 = $request->item3;
            $item4 = $request->item4;
            $item5 = $request->item5;
            $item6 = $request->item6;
            $item7 = $request->item7;
            $item8 = $request->item8;
            
            if($item1=='1'){$item1='SIM';}else{$item1='NÃO';}
            if($item2=='1'){$item2='SIM';}else{$item2='NÃO';}
            if($item3=='1'){$item3='SIM';}else{$item3='NÃO';}
            if($item4=='1'){$item4='SIM';}else{$item4='NÃO';}
            if($item5=='1'){$item5='SIM';}else{$item5='NÃO';}
            if($item6=='1'){$item6='SIM';}else{$item6='NÃO';}
            if($item7=='1'){$item7='SIM';}else{$item7='NÃO';}
            if($item8=='1'){$item8='SIM';}else{$item8='NÃO';}
            
            $unidade =  Auth::user()->getUnidade();

            $inspecao = Inspecao::findOrNew($request->id);
            $inspecao->setUnidade($unidade);
            $inspecao->setEstadia($request->estadia);
            $inspecao->setData($request->data);
            $inspecao->setTipocarga($request->tipocarga);
            $inspecao->setStatus($request->status);
            $inspecao->setInicio($request->inicio);
            $inspecao->setFinal($request->final);
            $inspecao->setObs($request->obs);
            $inspecao->setAvaliador($request->avaliador);
            $inspecao->setItem01($item1);
            $inspecao->setItem02($item2);
            $inspecao->setItem03($item3);
            $inspecao->setItem04($item4);
            $inspecao->setItem05($item5);
            $inspecao->setItem06($item6);
            $inspecao->setItem07($item7);
            $inspecao->setItem08($item8);
        
            $inspecao->save();
            //return Redirect::route('patio.inspecao');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.inspecao')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarFinalizar(Request $request)
    {
        Try
        {
            
            $item1 = $request->item1;
            $item2 = $request->item2;
            $item3 = $request->item3;
            $item4 = $request->item4;
            $item5 = $request->item5;
            $item6 = $request->item6;
            $item7 = $request->item7;
            $item8 = $request->item8;
            $status = $request->status;

            if($item1=='1'){$item1='SIM';}else{$item1='NÃO';}
            if($item2=='1'){$item2='SIM';}else{$item2='NÃO';}
            if($item3=='1'){$item3='SIM';}else{$item3='NÃO';}
            if($item4=='1'){$item4='SIM';}else{$item4='NÃO';}
            if($item5=='1'){$item5='SIM';}else{$item5='NÃO';}
            if($item6=='1'){$item6='SIM';}else{$item6='NÃO';}
            if($item7=='1'){$item7='SIM';}else{$item7='NÃO';}
            if($item8=='1'){$item8='SIM';}else{$item8='NÃO';}
            
            $inspecao = Inspecao::find($request->id);
            $inspecao->setStatus($status);
            $inspecao->setFinal($request->final);
            $inspecao->setObs($request->obs);
            $inspecao->setAvaliador($request->avaliador);
            $inspecao->setItem01($item1);
            $inspecao->setItem02($item2);
            $inspecao->setItem03($item3);
            $inspecao->setItem04($item4);
            $inspecao->setItem05($item5);
            $inspecao->setItem06($item6);
            $inspecao->setItem07($item7);
            $inspecao->setItem08($item8);
            $inspecao->save();
            
            $estadia = $inspecao->getEstadia();
            if($estadia!='')
            {
                $sql = "UPDATE SGP_estadia SET ESTA_status_inspecao='" .$status. "' WHERE ESTA_id=" .$estadia. " ";
                $resultado =\DB::select($sql);
            }
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.inspecao')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
    
    public function ajaxIniciarInspecao(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('inspecao.inspecao');}
        Try
        {        
            $status = $request->status;
            $id = $request->id;

            $inspecao = Inspecao::find($id);
            $inspecao->setStatus($status);
            $inspecao->setInicio($request->inicio);
            $inspecao->save();

            $estadia = $inspecao->getEstadia();

            if($estadia!='')
            {
                $teste = "UPDATE SGP_estadia SET ESTA_status_inspecao='" .$status. "', ESTA_FK_INSP_id=" .$id. " WHERE ESTA_id=" .$estadia. " ";
                $resultado =\DB::update($teste);
            }
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.inspecao')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function deleteInspecao(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('inspecao.inspecao');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('inspecao.inspecao')->withErrors('Código vazio.');
            }

            $inspecao = Inspecao::find($request->id);
            $inspecao->delete();

            return Redirect::route('inspecao.inspecao');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('inspecao.inspecao')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaInspecao(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade = Auth::user()->getUnidade();
            $transp  = Auth::user()->getTransp();
            $placa   = $request->placa;
            $status  = $request->etapa;
            if($transp=='0')
            {
                $transp='';
            }

            //Seleciona dados
            $sql = "SELECT  VEIC_placa_cavalo  as placa, 
                            INSP_id as id, 
                            LPAD(INSP_id,6,'0') as numero,
                            date_format(INSP_data,'%d/%m/%Y') as datai, 
                            INSP_status         as status,
                            INSP_tipocarga      as tipocarga, 
                            ifnull(date_format(INSP_inicio,'%d/%m/%Y %H:%i'),'')    as inicio, 
                            ifnull(date_format(INSP_final,'%d/%m/%Y %H:%i'),'')     as final, 
                            ifnull(INSP_obs,'') as obs, 
                            ifnull(INSP_avaliador,'') as avaliador, 
                            ifnull(INSP_item01,'') as item01,
                            ifnull(INSP_item02,'') as item02,
                            ifnull(INSP_item03,'') as item03,
                            ifnull(INSP_item04,'') as item04,
                            ifnull(INSP_item05,'') as item05,
                            ifnull(INSP_item06,'') as item06,
                            ifnull(INSP_item07,'') as item07,
                            ifnull(INSP_item08,'') as item08,
                            upper(CLIE_nome)       as cliente,
                            upper(TRAN_nome)       as transportador,
                            upper(MOTO_nome)       as motorista,
                            upper(PROD_descricao)  as produto,
                            (SELECT COUNT(*) FROM SGP_ocorrencia WHERE OCOR_FK_ESTA_id=ESTA_id) as qtde_ocorr,
                            ifnull(ESTA_bloqueio,'0') as bloqueio,
                            ifnull(ESTA_prioridade,'0') as prioridade,
                            ifnull(ESTA_motivo_bloqueio,'') as motivo
                    FROM    SGP_inspecao, 
                            SGP_estadia, 
                            SGP_veiculo,
                            SGP_cliente,
                            SGP_transportador,
                            SGP_motorista,
                            SGP_produto
                    WHERE   INSP_FK_ESTA_id = ESTA_id
                    AND     ESTA_FK_VEIC_id = VEIC_id 
                    AND     ESTA_FK_CLIE_id = CLIE_id 
                    AND     ESTA_FK_TRAN_id = TRAN_id 
                    AND     ESTA_FK_MOTO_id = MOTO_id
                    AND     ESTA_FK_PROD_id = PROD_id ";
            $sql.= "AND     INSP_FK_UNID_id=" .$unidade. " ";
            if($status=='PENDENTE')
            {
                $sql .="AND     INSP_status = 'PENDENTE' ";
                $sql .="AND     INSP_inicio IS NULL
                        AND     INSP_final IS NULL ";
            }
            else if($status=='INICIADO')
            {
                $sql .="AND     INSP_status = 'INICIADO' ";
                $sql .="AND     INSP_inicio IS NOT NULL
                        AND     INSP_final IS NULL ";
            }
            else if($status=='FINALIZADO')
            {
                $sql .="AND     (INSP_status = 'APROVADO' OR INSP_status = 'REPROVADO') ";
                //$sql .="AND     INSP_inicio IS NOT NULL
                        //AND     INSP_final IS NOT NULL ";
            }
            if($placa!='')
            {
                $sql .="AND (VEIC_placa_cavalo LIKE '%" .$placa. "%') ";
            }
            if($transp!='')
            {
                $sql .="AND ESTA_FK_TRAN_id = " .$transp. " ";
            }
            $sql .="ORDER BY INSP_id;";

                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxSalvarManutencao(Request $request)
    {
        Try
        {
            
            $item1 = $request->item1;
            $item2 = $request->item2;
            $item3 = $request->item3;
            $item4 = $request->item4;
            $item5 = $request->item5;
            $item6 = $request->item6;
            $item7 = $request->item7;
            $item8 = $request->item8;
            $status = $request->status;

            if($item1=='1'){$item1='SIM';}else{$item1='NÃO';}
            if($item2=='1'){$item2='SIM';}else{$item2='NÃO';}
            if($item3=='1'){$item3='SIM';}else{$item3='NÃO';}
            if($item4=='1'){$item4='SIM';}else{$item4='NÃO';}
            if($item5=='1'){$item5='SIM';}else{$item5='NÃO';}
            if($item6=='1'){$item6='SIM';}else{$item6='NÃO';}
            if($item7=='1'){$item7='SIM';}else{$item7='NÃO';}
            if($item8=='1'){$item8='SIM';}else{$item8='NÃO';}
            
            $inspecao = Inspecao::find($request->id);
            $inspecao->setStatus($status);
            $inspecao->setObs($request->obs);
            $inspecao->setAvaliador($request->avaliador);
            $inspecao->setItem01($item1);
            $inspecao->setItem02($item2);
            $inspecao->setItem03($item3);
            $inspecao->setItem04($item4);
            $inspecao->setItem05($item5);
            $inspecao->setItem06($item6);
            $inspecao->setItem07($item7);
            $inspecao->setItem08($item8);
            $inspecao->save();
            
            $estadia = $inspecao->getEstadia();
            if($estadia!='')
            {
                $sql = "UPDATE SGP_estadia SET ESTA_status_inspecao='" .$status. "' WHERE ESTA_id=" .$estadia. " ";
                $resultado =\DB::select($sql);
            }
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.inspecao')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

}