<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Integracao;

class IntegracaoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexIntegracao(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            $integracao = Integracao::all();
            return view('patio.integracao',['integracao'=>$integracao]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarIntegracao(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('patio.integracao');}
        Try
        {
            //$p = Integracao::where(Integracao::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('patio.integracao')->withErrors('Já existe um registro com este código.');
            //}

            $integracao = Integracao::findOrNew($request->codigo);
            $integracao->setUnidade($request->unidade);
            $integracao->setPlaca($request->placa);
            $integracao->setData($request->data);
            $integracao->setCodigo($request->codigo);
            $integracao->setStatus($request->status);
        
            $integracao->save();
            //return Redirect::route('patio.integracao');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.integracao')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function deleteIntegracao(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('patio.integracao');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('patio.integracao')->withErrors('Código vazio.');
            }

            $integracao = Integracao::find($request->id);
            $integracao->delete();

            return Redirect::route('patio.integracao');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.integracao')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }


}