<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Log;

class LogController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexLog(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            $log = Log::all();
            return view('adm.log',['log'=>$log]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function salvarLog(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.log');}
        Try
        {
            //$p = Log::where(Log::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.log')->withErrors('Já existe um registro com este código.');
            //}

            $unidade = Auth::user()->getUnidade();

            $log = Log::findOrNew($request->id);
            $log->setSistema($request->sistema);
            $log->setUsuario($request->usuario);
            $log->setData($request->data);
            $log->setDescricao($request->descricao);
            $log->setDt_criacao($request->dt_criacao);
            $log->setDt_alteracao($request->dt_alteracao);
            $log->setUnidade($unidade);

            $log->save();
            //return Redirect::route('adm.log');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.log')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteLog(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.log');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.log')->withErrors('Código vazio.');
            }

            $log = Log::find($request->id);
            $log->delete();

            return Redirect::route('adm.log');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.log')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }
}