<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Mdestino;

class MdestinoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexDestino(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('mineracao.mdestino');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarDestino(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.destino');}
        Try
        {
            //$p = Destino::where(Destino::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.destino')->withErrors('Já existe um registro com este código.');
            //}

            $descricao =     strtoupper($request->descricao);

            $destino = Mdestino::findOrNew($request->id);
            $destino->setDescricao($descricao);
        
            $destino->save();
            return Redirect::route('mineracao.mdestino');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('mineracao.mdestino')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function ajaxExcluirDestino(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.destino');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('mineracao.mdestino')->withErrors('Código vazio.');
            }

            $destino = Mdestino::find($request->id);
            $destino->delete();

            return Redirect::route('mineracao.mdestino');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('mineracao.mdestino')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarDestino(Request $request)
    {
        try
        {

            //Seleciona dados
            $sql = "SELECT  DEST_id as id, 
                            DEST_descricao as descricao
                    FROM    MIN_destino
                    ORDER BY DEST_descricao;";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

}