<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Mensagem;

class MensagemController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

     public function indexMensagem(Request $request)
     {
        // if(!RotaController::Acesso($request->route()->getName()))
        // {
        //     return RotaController::AcessoNegado('home');
        // }

         try
         {
             return view('cadastro.mensagem');
         }
         catch(\Exception $ex)
         {
             return Redirect::back()->withErrors('erro ao carregar as mensagens: '.$ex->getMessage());
         }
     }

    /**
     * Salva nova Mensagem
     */
    public function ajaxSalvarMensagem(Request $request)
    {

        try
        {
            $unidade =  Auth::user()->getUnidade();

            $mensagem = Mensagem::findOrNew($request->id);
            $mensagem->setTexto($request->descricao);
            $mensagem->setAtivo(!empty(($request->ativo)));
            $mensagem->setUnidade($unidade);

            $mensagem->save();
        
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao salvar a mensagem: '.$ex->getMessage());
        }

        return Redirect::route('cadastro.mensagem');
    }

    public function ajaxExcluirMensagem(Request $request)
    {
        try
        {
            if(empty($request->id))
            {
                return Redirect::back()->withErrors('ID da mensagem vazia.');
            }

            $mensagem = Mensagem::find($request->id);
            $mensagem->delete();
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('Erro ao excluir a mensagem: '.$ex->getMessage());
        }

        return Redirect::route('cadastro.mensagem');
    }

    public function ajaxPesquisaMensagem(Request $request)
    {
        try
        {
            $unidade =  Auth::user()->getUnidade();
            
            //Seleciona dados da operação
            $sql = "SELECT  m.MENSA_id as id, m.MENSA_texto as texto, m.MENSA_ativo as ativo
                    FROM    SGP_mensagem m WHERE m.MENSA_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY m.MENSA_texto ";
                      
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados das mensagens: '.$ex->getMessage(),500);
        }
       
    }

    public static function getComboLimpador()
    {
        return Limpador::where(Limpador::$ativo,1)->orderby(Limpador::$nome)->get()
        ->keyBy(Limpador::$id)->map(function ($item)
        {
            return $item->getNome();
        });
    }
    
}
