<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Mmovimento;

class MmovimentoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexMovimento(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('mineracao.movimento');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexSaidaMina(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('mineracao.saidamina');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarMovimento(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.movimento');}
        Try
        {
            //$p = Movimento::where(Movimento::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.movimento')->withErrors('Já existe um registro com este código.');
            //}

            $peso1 = $request->peso1;
            $peso2 = $request->peso2;
            $peso3 = $request->peso3;
            
            $pesototal = ($peso1 + $peso2 + $peso3);

            $movimento = Mmovimento::findOrNew($request->id);
            $movimento->setOperacao($request->operacao);
            $movimento->setMotorista($request->motorista);
            $movimento->setTransportador($request->transportador);
            $movimento->setVeiculo($request->veiculo);
            $movimento->setTipocacamba($request->tipocacamba);
            $movimento->setData_saida($request->data_saida);
            $movimento->setData_chegada($request->data_chegada);
            $movimento->setVol_estimado($request->vol_estimado);
            $movimento->setQtde_cacambada($request->qtde_cacambada);
            $movimento->setVol_real($pesototal);
            $movimento->setCacamba_real($request->cacamba_real);
            $movimento->setPeso1($peso1);
            $movimento->setPeso2($peso2);
            $movimento->setPeso3($peso3);
            $movimento->setStatus($request->status);
        
            $movimento->save();
            return Redirect::route('mineracao.saidamina');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('mineracao.saidamina')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }



    public function ajaxSalvarSaidaMina(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.movimento');}
        Try
        {
            //$p = Movimento::where(Movimento::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.movimento')->withErrors('Já existe um registro com este código.');
            //}


            $datahora = $request->data .' '. $request->hora;
            /* $peso1 = $request->peso1;
            $peso2 = $request->peso2;
            $peso3 = $request->peso3;
            
            $pesototal = ($peso1 + $peso2 + $peso3);
 */
            $movimento = Mmovimento::findOrNew($request->id);
            $movimento->setOperacao($request->operacao);
            $movimento->setMotorista($request->motora);
            $movimento->setTransportador($request->transp);
            $movimento->setVeiculo($request->veiculo);
            $movimento->setTipocacamba($request->tipo);
            $movimento->setData_saida($datahora);
            //$movimento->setData_chegada($request->data_chegada);
            $movimento->setVol_estimado($request->pesoe);
            $movimento->setQtde_cacambada($request->qtde);
            $movimento->setVol_real(0);
            $movimento->setCacamba_real(0);
            $movimento->setPeso1(0);
            $movimento->setPeso2(0);
            $movimento->setPeso3(0);
            $movimento->setStatus($request->status);
        
            $movimento->save();
            return Redirect::route('mineracao.saidamina');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('mineracao.saidamina')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxExcluirSaida(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.movimento');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('mineracao.saidamina')->withErrors('Código vazio.');
            }

            $movimento = Mmovimento::find($request->id);
            $movimento->delete();

            return Redirect::route('mineracao.saidamina');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('mineracao.saidamina')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarSaidaMina(Request $request)
    {
        try
        {

            $operacao = $request->operacao;

            //Seleciona dados
            $sql = "SELECT  MOV_id as id, 
                            date_format(MOV_data_saida,'%d/%m/%Y') as datas, 
                            IFNULL(MOV_qtde_cacambada,0) as qtdee, 
                            ifnull(MOV_vol_estimado,0) as pesoe, 
                            MOV_FK_MOTO_id as idmotora, 
                            MOV_FK_OPE_id as idoperacao, 
                            MOV_FK_TIPOC_id as idtipoc,
                            MOV_FK_TRAN_id as idtransp, 
                            MOV_FK_VEIC_id as idveiculo, 
                            VEIC_placa_cavalo as placa, 
                            MOTO_nome as motora, 
                            MOV_FK_TRAN_id as idtransp, 
                            TRAN_nome as transp,
                            PROD_descricao as produto
                    FROM    MIN_movimento, 
                            MIN_tipo_cacamba, 
                            SGP_motorista, 
                            SGP_veiculo, 
                            MIN_operacao, 
                            SGP_transportador, 
                            SGP_produto
                    WHERE   MOV_FK_TIPOC_id=TIPOC_id
                    AND     MOV_FK_OPE_id=OPE_id
                    AND     MOV_FK_MOTO_id=MOTO_id
                    AND     MOV_FK_VEIC_id=VEIC_id
                    AND     MOV_FK_TRAN_id=TRAN_id
                    AND     OPE_FK_PROD_id=PROD_id
                    AND     MOV_FK_OPE_id=" .$operacao. " ";
            $sql .= "ORDER BY MOV_data_saida";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}