<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Morigem;

class MorigemController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexOrigem(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            
            return view('mineracao.morigem');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarOrigem(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.origem');}
        Try
        {
            //$p = Origem::where(Origem::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.origem')->withErrors('Já existe um registro com este código.');
            //}

            $descricao =     strtoupper($request->descricao);

            $origem = Morigem::findOrNew($request->id);
            $origem->setDescricao($descricao);
        
            $origem->save();
            return Redirect::route('mineracao.morigem');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('mineracao.morigem')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function ajaxExcluirOrigem(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.origem');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('mineracao.morigem')->withErrors('Código vazio.');
            }

            $origem = Morigem::find($request->id);
            $origem->delete();

            return Redirect::route('mineracao.morigem');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('mineracao.morigem')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarOrigem(Request $request)
    {
        try
        {

            //Seleciona dados
            $sql = "SELECT  ORI_id as id, 
                            ORI_descricao as descricao
                    FROM    MIN_origem
                    ORDER BY ORI_descricao;";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

}