<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Motorista;

class MotoristaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexMotorista(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            //$motorista = Motorista::all();
            return view('cadastro.motorista');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarMotorista(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.motorista');}
        Try
        {
            //$p = Motorista::where(Motorista::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.motorista')->withErrors('Já existe um registro com este código.');
            //}

            $id=$request->idMotorista; 
            $nome=strtoupper($request->nome); 
            $cpf=$request->cpf; 
            $celular=$request->celular; 
            $cnh=$request->cnh;
            $categoria=strtoupper($request->categoria);

            $motorista = Motorista::findOrNew($id);
            $motorista->setNome($nome);
            $motorista->setCpf($cpf);
            $motorista->setCelular($celular);
            $motorista->setCnh($cnh);
            $motorista->setCategoria($categoria);
        
            $motorista->save();
            return Redirect::route('cadastro.motorista');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.motorista')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteMotorista(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.motorista');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.motorista')->withErrors('Código vazio.');
            }

            $motorista = Motorista::find($request->id);
            $motorista->delete();

            return Redirect::route('cadastro.motorista');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.motorista')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaMotorista(Request $request)
    {
        try
        {
            $palavra = $request->busca;

            //Seleciona dados
            $sql = "SELECT   MOTO_id             as id, 
                            MOTO_nome           as nome, 
                            ifnull(MOTO_cpf,'') as cpf, 
                            ifnull(MOTO_cnh,'') as cnh, 
                            ifnull(MOTO_categoria,'')   as categoria, 
                            ifnull(MOTO_celular,'')     as celular
                    FROM SGP_motorista ";
            if($palavra!='')
            {
                $sql.="WHERE (MOTO_nome     LIKE '%" .$palavra. "%' ";
                $sql.="OR   MOTO_cpf        LIKE '%" .$palavra. "%' ";
                $sql.="OR   MOTO_celular    LIKE '%" .$palavra. "%') ";
            }
            $sql.="ORDER BY MOTO_nome";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxBuscarMotoristaPeloCpf(Request $request)
    {
        try
        {
            $cpf = $request->cpf;

            //Seleciona dados
            $sql = "SELECT  MOTO_id             as id, 
                            MOTO_nome           as nome, 
                            ifnull(MOTO_cpf,'') as cpf, 
                            ifnull(MOTO_cnh,'') as cnh, 
                            ifnull(MOTO_categoria,'')   as categoria, 
                            ifnull(MOTO_celular,'')     as celular
                    FROM SGP_motorista ";
            $sql .="WHERE MOTO_cpf='" .$cpf. "' ";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }



}