<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Movimento;
use App\Http\Controllers\Util;

class MovimentoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexMovimento(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.movimento');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexBaixa(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.baixa');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexExtrato(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.extrato');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexSumarioCusto(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.sumariocusto');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexConspagarreceber(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.conspagarreceber');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexGraficoMov(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.graficomov');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexPagarReceber(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.pagarreceber');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxSalvarMovimento(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('movimento.movimento');}
        Try
        {
            //$p = Movimento::where(Movimento::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('movimento.movimento')->withErrors('Já existe um registro com este código.');
            //}

            /* idmov:      idmov, 
            descricao:  descricao, 
            datamov:    datamov, 
            datarec:    datarec, 
            status:     status, 
            contafin:   contafin, 
            doc:        doc, 
            valor:      valor, 
            juros:      juros, 
            desconto:   desconto, 
            multa:      multa, 
            total:      total, 
            forma:      forma, 
            parceiro:   pessoa, 
            obs:        obs,
            excluido:   excluido,
            contacusto: contacusto, 
            centrocusto: centrocusto */

            $idmov       = $request->idmov;
            $centrocusto = $request->centrocusto; 
            $contacusto  = $request->contacusto;
            $contafin    = $request->contafin;
            $parceiro    = $request->parceiro;
            $descricao   = $request->descricao; 
            $descricao   = strtoupper($descricao);
            $datamov     = $request->datamov;
            $datarec     = $request->datarec; 
            $status      = $request->status;
            $doc         = $request->doc;
            $valor       = $request->valor; 
            $juros       = $request->juros; 
            $desconto    = $request->desconto; 
            $multa       = $request->multa;
            $total       = $request->total; 
            $forma       = $request->forma; 
            $obs         = $request->obs;
            $obs         = strtoupper($obs);
            $excluido    = $request->excluido;
            $unidade     = Auth::user()->getUnidade();
            $idordem     = $request->idordem;
            $func        = $request->func;

            $sta = "";
            if($status=="1")
            {
                $sta = "RECEBIDO";
            }
            else if($status=="2")
            {
                $sta = "A RECEBER";
            }
            else if($status=="3")
            {
                $sta = "PAGO";
            }
            else if($status=="4")
            {
                $sta = "A PAGAR";
            }
            else
            {
                $sta = "SEM STATUS";
            }

            $texto = "Gravou no financeiro: " .substr($descricao, 0, 100). "...  Doc: " .$doc. " Valor: " .$total. " Status: " .$sta. " "; 

            if($juros=='')
            {
                $juros = '0';
            }
            if($multa=='')
            {
                $multa = '0';
            }
            if($desconto=='')
            {
                $desconto = '0';
            }
            if($excluido=='')
            {
                $excluido = '0';
            }

            //converte ',' em '.'
            $valor = Util::Ponto($valor);
            $desconto = Util::Ponto($desconto);
            $multa = Util::Ponto($multa);
            $total = Util::Ponto($total);
            $juros = Util::Ponto($juros);

            $movimento = Movimento::findOrNew($idmov);
            $movimento->setUnidade($unidade);
            $movimento->setCentro_custo($centrocusto);
            $movimento->setConta_custo($contacusto);
            $movimento->setConta_finance($contafin);
            $movimento->setParceiro($parceiro);
            $movimento->setDescricao($descricao);
            $movimento->setData_mov($datamov);
            $movimento->setData_rec($datarec);
            $movimento->setStatus($status);
            $movimento->setValor($valor);
            $movimento->setJuros($juros);
            $movimento->setMulta($multa);
            $movimento->setDesconto($desconto);
            $movimento->setValor_total($total);
            $movimento->setForma_pgto($forma);
            $movimento->setDoc($doc);
            $movimento->setObs($obs);
            $movimento->setExcluido($excluido);    
            $movimento->setFunc($func);      
            $movimento->save();

            if($idordem!='')
            {
                $sql = "UPDATE SGP_ordem_pgto SET ORDEMP_financeiro=1 WHERE ORDEMP_id=" .$idordem. " AND ORDEMP_financeiro=0";
                $resultado =\DB::select($sql);
            }

            //$texto = "TESTE DE LOG DO MOV FINANCEIRO";
            //grava na log
            Util::Log($texto);

            return Redirect::route('financeiro.movimento');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.movimento')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxExcluirMovimento(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('movimento.movimento');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('financeiro.movimento')->withErrors('Código vazio.');
            }

            $movimento = Movimento::find($request->id);
            $movimento->delete();



            return Redirect::route('financeiro.movimento');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.movimento')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaMovFinanceiro(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $mes = $request->mes;
            $ano = $request->ano;
            $status = $request->status;
            $palavra = $request->palavra;
            
            //Seleciona dados
            $sql = "SELECT  m.MOV_id                as id, 
                            m.MOV_FK_PARC_id        as idpessoa, 
                            p.PARC_nome             as pessoa, 
                            p.PARC_tipo             as tipopessoa,
                            m.MOV_FK_CCUSTO_id      as idccusto, 
                            cc.CCUSTO_descricao     as ccusto, 
                            m.MOV_FK_CONTAC_id      as idcontacusto, 
                            u.CONTAC_descricao      as contacusto,
                            m.MOV_FK_CONTAF_id      as idcontafin, 
                            cf.CONTAF_descricao     as contafin,
                            upper(m.MOV_descricao)  as descricao,
                            m.MOV_status            as statusm, 
                            ifnull(m.MOV_FK_COLAB_id,0)   as func,
                            ifnull(m.MOV_valor,0)   as valor, 
                            ifnull(m.MOV_juros,0)   as juros, 
                            ifnull(m.MOV_multa,0)   as multa, 
                            ifnull(m.MOV_desconto,0) as desconto,
                            ifnull(m.MOV_valor_total,0) as total, 
                            m.MOV_forma_pgto        as formapgto, 
                            ifnull(m.MOV_doc,'')    as doc, 
                            ifnull(m.MOV_obs,'')    as obs, 
                            m.MOV_excluido          as excluido,
                            date_format(m.MOV_data_mov,'%d/%m/%Y') as datamov, 
                            date_format(m.MOV_data_rec,'%d/%m/%Y') as datarec,
                            datediff(now(), m.MOV_data_rec) as tempo
                    FROM    SGP_movimento m, 
                            SGP_parceiro p, 
                            SGP_conta_fin cf, 
                            SGP_centro_custo cc, 
                            SGP_conta_custo u
                    WHERE   m.MOV_FK_PARC_id=p.PARC_id
                    AND     m.MOV_FK_CCUSTO_id=cc.CCUSTO_id
                    AND     m.MOV_FK_CONTAC_id=u.CONTAC_id
                    AND     m.MOV_data_rec IS NOT NULL
                    AND     m.MOV_FK_CONTAF_id=cf.CONTAF_id ";
            if($mes!='')
            {
                $sql .= "AND month(m.MOV_data_rec)=" .$mes. " ";
            }
            if($ano!='')
            {
                $sql .= "AND year(m.MOV_data_rec)=" .$ano. " ";
            }
            $sql .= "AND m.MOV_FK_UNID_id=" .$unidade. " ";
            if($status!='')
            {
                $sql .= "AND m.MOV_status=" .$status. " ";
            }
            if($palavra!='')
            {
                $sql .= "AND (m.MOV_descricao   LIKE '%" .$palavra. "%' OR ";
                $sql .= "     m.MOV_doc         LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PARC_nome        LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PARC_email       LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PARC_celular     LIKE '%" .$palavra. "%') ";

            }
            $sql .= "ORDER BY m.MOV_data_rec";

            //dd($sql);
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


/*     public function ajaxPesquisaPagarReceber(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $status = $request->status;
            $palavra = $request->palavra;
            
            //Seleciona dados
            $sql = "SELECT  m.MOV_id        as id, 
                            m.MOV_FK_PES_id as idpessoa, 
                            p.PES_nome      as pessoa, 
                            m.MOV_FK_CONTAF_id as contafin, 
                            upper(m.MOV_descricao) as descricao,
                            m.MOV_status    as statusm, 
                            ifnull(m.MOV_valor,0)     as valor, 
                            ifnull(m.MOV_juros,0)     as juros, 
                            ifnull(m.MOV_multa,0)     as multa, 
                            ifnull(m.MOV_desconto,0)  as desconto,
                            ifnull(m.MOV_valor_total,0) as total, 
                            ifnull(m.MOV_FK_COLAB_id,0)   as func,
                            m.MOV_forma_pgto    as formapgto, 
                            ifnull(m.MOV_doc,'') as doc, 
                            ifnull(m.MOV_obs,'') as obs, 
                            m.MOV_excluido  as excluido,
                            date_format(m.MOV_data_mov,'%d/%m/%Y') as datamov, 
                            date_format(m.MOV_data_rec,'%d/%m/%Y') as datarec,
                            datediff(now(), m.MOV_data_rec) as tempo
                    FROM    BEAU_movimento m, BEAU_pessoa p, BEAU_conta_fin c 
                    WHERE   m.MOV_FK_PES_id=p.PES_id
                    AND     m.MOV_data_rec IS NOT NULL
                    AND     m.MOV_FK_CONTAF_id=c.CONTAF_id ";
            
            $sql .= "AND datediff(now(),m.MOV_data_rec) <= 30 ";
            $sql .= "AND m.MOV_FK_UNID_id=" .$unidade. " ";
            if($status)
            {
                $sql .= "AND m.MOV_status=" .$status. " ";
            }
            if($palavra!='')
            {
                $sql .= "AND (m.MOV_descricao   LIKE '%" .$palavra. "%' OR ";
                $sql .= "     m.MOV_doc         LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PES_nome        LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PES_email       LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PES_celular     LIKE '%" .$palavra. "%') ";

            }
            $sql .= "ORDER BY m.MOV_data_rec";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    } */

    public function ajaxPesquisarBaixa(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $mes = $request->mes;
            $ano = $request->ano;
            $status = $request->status;
            $palavra = $request->palavra;
            
            //Seleciona dados
            $sql = "SELECT  m.MOV_id                as id, 
                            m.MOV_FK_PARC_id        as idpessoa, 
                            p.PARC_nome             as pessoa, 
                            p.PARC_tipo             as tipopessoa,
                            m.MOV_FK_CCUSTO_id      as idccusto, 
                            cc.CCUSTO_descricao     as ccusto, 
                            m.MOV_FK_CONTAC_id      as idcontacusto, 
                            u.CONTAC_descricao      as contacusto,
                            m.MOV_FK_CONTAF_id      as idcontafin, 
                            cf.CONTAF_descricao     as contafin,
                            upper(m.MOV_descricao)  as descricao,
                            m.MOV_status            as statusm, 
                            ifnull(m.MOV_FK_COLAB_id,0)   as func,
                            ifnull(m.MOV_valor,0)   as valor, 
                            ifnull(m.MOV_juros,0)   as juros, 
                            ifnull(m.MOV_multa,0)   as multa, 
                            ifnull(m.MOV_desconto,0) as desconto,
                            ifnull(m.MOV_valor_total,0) as total, 
                            m.MOV_forma_pgto        as formapgto, 
                            ifnull(m.MOV_doc,'')    as doc, 
                            ifnull(m.MOV_obs,'')    as obs, 
                            m.MOV_excluido          as excluido,
                            date_format(m.MOV_data_mov,'%d/%m/%Y') as datamov, 
                            date_format(m.MOV_data_rec,'%d/%m/%Y') as datarec,
                            datediff(now(), m.MOV_data_rec) as tempo
                    FROM    SGP_movimento m, 
                            SGP_parceiro p, 
                            SGP_conta_fin cf, 
                            SGP_centro_custo cc, 
                            SGP_conta_custo u
                    WHERE   m.MOV_FK_PARC_id=p.PARC_id
                    AND     m.MOV_FK_CCUSTO_id=cc.CCUSTO_id
                    AND     m.MOV_FK_CONTAC_id=u.CONTAC_id
                    AND     m.MOV_data_rec IS NOT NULL
                    AND     m.MOV_FK_CONTAF_id=cf.CONTAF_id ";
            if($mes!='')
            {
                $sql .= "AND month(m.MOV_data_rec)=" .$mes. " ";
            }
            if($ano!='')
            {
                $sql .= "AND year(m.MOV_data_rec)=" .$ano. " ";
            }
            $sql .= "AND m.MOV_FK_UNID_id=" .$unidade. " ";
            if($status!='')
            {
                $sql .= "AND m.MOV_status=" .$status. " ";
            }
            else 
            {
                $sql .= "AND m.MOV_status IN ('2','4') ";   //A PAGAR OU A RECEBER
            }
            if($palavra!='')
            {
                $sql .= "AND (m.MOV_descricao   LIKE '%" .$palavra. "%' OR ";
                $sql .= "     m.MOV_doc         LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PARC_nome        LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PARC_email       LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PARC_celular     LIKE '%" .$palavra. "%') ";

            }
            $sql .= "ORDER BY m.MOV_data_rec";

            //dd($sql);
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxSalvarBaixa(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('movimento.movimento');}
        Try
        {
           
            $idmov       = $request->idmov;
            $centrocusto = $request->centrocusto; 
            $contacusto  = $request->contacusto;
            $contafin    = $request->contafin;
            $datarec     = $request->datarec; 
            $status      = $request->status;
            $forma       = $request->forma; 
            $obs         = $request->obs;
            $obs         = strtoupper($obs);
            $texto       = $request->texto;
            
            $movimento = Movimento::find($idmov);
            $movimento->setCentro_custo($centrocusto);
            $movimento->setConta_custo($contacusto);
            $movimento->setConta_finance($contafin);
            $movimento->setData_rec($datarec);
            $movimento->setStatus($status);
            $movimento->setForma_pgto($forma);
            $movimento->setObs($obs);
            $movimento->save();

            //grava na log
            Util::Log($texto);

            return Redirect::route('financeiro.movimento');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.movimento')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarSumarioPorCusto(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $mes = $request->mes;
            $ano = $request->ano;
            
            $sql = "SELECT  CONTAC_tipo as tipo, 
                            CONTAC_descricao as conta,
                            CONTAC_subconta as subconta,
                            SUM(MOV_valor_total) as total
                    FROM    SGP_movimento, SGP_conta_custo
                    WHERE   MOV_FK_CONTAC_id=CONTAC_id ";
            if($mes !='')
            {
                $sql.="AND     month(MOV_data_rec) = " .$mes. " ";
            }
            if($mes !='')
            {
                $sql.="AND     year(MOV_data_rec) = " .$ano. " ";
            }
            $sql.= "AND     MOV_FK_UNID_id = " .$unidade. " ";
            $sql.= "AND     MOV_status IN ('1','3') 
                    GROUP BY CONTAC_tipo, CONTAC_descricao, CONTAC_subconta 
                    ORDER BY CONTAC_tipo, CONTAC_descricao, CONTAC_subconta";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisarExtrato(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $mes = $request->mes;
            $ano = $request->ano;
            $contaf = $request->contaf;
            $contac = $request->contac;
            
            $sql = "SELECT  CONTAC_tipo         as tipo, 
                            MOV_descricao       as descricao, 
                            CONTAC_descricao    as contac, 
                            CONTAF_descricao    as contaf, 
                            date_format(MOV_data_rec,'%d/%m/%Y') as datarec, 
                            ifnull(MOV_doc,'')  as doc, 
                            MOV_valor_total     as total,
                            PARC_nome           as pessoa
                    FROM    SGP_movimento, 
                            SGP_conta_custo, 
                            SGP_conta_fin,
                            SGP_parceiro
                    WHERE   MOV_FK_CONTAC_id=CONTAC_id
                    AND     MOV_FK_CONTAF_id=CONTAF_id 
                    AND     MOV_FK_PARC_id=PARC_id
                    AND     MOV_FK_UNID_id = " .$unidade. " ";
                    if($mes !='')
                    {
                        $sql.="AND     month(MOV_data_rec) = " .$mes. " ";
                    }
                    if($mes !='')
                    {
                        $sql.="AND     year(MOV_data_rec) = " .$ano. " ";
                    }
                    $sql.= "AND  MOV_status IN ('1','3') 
                            ORDER BY MOV_data_rec";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxDadosGrafico(Request $request)
    {
        try
        {

            //$unidade = $request->unidade;
            $unidade = Auth::user()->getUnidade();
            $ano = $request->ano;
            $status = $request->status;
            
            //Seleciona dados da operação
            $sql = "SELECT  sum(case month(MOV_data_rec) WHEN 1  THEN MOV_valor_total ELSE 0 END) as janeiro, 
                            sum(case month(MOV_data_rec) WHEN 2  THEN MOV_valor_total ELSE 0 END) as fevereiro,
                            sum(case month(MOV_data_rec) WHEN 3  THEN MOV_valor_total ELSE 0 END) as marco,
                            sum(case month(MOV_data_rec) WHEN 4  THEN MOV_valor_total ELSE 0 END) as abril,
                            sum(case month(MOV_data_rec) WHEN 5  THEN MOV_valor_total ELSE 0 END) as maio,
                            sum(case month(MOV_data_rec) WHEN 6  THEN MOV_valor_total ELSE 0 END) as junho,
                            sum(case month(MOV_data_rec) WHEN 7  THEN MOV_valor_total ELSE 0 END) as julho,
                            sum(case month(MOV_data_rec) WHEN 8  THEN MOV_valor_total ELSE 0 END) as agosto,
                            sum(case month(MOV_data_rec) WHEN 9  THEN MOV_valor_total ELSE 0 END) as setembro,
                            sum(case month(MOV_data_rec) WHEN 10 THEN MOV_valor_total ELSE 0 END) as outubro,
                            sum(case month(MOV_data_rec) WHEN 11 THEN MOV_valor_total ELSE 0 END) as novembro,
                            sum(case month(MOV_data_rec) WHEN 12 THEN MOV_valor_total ELSE 0 END) as dezembro 
                    FROM    SGP_movimento 
                    WHERE   MOV_status = '" .$status. "' ";
            $sql .="AND		year(MOV_data_rec)=" .$ano. " ";
            $sql .="AND     MOV_FK_UNID_id=" .$unidade. " ";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
        
    }

    public function ajaxPesquisarApagarAreceber(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $dataini = $request->dataini;
            $datafim = $request->datafim;
            $contaf = $request->contaf;
            $contac = $request->contac;
            $status = $request->status;
            
            $sql = "SELECT  CONTAC_tipo         as tipo, 
                            MOV_descricao       as descricao, 
                            CONTAC_descricao    as contac, 
                            CONTAF_descricao    as contaf, 
                            date_format(MOV_data_rec,'%d/%m/%Y') as datarec, 
                            ifnull(MOV_doc,'')  as doc, 
                            MOV_valor_total     as total,
                            PARC_nome           as pessoa,
                            MOV_status          as statusm
                    FROM    SGP_movimento, 
                            SGP_conta_custo, 
                            SGP_conta_fin,
                            SGP_parceiro
                    WHERE   MOV_FK_CONTAC_id=CONTAC_id
                    AND     MOV_FK_CONTAF_id=CONTAF_id 
                    AND     MOV_FK_PARC_id=PARC_id
                    AND     MOV_FK_UNID_id = " .$unidade. " ";
                    if($dataini !='')
                    {
                        $sql.="AND     MOV_data_rec >= date('" .$dataini. "') ";
                    }
                    if($datafim !='')
                    {
                        $sql.="AND     MOV_data_rec <= date('" .$datafim. "') ";
                    }
                    $sql.= "AND  MOV_status = '" .$status. "' "; 
                    $sql.= "ORDER BY MOV_data_rec";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}