<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\MtipoCacamba;

class MtipoCacambaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexTipoCacamba(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('mineracao.mtipocacamba');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarTipoCacamba(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.tipo_cacamba');}
        Try
        {
            //$p = Tipo_cacamba::where(Tipo_cacamba::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.tipo_cacamba')->withErrors('Já existe um registro com este código.');
            //}

            $descricao =    strtoupper($request->descricao);
            $peso =         $request->peso;
            if($peso=='')
            {
                $peso = '0';
            }

            $tipo_cacamba = MtipoCacamba::findOrNew($request->id);
            $tipo_cacamba->setDescricao($descricao);
            $tipo_cacamba->setVol_estimado($peso);
        
            $tipo_cacamba->save();
            return Redirect::route('mineracao.mtipocacamba');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('mineracao.mtipocacamba')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
    
    public function ajaxExcluirTipoCacamba(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.tipo_cacamba');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('mineracao.mtipocacamba')->withErrors('Código vazio.');
            }

            $tipo_cacamba = MtipoCacamba::find($request->id);
            $tipo_cacamba->delete();

            return Redirect::route('mineracao.mtipocacamba');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('mineracao.mtipocacamba')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarTipo(Request $request)
    {
        try
        {

            //Seleciona dados
            $sql = "SELECT  TIPOC_id as id, 
                            TIPOC_descricao as descricao, 
                            ifnull(TIPOC_vol_estimado,'0') as peso
                    FROM    MIN_tipo_cacamba
                    ORDER BY TIPOC_descricao";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

}