<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\OcorrenciaColab;

class OcorrenciaColabController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexOcorrenciaColab(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            //$ocorrencia = OcorrenciaColab::all();
            return view('cadastro.ocorrencia_colab');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarOcorrenciaColab(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.ocorrencia');}
        Try
        {
            //$p = OcorrenciaColab::where(OcorrenciaColab::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.ocorrencia')->withErrors('Já existe um registro com este código.');
            //}

            $descricao = $request->descricao;
            $descricao   = strtoupper($descricao);

            $ocorrencia = OcorrenciaColab::findOrNew($request->id);
            $ocorrencia->setColaborador($request->idfunc);
            $ocorrencia->setData($request->datao);
            $ocorrencia->setDescricao($descricao);
        
            $ocorrencia->save();
            //return Redirect::route('cadastro.ocorrencia');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.ocorrencia_colab')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxExcluirOcorrenciaColab(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.ocorrencia');}

        Try
        {
            //if(empty($request->id))
            //{
            //    return Redirect::route('cadastro.ocorrencia')->withErrors('Código vazio.');
            //}

            $ocorrencia = OcorrenciaColab::find($request->id);
            $ocorrencia->delete();

            //return Redirect::route('cadastro.ocorrencia');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.ocorrencia_colab')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarOcorrencia(Request $request)
    {
        try
        {
            $colab = $request->colab;
           
            //Seleciona dados
            $sql = "SELECT  OCOR_descricao          as descricao, 
                            OCOR_id                 as id, 
                            date_format(OCOR_data, '%d/%m/%Y') as data
                    FROM    SGP_ocorrencia_colab 
                    WHERE   OCOR_FK_COLAB_id=" .$colab. " ";
            $sql .="ORDER BY OCOR_data DESC";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}