<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Ocorrencia;

class OcorrenciaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexOcorrencia(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            $ocorrencia = Ocorrencia::all();
            return view('patio.ocorrencia',['ocorrencia'=>$ocorrencia]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexPatioVivo(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('patio.patiovivo');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarOcorrencia(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('patio.ocorrencia');}
        Try
        {
            //$p = Ocorrencia::where(Ocorrencia::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('patio.ocorrencia')->withErrors('Já existe um registro com este código.');
            //}

            $descricao  = strtoupper($request->descricao);

            $ocorrencia = Ocorrencia::findOrNew($request->id);
            $ocorrencia->setEstadia($request->estadia);
            $ocorrencia->setData($request->data);
            $ocorrencia->setDescricao($descricao);
            $ocorrencia->setPlaca($request->placa);
            $ocorrencia->setTipo($request->tipo);
        
            $ocorrencia->save();
            return Redirect::route('patio.ocorrencia');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.ocorrencia')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarOcorrencia(Request $request)
    {
        try
        {
            $placa   = $request->placa;
            $unidade =  Auth::user()->getUnidade();
            $cliente =  Auth::user()->getCliente();
            if($cliente=='')
            {
                $cliente='0';
            }

            //Seleciona dados
            $sql = "SELECT  OCOR_id         as id, 
                            ESTA_id         as idestadia,
                            upper(OCOR_descricao)  as descricao, 
                            VEIC_placa_cavalo      as placa,  
                            OCOR_tipo       as tipo, 
                            ESTA_status     as status,
                            date_format(OCOR_data,'%d/%m/%Y %H:%i') as datao
                    FROM    SGP_ocorrencia, 
                            SGP_estadia, 
                            SGP_veiculo
                    WHERE   OCOR_FK_ESTA_id=ESTA_id
                    AND     ESTA_FK_VEIC_id=VEIC_id ";
                    if($placa!='')
                    {
                        $sql .= "AND     VEIC_placa_cavalo='" .$placa. "' ";
                    }
                    else 
                    {
                        $sql .= "AND     ESTA_status='PA' ";
                    }
                    if($cliente !='0')
                    {
                        $sql .="AND     ESTA_FK_CLIE_id=" .$cliente. " ";
                    }
            $sql .="AND     ESTA_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY OCOR_data DESC";

            //$sql="SELECT * FROM SGP_ocorrencia";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            //return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
            return response()->json($ex->getMessage(),200);
        }
    }

    
    
    public function ajaxEcluirOcorrencia(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('patio.ocorrencia');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('patio.ocorrencia')->withErrors('Código vazio.');
            }

            $ocorrencia = Ocorrencia::find($request->id);
            $ocorrencia->delete();

            return Redirect::route('patio.ocorrencia');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('patio.ocorrencia')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }


}