<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Operacao;

class OperacaoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexOperacao(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('cadastro.operacao');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarOperacao(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.operacao');}
        Try
        {
            //$p = Operacao::where(Operacao::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.operacao')->withErrors('Já existe um registro com este código.');
            //}
            $unidade     = Auth::user()->getUnidade();
            //$descricao =     strtoupper($request->descricao);
            $descricao = $request->descricao;

            $operacao = Operacao::findOrNew($request->id);
            $operacao->setUnidade($unidade);
            $operacao->setDescricao($descricao);
            $operacao->setAtivo($request->ativo);
        
            $operacao->save();
            //return Redirect::route('cadastro.operacao');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.operacao')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

        
    public function ajaxExcluirOperacao(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.operacao');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.operacao')->withErrors('Código vazio.');
            }

            $operacao = Operacao::find($request->id);
            $operacao->delete();

            return Redirect::route('cadastro.operacao');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.operacao')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }


    public function ajaxPesquisarOperacao(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $ativo = $request->ativo;

            $sql = "SELECT  OPE_id          as id, 
                            OPE_descricao   as descricao, 
                            OPE_ativo       as ativo 
                    FROM    SGP_operacao 
                    WHERE   OPE_FK_UNID_id=" .$unidade. " ";
            if($ativo!='')
            {
                $sql .="AND     OPE_ativo='" .$ativo. "' ";
            }
            $sql .="ORDER BY OPE_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}