<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Ordem_pgto;
use App\Http\Controllers\Util;

class Ordem_pgtoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexOrdem_pgto(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('financeiro.ordem_pgto');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarOrdemPgto(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('financeiro.ordem_pgto');}
        Try
        {
            //$p = Ordem_pgto::where(Ordem_pgto::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('ordem_pgto.ordem_pgto')->withErrors('Já existe um registro com este código.');
            //}

/*          idordem:    idordem, 
            descricao:  descricao, 
            datamov:    datamov, 
            dataprev:   dataprev, 
            status:     status, 
            doc:        doc, 
            valor:      valor, 
            parcela:    parcela, 
            intervalo:  intervalo,
            total:      total, 
            parceiro:   parceiro, 
            obs:        obs,
            aprovado:   aprovado, 
            financeiro: financeiro,
            autor:      autor,
            visto:      visto,
            datafixa:   datafixa */
            
            $id         = $request->idordem;
            $descricao  = $request->descricao;
            $descricao  = strtoupper($descricao);
            $data       = $request->datamov;
            $dataprev   = $request->dataprev;
            $status     = $request->status;
            $doc        = $request->doc;
            $valor      = $request->valor;
            $parcela    = $request->parcela;
            $intervalo  = $request->intervalo;
            $total      = $request->total;
            $parceiro   = $request->parceiro;
            $obs        = $request->obs;
            $autor      = $request->autor;
            $aprovado   = $request->aprovado;
            $visto      = $request->visto;
            $datafixa   = $request->datafixa;
            $financeiro = $request->financeiro;
            $obs        = strtoupper($obs);
            $unidade    = Auth::user()->getUnidade();

            if($aprovado==''){$aprovado = '0';}
            if($financeiro==''){$financeiro = '0';}
            if($visto==''){$visto = '0';}

            $valor = Util::Ponto($valor);
            $total = Util::Ponto($total);

            $ordem_pgto = Ordem_pgto::findOrNew($id);
            $ordem_pgto->setParceiro($parceiro);
            if($id=='0')
            {
                $ordem_pgto->setData($data);
            }
            $ordem_pgto->setData_prev($dataprev);
            $ordem_pgto->setValor($valor);
            $ordem_pgto->setParcela($parcela);
            $ordem_pgto->setIntervalo($intervalo);
            $ordem_pgto->setTotal($total);
            $ordem_pgto->setDescricao($descricao);
            $ordem_pgto->setDoc($doc);
            $ordem_pgto->setLogin($autor);
            $ordem_pgto->setAprovado($aprovado);
            $ordem_pgto->setVisto($visto);
            $ordem_pgto->setDatafixa($datafixa);
            $ordem_pgto->setStatus($status);
            $ordem_pgto->setFinanceiro($financeiro);
            $ordem_pgto->setObservacao($obs);
            $ordem_pgto->setUnidade($unidade);
       
            $ordem_pgto->save();
            return Redirect::route('financeiro.ordem_pgto');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.ordem_pgto')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxAprovarOrdemPgto(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('ordem_pgto.ordem_pgto');}
        Try
        {
            //$p = Ordem_pgto::where(Ordem_pgto::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('ordem_pgto.ordem_pgto')->withErrors('Já existe um registro com este código.');
            //}

/*             idordem:    idordem, 
            aprovado:   aprovado, 
            aprovador_por: aprovado_por */
            
            $id         = $request->idordem;
            $aprovado   = $request->aprovado;
            $aprovadopor = $request->aprovado_por;

            if($aprovado==''){$aprovado = '0';}

            $ordem_pgto = Ordem_pgto::findOrNew($id);
            $ordem_pgto->setAprovado($aprovado);
            $ordem_pgto->setAprovado_por($aprovadopor);        
            $ordem_pgto->save();
            return Redirect::route('financeiro.ordem_pgto');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.ordem_pgto')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
    
    public function ajaxExcluirOrdem_pgto(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('ordem_pgto.ordem_pgto');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('financeiro.ordem_pgto')->withErrors('Código vazio.');
            }

            $ordem_pgto = Ordem_pgto::find($request->id);
            $ordem_pgto->delete();

            return Redirect::route('financeiro.ordem_pgto');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('financeiro.ordem_pgto')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaOrdemPgto(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $tipo = $request->tipo;$mes = $request->mes;
            $ano = $request->ano;
            $status = $request->status;
            $palavra = $request->palavra;

            //Seleciona dados
            $sql = "SELECT  o.ORDEMP_id         as id, 
                            o.ORDEMP_FK_PARC_id as idparceiro,
                            p.PARC_nome         as nome,
                            o.ORDEMP_data  as datax,
                            date_format(o.ORDEMP_data,'%d/%m/%Y')       as datao,
                            date_format(o.ORDEMP_data_prev,'%d/%m/%Y')  as dataprev,
                            date_format(o.ORDEMP_data,'%Y-%m-%d')       as fdatao,
                            date_format(o.ORDEMP_data_prev,'%Y-%m-%d')  as fdataprev,
                            o.ORDEMP_valor      as valor,
                            o.ORDEMP_parcela    as parcela,
                            o.ORDEMP_intervalo  as intervalo,
                            o.ORDEMP_total      as total,
                            o.ORDEMP_descricao  as descricao,
                            ifnull(o.ORDEMP_doc,'')         as doc,
                            o.ORDEMP_login                  as login,
                            ifnull(ORDEMP_aprovado,'0')     as aprovado,
                            ifnull(ORDEMP_aprovado_por,'')  as aprovador,
                            ifnull(ORDEMP_visto,'0')        as visto,
                            ifnull(ORDEMP_datafixa,'')      as datafixa,
                            ifnull(ORDEMP_status,'')        as status,
                            ifnull(ORDEMP_financeiro,'0')   as financeiro,
                            ifnull(ORDEMP_observacao,'')    as observacao
                    FROM    SGP_ordem_pgto o, SGP_parceiro p
                    WHERE   o.ORDEMP_FK_PARC_id=p.PARC_id ";
            if($mes!='')
            {
                $sql .= "AND month(o.ORDEMP_data_prev)=" .$mes. " ";
            }
            if($ano!='')
            {
                $sql .= "AND year(o.ORDEMP_data_prev)=" .$ano. " ";
            }
            if($status)
            {
                $sql .= "AND o.ORDEMP_aprovado=" .$status. " ";
            }
            if($palavra!='')
            {
                $sql .= "AND (o.ORDEMP_descricao   LIKE '%" .$palavra. "%' OR ";
                $sql .= "     o.ORDEMP_observacao  LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PARC_nome          LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PARC_email         LIKE '%" .$palavra. "%' OR ";
                $sql .= "     p.PARC_celular       LIKE '%" .$palavra. "%') ";
            }
            $sql .= "ORDER BY o.ORDEMP_data_prev";
                                          
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }
}