<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Parceiro;

class ParceiroController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexParceiro(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('cadastro.parceiro');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarParceiro(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('parceiro.parceiro');}
        Try
        {
            //$p = Parceiro::where(Parceiro::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('parceiro.parceiro')->withErrors('Já existe um registro com este código.');
            //}

            $unidade = Auth::user()->getUnidade();

            $nome       = strtoupper($request->nome);
            $email      = strtolower($request->email);
            $apelido    = strtoupper($request->apelido);
            $vendedor   = strtoupper($request->vendedor);

            $parceiro = Parceiro::findOrNew($request->id);
            $parceiro->setUnidade($unidade);
            $parceiro->setCidade($request->cidade);
            $parceiro->setNome($nome);
            $parceiro->setTipo($request->tipo);
            $parceiro->setPessoa($request->pessoa);
            $parceiro->setEndereco($request->endereco);
            $parceiro->setComplemento($request->complemento);
            $parceiro->setNumero($request->numero);
            $parceiro->setBairro($request->bairro);
            $parceiro->setCep($request->cep);
            $parceiro->setEmail($email);
            $parceiro->setCelular($request->celular);
            $parceiro->setObservacao($request->observacao);
            $parceiro->setFone($request->fone);
            $parceiro->setAtivo($request->ativo);
            $parceiro->setApelido($apelido);
            //$parceiro->setVendedor($vendedor);
        
            $parceiro->save();
            
            return Redirect::route('cadastro.parceiro');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.parceiro')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function deleteParceiro(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('parceiro.parceiro');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.parceiro')->withErrors('Código vazio.');
            }

            $parceiro = Parceiro::find($request->id);
            $parceiro->delete();

            return Redirect::route('cadastro.parceiro');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.parceiro')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaParceiro(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $palavra = $request->palavra;
            $status  = $request->status;
            $tipo    = $request->tipo;
            $pessoa  = $request->pessoa;
           
            //Seleciona dados
            $sql = "SELECT  p.PARC_id            as id,
                            upper(p.PARC_nome)   as nome, 
                            p.PARC_FK_UNID_id    as unidade, 
                            p.PARC_FK_CIDA_id    as idcidade,
                            p.PARC_ativo         as ativo, 
                            c.CIDA_FK_UF_id      as iduf,
                            ifnull(p.PARC_bairro,'')     as bairro, 
                            ifnull(p.PARC_celular,'')    as celular, 
                            ifnull(p.PARC_fone,'')       as fone, 
                            ifnull(p.PARC_cep,'')        as cep,
                            ifnull(p.PARC_complemento,'') as complemento, 
                            lower(ifnull(p.PARC_email,''))  as email, 
                            ifnull(p.PARC_endereco,'')   as endereco,
                            ifnull(p.PARC_fone,'')       as fone, 
                            ifnull(p.PARC_numero,'')     as nro, 
                            ifnull(p.PARC_observacao,'') as obs,
                            ifnull(p.PARC_pessoa,'')     as tpessoa,
                            ifnull(p.PARC_tipo,'')       as tipo,
                            ifnull(p.PARC_apelido,'')    as apelido, 
                            -- ifnull(p.PARC_vendedor,'')   as vendedor, 
                            concat('<b>',p.PARC_nome, '</b><br>Celular: ', ifnull(p.PARC_celular,''), ' - eMail: ', ifnull(p.PARC_email,'') ) as parceiro
            FROM    SGP_parceiro p, TBG_cidade c
            WHERE   p.PARC_FK_CIDA_id=c.CIDA_id ";  
            if($status!='')
            {
                $sql .="AND     p.PARC_ativo='" .$status. "' "; 
            } 
            if($tipo!='')
            {
                $sql .="AND     p.PARC_tipo='" .$tipo. "' "; 
            }  
            if($pessoa!='')
            {
                $sql .="AND     p.PARC_pessoa='" .$pessoa. "' "; 
            }                     
            $sql .= "AND p.PARC_FK_UNID_id=" .$unidade. " ";
            if($palavra!='')
            {
                $sql .= "AND (  p.PARC_nome         LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_bairro       LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_celular      LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_fone         LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_cep          LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_email        LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_observacao   LIKE '%" .$palavra. "%')   ";
            }
            $sql .= "ORDER BY   p.PARC_nome";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    
    public function ajaxPesquisaParceiroOrdemPgto(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $palavra = $request->palavra;
            $status  = $request->status;
            $tipo    = 'F';
            $pessoa  = $request->pessoa;
           
            //Seleciona dados
            $sql = "SELECT  p.PARC_id            as id,
                            upper(p.PARC_nome)   as nome, 
                            p.PARC_FK_UNID_id    as unidade, 
                            p.PARC_FK_CIDA_id    as idcidade,
                            p.PARC_ativo         as ativo, 
                            c.CIDA_FK_UF_id      as iduf,
                            ifnull(p.PARC_bairro,'')     as bairro, 
                            ifnull(p.PARC_celular,'')    as celular, 
                            ifnull(p.PARC_fone,'')       as fone, 
                            ifnull(p.PARC_cep,'')        as cep,
                            ifnull(p.PARC_complemento,'') as complemento, 
                            lower(ifnull(p.PARC_email,''))  as email, 
                            ifnull(p.PARC_endereco,'')   as endereco,
                            ifnull(p.PARC_fone,'')       as fone, 
                            ifnull(p.PARC_numero,'')     as nro, 
                            ifnull(p.PARC_observacao,'') as obs,
                            ifnull(p.PARC_pessoa,'')     as tpessoa,
                            ifnull(p.PARC_tipo,'')       as tipo,
                            ifnull(p.PARC_apelido,'')    as apelido, 
                            -- ifnull(p.PARC_vendedor,'')   as vendedor,
                            concat('<b>',p.PARC_nome, '</b><br>Celular: ', ifnull(p.PARC_celular,''), ' - eMail: ', ifnull(p.PARC_email,'') ) as parceiro
            FROM    SGP_parceiro p, TBG_cidade c
            WHERE   p.PARC_FK_CIDA_id=c.CIDA_id ";  
            if($status!='')
            {
                $sql .="AND     p.PARC_ativo='" .$status. "' "; 
            } 
            if($tipo!='')
            {
                $sql .="AND     p.PARC_tipo='" .$tipo. "' "; 
            }  
            if($pessoa!='')
            {
                $sql .="AND     p.PARC_pessoa='" .$pessoa. "' "; 
            }                     
            $sql .= "AND p.PARC_FK_UNID_id=" .$unidade. " ";
            if($palavra!='')
            {
                $sql .= "AND (  p.PARC_nome         LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_bairro       LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_celular      LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_fone         LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_cep          LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_email        LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_observacao   LIKE '%" .$palavra. "%')   ";
            }
            $sql .= "ORDER BY   p.PARC_nome";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxListarCliente(Request $request)
    {
        try
        {

            //Seleciona dados
            $sql = "SELECT  PARC_id     as id, 
                            PARC_nome   as nome 
                    FROM    SGP_parceiro
                    WHERE   PARC_pessoa='J'
                    AND     PARC_tipo='C'
                    ORDER BY PARC_nome;";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxInsereFornecEntrada(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('pessoa.pessoa');}
        Try
        {
            $nome   = $request->nome;
            $id     = $request->id;
            $cidade = $request->cidade;
            $nome   = strtoupper($nome);
            $unidade= Auth::user()->getUnidade();

            if($cidade=='' || $cidade=='0')
            {
                $cidade=      Util::GetParametro("CIDA");
            }

            $parceiro = Parceiro::findOrNew($id);
            $parceiro->setUnidade($unidade);
            $parceiro->setCidade($cidade);
            $parceiro->setNome($nome);
            $parceiro->setTipo('F');
            $parceiro->setPessoa('J');
            $parceiro->setEndereco('');
            $parceiro->setComplemento('');
            $parceiro->setNumero('');
            $parceiro->setBairro('');
            $parceiro->setCep('');
            $parceiro->setEmail('');
            $parceiro->setCelular('');
            $parceiro->setObservacao('FORNECEDOR INSERIDO PELA ENTRADA DE PRODUTOS');
            $parceiro->setFone('');
            $parceiro->setAtivo('1');
        
            $parceiro->save();

            //return Redirect::route('estoque.entrada');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.entrada')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaFornecedor(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $palavra = $request->palavra;
            $status  = $request->status;
           
            //Seleciona dados
            $sql = "SELECT  p.PARC_id            as id,
                            upper(p.PARC_nome)   as nome, 
                            -- ifnull(p.PARC_apelido,'')    as apelido, 
                            p.PARC_FK_UNID_id    as unidade, 
                            p.PARC_FK_CIDA_id    as idcidade,
                            p.PARC_ativo         as ativo, 
                            c.CIDA_FK_UF_id      as iduf,
                            ifnull(p.PARC_bairro,'')      as bairro, 
                            ifnull(p.PARC_celular,'')     as celular, 
                            ifnull(p.PARC_cep,'')         as cep,
                            ifnull(p.PARC_complemento,'') as complemento, 
                            lower(ifnull(p.PARC_email,''))      as email, 
                            ifnull(p.PARC_endereco,'')   as endereco,
                            ifnull(p.PARC_fone,'')       as fone, 
                            ifnull(p.PARC_numero,'')     as nro, 
                            ifnull(p.PARC_observacao,'') as obs,
                            ifnull(p.PARC_pessoa,'')     as tpessoa,
                            ifnull(p.PARC_apelido,'')    as apelido, 
                            -- ifnull(p.PARC_vendedor,'')   as vendedor,
                            -- ifnull(p.PARC_indicacao,'')  as indicacao,
                            concat('<b>',p.PARC_nome, '</b><br>Celular: ', ifnull(p.PARC_celular,''), ' - eMail: ', ifnull(p.PARC_email,'') ) as pessoa
            FROM    SGP_parceiro p, TBG_cidade c
            WHERE   p.PARC_FK_CIDA_id=c.CIDA_id 
            AND     p.PARC_tipo='F' ";  
            if($status!='')
            {
                $sql .="AND     p.PARC_ativo=" .$status. " "; 
            }                       //Lista somente pessoa física
            $sql .= "AND p.PARC_FK_UNID_id=" .$unidade. " ";
            if($palavra!='')
            {
                $sql .= "AND (  p.PARC_nome         LIKE '%" .$palavra. "%' OR ";
                //$sql .= "       p.PARC_apelido      LIKE '%" .$palavra. "%' OR "; 
                $sql .= "       p.PARC_bairro       LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_celular      LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_fone         LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_cep          LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_email        LIKE '%" .$palavra. "%' OR ";
                $sql .= "       p.PARC_observacao   LIKE '%" .$palavra. "%')   ";
            }
            $sql .= "ORDER BY   p.PARC_nome";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxPesquisarParceiroCotacao(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
           
            //Seleciona dados
            $sql = "SELECT  p.PARC_id                   as id,
                            upper(p.PARC_nome)          as nome, 
                            ifnull(p.PARC_celular,'')   as celular, 
                            lower(ifnull(p.PARC_email,''))  as email, 
                            -- ifnull(p.PARC_apelido,'')    as apelido, 
                            -- ifnull(p.PARC_vendedor,'')   as vendedor,
                            ifnull(p.PARC_fone,'')      as fone
                    FROM    SGP_parceiro p, TBG_cidade c
                    WHERE   p.PARC_FK_CIDA_id=c.CIDA_id 
                    AND     p.PARC_tipo='F' ";  
            $sql .= "AND p.PARC_FK_UNID_id=" .$unidade. " ";            
            $sql .= "ORDER BY   p.PARC_nome";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    

}