<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Permissao;

class PermissaoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

     //############ PERMISSÃO ############
    public function indexPermissao(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        try
        {
            $permissao = Permissao::all();

            return view('adm.permissao',['permissao'=>$permissao]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar as permissões: '.$ex->getMessage());
        }
    }

    public function salvarPermissao(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('adm.permissao');}
        
        try
        {
            $p = Permissao::where(Permissao::$descricao,$request->codigo)->first();

            if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            {
                return Redirect::back()->withErrors('Já existe uma permissão com este código.');
            }

            $permissao = Permissao::findOrNew($request->id);
            $permissao->setFkClasse($request->classe);
            $permissao->setFkUsuario($request->usuario);
            
            $permissao->save();
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao salvar a permissão: '.$ex->getMessage());
        }

        return Redirect::route('adm.permissao');
    }

    public function deletePermissao(Request $request)
    {
        try
        {
            if(empty($request->id))
            {
                return Redirect::back()->withErrors('Código da permissão vazio.');
            }

            $permissao = Permissao::find($request->id);
            $permissao->delete();
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao excluir a permissão: '.$ex->getMessage());
        }

        return Redirect::route('adm.permissao');
    }
}
