<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Produto;

class ProdutoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexProduto(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('cadastro.produto');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexProdutoMinerio(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('mineracao.mproduto');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarProduto(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.produto');}
        Try
        {
            //$p = Produto::where(Produto::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.produto')->withErrors('Já existe um registro com este código.');
            //}

            $id=         $request->idproduto;
            $descricao=  strtoupper($request->descricao); 
            $formula=    strtoupper($request->formula);
            $fertilizante=    $request->fertil;
            $minerio = $request->minerio;
            if($minerio=='')
            {
                $minerio = '0';
            }
            $produto = Produto::findOrNew($id);
            $produto->setMinerio($minerio);
            $produto->setDescricao($descricao);
            $produto->setFormula($formula);
            $produto->setFertilizante($fertilizante);
        
            $produto->save();
            return Redirect::route('cadastro.produto');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.produto')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
  
    public function deleteProduto(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.produto');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.produto')->withErrors('Código vazio.');
            }

            $produto = Produto::find($request->id);
            $produto->delete();

            return Redirect::route('cadastro.produto');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.produto')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaProduto(Request $request)
    {
        try
        {

            $minerio = $request->minerio;
            if($minerio=='')
            {
                $minerio = '0';
            }

            //Seleciona dados
            $sql = "SELECT  PROD_id as id, 
                            ifnull(UPPER(PROD_descricao),'') as descricao, 
                            ifnull(UPPER(PROD_formula),'')   as formula,
                            PROD_fertilizante                as fertilizante
                    FROM    SGP_produto ";
            if($minerio!='')
            {
                $sql.= "WHERE   PROD_minerio='" .$minerio. "' ";   
            }
            $sql.= "ORDER BY PROD_descricao";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListaProduto(Request $request)
    {
        try
        {

            $minerio = $request->minerio;
            if($minerio=='')
            {
                $minerio = '0';
            }

            //Seleciona dados
            $sql = "SELECT  PROD_id as id, 
                            ifnull(UPPER(PROD_descricao),'') as descricao, 
                            ifnull(UPPER(PROD_formula),'')   as formula,
                            ifnull(PROD_fertilizante,'0')    as inspecao
                    FROM    SGP_produto ";
            if($minerio!='')
            {
                $sql.= "WHERE   PROD_minerio='" .$minerio. "' ";   
            } 
            $sql.= "ORDER BY PROD_descricao";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

}