<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Produtov;
use App\Saida_item;
use App\Saida;
use App\Entrada;
use App\Entrada_item;


class ProdutovController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexProdutov(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('estoque.produtov');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarProdutov(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('produto.produto');}
        Try
        {
            //$p = Produtov::where(Produtov::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('produto.produto')->withErrors('Já existe um registro com este código.');
            //}
            $unidade = Auth::user()->getUnidade();

            $id= $request->id; 
            $descricao = $request->descricao;
            $descricao = strtoupper($descricao);
            $referencia= $request->referencia;
            $marca= $request->marca;
            $grupo= $request->grupo; 
            $unidadem= $request->unidade; 
            $embalagem= $request->embalagem; 
            $origem= $request->origem; 
            $obs = $request->obs;

            /* if($percapta=='')
            {
                $percapta='0';
            }
            else
            {
                $percapta = str_replace(",",".",$percapta);     //VAI GRAVAR SEMPRE 0.00 PONTOS COMO DECIMAL
            } */

            $produto = Produtov::findOrNew($id);
            $produto->setUnidade($unidade);
            $produto->setGrupo($grupo);
            $produto->setUnidade_med($unidadem);
            $produto->setUnidade_med_perc($unidadem);
            $produto->setDescricao($descricao);
            $produto->setReferencia($referencia);
            $produto->setMarca($marca);
            $produto->setObs($obs);
            $produto->setEmbalagem($embalagem);
            $produto->setTipo_nutriente('');
            $produto->setPercapta(0);
            $produto->setOrigem($origem);
        
            $produto->save();
            //return Redirect::route('estoque.produto');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.produtov')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
    
    
    public function ajaxEcluirProdutov(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('produto.produto');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('produto.produtov')->withErrors('Código vazio.');
            }

            $produto = Produtov::find($request->id);
            $produto->delete();

            return Redirect::route('estoque.produtov');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.produtov')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarProdutov(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $palavra = $request->palavra;
            $grupo = $request->grupo;

            //Seleciona dados
            $sql = "SELECT  PROD_id             as id, 
                            PROD_descricao      as descricao, 
                            ifnull(PROD_marca,'')       as marca, 
                            ifnull(PROD_obs,'')         as obs, 
                            ifnull(PROD_origem,'')      as origem, 
                            ifnull(PROD_referencia,'')  as referencia, 
                            ifnull(PROD_tipo_nutriente,'') as tiponutri, 
                            PROD_FK_GRUPOP_id   as idgrupo, 
                            ifnull(PROD_FK_EMBA_id,'')   as idembalagem, 
                            GRUPOP_descricao    as grupo,
                            PROD_FK_UNIDM_id    as idunidade, 
                            PROD_FK_UNIDM_PERC_id       as idunidadepc, 
                            m1.UNIDM_descricao  as unidade, 
                            ifnull(PROD_entradas,0)     as entradas, 
                            ifnull(PROD_saidas,'')      as saidas, 
                            ifnull(PROD_saldo,'')       as saldo,
                            ifnull(PROD_FK_EMBA_id,'')  as embalagem,
                            m1.UNIDM_sigla              as sigla
                    FROM    Produtov, 
                            TBG_grupo_prod, 
                            TBG_unidade_medida m1 
                    WHERE   PROD_FK_GRUPOP_id=GRUPOP_id
                    AND     PROD_FK_UNIDM_id=m1.UNIDM_id ";
            $sql .="AND     PROD_FK_UNID_id=" .$unidade. " ";
            if($grupo!='')
            {
                $sql .="AND PROD_FK_GRUPOP_id=" .$grupo. " ";
            }
            if($palavra!='')
            {
                $sql.="AND (PROD_descricao  LIKE '%" .$palavra. "%' ";
                $sql.="OR   PROD_marca      LIKE '%" .$palavra. "%' ";
                $sql.="OR   PROD_obs        LIKE '%" .$palavra. "%' ";
                $sql.="OR   PROD_referencia LIKE '%" .$palavra. "%') ";
            }
            $sql .="ORDER BY PROD_descricao;";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListarProduto(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $palavra = $request->palavra;
            $minerio = $request->minerio;

            if($minerio=='')
            {
                $minerio = '0';
            }

            //Seleciona dados
            $sql = "SELECT  PROD_id             as id, 
                            PROD_descricao      as descricao ,
                            PROD_origem         as origem
                    FROM    SGP_produtov
                    WHERE   PROD_FK_UNID_id=" .$unidade. " ";
            $sql .="AND     PROD_minerio = '" .$minerio. "' ";
            if($palavra!='')
            {
                $sql .="AND     PROD_descricao LIKE '%" .$palavra. "%' ";
            }
            $sql .="ORDER BY PROD_descricao;";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListarHistoricoEntrada(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $produto = $request->produto;
            $mostrar = $request->mostrar;
            if($mostrar=='')
            {
                $mostrar = '10';
            }

            //Seleciona dados
            $sql = "SELECT  date_format(ENTRA_data,'%d/%m/%Y') as datae, 
                            ifnull(ENTRA_nf,'')     as nf, 
                            ENTRAI_qtde             as qtde, 
                            ENTRAI_preco_custo      as preco, 
                            UNIDM_sigla             as sigla,
                            PARC_nome               as nome,
                            ENTRA_tipo              as tipo     -- E entrada   A ajuste
                    FROM    SGP_entrada_item, 
                            SGP_entrada, 
                            SGP_parceiro,
                            SGP_produtov, 
                            TBG_unidade_medida
                    WHERE   ENTRAI_FK_ENTRA_id=ENTRA_id
                    AND     PROD_FK_UNIDM_id=UNIDM_id
                    AND     ENTRAI_FK_PROD_id=PROD_id
                    AND     ENTRA_FK_PARC_id=PARC_id ";
            $sql .="AND     ENTRAI_FK_PROD_id=" .$produto. " ";
            $sql .="ORDER BY ENTRA_data DESC LIMIT " .$mostrar. " ";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListarHistoricoSaida(Request $request)
    {
        try
        {
            $unidade = Auth::user()->getUnidade();
            $produto = $request->produto;
            $mostrar = $request->mostrar;
            if($mostrar=='')
            {
                $mostrar = '10';
            }

            $sql = "SELECT  date_format(SAIDA_data, '%d/%m/%Y') as datas, 
                            SAIDA_tipo              as tipo, -- V venda   A ajuste   R requisicao
                            SAIDAI_qtde             as qtde, 
                            UNIDM_sigla             as sigla,
                            ifnull(SAIDA_requisitante,'')   as requisitante,
                            ifnull(SAIDA_ajustado_por,'')   as ajustadopor
                    FROM    SGP_saida_item, 
                            SGP_saida, 
                            SGP_produtov, 
                            TBG_unidade_medida
                    WHERE   SAIDAI_FK_SAIDA_id=SAIDA_id
                    AND     SAIDAI_FK_PROD_id=PROD_id
                    AND     PROD_FK_UNIDM_id= UNIDM_id ";
            $sql .="AND     SAIDAI_FK_PROD_id=" .$produto. " ";
            $sql .="ORDER BY SAIDA_data DESC LIMIT " .$mostrar. " ";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


    public function ajaxPesquisaAjuste(Request $request)
    {
        try
        {
            $unidade    = Auth::user()->getUnidade();
            $mes        = $request->mes;
            $ano        = $request->ano;
            //$palavra    = $request->palavra;
            
            //Seleciona dados da operação
            $sql = "SELECT  e.ENTRA_id as id, LPAD(e.ENTRA_id,6,'0') as numero,
                            date_format(e.ENTRA_data,'%d/%m/%Y') as dataa, 
                            e.ENTRA_FK_PARC_id       as idpessoa, 
                            ifnull(e.ENTRA_obs,'')  as obs, 
                            (case ifnull(e.ENTRA_tipo,'') WHEN 'A' THEN 'AJUSTE ENTRADA' END) as tipotexto,
                            e.ENTRA_tipo as tipo,
                            'AE' as tipoa,
                            ifnull(e.ENTRA_ajustado_por,'') as ajustadopor
                    FROM    SGP_entrada e, SGP_parceiro p
                    WHERE   e.ENTRA_FK_PARC_id=p.PARC_id ";
                    //AND     e.ENTRA_FK_UNID_id=" .$unidade. " ";
            if($mes!='')
            {
                $sql .="AND     month(e.ENTRA_data)=" .$mes. " ";
            }
            if($ano!='')
            {
                $sql .="AND     year(e.ENTRA_data)=" .$ano. " ";
            }
            $sql .="AND     e.ENTRA_tipo='A'
                    UNION
                    SELECT  s.SAIDA_id as id, LPAD(s.SAIDA_id,6,'0') as numero,
                            date_format(s.SAIDA_data,'%d/%m/%Y') as dataa, 
                            s.SAIDA_FK_PARC_id       as idpessoa, 
                            ifnull(s.SAIDA_obs,'')  as obs, 
                            (case ifnull(s.SAIDA_tipo,'') WHEN 'A' THEN 'AJUSTE SAÍDA' END) as tipotexto,
                            s.SAIDA_tipo as tipo,
                            'AS' as tipoa,
                            ifnull(s.SAIDA_ajustado_por,'') as ajustadopor
                    FROM    SGP_saida s, SGP_parceiro p
                    WHERE   s.SAIDA_FK_PARC_id=p.PARC_id ";
            $sql .="AND     s.SAIDA_FK_UNID_id=" .$unidade. " ";
            if($mes!='') 
            {
                $sql .="AND     month(s.SAIDA_data)=" .$mes. " ";
            }
            if($ano!='')
            {
                $sql .="AND     year(s.SAIDA_data)=" .$ano. " ";
            }
            $sql .="AND     s.SAIDA_tipo='A'
                    ORDER BY 2, 1 DESC";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

    public function ajaxSalvarAjuste(Request $request)
    {
        Try
        {
            /* idaju:      idaju, 
            datasaida:  datasaida, 
            observacao: observacao, 
            tipo:       tipo, 
            item:       item, 
            qtde:       qtde,
            tipoa:      tipoa */
            

            $id         = $request->idaju;
            $unidade    = Auth::user()->getUnidade();
            $nome       = Auth::user()->getNome();
            $cliente    = Util::GetClientePadrao($unidade);            
            $dataajuste = $request->dataajuste;
            $observacao = $request->observacao; 
            $observacao = strtoupper($observacao);
            $totalitem  = '0'; 
            $desconto   = '0';
            $total      = '0';
            $outro      = '0';
            $forma      = 'AJ';         //Ajuste
            $item       = $request->item;
            $qtde       = $request->qtde;
            $tipo       = $request->tipoa;      //chegando aqui = EAEAEAEAEA
            
            //grava dados dos itens
            $item1 = substr($item,0,6);
            $item2 = substr($item,6,6);
            $item3 = substr($item,12,6);
            $item4 = substr($item,18,6);
            $item5 = substr($item,24,6);
            $item6 = substr($item,30,6);
            $item7 = substr($item,36,6);
            $item8 = substr($item,42,6);
            $item9 = substr($item,48,6);
            $item10= substr($item,54,6);

            $qtde1 = substr($qtde,0,6);
            $qtde2 = substr($qtde,6,6);
            $qtde3 = substr($qtde,12,6);
            $qtde4 = substr($qtde,18,6);
            $qtde5 = substr($qtde,24,6);
            $qtde6 = substr($qtde,30,6);
            $qtde7 = substr($qtde,36,6);
            $qtde8 = substr($qtde,42,6);
            $qtde9 = substr($qtde,48,6);
            $qtde10= substr($qtde,54,6);

            $tipo1 = substr($tipo,0,1);
            $tipo2 = substr($tipo,1,1);
            $tipo3 = substr($tipo,2,1);
            $tipo4 = substr($tipo,3,1);
            $tipo5 = substr($tipo,4,1);
            $tipo6 = substr($tipo,5,1);
            $tipo7 = substr($tipo,6,1);
            $tipo8 = substr($tipo,7,1);
            $tipo9 = substr($tipo,8,1);
            $tipo10= substr($tipo,9,1);

            $id = 0;

            if($item1!='000000' && $qtde1!='000000')
            {
                if($tipo1=='S')     //Ajuste Saída 
                {
                    /* $saida = Saida::findOrNew($id);
            $saida->setUnidade($unidade);
            $saida->setPessoa($idpessoa);
            $saida->setSaida_data($datasaida);
            $saida->setTipo($tipo);
            $saida->setTotal_produto($totalitem);
            $saida->setDesconto($desconto);
            $saida->setTotal($total);
            $saida->setObs($observacao);
            $saida->setForma($forma);
        
            $saida->save();

            public function setForma($valor){$this->attributes[Saida::$forma] = $valor;}
            public function setRequisitante($valor){$this->attributes[Saida::$requisitante] = $valor;}
            public function setAjustador($valor){$this->attributes[Saida::$ajustador] = $valor;} */

                    $saida = Saida::findOrNew($id);
                    $saida->setUnidade($unidade);
                    $saida->setPessoa($cliente);
                    $saida->setSaida_data($dataajuste);
                    $saida->setTipo('A');
                    $saida->setTotal_produto($totalitem);
                    $saida->setDesconto($desconto);
                    $saida->setTotal($total);
                    $saida->setObs($observacao);
                    $saida->setForma($forma);
                    $saida->setAjustador($nome);
                    $saida->save();
        
                    $idsaida = $saida->getId();
          
                    $saida_item = Saida_item::findOrNew($id);
                    $saida_item->setSaida($idsaida);
                    $saida_item->setProduto($item1);
                    $saida_item->setQtde($qtde1);
                    $saida_item->save();

                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde1. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde1. ") ";
                    $sql.="WHERE PROD_id = " .$item1. ";";
                    $atualiza =\DB::select($sql);

                }
                else if($tipo1=='E')    //Ajuste Entrada
                {
                                        
                    $entrada = Entrada::findOrNew($id);
                    $entrada->setData($dataajuste);
                    $entrada->setTipo('A');
                    $entrada->setObs($observacao);
                    $entrada->setNf('');
                    $entrada->setProduto($totalitem);
                    $entrada->setOutro($outro);
                    $entrada->setDesconto($desconto);
                    $entrada->setTotal($total);
                    $entrada->setFornecedor($cliente);  
                    $entrada->setAjustador($nome);          
                    $entrada->save();
        
                    $identrada = $entrada->getId();
                    
                    $entrada_item = Entrada_item::findOrNew($id);
                    $entrada_item->setEntrada($identrada);
                    $entrada_item->setProduto($item1);
                    $entrada_item->setQtde($qtde1);
                    $entrada_item->save();
    
                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde1. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde1. ") ";
                    $sql.="WHERE PROD_id = " .$item1. ";";
                    $atualiza =\DB::select($sql);

                }
                
            }

            if($item2!='000000' && $qtde2!='000000')
            {
                if($tipo2=='S')     //Ajuste Saída 
                {
                    $saida2 = Saida::findOrNew($id);
                    $saida2->setUnidade($unidade);
                    $saida2->setPessoa($cliente);
                    $saida2->setSaida_data($dataajuste);
                    $saida2->setTipo('A');
                    $saida2->setTotal_produto($totalitem);
                    $saida2->setDesconto($desconto);
                    $saida2->setTotal($total);
                    $saida2->setObs($observacao);
                    $saida2->setForma($forma);
                    $saida2->setAjustador($nome);
                    $saida2->save();
        
                    $idsaida = $saida2->getId();

                    $saida_item2 = Saida_item::findOrNew($id);
                    $saida_item2->setSaida($idsaida);
                    $saida_item2->setProduto($item2);
                    $saida_item2->setQtde($qtde2);
                    $saida_item2->save();

                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde2. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde2. ") ";
                    $sql.="WHERE PROD_id = " .$item2. ";";
                    $atualiza2 =\DB::select($sql);

                }
                else if($tipo2=='E')    //Ajuste Entrada
                {
                    $entrada2 = Entrada::findOrNew($id);
                    $entrada2->setData($dataajuste);
                    $entrada2->setTipo('A');
                    $entrada2->setObs($observacao);
                    $entrada2->setNf('');
                    $entrada2->setProduto($totalitem);
                    $entrada2->setOutro($outro);
                    $entrada2->setDesconto($desconto);
                    $entrada2->setTotal($total);
                    $entrada2->setFornecedor($cliente);  
                    $entrada2->setAjustador($nome);          
                    $entrada2->save();
        
                    $identrada = $entrada2->getId();
                    
                    $entrada_item2 = Entrada_item::findOrNew($id);
                    $entrada_item2->setEntrada($identrada);
                    $entrada_item2->setProduto($item2);
                    $entrada_item2->setQtde($qtde2);
                    $entrada_item2->save();
    
                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde2. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde2. ") ";
                    $sql.="WHERE PROD_id = " .$item2. ";";
                    $atualiza2 =\DB::select($sql);

                }
                
            }
            
            if($item3!='000000' && $qtde3!='000000')
            {
                if($tipo3=='S')     //Ajuste Saída 
                {
                    $saida3 = Saida::findOrNew($id);
                    $saida3->setUnidade($unidade);
                    $saida3->setPessoa($cliente);
                    $saida3->setSaida_data($dataajuste);
                    $saida3->setTipo('A');
                    $saida3->setTotal_produto($totalitem);
                    $saida3->setDesconto($desconto);
                    $saida3->setTotal($total);
                    $saida3->setObs($observacao);
                    $saida3->setForma($forma);
                    $saida3->setAjustador($nome);
                    $saida3->save();
        
                    $idsaida = $saida3->getId();

                    $saida_item3 = Saida_item::findOrNew($id);
                    $saida_item3->setSaida($idsaida);
                    $saida_item3->setProduto($item3);
                    $saida_item3->setQtde($qtde3);
                    $saida_item3->save();

                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde3. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde3. ") ";
                    $sql.="WHERE PROD_id = " .$item3. ";";
                    $atualiza3 =\DB::select($sql);

                }
                else if($tipo3=='E')    //Ajuste Entrada
                {

                    $entrada3 = Entrada::findOrNew($id);
                    $entrada3->setData($dataajuste);
                    $entrada3->setTipo('A');
                    $entrada3->setObs($observacao);
                    $entrada3->setNf('');
                    $entrada3->setProduto($totalitem);
                    $entrada3->setOutro($outro);
                    $entrada3->setDesconto($desconto);
                    $entrada3->setTotal($total);
                    $entrada3->setFornecedor($cliente);  
                    $entrada3->setAjustador($nome);          
                    $entrada3->save();
        
                    $identrada = $entrada3->getId();
                    
                    $entrada_item3 = Entrada_item::findOrNew($id);
                    $entrada_item3->setEntrada($identrada);
                    $entrada_item3->setProduto($item3);
                    $entrada_item3->setQtde($qtde3);
                    $entrada_item3->save();
    
                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde3. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde3. ") ";
                    $sql.="WHERE PROD_id = " .$item3. ";";
                    $atualiza3 =\DB::select($sql);

                }
                
            }
            
            if($item4!='000000' && $qtde4!='000000')
            {
                if($tipo4=='S')     //Ajuste Saída 
                {
                    $saida4 = Saida::findOrNew($id);
                    $saida4->setUnidade($unidade);
                    $saida4->setPessoa($cliente);
                    $saida4->setSaida_data($dataajuste);
                    $saida4->setTipo('A');
                    $saida4->setTotal_produto($totalitem);
                    $saida4->setDesconto($desconto);
                    $saida4->setTotal($total);
                    $saida4->setObs($observacao);
                    $saida4->setForma($forma);
                    $saida4->setAjustador($nome);
                    $saida4->save();
        
                    $idsaida = $saida4->getId();

                    $saida_item4 = Saida_item::findOrNew($id);
                    $saida_item4->setSaida($idsaida);
                    $saida_item4->setProduto($item4);
                    $saida_item4->setQtde($qtde4);
                    $saida_item4->save();

                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde4. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde4. ") ";
                    $sql.="WHERE PROD_id = " .$item4. ";";
                    $atualiza4 =\DB::select($sql);

                }
                else if($tipo4=='E')    //Ajuste Entrada
                {
                    
                    $entrada4 = Entrada::findOrNew($id);
                    $entrada4->setData($dataajuste);
                    $entrada4->setTipo('A');
                    $entrada4->setObs($observacao);
                    $entrada4->setNf('');
                    $entrada4->setProduto($totalitem);
                    $entrada4->setOutro($outro);
                    $entrada4->setDesconto($desconto);
                    $entrada4->setTotal($total);
                    $entrada4->setFornecedor($cliente);  
                    $entrada4->setAjustador($nome);          
                    $entrada4->save();
        
                    $identrada = $entrada4->getId();
                    
                    $entrada_item4 = Entrada_item::findOrNew($id);
                    $entrada_item4->setEntrada($identrada);
                    $entrada_item4->setProduto($item4);
                    $entrada_item4->setQtde($qtde4);
                    $entrada_item4->save();
    
                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde4. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde4. ") ";
                    $sql.="WHERE PROD_id = " .$item4. ";";
                    $atualiza4 =\DB::select($sql);

                }
                
            }
            
            if($item5!='000000' && $qtde5!='000000')
            {
                if($tipo5=='S')     //Ajuste Saída 
                {
                    $saida5 = Saida::findOrNew($id);
                    $saida5->setUnidade($unidade);
                    $saida5->setPessoa($cliente);
                    $saida5->setSaida_data($dataajuste);
                    $saida5->setTipo('A');
                    $saida5->setTotal_produto($totalitem);
                    $saida5->setDesconto($desconto);
                    $saida5->setTotal($total);
                    $saida5->setObs($observacao);
                    $saida5->setForma($forma);
                    $saida5->setAjustador($nome);
                    $saida5->save();
        
                    $idsaida = $saida5->getId();

                    $saida_item5 = Saida_item::findOrNew($id);
                    $saida_item5->setSaida($idsaida);
                    $saida_item5->setProduto($item5);
                    $saida_item5->setQtde($qtde5);
                    $saida_item5->save();

                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde5. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde5. ") ";
                    $sql.="WHERE PROD_id = " .$item5. ";";
                    $atualiza5 =\DB::select($sql);

                }
                else if($tipo5=='E')    //Ajuste Entrada
                {

                    $entrada5 = Entrada::findOrNew($id);
                    $entrada5->setData($dataajuste);
                    $entrada5->setTipo('A');
                    $entrada5->setObs($observacao);
                    $entrada5->setNf('');
                    $entrada5->setProduto($totalitem);
                    $entrada5->setOutro($outro);
                    $entrada5->setDesconto($desconto);
                    $entrada5->setTotal($total);
                    $entrada5->setFornecedor($cliente);  
                    $entrada5->setAjustador($nome);          
                    $entrada5->save();
        
                    $identrada = $entrada5->getId();
                    
                    $entrada_item5 = Entrada_item::findOrNew($id);
                    $entrada_item5->setEntrada($identrada);
                    $entrada_item5->setProduto($item5);
                    $entrada_item5->setQtde($qtde5);
                    $entrada_item5->save();
    
                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde5. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde5. ") ";
                    $sql.="WHERE PROD_id = " .$item5. ";";
                    $atualiza5 =\DB::select($sql);

                }
                
            }
            
            if($item6!='000000' && $qtde6!='000000')
            {
                if($tipo6=='S')     //Ajuste Saída 
                {
                    $saida6 = Saida::findOrNew($id);
                    $saida6->setUnidade($unidade);
                    $saida6->setPessoa($cliente);
                    $saida6->setSaida_data($dataajuste);
                    $saida6->setTipo('A');
                    $saida6->setTotal_produto($totalitem);
                    $saida6->setDesconto($desconto);
                    $saida6->setTotal($total);
                    $saida6->setObs($observacao);
                    $saida6->setForma($forma);
                    $saida6->setAjustador($nome);
                    $saida6->save();
        
                    $idsaida = $saida6->getId();

                    $saida_item6 = Saida_item::findOrNew($id);
                    $saida_item6->setSaida($idsaida);
                    $saida_item6->setProduto($item6);
                    $saida_item6->setQtde($qtde6);
                    $saida_item6->save();

                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde6. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde6. ") ";
                    $sql.="WHERE PROD_id = " .$item6. ";";
                    $atualiza6 =\DB::select($sql);

                }
                else if($tipo6=='E')    //Ajuste Entrada
                {

                    $entrada = Entrada::findOrNew($id);
                    $entrada6->setData($dataajuste);
                    $entrada6->setTipo('A');
                    $entrada6->setObs($observacao);
                    $entrada6->setNf('');
                    $entrada6->setProduto($totalitem);
                    $entrada6->setOutro($outro);
                    $entrada6->setDesconto($desconto);
                    $entrada6->setTotal($total);
                    $entrada6->setFornecedor($cliente);  
                    $entrada6->setAjustador($nome);          
                    $entrada6->save();
        
                    $identrada = $entrada6->getId();
                    
                    $entrada_item6 = Entrada_item::findOrNew($id);
                    $entrada_item6->setEntrada($identrada);
                    $entrada_item6->setProduto($item6);
                    $entrada_item6->setQtde($qtde6);
                    $entrada_item6->save();
    
                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde6. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde6. ") ";
                    $sql.="WHERE PROD_id = " .$item6. ";";
                    $atualiza6 =\DB::select($sql);

                }
                
            }
            
            if($item7!='000000' && $qtde7!='000000')
            {
                if($tipo7=='S')     //Ajuste Saída 
                {
                    $saida7 = Saida::findOrNew($id);
                    $saida7->setUnidade($unidade);
                    $saida7->setPessoa($cliente);
                    $saida7->setSaida_data($dataajuste);
                    $saida7->setTipo('A');
                    $saida7->setTotal_produto($totalitem);
                    $saida7->setDesconto($desconto);
                    $saida7->setTotal($total);
                    $saida7->setObs($observacao);
                    $saida7->setForma($forma);
                    $saida7->setAjustador($nome);
                    $saida7->save();
        
                    $idsaida = $saida7->getId();

                    $saida_item7 = Saida_item::findOrNew($id);
                    $saida_item7->setSaida($idsaida);
                    $saida_item7->setProduto($item7);
                    $saida_item7->setQtde($qtde7);
                    $saida_item7->save();

                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde7. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde7. ") ";
                    $sql.="WHERE PROD_id = " .$item7. ";";
                    $atualiza7 =\DB::select($sql);

                }
                else if($tipo7=='E')    //Ajuste Entrada
                {

                    $entrada7 = Entrada::findOrNew($id);
                    $entrada7->setData($dataajuste);
                    $entrada7->setTipo('A');
                    $entrada7->setObs($observacao);
                    $entrada7->setNf('');
                    $entrada7->setProduto($totalitem);
                    $entrada7->setOutro($outro);
                    $entrada7->setDesconto($desconto);
                    $entrada7->setTotal($total);
                    $entrada7->setFornecedor($cliente);  
                    $entrada7->setAjustador($nome);          
                    $entrada7->save();
        
                    $identrada = $entrada7->getId();
                    
                    $entrada_item7 = Entrada_item::findOrNew($id);
                    $entrada_item7->setEntrada($identrada);
                    $entrada_item7->setProduto($item7);
                    $entrada_item7->setQtde($qtde7);
                    $entrada_item7->save();
    
                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde7. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde7. ") ";
                    $sql.="WHERE PROD_id = " .$item7. ";";
                    $atualiza7 =\DB::select($sql);

                }
                
            }
            
            if($item8!='000000' && $qtde8!='000000')
            {
                if($tipo8=='S')     //Ajuste Saída 
                {
                    $saida8 = Saida::findOrNew($id);
                    $saida8->setUnidade($unidade);
                    $saida8->setPessoa($cliente);
                    $saida8->setSaida_data($dataajuste);
                    $saida8->setTipo('A');
                    $saida8->setTotal_produto($totalitem);
                    $saida8->setDesconto($desconto);
                    $saida8->setTotal($total);
                    $saida8->setObs($observacao);
                    $saida8->setForma($forma);
                    $saida8->setAjustador($nome);
                    $saida8->save();
        
                    $idsaida = $saida8->getId();

                    $saida_item8 = Saida_item::findOrNew($id);
                    $saida_item8->setSaida($idsaida);
                    $saida_item8->setProduto($item8);
                    $saida_item8->setQtde($qtde8);
                    $saida_item8->save();

                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde8. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde8. ") ";
                    $sql.="WHERE PROD_id = " .$item8. ";";
                    $atualiza8 =\DB::select($sql);

                }
                else if($tipo8=='E')    //Ajuste Entrada
                {
                    
                    $entrada8 = Entrada::findOrNew($id);
                    $entrada8->setData($dataajuste);
                    $entrada8->setTipo('A');
                    $entrada8->setObs($observacao);
                    $entrada8->setNf('');
                    $entrada8->setProduto($totalitem);
                    $entrada8->setOutro($outro);
                    $entrada8->setDesconto($desconto);
                    $entrada8->setTotal($total);
                    $entrada8->setFornecedor($cliente);  
                    $entrada8->setAjustador($nome);          
                    $entrada8->save();
        
                    $identrada = $entrada8->getId();
                    
                    $entrada_item8 = Entrada_item::findOrNew($id);
                    $entrada_item8->setEntrada($identrada);
                    $entrada_item8->setProduto($item8);
                    $entrada_item8->setQtde($qtde8);
                    $entrada_item8->save();
    
                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde8. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde8. ") ";
                    $sql.="WHERE PROD_id = " .$item8. ";";
                    $atualiza8 =\DB::select($sql);

                }
                
            }
            
            if($item9!='000000' && $qtde9!='000000')
            {
                if($tipo9=='S')     //Ajuste Saída 
                {
                    $saida9 = Saida::findOrNew($id);
                    $saida9->setUnidade($unidade);
                    $saida9->setPessoa($cliente);
                    $saida9->setSaida_data($dataajuste);
                    $saida9->setTipo('A');
                    $saida9->setTotal_produto($totalitem);
                    $saida9->setDesconto($desconto);
                    $saida9->setTotal($total);
                    $saida9->setObs($observacao);
                    $saida9->setForma($forma);
                    $saida9->setAjustador($nome);
                    $saida9->save();
        
                    $idsaida = $saida9->getId();
           
                    $saida_item9 = Saida_item::findOrNew($id);
                    $saida_item9->setSaida($idsaida);
                    $saida_item9->setProduto($item9);
                    $saida_item9->setQtde($qtde9);
                    $saida_item9->save();

                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde9. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde9. ") ";
                    $sql.="WHERE PROD_id = " .$item9. ";";
                    $atualiza =\DB::select($sql);

                }
                else if($tipo9=='E')    //Ajuste Entrada
                {

                    $entrada9 = Entrada::findOrNew($id);
                    $entrada9->setData($dataajuste);
                    $entrada9->setTipo('A');
                    $entrada9->setObs($observacao);
                    $entrada9->setNf('');
                    $entrada9->setProduto($totalitem);
                    $entrada9->setOutro($outro);
                    $entrada9->setDesconto($desconto);
                    $entrada9->setTotal($total);
                    $entrada9->setFornecedor($cliente);  
                    $entrada9->setAjustador($nome);          
                    $entrada9->save();
        
                    $identrada = $entrada9->getId();
                    
                    $entrada_item9 = Entrada_item::findOrNew($id);
                    $entrada_item9->setEntrada($identrada);
                    $entrada_item9->setProduto($item9);
                    $entrada_item9->setQtde($qtde9);
                    $entrada_item9->save();
    
                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde9. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde9. ") ";
                    $sql.="WHERE PROD_id = " .$item9. ";";
                    $atualiza =\DB::select($sql);

                }
                
            }
            
            if($item10!='000000' && $qtde10!='000000')
            {
                if($tipo10=='S')     //Ajuste Saída 
                {
                    $saida10 = Saida::findOrNew($id);
                    $saida10->setUnidade($unidade);
                    $saida10->setPessoa($cliente);
                    $saida10->setSaida_data($dataajuste);
                    $saida10->setTipo('A');
                    $saida10->setTotal_produto($totalitem);
                    $saida10->setDesconto($desconto);
                    $saida10->setTotal($total);
                    $saida10->setObs($observacao);
                    $saida10->setForma($forma);
                    $saida10->setAjustador($nome);
                    $saida10->save();
        
                    $idsaida = $saida10->getId();
            
                    $saida_item10 = Saida_item::findOrNew($id);
                    $saida_item10->setSaida($idsaida);
                    $saida_item10->setProduto($item10);
                    $saida_item10->setQtde($qtde10);
                    $saida_item10->save();

                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde10. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde10. ") ";
                    $sql.="WHERE PROD_id = " .$item10. ";";
                    $atualiza =\DB::select($sql);

                }
                else if($tipo10=='E')    //Ajuste Entrada
                {
                    $entrada10 = Entrada::findOrNew($id);
                    $entrada10->setData($dataajuste);
                    $entrada10->setTipo('A');
                    $entrada10->setObs($observacao);
                    $entrada10->setNf('');
                    $entrada10->setProduto($totalitem);
                    $entrada10->setOutro($outro);
                    $entrada10->setDesconto($desconto);
                    $entrada10->setTotal($total);
                    $entrada10->setFornecedor($cliente);  
                    $entrada10->setAjustador($nome);          
                    $entrada10->save();
        
                    $identrada = $entrada10->getId();
                    
                    $entrada_item10 = Entrada_item::findOrNew($id);
                    $entrada_item10->setEntrada($identrada);
                    $entrada_item10->setProduto($item10);
                    $entrada_item10->setQtde($qtde10);
                    $entrada_item10->save();
    
                    $sql ="UPDATE SGP_produtov ";
                    $sql.="SET PROD_entradas = (ifnull(PROD_entradas,0) + " .$qtde10. "), PROD_saldo = (ifnull(PROD_saldo,0) + " .$qtde10. ") ";
                    $sql.="WHERE PROD_id = " .$item10. ";";
                    $atualiza =\DB::select($sql);

                }
                
            }
                       
            return Redirect::route('estoque.ajuste');

        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.ajuste')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }



}