<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Http\Controllers\Util;
use App\Saida;
use App\Saida_item;
use App\Movimento;


class SaidaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexSaida(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            //$saida = Saida::all();
            return view('estoque.saida');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function indexRequisicao(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('estoque.requisicao');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarSaida(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.saida');}
        Try
        {
            //$p = Saida::where(Saida::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.saida')->withErrors('Já existe um registro com este código.');
            //}

            $id =         $request->idsaida;
            $idpessoa =   $request->idpessoa; 
            $datasaida =  $request->datasaida;
            $observacao = $request->observacao; 
            $totalitem =  $request->totalitem; 
            $desconto =   $request->desconto;
            $total =      $request->total;
            $forma =      $request->forma;
            $tipo =       $request->tipo;
            $nome =       $request->nome;
            $item =       $request->item;
            $qtde =       $request->qtde;
            $preco =      $request->preco;
            $unidade = Auth::user()->getUnidade();

            $totalitem = Util::Ponto($totalitem);
            $desconto = Util::Ponto($desconto);
            $total = Util::Ponto($total);

            $saida = Saida::findOrNew($id);
            $saida->setUnidade($unidade);
            $saida->setPessoa($idpessoa);
            $saida->setSaida_data($datasaida);
            $saida->setTipo($tipo);
            $saida->setTotal_produto($totalitem);
            $saida->setDesconto($desconto);
            $saida->setTotal($total);
            $saida->setObs($observacao);
            $saida->setForma($forma);
        
            $saida->save();

            $idsaida = $saida->getId();
            
            //grava dados dos itens
            $item1 = substr($item,0,6);
            $item2 = substr($item,6,6);
            $item3 = substr($item,12,6);
            $item4 = substr($item,18,6);
            $item5 = substr($item,24,6);
            $item6 = substr($item,30,6);
            $item7 = substr($item,36,6);
            $item8 = substr($item,42,6);
            $item9 = substr($item,48,6);
            $item10= substr($item,54,6);

            $qtde1 = substr($qtde,0,6);
            $qtde2 = substr($qtde,6,6);
            $qtde3 = substr($qtde,12,6);
            $qtde4 = substr($qtde,18,6);
            $qtde5 = substr($qtde,24,6);
            $qtde6 = substr($qtde,30,6);
            $qtde7 = substr($qtde,36,6);
            $qtde8 = substr($qtde,42,6);
            $qtde9 = substr($qtde,48,6);
            $qtde10= substr($qtde,54,6);

            $preco1 = substr($preco,0,6);
            $preco2 = substr($preco,6,6);
            $preco3 = substr($preco,12,6);
            $preco4 = substr($preco,18,6);
            $preco5 = substr($preco,24,6);
            $preco6 = substr($preco,30,6);
            $preco7 = substr($preco,36,6);
            $preco8 = substr($preco,42,6);
            $preco9 = substr($preco,48,6);
            $preco10= substr($preco,54,6);

            $id = 0;

            if($item1!='000000' && $qtde1!='000000')
            {
                $qtde = floatval($qtde1);
                $unit = floatval($preco1);
                $total = $qtde * $unit;
                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item1);
                $saida_item->setQtde($qtde1);
                $saida_item->setValor_unit($preco1);
                $saida_item->setValor_total($total);
            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde1. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde1. ") ";
                $sql.="WHERE PROD_id = " .$item1. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item2!='000000' && $qtde2!='000000')
            {
                $qtde = floatval($qtde2);
                $unit = floatval($preco2);
                $total = $qtde * $unit;
                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item2);
                $saida_item->setQtde($qtde2);
                $saida_item->setValor_unit($preco2);
                $saida_item->setValor_total($total);
            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde2. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde2. ") ";
                $sql.="WHERE PROD_id = " .$item2. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item3!='000000' && $qtde3!='000000')
            {
                $qtde = floatval($qtde3);
                $unit = floatval($preco3);
                $total = $qtde * $unit;
                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item3);
                $saida_item->setQtde($qtde3);
                $saida_item->setValor_unit($preco3);
                $saida_item->setValor_total($total);
            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde3. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde3. ") ";
                $sql.="WHERE PROD_id = " .$item3. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item4!='000000' && $qtde4!='000000')
            {
                $qtde = floatval($qtde4);
                $unit = floatval($preco4);
                $total = $qtde * $unit;
                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item4);
                $saida_item->setQtde($qtde4);
                $saida_item->setValor_unit($preco4);
                $saida_item->setValor_total($total);
            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde4. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde4. ") ";
                $sql.="WHERE PROD_id = " .$item4. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item5!='000000' && $qtde5!='000000')
            {
                $qtde = floatval($qtde5);
                $unit = floatval($preco5);
                $total = $qtde * $unit;
                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item5);
                $saida_item->setQtde($qtde5);
                $saida_item->setValor_unit($preco5);
                $saida_item->setValor_total($total);
            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde5. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde5. ") ";
                $sql.="WHERE PROD_id = " .$item5. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item6!='000000' && $qtde6!='000000')
            {
                $qtde = floatval($qtde6);
                $unit = floatval($preco6);
                $total = $qtde * $unit;
                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item6);
                $saida_item->setQtde($qtde6);
                $saida_item->setValor_unit($preco6);
                $saida_item->setValor_total($total);
            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde6. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde6. ") ";
                $sql.="WHERE PROD_id = " .$item6. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item7!='000000' && $qtde7!='000000')
            {
                $qtde = floatval($qtde7);
                $unit = floatval($preco7);
                $total = $qtde * $unit;
                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item7);
                $saida_item->setQtde($qtde7);
                $saida_item->setValor_unit($preco7);
                $saida_item->setValor_total($total);
            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde7. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde7. ") ";
                $sql.="WHERE PROD_id = " .$item7. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item8!='000000' && $qtde8!='000000')
            {
                $qtde = floatval($qtde8);
                $unit = floatval($preco8);
                $total = $qtde * $unit;
                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item8);
                $saida_item->setQtde($qtde8);
                $saida_item->setValor_unit($preco8);
                $saida_item->setValor_total($total);
            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde8. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde8. ") ";
                $sql.="WHERE PROD_id = " .$item8. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item9!='000000' && $qtde9!='000000')
            {
                $qtde = floatval($qtde9);
                $unit = floatval($preco9);
                $total = $qtde * $unit;
                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item9);
                $saida_item->setQtde($qtde9);
                $saida_item->setValor_unit($preco9);
                $saida_item->setValor_total($total);
            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde9. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde9. ") ";
                $sql.="WHERE PROD_id = " .$item9. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item10!='000000' && $qtde10!='000000')
            {
                $qtde = floatval($qtde10);
                $unit = floatval($preco10);
                $total = $qtde * $unit;
                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item10);
                $saida_item->setQtde($qtde10);
                $saida_item->setValor_unit($preco10);
                $saida_item->setValor_total($total);
            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde10. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde10. ") ";
                $sql.="WHERE PROD_id = " .$item10. ";";
                $atualiza =\DB::select($sql);
                
            }

           /*  $id =         $request->idsaida;
            $idpessoa =   $request->idpessoa; 
            $datasaida =  $request->datasaida;
            $observacao = $request->observacao; 
            $totalitem =  $request->totalitem; 
            $desconto =   $request->desconto;
            $total =      $request->total;
            $forma =      $request->forma;
            $tipo =       $request->tipo;
            $nome =       $request->nome;
            $item =       $request->item;
            $qtde =       $request->qtde;
            $preco =      $request->preco;
            $unidade = Auth::user()->getUnidade(); */

            //atualiza dados no financeiro

            $id = '0';
            $statusfin = "1";   //conta recebida
            $descr = substr("VENDA DE PRODUTOS PARA CLIENTE: " .$nome. ".",0,199) ;

            $conta = Util::GetContaPadrao($unidade);      //Conta financeira da unidade padrão

            $totalitem = Util::Ponto($totalitem);
            $desconto = Util::Ponto($desconto);
            $total = Util::Ponto($total);

            $movimento = Movimento::findOrNew($id);
            $movimento->setUnidade($unidade);
            $movimento->setPessoa($idpessoa);
            $movimento->setConta_fin($conta);
            $movimento->setDescricao($descr);
            $movimento->setStatus($statusfin);
            $movimento->setValor($totalitem);
            $movimento->setJuros(0);
            $movimento->setMulta(0);
            $movimento->setDesconto($desconto);
            $movimento->setValor_total($total);
            $movimento->setForma_pgto($forma);
            $movimento->setDoc('');
            $movimento->setObs($observacao);
            $movimento->setExcluido('0');
            $movimento->setData_mov($datasaida);
            $movimento->setData_rec($datasaida);
        
            $movimento->save();
            
            return Redirect::route('estoque.saida');

        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.saida')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
    

    public function ajaxSalvarRequisicao(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.saida');}
        Try
        {
            //$p = Saida::where(Saida::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.saida')->withErrors('Já existe um registro com este código.');
            //}

            $id =         $request->idreq;
            $unidade =    Auth::user()->getUnidade();
            $cliente =    Util::GetClientePadrao($unidade);            
            $datasaida =  $request->datasaida;
            $observacao = $request->observacao; 
            $observacao = strtoupper($observacao);
            $totalitem =  '0'; 
            $desconto =   '0';
            $total =      '0';
            $forma =      'RE';         //Requisição
            $tipo =       $request->tipo;
            $nome =       Auth::user()->getNome();
            $item =       $request->item;
            $qtde =       $request->qtde;
            $escola =     $request->escola;

            $saida = Saida::findOrNew($id);
            $saida->setUnidade($unidade);
            $saida->setPessoa($cliente);
            $saida->setSaida_data($datasaida);
            $saida->setTipo($tipo);
            $saida->setTotal_produto($totalitem);
            $saida->setDesconto($desconto);
            $saida->setTotal($total);
            $saida->setObs($observacao);
            $saida->setForma($forma);
            $saida->setRequisitante($nome);
            $saida->setEscola($escola);
        
            $saida->save();

            $idsaida = $saida->getId();
            
            //grava dados dos itens
            $item1 = substr($item,0,6);
            $item2 = substr($item,6,6);
            $item3 = substr($item,12,6);
            $item4 = substr($item,18,6);
            $item5 = substr($item,24,6);
            $item6 = substr($item,30,6);
            $item7 = substr($item,36,6);
            $item8 = substr($item,42,6);
            $item9 = substr($item,48,6);
            $item10= substr($item,54,6);

            $qtde1 = substr($qtde,0,6);
            $qtde2 = substr($qtde,6,6);
            $qtde3 = substr($qtde,12,6);
            $qtde4 = substr($qtde,18,6);
            $qtde5 = substr($qtde,24,6);
            $qtde6 = substr($qtde,30,6);
            $qtde7 = substr($qtde,36,6);
            $qtde8 = substr($qtde,42,6);
            $qtde9 = substr($qtde,48,6);
            $qtde10= substr($qtde,54,6);

            $id = 0;

            if($item1!='000000' && $qtde1!='000000')
            {
                $qtde = floatval($qtde1);
                               
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item1);
                $saida_item->setQtde($qtde1);
                            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde1. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde1. ") ";
                $sql.="WHERE PROD_id = " .$item1. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item2!='000000' && $qtde2!='000000')
            {
                $qtde = floatval($qtde2);
                               
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item2);
                $saida_item->setQtde($qtde2);
                           
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde2. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde2. ") ";
                $sql.="WHERE PROD_id = " .$item2. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item3!='000000' && $qtde3!='000000')
            {
                $qtde = floatval($qtde3);
               
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item3);
                $saida_item->setQtde($qtde3);
               
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde3. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde3. ") ";
                $sql.="WHERE PROD_id = " .$item3. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item4!='000000' && $qtde4!='000000')
            {
                $qtde = floatval($qtde4);
                               
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item4);
                $saida_item->setQtde($qtde4);
                           
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde4. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde4. ") ";
                $sql.="WHERE PROD_id = " .$item4. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item5!='000000' && $qtde5!='000000')
            {
                $qtde = floatval($qtde5);
                                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item5);
                $saida_item->setQtde($qtde5);
                            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde5. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde5. ") ";
                $sql.="WHERE PROD_id = " .$item5. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item6!='000000' && $qtde6!='000000')
            {
                $qtde = floatval($qtde6);
                               
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item6);
                $saida_item->setQtde($qtde6);
                            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde6. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde6. ") ";
                $sql.="WHERE PROD_id = " .$item6. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item7!='000000' && $qtde7!='000000')
            {
                $qtde = floatval($qtde7);
                               
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item7);
                $saida_item->setQtde($qtde7);
                
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde7. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde7. ") ";
                $sql.="WHERE PROD_id = " .$item7. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item8!='000000' && $qtde8!='000000')
            {
                $qtde = floatval($qtde8);
                                
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item8);
                $saida_item->setQtde($qtde8);
                           
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde8. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde8. ") ";
                $sql.="WHERE PROD_id = " .$item8. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item9!='000000' && $qtde9!='000000')
            {
                $qtde = floatval($qtde9);
                               
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item9);
                $saida_item->setQtde($qtde9);
                            
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde9. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde9. ") ";
                $sql.="WHERE PROD_id = " .$item9. ";";
                $atualiza =\DB::select($sql);
                
            }

            if($item10!='000000' && $qtde10!='000000')
            {
                $qtde = floatval($qtde10);
               
                $saida_item = Saida_item::findOrNew($id);
                $saida_item->setSaida($idsaida);
                $saida_item->setProduto($item10);
                $saida_item->setQtde($qtde10);
                           
                $saida_item->save();

                $sql ="UPDATE SGP_produtov ";
                $sql.="SET PROD_saidas = (ifnull(PROD_saidas,0) + " .$qtde10. "), PROD_saldo = (ifnull(PROD_saldo,0) - " .$qtde10. ") ";
                $sql.="WHERE PROD_id = " .$item10. ";";
                $atualiza =\DB::select($sql);
                
            }

                        
            return Redirect::route('estoque.requisicao');

        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.requisicao')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
    
    

    public function deleteSaida(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.saida');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('estoque.saida')->withErrors('Código vazio.');
            }

            $saida = Saida::find($request->id);
            $saida->delete();

            return Redirect::route('estoque.saida');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.saida')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaSaida(Request $request)
    {
        try
        {
            $unidade    = Auth::user()->getUnidade();
            $mes        = $request->mes;
            $ano        = $request->ano;
            $palavra    = $request->palavra;
            $cliente    = $request->cliente;
            
            //Seleciona dados da operação
            $sql = "SELECT  s.SAIDA_id                      as id, 
                            date_format(s.SAIDA_data,'%d/%m/%Y') as datas, 
                            s.SAIDA_FK_PARC_id               as idcliente, 
                            p.PARC_nome                      as cliente,
                            ifnull(s.SAIDA_obs,'')          as obs, 
                            s.SAIDA_tipo                    as tipo, 
                            ifnull(s.SAIDA_total_produto,0) as produto, 
                            ifnull(s.SAIDA_desconto,0)      as desconto, 
                            ifnull(s.SAIDA_total,0)         as total,
                            ifnull(s.SAIDA_forma_pgto,'')   as forma
                    FROM    SGP_saida s, SGP_parceiro p
                    WHERE   s.SAIDA_FK_PARC_id = p.PARC_id 
                    AND     s.SAIDA_FK_UNID_id = " .$unidade. " ";
            if($mes!='')
            {
                $sql .="AND     month(s.SAIDA_data) = " .$mes. " "; 
            }
            if($ano!='')
            {
                $sql .="AND     year(s.SAIDA_data) = " .$ano. " ";
            } 
            $sql .="AND     s.SAIDA_tipo='V' ";     //V - venda  R - requisicao interna  A - ajuste  
            if($cliente!='')
            {
                $sql .="AND s.SAIDA_FK_PARC_id = " .$cliente. " ";
            }
            $sql .="AND     s.SAIDA_obs LIKE '%" .$palavra. "%' ";
            $sql .="ORDER BY s.SAIDA_data";

                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

    public function ajaxPesquisaRequisicao(Request $request)
    {
        try
        {
            $unidade    = Auth::user()->getUnidade();
            $mes        = $request->mes;
            $ano        = $request->ano;
            $palavra    = $request->palavra;
            
            //Seleciona dados da operação
            $sql = "SELECT  s.SAIDA_id                      as id, 
                            date_format(s.SAIDA_data,'%d/%m/%Y') as datas, 
                            s.SAIDA_FK_PARC_id               as idcliente, 
                            p.PARC_nome                      as cliente,
                            ifnull(s.SAIDA_obs,'')          as obs, 
                            s.SAIDA_tipo                    as tipo, 
                            ifnull(s.SAIDA_total_produto,0) as produto, 
                            ifnull(s.SAIDA_desconto,0)      as desconto, 
                            ifnull(s.SAIDA_total,0)         as total,
                            ifnull(s.SAIDA_forma_pgto,'')   as forma,
                            ifnull(s.SAIDA_requisitante,'') as requisitante
                    FROM    SGP_saida s, SGP_parceiro p
                    WHERE   s.SAIDA_FK_PARC_id = p.PARC_id ";
            $sql .="AND     s.SAIDA_FK_UNID_id = " .$unidade. " ";
            if($mes!='')
            {
                $sql .="AND     month(s.SAIDA_data) = " .$mes. " "; 
            }
            if($ano!='')
            {
                $sql .="AND     year(s.SAIDA_data) = " .$ano. " ";
            } 
            $sql .="AND     s.SAIDA_tipo='R' ";     //V - venda  R - requisicao interna  A - ajuste  
            $sql .="AND     s.SAIDA_obs LIKE '%" .$palavra. "%' ";
            $sql .="ORDER BY s.SAIDA_data";

                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

    public function ajaxPesquisaItensSaida(Request $request)
    {
        try
        {
        
            $saida = $request->saida;
            
            //Seleciona dados da operação
            $sql = "SELECT  p.PROD_descricao      as produto, 
                            g.GRUPOP_descricao    as grupo, 
                            i.SAIDAI_qtde         as qtde, 
                            i.SAIDAI_valor_unit   as preco,
                            i.SAIDAI_valor_total  as total,
                            u.UNIDM_sigla         as unid
                    FROM    SGP_saida_item i, 
                            SGP_produtov p, 
                            TBG_grupo_prod g, 
                            TBG_unidade_medida u
                    WHERE   i.SAIDAI_FK_PROD_id = p.PROD_id
                    AND     p.PROD_FK_UNIDM_id  = u.UNIDM_id
                    AND     p.PROD_FK_GRUPOP_id = g.GRUPOP_id ";
                    if($saida!='')
                    {
                        $sql .="AND     i.SAIDAI_FK_SAIDA_id=" .$saida. " ";

                    }
                    $sql .="ORDER BY p.PROD_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

    public function ajaxPesquisaItensReq(Request $request)
    {
        try
        {
        
            $req = $request->req;
            
            //Seleciona dados da operação
            $sql = "SELECT  p.PROD_descricao      as produto, 
                            g.GRUPOP_descricao    as grupo, 
                            i.SAIDAI_qtde         as qtde,
                            u.UNIDM_sigla         as unid
                    FROM    SGP_saida_item i, 
                            SGP_produtov p, 
                            TBG_grupo_prod g, 
                            TBG_unidade_medida u
                    WHERE   i.SAIDAI_FK_PROD_id = p.PROD_id
                    AND     p.PROD_FK_UNIDM_id  = u.UNIDM_id
                    AND     p.PROD_FK_GRUPOP_id = g.GRUPOP_id ";
                    if($req!='')
                    {
                        $sql .="AND     i.SAIDAI_FK_SAIDA_id=" .$req. " ";

                    }
                    $sql .="ORDER BY p.PROD_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

    
    public function ajaxPesquisaItensAjuste(Request $request)
    {
        try
        {
        
            $saida = $request->saida;
            
            //Seleciona dados da operação
            $sql = "SELECT  p.PROD_descricao      as produto, 
                            g.GRUPOP_descricao    as grupo, 
                            i.SAIDAI_qtde         as qtde,
                            u.UNIDM_sigla         as unid
                    FROM    SGP_saida_item i, 
                            SGP_produtov p, 
                            TBG_grupo_prod g, 
                            TBG_unidade_medida u
                    WHERE   i.SAIDAI_FK_PROD_id = p.PROD_id
                    AND     p.PROD_FK_UNIDM_id  = u.UNIDM_id
                    AND     p.PROD_FK_GRUPOP_id = g.GRUPOP_id ";
                    if($saida!='')
                    {
                        $sql .="AND     i.SAIDAI_FK_SAIDA_id=" .$saida. " ";
                    }
                    $sql .="ORDER BY p.PROD_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }


}
