<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Saida_item;
use App\Http\Controllers\Util;

class Saida_itemController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexSaida_item(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('estoque.saida_item');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function salvarSaida_item(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('saida_item.saida_item');}
        Try
        {
            //$p = Saida_item::where(Saida_item::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('saida_item.saida_item')->withErrors('Já existe um registro com este código.');
            //}

            $qtde = $request->qtde;
            $valor_unit = $request->valor_unit;
            $valor_total = $request->valor_total;

            $qtde = Util::Ponto($qtde);
            $valor_unit = Util::Ponto($valor_unit);
            $valor_total = Util::Ponto($valor_total);

            $saida_item = Saida_item::findOrNew($request->id);
            $saida_item->setSaida($request->saida);
            $saida_item->setProduto($request->produto);
            $saida_item->setQtde($qtde);
            $saida_item->setValor_unit($valor_unit);
            $saida_item->setValor_total($valor_total);
        
            $saida_item->save();
            return Redirect::route('estoque.saida_item');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.saida_item')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteSaida_item(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('saida_item.saida_item');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('estoque.saida_item')->withErrors('Código vazio.');
            }

            $saida_item = Saida_item::find($request->id);
            $saida_item->delete();

            return Redirect::route('estoque.saida_item');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('estoque.saida_item')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaItensSaida(Request $request)
    {
        try
        {
        
            $saida = $request->saida;
            
            //Seleciona dados da operação
            $sql = "SELECT  p.PROD_descricao      as produto, 
                            g.GRUPOP_descricao    as grupo, 
                            i.SAIDAI_qtde         as qtde, 
                            i.SAIDAI_valor_unit   as preco,
                            i.SAIDAI_valor_total  as total,
                            u.UNIDM_sigla         as unid
                    FROM    SGP_saida_item i, 
                            SGP_produtov p, 
                            TBG_grupo_prod g, 
                            TBG_unidade_medida u
                    WHERE   i.SAIDAI_FK_PROD_id = p.PROD_id
                    AND     p.PROD_FK_UNIDM_id  = u.UNIDM_id
                    AND     p.PROD_FK_GRUPOP_id = g.GRUPOP_id ";
                    if($saida!='')
                    {
                        $sql .="AND     i.SAIDAI_FK_SAIDA_id=" .$saida. " ";

                    }
                    $sql .="ORDER BY p.PROD_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

    public function ajaxPesquisaItensReq(Request $request)
    {
        try
        {
        
            $req = $request->req;
            
            //Seleciona dados da operação
            $sql = "SELECT  p.PROD_descricao      as produto, 
                            g.GRUPOP_descricao    as grupo, 
                            i.SAIDAI_qtde         as qtde,
                            u.UNIDM_sigla         as unid
                    FROM    SGP_saida_item i, 
                            SGP_produtov p, 
                            TBG_grupo_prod g, 
                            TBG_unidade_medida u
                    WHERE   i.SAIDAI_FK_PROD_id = p.PROD_id
                    AND     p.PROD_FK_UNIDM_id  = u.UNIDM_id
                    AND     p.PROD_FK_GRUPOP_id = g.GRUPOP_id ";
                    if($req!='')
                    {
                        $sql .="AND     i.SAIDAI_FK_SAIDA_id=" .$req. " ";

                    }
                    $sql .="ORDER BY p.PROD_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }

    
    public function ajaxPesquisaItensAjuste(Request $request)
    {
        try
        {
        
            $saida = $request->saida;
            
            //Seleciona dados da operação
            $sql = "SELECT  p.PROD_descricao      as produto, 
                            g.GRUPOP_descricao    as grupo, 
                            i.SAIDAI_qtde         as qtde,
                            u.UNIDM_sigla         as unid
                    FROM    SGP_saida_item i, 
                            SGP_produtov p, 
                            TBG_grupo_prod g, 
                            TBG_unidade_medida u
                    WHERE   i.SAIDAI_FK_PROD_id = p.PROD_id
                    AND     p.PROD_FK_UNIDM_id  = u.UNIDM_id
                    AND     p.PROD_FK_GRUPOP_id = g.GRUPOP_id ";
                    if($saida!='')
                    {
                        $sql .="AND     i.SAIDAI_FK_SAIDA_id=" .$saida. " ";
                    }
                    $sql .="ORDER BY p.PROD_descricao";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }


}