<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Servico;

class ServicoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexServico(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            //$servico = Servico::all();
            return view('cadastro.servico');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarServico(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.servico');}
        Try
        {
            //$p = Servico::where(Servico::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.servico')->withErrors('Já existe um registro com este código.');
            //}
            $unidade = Auth::user()->getUnidade();

            $servico = Servico::findOrNew($request->id);
            $servico->setUnidade($unidade);
            $servico->setDescricao($request->descricao);
            $servico->setPreco($request->preco);
            $servico->setAtivo($request->ativo);
        
            $servico->save();
            return Redirect::route('cadastro.servico');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.servico')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }
    
    public function ajaxExcluirServico(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.servico');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.servico')->withErrors('Código vazio.');
            }

            $servico = Servico::find($request->id);
            $servico->delete();

            return Redirect::route('cadastro.servico');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.servico')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaServico(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade = Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  SERV_id as id, 
                            ucase(SERV_descricao) as descricao, 
                            SERV_FK_UNID_id as unidade, 
                            ifnull(SERV_ativo,'0') as ativo, 
                            ifnull(SERV_preco,0) as preco
                    FROM    BEAU_servico ";
            $sql .="WHERE   SERV_FK_UNID_id = " .$unidade. " ";
            $sql .="ORDER BY SERV_descricao";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxCarregarServico(Request $request)
    {
        try
        {
            //$unidade = $request->unidade;
            $unidade = Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  SERV_id as id, 
                            ucase(SERV_descricao) as descricao,
                            ifnull(SERV_preco,0) as preco
                    FROM    BEAU_servico ";
            $sql .="WHERE   SERV_FK_UNID_id = " .$unidade. " ";
            $sql .="AND     SERV_ativo='1' ";
            $sql .="ORDER BY SERV_descricao";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxPesquisaPreco(Request $request)
    {
        try
        {
            $servico = $request->servico;
            
            //Seleciona dados da operação
            $sql = "SELECT  ifnull(SERV_preco,0) as preco 
                    FROM    BEAU_servico 
                    WHERE   SERV_id=" .$servico. " ";
                                                    
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
         
    }


}