<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Tipo_veiculo;

class Tipo_veiculoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexTipo_veiculo(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('adm.tipo_veiculo');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarTipoVeiculo(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('adm.tipo_veiculo');}
        //Try
        //{
            //$p = Tipo_veiculo::where(Tipo_veiculo::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('adm.tipo_veiculo')->withErrors('Já existe um registro com este código.');
            //}
            $descricao = $request->descricao;
            $descricao=  strtoupper($descricao); 
            $unidade =  Auth::user()->getUnidade();

            //$descricao='TESTE 123';

            $tipo_veiculo = Tipo_veiculo::findOrNew($request->id);
            $tipo_veiculo->setDescricao($descricao);
            $tipo_veiculo->setUnidade($unidade);
        
            $tipo_veiculo->save();
            return Redirect::route('adm.tipo_veiculo');
        //}
       // catch(\Exception $ex)
       // {
       //     return Redirect::route('adm.tipo_veiculo')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
       // }
    }

    
    
    public function ajaxExcluirTipoVeiculo(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('adm.tipo_veiculo');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('adm.tipo_veiculo')->withErrors('Código vazio.');
            }

            $tipo_veiculo = Tipo_veiculo::find($request->id);
            $tipo_veiculo->delete();

            return Redirect::route('adm.tipo_veiculo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.tipo_veiculo')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaTipoVeiculo(Request $request)
    {
        try
        {

           $palavra = $request->palavra;
           //$unidade =  Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  TIPOV_id as id, 
                            TIPOV_descricao as descricao 
                    FROM    SGP_tipo_veiculo ";   
            //$sql .="WHERE   TIPOV_FK_UNID_id=" .$unidade. " ";
            if($palavra!='')
            {
                $sql .="WHERE   TIPOV_descricao LIKE '%" .$palavra. "%' ";
            }                
            $sql .="ORDER BY TIPOV_descricao; ";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}