<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Transportador;

class TransportadorController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexTransportador(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            //$transportador = Transportador::all();
            return view('cadastro.transportador');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarTransportador(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.transportador');}
        Try
        {
            //$p = Transportador::where(Transportador::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.transportador')->withErrors('Já existe um registro com este código.');
            //}
            $id =       $request->idtransp;
            $nome =     strtoupper($request->nome);
            $codigo =   strtoupper($request->codigo); 
            $contato=   strtoupper($request->contato); 
            $email =    strtolower($request->email);
            $celular =  $request->celular; 
            $ativo =    $request->ativo;
            $unidade =  Auth::user()->getUnidade();

            $transportador = Transportador::findOrNew($id);
            $transportador->setNome($nome);
            $transportador->setCodigo($codigo);
            $transportador->setContato($contato);
            $transportador->setCelular($celular);
            $transportador->setEmail($email);
            $transportador->setAtivo($ativo);
            $transportador->setUnidade($unidade);
        
            $transportador->save();
            return Redirect::route('cadastro.transportador');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.transportador')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxSalvarTranspAuto(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.transportador');}
        Try
        {
            //$p = Transportador::where(Transportador::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.transportador')->withErrors('Já existe um registro com este código.');
            //}
            $id =       0;
            $nome =     strtoupper($request->descricao);
            $codigo =   ''; 
            $contato=   ''; 
            $email =    '';
            $celular =  ''; 
            $ativo =    '1';
            $unidade =  Auth::user()->getUnidade();

            $transportador = Transportador::findOrNew($id);
            $transportador->setNome($nome);
            $transportador->setCodigo($codigo);
            $transportador->setContato($contato);
            $transportador->setCelular($celular);
            $transportador->setEmail($email);
            $transportador->setAtivo($ativo);
            $transportador->setUnidade($unidade);
        
            $transportador->save();
            //return Redirect::route('cadastro.transportador');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.transportador')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function deleteTransportador(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.transportador');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.transportador')->withErrors('Código vazio.');
            }

            $transportador = Transportador::find($request->id);
            $transportador->delete();

            return Redirect::route('cadastro.transportador');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.transportador')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaTransportador(Request $request)
    {
        try
        {
            $ativo   = $request->status;
            $palavra = $request->busca;
            $unidade =  Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  TRAN_id                 as id, 
                            TRAN_nome               as nome, 
                            ifnull(TRAN_codigo,'')  as codigo, 
                            ifnull(TRAN_contato,'') as contato, 
                            ifnull(TRAN_celular,'') as celular, 
                            ifnull(TRAN_email,'')   as email, 
                            TRAN_vira               as vira,
                            TRAN_ativo              as ativo
                    FROM    SGP_transportador 
                    WHERE   TRAN_id > 0 ";
            $sql .="AND     TRAN_FK_UNID_id=" .$unidade. " ";
            if($ativo!='')
            {
                $sql.="AND TRAN_ativo='" .$ativo. "' ";
            }
            if($palavra!='')
            {
                $sql.="AND (TRAN_nome       LIKE '%" .$palavra. "%' ";
                $sql.="OR   TRAN_contato    LIKE '%" .$palavra. "%' ";
                $sql.="OR   TRAN_celular    LIKE '%" .$palavra. "%' ";
                $sql.="OR   TRAN_email      LIKE '%" .$palavra. "%') ";
            }
            $sql.="ORDER BY TRAN_nome";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListarTransportador(Request $request)
    {
        try
        {

            $unidade =  Auth::user()->getUnidade();
            $transp  =  Auth::user()->getTransp();
            if($transp=='0')
            {
                $transp='';
            }

            //Seleciona dados
            $sql = "SELECT  TRAN_id                 as id, 
                            upper(TRAN_nome)        as nome,
                            TRAN_vira               as viraa
                    FROM    SGP_transportador
                    WHERE   TRAN_ativo = '1' AND (TRAN_nome IS NOT NULL AND TRAN_nome <>'') ";
            $sql .="AND     TRAN_FK_UNID_id=" .$unidade. " ";
            if($transp!='')
            {
                $sql .="AND TRAN_id = " .$transp. " ";
            }
            $sql .="ORDER BY TRAN_vira DESC, TRAN_nome";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListarTransportadorVira(Request $request)
    {
        try
        {

            $unidade =  Auth::user()->getUnidade();
            //$transp  =  Auth::user()->getTransp();

            //Seleciona dados
            $sql = "SELECT  TRAN_id as id, 
                            TRAN_nome as nome ,
                            TRAN_vira as vira
                    FROM    SGP_transportador 
                    WHERE   TRAN_FK_UNID_id=" .$unidade. " "; 
            $sql.= "AND     TRAN_ativo = '1' 
                    AND     TRAN_vira = '1' 
                    ORDER BY TRAN_nome";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListarTransportadorAuto(Request $request)
    {
        try
        {

            $unidade =  Auth::user()->getUnidade();
            //$transp  =  Auth::user()->getTransp();

            //Seleciona dados
            $sql = "SELECT  TRAN_id                 as id, 
                            upper(TRAN_nome)        as nome,
                            TRAN_vira               as viraa
                    FROM    SGP_transportador
                    WHERE   TRAN_ativo = '1' AND (TRAN_nome IS NOT NULL AND TRAN_nome <>'') ";
            $sql .="AND     TRAN_FK_UNID_id=" .$unidade. " ";
            //if($transp!='')
            //{
            //    $sql .="AND TRAN_id = " .$transp. " ";
            //}
            $sql .="ORDER BY TRAN_vira DESC, TRAN_nome";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

}