<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use App\Estado;
use App\Cidade;

class UfCidadeController extends Controller
{
    // public function __construct()
    // {
    //     $this->middleware('auth');
    // }

    public static function indexComboUF()
    {
        $uf =  Estado::orderby(Estado::$nome)->get()
                ->keyBy(Estado::$id)->map(function ($item)
                    {
                        return $item->getSigla().' - '.$item->getNome();
                    });
        return $uf;
    }

    /*public function salvarSetor(Request $request)
    {
        try
        {
            if(!empty(Setor::where(Setor::$fk_unidade,$request->unidade)->where(Setor::$nome,$request->nome)->first()))
            {
                return Redirect::back()->withErrors('Já existe um setor com este nome nesta unidade.');
            }

            $setor = New Setor;

            if(!empty($request->id))
            {
                $setor = Setor::find($request->id);
            }

            $setor->setNome($request->nome);
            $setor->setIdPai($request->setor_pai);
            $setor->setFkUnidade($request->unidade);

            $setor->save();
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao salvar o setor: '.$ex->getMessage());
        }

        return Redirect::route('cadastro.setor');
    }

    public function deleteSetor(Request $request)
    {
        try
        {
            if(empty($request->id))
            {
                return Redirect::back()->withErrors('Código do setor vazio.');
            }

            $setor = Setor::find($request->id);
            $setor->delete();
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao excluir o setor: '.$ex->getMessage());
        }

        return Redirect::route('cadastro.setor');
    }

	*/

    public function CarregaCidade($estado)
    {
		$cidade = Cidade::where(Cidade::$fk_estado,$estado)->orderby(Cidade::$nome)
				->get()
				->map(function ($item)
				{
					return ['id'=>$item->getId(),'nome'=>$item->getNome()];
				});

		return $cidade;
	}

	public function ajaxCidadeByUF(Request $request)
    {
        try
        {
            $cidades = $this->CarregaCidade($request->estado);

            return response()->json($cidades,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar a cidade: '.$ex->getMessage(),500);
        }
    }


    public function ajaxPesquisaCidade(Request $request)
    {
        try
        {
            $uf = $request->uf;

            //Seleciona dados da operação
            $sql = "SELECT c.CIDA_descricao as cidade, c.CIDA_id as id, c.CIDA_FK_UF_id as iduf, u.UF_descricao as nomeuf, u.UF_sigla as uf 
            FROM TBG_cidade c, TBG_uf u 
            WHERE c.CIDA_FK_UF_id=u.UF_id ";
            if($uf!='')
            {
                $sql .="AND c.CIDA_FK_UF_id = " .$uf. " ";
            }
            $sql .="ORDER BY c.CIDA_descricao";
                      
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados dos veículos: '.$ex->getMessage(),500);
        }
       
    }

    public function ajaxPesquisaUF(Request $request)
    {
        try
        {
            //Seleciona dados da operação
            $sql = "SELECT      concat(u.UF_sigla, ' - ', u.UF_descricao) as descricao, u.UF_id as id 
                    FROM        TBG_uf u 
                    ORDER BY    u.UF_sigla";
                      
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados dos veículos: '.$ex->getMessage(),500);
        }  
    }

    public function ajaxListaCidade(Request $request)
    {
        try
        {
            $uf = $request->uf;

            //Seleciona dados da operação
            $sql = "SELECT      CIDA_descricao as descricao, CIDA_id as id 
                    FROM        TBG_cidade 
                    WHERE       CIDA_FK_UF_id=" .$uf. " ";
            $sql .="ORDER BY    CIDA_descricao";
                      
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados dos veículos: '.$ex->getMessage(),500);
        }  
    }

}
