<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Estado;

class UfController extends Controller
{
    // public function __construct()
    // {
    //     $this->middleware('auth');
    // }

    public function indexUf(Request $request)
    {
        $ufs = Estado::orderby(Estado::$nome)->get();

        return view('adm.uf',['ufs'=>$ufs]);
    }

    public function salvarEstado(Request $request)
    {
        try
        {
            if(!empty(Estado::where(Estado::$nome,$request->nome)->first()))
            {
                return Redirect::back()->withErrors('Já existe um Estado com este nome.');
            }

            $uf = Estado::findOrNew($request->id);
            $uf->setNome($request->nome);
            $uf->setSigla($request->sigla);
            
            $uf->save();
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao salvar o Estado: '.$ex->getMessage());
        }

        return Redirect::route('adm.uf');
    }

    public static function GetComboEstado()
    {
        return Estado::orderby(Estado::$nome)->get()
        ->keyBy(Estado::$id)->map(function ($item) 
        {
            return $item->getSigla().' - '.$item->getNome();
        });
    }

    public function ajaxCarregaUF(Request $request)
    {
        try
        {

            //Seleciona dados da operação
            $sql = "SELECT UF_id as id, concat(UF_sigla, ' - ', UF_descricao) as descricao 
                    FROM TBG_uf 
                    ORDER BY UF_sigla";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }
    
}
