<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Unidade;

class UnidadeController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexUnidade(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            $unidade = Unidade::all();
            return view('adm.unidade',['unidade'=>$unidade]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function salvarUnidade(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('.unidade');}
        Try
        {
            //$p = Unidade::where(Unidade::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('.unidade')->withErrors('Já existe um registro com este código.');
            //}

            $unidade = Unidade::findOrNew($request->id);
            $unidade->setCidade($request->cidade);
            $unidade->setNome($request->nome);
            $unidade->setContato($request->contato);
            $unidade->setFone($request->fone);
            $unidade->setEmail($request->email);
            $unidade->setEnd_completo($request->end_completo);
            $unidade->setLogo($request->logo);
            $unidade->setAtivo($request->ativo);
        
            $unidade->save();
            return Redirect::route('adm.unidade');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.unidade')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteUnidade(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('.unidade');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('adm.unidade')->withErrors('Código vazio.');
            }

            $unidade = Unidade::find($request->id);
            $unidade->delete();

            return Redirect::route('adm.unidade');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.unidade')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxListaUnidade(Request $request)
    {
        try
        {
            
            //Seleciona dados da operação
            $sql = "SELECT  u.UNID_id as id, u.
                            u.UNID_FK_CIDA_id as idcidade,
                            u.UNID_nome as nome,
                            u.UNID_contato as contato,
                            u.UNID_fone as fone,
                            u.UNID_email as email,
                            u.UNID_end_completo as endereco,
                            u.UNID_logo as logo,
                            u.UNID_ativo as ativo
                    FROM    TBG_unidade u 
                    ORDER BY u.UNID_nome";
       
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados dos veículos: '.$ex->getMessage(),500);
        }
       
    }

}