<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Unidade_medida;

class Unidade_medidaController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexUnidade_medida(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('adm.unidade_medida');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarUnidade_medida(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('unidade_medida.unidade_medida');}
        Try
        {
            //$p = Unidade_medida::where(Unidade_medida::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('unidade_medida.unidade_medida')->withErrors('Já existe um registro com este código.');
            //}

            $descricao = $request->descricao;
            $descricao = strtoupper($descricao);

            $sigla = $request->sigla;
            $sigla = strtoupper($sigla);

            $unidade_medida = Unidade_medida::findOrNew($request->id);
            $unidade_medida->setDescricao($descricao);
            $unidade_medida->setSigla($sigla);
        
            $unidade_medida->save();
            return Redirect::route('adm.unidade_medida');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.unidade_medida')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function ajaxExcluirUnidade_medida(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('unidade_medida.unidade_medida');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('adm.unidade_medida')->withErrors('Código vazio.');
            }

            $unidade_medida = Unidade_medida::find($request->id);
            $unidade_medida->delete();

            return Redirect::route('adm.unidade_medida');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.unidade_medida')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisaUnidade_medida(Request $request)
    {

        try
        {

            //Seleciona dados
            $sql = "SELECT  UNIDM_id        as id, 
                            UNIDM_descricao as descricao, 
                            UNIDM_sigla     as sigla
                    FROM    TBG_unidade_medida 
                    ORDER BY UNIDM_sigla";
                                                     
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }
    
}