<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use App\Unidade_negocio;

class Unidade_negocioController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexUnidade_negocio(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            $unidade_negocio = Unidade_negocio::all();
            return view('cadastro.unidade_negocio',['unidade_negocio'=>$unidade_negocio]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function salvarUnidade_negocio(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.unidade_negocio');}
        Try
        {
            //$p = Unidade_negocio::where(Unidade_negocio::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.unidade_negocio')->withErrors('Já existe um registro com este código.');
            //}

            $unidade_negocio = Unidade_negocio::findOrNew($request->id);
            $unidade_negocio->setCidade($request->cidade);
            $unidade_negocio->setNome($request->nome);
            $unidade_negocio->setEndereco($request->endereco);
            $unidade_negocio->setComplemento($request->complemento);
            $unidade_negocio->setNro($request->nro);
            $unidade_negocio->setBairro($request->bairro);
            $unidade_negocio->setCep($request->cep);
            $unidade_negocio->setFone($request->fone);
            $unidade_negocio->setCelular($request->celular);
            $unidade_negocio->setEmail($request->email);
            $unidade_negocio->setAtivo($request->ativo);
            $unidade_negocio->setTipo($request->tipo);
        
            $unidade_negocio->save();
            return Redirect::route('cadastro.unidade_negocio');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.unidade_negocio')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteUnidade_negocio(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.unidade_negocio');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.unidade_negocio')->withErrors('Código vazio.');
            }

            $unidade_negocio = Unidade_negocio::find($request->id);
            $unidade_negocio->delete();

            return Redirect::route('cadastro.unidade_negocio');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.unidade_negocio')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxListaUnidade(Request $request)
    {
        try
        {
            $usuario = $request->usuario;

            //Seleciona dados da operação
            $sql = "SELECT u.UNIDN_id as id, u.UNIDN_nome as nome
            FROM POSI_unidade_negocio u ";
            if($usuario!='')
            {
                $sql .= "WHERE u.UNIDN_id IN (SELECT s.USUA_FK_UNIDN_id FROM TBG_usuario s WHERE s.USUA_id=" .$usuario. ") ";
            }
            $sql .= "ORDER BY u.UNIDN_nome";
       
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados dos veículos: '.$ex->getMessage(),500);
        }
       
    }

    public function ajaxObterCidade(Request $request)
    {
        try
        {
            $unidade = $request->unidade;

            //Seleciona dados da operação
            $sql = "SELECT  u.UNID_FK_CIDA_id as idcidade, 
                            c.CIDA_FK_UF_id as iduf
                    FROM    TBG_cidade c, TBG_unidade u 
                    WHERE   u.UNID_FK_CIDA_id=c.CIDA_id
                    AND     u.UNID_id=" .$unidade. " ";
       
            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados dos veículos: '.$ex->getMessage(),500);
        }
       
    }

}