<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Usuario_destino;

class UsuarioDestinoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexUsuario_destino(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            //$usuario_destino = Usuario_destino::all();
            return view('adm.usuariodestino');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxSalvarUsuarioDestino(Request $request)
    {
        Try
        {

            $usuario_destino = New Usuario_destino;
            $usuario_destino->setUsuario($request->usuario);
            $usuario_destino->setDestino($request->destino);
        
            $usuario_destino->save();
            return Redirect::route('adm.usuariodestino');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.usuariodestino')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function ajaxEcluiUsuarioDestino(Request $request)
    {
        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('adm.usuariodestino')->withErrors('Código vazio.');
            }

            $usuario_destino = Usuario_destino::find($request->id);
            $usuario_destino->delete();

            return Redirect::route('adm.usuariodestino');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('adm.usuariodestino')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    public function ajaxPesquisarUsuarioDestino(Request $request)
    {
        try
        {

            $unidade =  Auth::user()->getUnidade();
            $usuario = $request->usuario;

            //Seleciona dados
            $sql = "SELECT  ud.USUAD_id     as id, 
                            u.USUA_id       as idusuario, 
                            u.USUA_nome     as nome, 
                            d.DEST_id       as iddestino, 
                            d.DEST_descricao as destino 
                    FROM    SGP_usuario_destino ud, 
                            TBG_usuario u, 
                            SGP_destino d
                    WHERE   ud.USUAD_FK_USUA_id=u.USUA_id
                    AND     ud.USUAD_FK_DEST_id=d.DEST_id ";
            $sql .="AND     ud.USUAD_FK_USUA_id=" .$usuario. " ";
            $sql .="AND     u.USUA_FK_UNID_id=" .$unidade. " ";
            $sql .="ORDER BY d.DEST_descricao; ";

/*             SELECT ud.USUAD_id as id,
            u.USUA_id as idusuario,
            u.USUA_nome as nome,
            d.DEST_id as iddestino,
            d.DEST_descricao as destino
            FROM SGP_usuario_destino ud,
            TBG_usuario u,
            SGP_destino d
            WHERE ud.USUAD_FK_USUA_id=u.USUA_id
            AND ud.USUAD_FK_DEST_id=d.DEST_id
            AND ud.USUAD_FK_USUA_id=17 
            AND u.USUA_FK_UNID_id=1 
            ORDER BY d.DEST_descricao;  */

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxListarUsuarioDestino(Request $request)
    {
        try
        {

            $unidade =  Auth::user()->getUnidade();
            $usuario = $request->usuario;

            //Seleciona dados
            $sql = "SELECT  d.DEST_id           as id , 
                            upper(d.DEST_descricao)    as destino 
                    FROM    SGP_destino d ";           
            $sql .="WHERE   d.DEST_id NOT IN (";
            $sql .="SELECT  ud.USUAD_FK_DEST_id  
                    FROM    SGP_usuario_destino ud ";
            $sql .="WHERE   ud.USUAD_FK_USUA_id=" .$usuario. ") ";
            $sql .="ORDER BY d.DEST_descricao"; 


            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}