<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Veiculo;

class VeiculoController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexVeiculo(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            $veiculo = Veiculo::all();
            return view('cadastro.veiculo',['veiculo'=>$veiculo]);
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarVeiculo(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.veiculo');}
        Try
        {
            //$p = Veiculo::where(Veiculo::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('cadastro.veiculo')->withErrors('Já existe um registro com este código.');
            //}

            $transp = $request->transp;
            if($transp=='')
            {
                $transp='0';
            }
            $id=$request->idveiculo; 
            $placa=strtoupper($request->placa);
            $placa_carreta=strtoupper($request->placa_carreta);
            $marca=strtoupper($request->marca);
            $modelo=strtoupper($request->modelo);
            $tipo=$request->tipo;
            if($tipo=='')
            {
                $tipo='0';
            }

            $veiculo = Veiculo::findOrNew($id);
            $veiculo->setPlaca_cavalo($placa);
            $veiculo->setPlaca_carreta($placa_carreta);
            $veiculo->setMarca($marca);
            $veiculo->setModelo($modelo);
            $veiculo->setTipo($tipo);
            $veiculo->setTransportador($transp);
        
            $veiculo->save();
            return Redirect::route('cadastro.veiculo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.veiculo')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    
    public function deleteVeiculo(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('cadastro.veiculo');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('cadastro.veiculo')->withErrors('Código vazio.');
            }

            $veiculo = Veiculo::find($request->id);
            $veiculo->delete();

            return Redirect::route('cadastro.veiculo');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('cadastro.veiculo')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }
    
    public function ajaxPesquisaVeiculo(Request $request)
    {
        try
        {
            $busca = $request->busca;
            $transp = $request->transp;

            if($transp=='')
            {
                $transp='0';
            }

            $sql = "SELECT  VEIC_id                         as id, 
                            VEIC_placa_cavalo               as placa, 
                            ifnull(VEIC_placa_carreta,'')   as placa_carreta, 
                            ifnull(VEIC_marca,'')           as marca, 
                            ifnull(VEIC_modelo,'')          as modelo,
                            VEIC_FK_TIPOV_id                as idtipo,
                            VEIC_FK_TRAN_id                 as idtransp,
                            TIPOV_descricao                 as tipo,
                            ifnull(TRAN_nome,'')            as transp
                    FROM    SGP_veiculo LEFT JOIN SGP_transportador
                    ON      VEIC_FK_TRAN_id=TRAN_id 
                    INNER JOIN SGP_tipo_veiculo
                    ON      VEIC_FK_TIPOV_id=TIPOV_id
                    WHERE   VEIC_placa_cavalo <> '0' ";
            if($busca!='')
            {
                $sql.= "AND   (VEIC_placa_cavalo LIKE '%" .$busca. "%' "; 
                $sql.= "OR      VEIC_placa_carreta LIKE '%" .$busca. "%' "; 
                $sql.= "OR      VEIC_marca LIKE '%" .$busca. "%' "; 
                $sql.= "OR      VEIC_modelo LIKE '%" .$busca. "%') ";
            }
            if($transp!='0')
            {
                $sql.= "AND     VEIC_FK_TRAN_id=" .$transp. " ";
            }
            $sql.= "ORDER BY VEIC_placa_cavalo";

            //Seleciona dados
/*             $sql = "SELECT  VEIC_id                         as id, 
                            VEIC_placa_cavalo               as placa, 
                            ifnull(VEIC_placa_carreta,'')   as placa_carreta, 
                            ifnull(VEIC_marca,'')           as marca, 
                            ifnull(VEIC_modelo,'')          as modelo,
                            VEIC_FK_TIPOV_id                as idtipo,
                            VEIC_FK_TRAN_id                 as idtransp,
                            TIPOV_descricao                 as tipo
                    FROM    SGP_veiculo, SGP_tipo_veiculo ";
            $sql.= "WHERE   VEIC_FK_TIPOV_id=TIPOV_id ";
            if($busca!='')
            {
                $sql.= "AND   (VEIC_placa_cavalo LIKE '%" .$busca. "%' "; 
                $sql.= "OR      VEIC_placa_carreta LIKE '%" .$busca. "%' "; 
                $sql.= "OR      VEIC_marca LIKE '%" .$busca. "%' "; 
                $sql.= "OR      VEIC_modelo LIKE '%" .$busca. "%') ";
            }
            if($transp!='0')
            {
                $sql.= "AND     VEIC_FK_TRAN_id=" .$transp. " ";
            }
            $sql.= "ORDER BY VEIC_placa_cavalo"; */

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxBuscarVeiculoPelaPlaca(Request $request)
    {
        try
        {
            $placa = $request->placa;

            //Seleciona dados
            $sql = "SELECT  VEIC_id                         as id, 
                            VEIC_placa_cavalo               as placa, 
                            ifnull(VEIC_placa_carreta,'')   as placa_carreta, 
                            ifnull(VEIC_marca,'')           as marca, 
                            ifnull(VEIC_modelo,'')          as modelo,
                            VEIC_FK_TRAN_id                 as idtransp,
                            VEIC_FK_TIPOV_id                as tipo
                    FROM    SGP_veiculo ";
            $sql.= "WHERE   VEIC_placa_cavalo='" .$placa. "'";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }

    public function ajaxVerificaSeEstaNoPatio(Request $request)
    {
        try
        {
            $placa = $request->placa;
            $unidade =  Auth::user()->getUnidade();

            //Seleciona dados
            $sql = "SELECT  COUNT(*) as qtde
                    FROM    SGP_estadia, SGP_veiculo
                    WHERE   ESTA_FK_VEIC_id=VEIC_id
                    AND     ESTA_status='PA' ";
            $sql.= "AND     ESTA_FK_UNID_id=" .$unidade. " ";
            $sql.= "AND     VEIC_placa_cavalo='" .$placa. "' ";

            //executa a query e guarda o resultado
            $resultado =\DB::select($sql);
            
            $dados = ['consulta'=>$resultado];
            
            return response()->json($dados,200);
        

        }
        catch(\Exception $ex)
        {
            return response()->json('erro ao buscar os dados: '.$ex->getMessage(),500);
        }
    }


}