<?php
namespace App\Http\Controllers;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Vira;

class ViraController extends Controller
{
    Public Function __construct()
    {
        $this->middleware('auth');
    }

    //******* Lista os dados ********
    public function indexVira(Request $request)
    {
        if(!RotaController::Acesso($request->route()->getName()))
        {
            return RotaController::AcessoNegado('home');
        }

        Try
        {
            return view('operacao.vira');
        }
        catch(\Exception $ex)
        {
            return Redirect::back()->withErrors('erro ao carregar os dados: '.$ex->getMessage());
        }
    }

    public function ajaxSalvarVira(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('operacao.vira');}
        Try
        {
            //$p = Vira::where(Vira::$codigo,$request->codigo)->first();
            //if((empty($request->id) && !empty($p)) || (!empty($request->id) && !empty($p) && $request->id != $p->getId()))
            //{
                //return Redirect::route('operacao.vira')->withErrors('Já existe um registro com este código.');
            //}
            $unidade = Auth::user()->getUnidade();

            $vira = Vira::findOrNew($request->id);
            $vira->setUnidade($unidade);
            $vira->setTransportador($request->transp);
            $vira->setOperacao($request->oper);
            $vira->setVeiculo($request->veic);
            $vira->setQtde($request->qtde);
            $vira->setValor($request->valor);
            $vira->setDiaria($request->diaria);
        
            $vira->save();
            return Redirect::route('operacao.vira');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('operacao.vira')->withErrors('erro ao salvar os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxExcluirVira(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('operacao.vira');}

        Try
        {
            if(empty($request->id))
            {
                return Redirect::route('operacao.vira')->withErrors('Código vazio.');
            }

            $vira = Vira::find($request->id);
            $vira->delete();

            return Redirect::route('operacao.vira');
        }
        catch(\Exception $ex)
        {
            return Redirect::route('operacao.vira')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

    
    public function ajaxExcluirTodosSumarios(Request $request)
    {
        //if(!RotaController::Acesso($request->route()->getName())){return RotaController::AcessoNegado('operacao.vira');}

        Try
        {
            $unidade = Auth::user()->getUnidade();

            //exclui todos os sumários da unidade
            $sql="DELETE FROM SGP_vira WHERE VIRA_FK_UNID_id=" .$unidade. "";
            $resultado =\DB::select($sql);

        }
        catch(\Exception $ex)
        {
            return Redirect::route('operacao.vira')->withErrors('erro ao excluir os dados: '.$ex->getMessage());
        }
    }

}