<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    protected $connection = 'mysql';
    protected $table = 'TBG_usuario';
    protected $primaryKey = 'USUA_id';
    protected $hidden = ['remember_token'];
	public $dates = ['USUA_dt_criacao','USUA_dt_alteracao'];
   
    const CREATED_AT = 'USUA_dt_criacao';
    const UPDATED_AT = 'USUA_dt_alteracao';

    //campos
    public static $id       = 'USUA_id';
    public static $nome     = 'USUA_nome';
    public static $email    = 'USUA_email';
    public static $ativo    = 'USUA_ativo';
    public static $celular  = 'USUA_celular';
    public static $senha    = 'password';
    public static $login    = 'USUA_login';
    public static $cliente  = 'USUA_cod_cliente';
    public static $transp   = 'USUA_cod_transp';
    public static $unidade  = 'USUA_FK_UNID_id';
    public static $destino  = 'USUA_cod_destino';
    public static $bloqueio  = 'USUA_bloqueio';
    public static $ocorrencia = 'USUA_ocorrencia';
    public static $cancelar   = 'USUA_cancelar';
    public static $prioridade = 'USUA_prioridade';
    public static $aprovador  = 'USUA_aprovador';
    public static $visto      = 'USUA_visto';
    
        
    //relacionamentos
    public function Classe()
    {
        return $this->belongsToMany('App\Classe',Permissao::$tabela,Permissao::$fk_usuario,Permissao::$fk_classe)
                    ->whereHas('Sistema',function($sis)
                    {
                        $sis->where(Sistema::$codigo,env('APP_SISTEMA'));
                    });
    }
    
    public function Clientes()
    {
        return $this->belongsToMany('App\Cliente',Cliente_Usuario::$tabela, Cliente_Usuario::$fk_usuario,Cliente_Usuario::$fk_cliente);
    }

    public function Unidade()
    {
        return $this->belongsTo('App\Unidade',User::$unidade);
    }

    //atributos
    public function getId()
    {
        return $this->attributes[User::$id];
    }

    public function getNome()
    {
        return $this->attributes[User::$nome];
    }

    public function getLogin()
    {
        return $this->attributes[User::$login];
    }

    public function getEmail()
    {
        return $this->attributes[User::$email];
    }

    public function getAtivo()
    {
        return $this->attributes[User::$ativo];
    }

    public function getCelular()
    {
        return $this->attributes[User::$celular];
    }

    public function getCliente()
    {
        return $this->attributes[User::$cliente];
    }
    public function getTransp()
    {
        return $this->attributes[User::$transp];
    }
    public function getUnidade()
    {
        return $this->attributes[User::$unidade];
    }
    public function getDestino()
    {
        return $this->attributes[User::$destino];
    }
    public function getBloquear()
    {
        return $this->attributes[User::$bloqueio];
    }
    public function getOcorrencia()
    {
        return $this->attributes[User::$ocorrencia];
    }
    public function getCancelar()
    {
        return $this->attributes[User::$cancelar];
    }
    public function getPrioridade()
    {
        return $this->attributes[User::$prioridade];
    }
    public function getAprovador()
    {
        return $this->attributes[User::$aprovador];
    }
    public function getVisto()
    {
        return $this->attributes[User::$visto];
    }

   
    public function setNome($valor)
    {
        $this->attributes[User::$nome] = $valor;
    }

    public function setLogin($valor)
    {
        $this->attributes[User::$login] = $valor;
    }

    public function setEmail($valor)
    {
        $this->attributes[User::$email] = $valor;
    }

    public function setAtivo($valor)
    {
        $this->attributes[User::$ativo] = $valor;
    }

    public function setSenha($valor)
    {
        $this->attributes[User::$senha] = $valor;
    }

    public function setCelular($valor)
    {
        $this->attributes[User::$celular] = $valor;
    }
    public function setCliente($valor)
    {
        $this->attributes[User::$cliente] = $valor;
    }
    public function setTransp($valor)
    {
        $this->attributes[User::$transp] = $valor;
    }
    public function setUnidade($valor)
    {
        $this->attributes[User::$unidade] = $valor;
    }
    public function setDestino($valor)
    {
        $this->attributes[User::$destino] = $valor;
    }

    public function setBloquear($valor)
    {
        $this->attributes[User::$bloqueio] = $valor;
    }
    public function setOcorrencia($valor)
    {
        $this->attributes[User::$ocorrencia] = $valor;
    }
    public function setCancelar($valor)
    {
        $this->attributes[User::$cancelar] = $valor;
    }
    public function setPrioridade($valor)
    {
        $this->attributes[User::$prioridade] = $valor;
    }
    public function setAprovador($valor)
    {
        $this->attributes[User::$aprovador] = $valor;
    }
    public function setVisto($valor)
    {
        $this->attributes[User::$visto] = $valor;
    }
}
