

-- -----------------------------------------------------
-- Table `APC_parceiro`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_parceiro` (
  `PARC_id` INT(11) NOT NULL AUTO_INCREMENT,
  `PARC_FK_UNIDN_id` INT NOT NULL,
  `PARC_FK_CIDA_id` INT(11) NOT NULL,
  `PARC_razao_social` VARCHAR(50) NULL DEFAULT NULL,
  `PARC_nome_fantasia` VARCHAR(50) NULL DEFAULT NULL,
  `PARC_cnpj` VARCHAR(20) NULL DEFAULT NULL,
  `PARC_endereco` VARCHAR(50) NULL DEFAULT NULL,
  `PARC_bairro` VARCHAR(50) NULL DEFAULT NULL,
  `PARC_cep` VARCHAR(10) NULL DEFAULT NULL,
  `PARC_nro` VARCHAR(10) NULL DEFAULT NULL,
  `PARC_complemento` VARCHAR(50) NULL DEFAULT NULL,
  `PARC_ativo` VARCHAR(1) NULL DEFAULT NULL,
  `PARC_observacao` VARCHAR(200) NULL DEFAULT NULL,
  `PARC_contato` VARCHAR(50) NULL DEFAULT NULL,
  `PARC_contato_celular` VARCHAR(20) NULL DEFAULT NULL,
  `CLIE_contato_email` VARCHAR(50) NULL DEFAULT NULL,
  `PARC_contato_fone` VARCHAR(20) NULL DEFAULT NULL,
  `PARC_tipo` VARCHAR(1) NULL,
  PRIMARY KEY (`PARC_id`))
ENGINE = InnoDB
AUTO_INCREMENT = 4
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `TBG_tipo_contrato`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `TBG_tipo_contrato` (
  `TIPOC_id` INT NOT NULL AUTO_INCREMENT,
  `TIPOC_descricao` VARCHAR(50) NULL DEFAULT NULL,
  `TIPOC_ativo` VARCHAR(1) NULL DEFAULT NULL,
  `TIPOC_codigo` VARCHAR(2) NULL DEFAULT NULL,
  PRIMARY KEY (`TIPOC_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `TBG_contrato`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `TBG_contrato` (
  `CONTRA_id` INT NOT NULL AUTO_INCREMENT,
  `CONTRA_FK_USUA_id` INT(11) NOT NULL,
  `CONTRA_FK_TIPOC_id` INT NOT NULL,
  `CONTRA_data` DATE NULL DEFAULT NULL,
  `CONTRA_qtde_unid` INT NULL DEFAULT NULL,
  `CONTRA_valor_mensal` DECIMAL(12,2) NULL DEFAULT NULL,
  `CONTRA_status` VARCHAR(2) NULL DEFAULT NULL,
  `CONTRA_validade` DATE NULL DEFAULT NULL,
  `CONTRA_dia_vencto` INT NULL DEFAULT NULL,
  PRIMARY KEY (`CONTRA_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_usuario_cliente`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_usuario_cliente` (
  `USCLI_id` INT(11) NOT NULL AUTO_INCREMENT,
  `USCLI_FK_USUA_id` INT(11) NOT NULL,
  `USCLI_FK_PARC_id` INT(11) NOT NULL,
  PRIMARY KEY (`USCLI_id`))
ENGINE = InnoDB
AUTO_INCREMENT = 19
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `APC_centro_custo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_centro_custo` (
  `CC_id` INT NOT NULL AUTO_INCREMENT,
  `CC_FK_UNIDN_id` INT NOT NULL,
  `CC_descricao` VARCHAR(50) NULL DEFAULT NULL,
  `CC_codigo` VARCHAR(4) NULL DEFAULT NULL,
  PRIMARY KEY (`CC_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_veiculo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_veiculo` (
  `VEIC_id` INT(11) NOT NULL AUTO_INCREMENT,
  `VEIC_FK_TIPOV_id` INT(11) NOT NULL,
  `VEIC_FK_CC_id` INT NOT NULL,
  `VEIC_placa` VARCHAR(7) NULL DEFAULT NULL,
  `VEIC_marca` VARCHAR(50) NULL DEFAULT NULL,
  `VEIC_modelo` VARCHAR(50) NULL DEFAULT NULL,
  `VEIC_ano_fab` VARCHAR(4) NULL DEFAULT NULL,
  `VEIC_situacao` VARCHAR(1) NULL DEFAULT NULL,
  `VEIC_tipo` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`VEIC_id`))
ENGINE = InnoDB
AUTO_INCREMENT = 28
DEFAULT CHARACTER SET = latin1;




-- -----------------------------------------------------
-- Table `APC_projeto`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_projeto` (
  `PROJ_id` INT NOT NULL AUTO_INCREMENT,
  `PROJ_FK_UNIDN_id` INT NOT NULL,
  `PROJ_FK_TIPOP_id` INT NOT NULL,
  `PROJ_FK_PARC_id` INT(11) NOT NULL,
  `PROJ_FK_CIDA_id` INT(11) NOT NULL,
  `PROJ_titulo` VARCHAR(50) NULL DEFAULT NULL,
  `PROJ_descricao` VARCHAR(500) NULL DEFAULT NULL,
  `PROJ_status` VARCHAR(1) NULL DEFAULT NULL,
  `PROJ_endereco` VARCHAR(100) NULL DEFAULT NULL,
  `PROJ_nro` VARCHAR(5) NULL DEFAULT NULL,
  `PROJ_complemento` VARCHAR(50) NULL DEFAULT NULL,
  `PROJ_bairro` VARCHAR(50) NULL DEFAULT NULL,
  `PROJ_cep` VARCHAR(8) NULL DEFAULT NULL,
  PRIMARY KEY (`PROJ_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_orcamento`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_orcamento` (
  `ORCA_id` INT NOT NULL AUTO_INCREMENT,
  `ORCA_FK_PROJ_id` INT NOT NULL,
  `ORCA_FK_USUA_solicitante` INT(11) NOT NULL,
  `ORCA_FK_USUA_aprovador` INT(11) NOT NULL,
  `ORCA_data` DATE NULL DEFAULT NULL,
  `ORCA_status` VARCHAR(1) NULL DEFAULT NULL,
  `ORCA_observacao` VARCHAR(500) NULL DEFAULT NULL,
  `ORCA_aprovado` VARCHAR(1) NULL DEFAULT NULL,
  `ORCA_data_aprovacao` DATE NULL DEFAULT NULL,
  PRIMARY KEY (`ORCA_id`))
ENGINE = InnoDB;



-- -----------------------------------------------------
-- Table `APC_orc_grupo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_orc_grupo` (
  `ORCG_id` INT NOT NULL AUTO_INCREMENT,
  `ORCG_FK_UNIDN_id` INT NOT NULL,
  `ORCG_descricao` VARCHAR(50) NULL DEFAULT NULL,
  `ORCG_ativo` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`ORCG_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `TBG_grupo_compo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `TBG_grupo_compo` (
  `GRUPOC_id` INT NOT NULL AUTO_INCREMENT,
  `GRUPOC_descricao` VARCHAR(50) NULL DEFAULT NULL,
  `GRUPOC_ativo` VARCHAR(1) NULL DEFAULT '1',
  PRIMARY KEY (`GRUPOC_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `TBG_composicao`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `TBG_composicao` (
  `COMPO_id` INT NOT NULL AUTO_INCREMENT,
  `COMPO_FK_USUA_id` INT(11) NOT NULL,
  `COMPO_FK_GRUPOC_id` INT NOT NULL,
  `COMPO_descricao` VARCHAR(100) NULL DEFAULT NULL,
  `COMPO_tipo` VARCHAR(1) NULL DEFAULT NULL,
  `COMPO_status` VARCHAR(1) NULL DEFAULT '0',
  PRIMARY KEY (`COMPO_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_orcam_topico`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_orcam_topico` (
  `ORCAT_id` INT NOT NULL AUTO_INCREMENT,
  `ORCAT_FK_ORCA_id` INT NOT NULL,
  `ORCAT_FK_ORCG_id` INT NOT NULL,
  `ORCAT_FK_COMPO_id` INT NOT NULL,
  `ORCAT_descriitivo` VARCHAR(200) NULL DEFAULT NULL,
  `ORCAT_qtde` DECIMAL(12,3) NULL DEFAULT 0,
  `ORCAT_valor_unit` DECIMAL(12,2) NULL DEFAULT 0,
  `ORCAT_valor_total` DECIMAL(12,2) NULL DEFAULT 0,
  PRIMARY KEY (`ORCAT_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_orcam_item`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_orcam_item` (
  `ORCAI_id` INT NOT NULL AUTO_INCREMENT,
  `ORCAI_FK_INSU_id` INT NOT NULL,
  `ORCAI_FK_UNIDM_id` INT NOT NULL,
  `ORCAI_FK_ORCAT_id` INT NOT NULL,
  `ORCAI_item` VARCHAR(6) NULL DEFAULT NULL,
  `ORCAI_disciminacao` VARCHAR(100) NULL DEFAULT NULL,
  `ORCAI_qtde` DECIMAL(12,3) NULL DEFAULT 0,
  `ORCAI_status` VARCHAR(1) NULL DEFAULT NULL,
  `ORCAI_valor_material` DECIMAL(12,2) NULL DEFAULT 0,
  `ORCAI_total_material` DECIMAL(12,2) NULL DEFAULT 0,
  `ORCAI_valor_mobra` DECIMAL(12,2) NULL DEFAULT 0,
  `ORCAI_total_mobra` DECIMAL(12,2) NULL DEFAULT 0,
  `ORCAI_bdi` DECIMAL(12,2) NULL DEFAULT 0,
  `ORCAI_total` DECIMAL(12,2) NULL DEFAULT 0,
  PRIMARY KEY (`ORCAI_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_requisicao`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_requisicao` (
  `REQ_id` INT NOT NULL AUTO_INCREMENT,
  `REQ_FK_UNIDN_id` INT NOT NULL,
  `REQ_FK_USUA_solicitante` INT(11) NOT NULL,
  `REQ_FK_USUA_aprovador` INT(11) NOT NULL,
  `REQ_data` DATE NULL DEFAULT NULL,
  `REQ_justificativa` VARCHAR(200) NULL DEFAULT NULL,
  `REQ_aprovado` VARCHAR(1) NULL DEFAULT NULL,
  `REQ_data_aprovacao` DATE NULL DEFAULT NULL,
  `REQ_status` VARCHAR(1) NULL DEFAULT NULL,
  `REQ_observacao` VARCHAR(500) NULL DEFAULT NULL,
  PRIMARY KEY (`REQ_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_req_item`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_req_item` (
  `REQI_id` INT NOT NULL AUTO_INCREMENT,
  `REQI_FK_MAT_id` INT NOT NULL,
  `REQI_FK_REQ_id` INT NOT NULL,
  `REQI_qtde` DECIMAL(12,3) NULL DEFAULT 0,
  PRIMARY KEY (`REQI_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_local_armaz`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_local_armaz` (
  `LOCALA_id` INT NOT NULL AUTO_INCREMENT,
  `LOCALA_descricao` VARCHAR(50) NULL DEFAULT NULL,
  `LOCALA_ativo` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`LOCALA_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_estoque`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_estoque` (
  `ESTO_id` INT NOT NULL AUTO_INCREMENT,
  `ESTO_FK_UNIDN_id` INT NOT NULL,
  `ESTO_FK_INSU_id` INT NOT NULL,
  `ESTO_FK_LOCALA_id` INT NOT NULL,
  `ESTO_entrada` DECIMAL(12,3) NULL DEFAULT 0,
  `ESTO_saida` DECIMAL(12,3) NULL DEFAULT 0,
  `ESTO_saldo` DECIMAL(12,3) NULL DEFAULT 0,
  PRIMARY KEY (`ESTO_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_pedido`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_pedido` (
  `PED_id` INT NOT NULL AUTO_INCREMENT,
  `PED_FK_UNIDN_id` INT NOT NULL,
  `PED_FK_USUA_solicitante` INT(11) NOT NULL,
  `PED_FK_USUA_aprovador` INT(11) NOT NULL,
  `PED_data` DATE NULL DEFAULT NULL,
  `PED_status` VARCHAR(1) NULL DEFAULT NULL,
  `PED_observacao` VARCHAR(500) NULL DEFAULT NULL,
  `PED_justificativa` VARCHAR(500) NULL DEFAULT NULL,
  `PED_data_aprovacao` DATE NULL DEFAULT NULL,
  `PED_status` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`PED_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_pedido_item`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_pedido_item` (
  `PEDI_id` INT NOT NULL AUTO_INCREMENT,
  `PEDI_FK_PED_id` INT NOT NULL,
  `PEDI_FK_INSU_id` INT NOT NULL,
  `PEDI_qtde` DECIMAL(12,3) NULL DEFAULT 0,
  PRIMARY KEY (`PEDI_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_entrada`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_entrada` (
  `ENTRA_id` INT NOT NULL AUTO_INCREMENT,
  `ENTRA_FK_PARC_id` INT(11) NOT NULL,
  `ENTRA_data` DATE NULL DEFAULT NULL,
  `ENTRA_nf` VARCHAR(20) NULL DEFAULT NULL,
  `ENTRA_valor_produto` DECIMAL(12,2) NULL DEFAULT 0,
  `ENTRA_frete` DECIMAL(12,2) NULL DEFAULT 0,
  PRIMARY KEY (`ENTRA_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_entrada_item`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_entrada_item` (
  `ENTRAI_id` INT NOT NULL AUTO_INCREMENT,
  `ENTRAI_FK_ENTRA_id` INT NOT NULL,
  `ENTRAI_FK_INSU_id` INT NOT NULL,
  `ENTRAI_qtde` DECIMAL(12,3) NULL DEFAULT 0,
  PRIMARY KEY (`ENTRAI_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_grupo_etapa`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_grupo_etapa` (
  `GRUPOE_id` INT NOT NULL AUTO_INCREMENT,
  `GRUPOE_FK_UNIDN_id` INT NOT NULL,
  `GRUPOE_descricao` VARCHAR(50) NULL DEFAULT NULL,
  `GRUPOE_ativo` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`GRUPOE_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_etapa`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_etapa` (
  `ETAPA_id` INT NOT NULL AUTO_INCREMENT,
  `ETAPA_FK_PROJ_id` INT NOT NULL,
  `ETAPA_FK_GRUPOE_id` INT NOT NULL,
  `ETAPA_descricao` VARCHAR(500) NULL DEFAULT NULL,
  `ETAPA_status` VARCHAR(1) NULL DEFAULT NULL,
  `ETAPA_ordem` INT NULL DEFAULT 0,
  `ETAPA_data_prev` DATE NULL DEFAULT NULL,
  `ETAPA_data_real` DATE NULL DEFAULT NULL,
  `ETAPA_observacao` VARCHAR(500) NULL DEFAULT NULL,
  `ETAPA_percentual` INT NULL,
  PRIMARY KEY (`ETAPA_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_cargo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_cargo` (
  `CARGO_id` INT NOT NULL AUTO_INCREMENT,
  `CARGO_FK_UNIDN_id` INT NOT NULL,
  `CARGO_descricao` VARCHAR(50) NULL DEFAULT NULL,
  PRIMARY KEY (`CARGO_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_colaborador`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_colaborador` (
  `FUNC_id` INT NOT NULL AUTO_INCREMENT,
  `FUNC_FK_UNIDN_id` INT NOT NULL,
  `FUNC_FK_CARGO_id` INT NOT NULL,
  `FUNC_FK_CIDA_id` INT(11) NOT NULL,
  `FUNC_nome` VARCHAR(50) NULL DEFAULT NULL,
  `FUNC_cpf` VARCHAR(11) NULL DEFAULT NULL,
  `FUNC_fone` VARCHAR(20) NULL DEFAULT NULL,
  `FUNC_celular` VARCHAR(20) NULL DEFAULT NULL,
  `FUNC_endereco` VARCHAR(100) NULL DEFAULT NULL,
  `FUNC_nro` VARCHAR(5) NULL DEFAULT NULL,
  `FUNC_complemento` VARCHAR(50) NULL DEFAULT NULL,
  `FUNC_bairro` VARCHAR(50) NULL DEFAULT NULL,
  `FUNC_cep` VARCHAR(8) NULL DEFAULT NULL,
  `FUNC_ctps` VARCHAR(20) NULL DEFAULT NULL,
  `FUNC_rg` VARCHAR(20) NULL DEFAULT NULL,
  `FUNC_rg_orgao` VARCHAR(20) NULL DEFAULT NULL,
  `FUNC_rg_uf` VARCHAR(2) NULL DEFAULT NULL,
  `FUNC_cnh` VARCHAR(20) NULL DEFAULT NULL,
  `FUNC_cnh_categoria` VARCHAR(4) NULL DEFAULT NULL,
  `FUNC_data_nascim` DATE NULL DEFAULT NULL,
  `FUNC_sexo` VARCHAR(1) NULL DEFAULT NULL,
  `FUNC_estado_civil` VARCHAR(1) NULL DEFAULT NULL,
  `FUNC_qtde_dependente` VARCHAR(2) NULL DEFAULT NULL,
  `FUNC_grau_escolaridade` VARCHAR(1) NULL DEFAULT NULL,
  `FUNC_curso` VARCHAR(50) NULL DEFAULT NULL,
  `FUNC_observacao` VARCHAR(500) NULL DEFAULT NULL,
  `FUNC_tipo` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`FUNC_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_atividade`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_atividade` (
  `ATIV_id` INT NOT NULL AUTO_INCREMENT,
  `ATIV_FK_ETAPA_id` INT NOT NULL,
  `ATIV_FK_FUNC_id` INT NOT NULL,
  `ATIV_descricao` VARCHAR(200) NULL DEFAULT NULL,
  `ATIV_data_prev` DATE NULL DEFAULT NULL,
  `ATIV_data_real` DATE NULL DEFAULT NULL,
  `ATIV_observacao` VARCHAR(500) NULL DEFAULT NULL,
  `ATIV_status` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`ATIV_id`))
ENGINE = InnoDB;



-- -----------------------------------------------------
-- Table `APC_func_epi`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_func_epi` (
  `FUNCE_id` INT NOT NULL AUTO_INCREMENT,
  `FUNCE_FK_FUNC_id` INT NOT NULL,
  `FUNCE_FK_EPI_id` INT NOT NULL,
  `FUNCE_tamanho` VARCHAR(45) NULL DEFAULT NULL,
  `FUNCE_status` VARCHAR(1) NULL DEFAULT NULL,
  `FUNCE_observacao` VARCHAR(200) NULL DEFAULT NULL,
  PRIMARY KEY (`FUNCE_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_vale`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_vale` (
  `VALE_id` INT NOT NULL AUTO_INCREMENT,
  `VALE_FK_FUNC_id` INT NOT NULL,
  `VALE_data` DATE NULL DEFAULT NULL,
  `VALE_valor` DECIMAL(12,2) NULL DEFAULT 0,
  `VALE_status` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`VALE_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_falta`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_falta` (
  `FALTA_id` INT NOT NULL AUTO_INCREMENT,
  `FALTA_FK_FUNC_id` INT NOT NULL,
  `FALTA_data` DATE NULL DEFAULT NULL,
  `FALTA_periodo` VARCHAR(1) NULL DEFAULT NULL,
  `FALTA_justificativa` VARCHAR(200) NULL DEFAULT NULL,
  PRIMARY KEY (`FALTA_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_diaria`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_diaria` (
  `DIARIA_id` INT NOT NULL AUTO_INCREMENT,
  `DIARIA_FK_FUNC_id` INT NOT NULL,
  `DIARIA_data` DATE NULL DEFAULT NULL,
  `DIARIA_qtde` DECIMAL(12,2) NULL DEFAULT 0,
  `DIARIA_valor_unit` DECIMAL(12,2) NULL DEFAULT 0,
  `DIARIA_valor_total` DECIMAL(12,2) NULL DEFAULT 0,
  `DIARIA_justificativa` VARCHAR(200) NULL DEFAULT NULL,
  `DIARIA_status` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`DIARIA_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_ocorrencia`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_ocorrencia` (
  `OCORR_id` INT NOT NULL AUTO_INCREMENT,
  `OCORR_FK_PROJ_id` INT NOT NULL,
  `OCORR_FK_USUA_id` INT(11) NOT NULL,
  `OCORR_descricao` VARCHAR(500) NULL DEFAULT NULL,
  `OCORR_data` DATE NULL DEFAULT NULL,
  PRIMARY KEY (`OCORR_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_diario`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_diario` (
  `DIAR_id` INT NOT NULL AUTO_INCREMENT,
  `DIAR_FK_ETAPA_id` INT NOT NULL,
  `DIAR_data` DATE NULL DEFAULT NULL,
  `DIAR_descricao` VARCHAR(500) NULL DEFAULT NULL,
  PRIMARY KEY (`DIAR_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_diario_anexo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_diario_anexo` (
  `DIARA_id` INT NOT NULL AUTO_INCREMENT,
  `DIARA_FK_DIAR_id` INT NOT NULL,
  `DIARA_arquivo` VARCHAR(200) NULL DEFAULT NULL,
  PRIMARY KEY (`DIARA_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_proj_notificacao`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_proj_notificacao` (
  `NOTIP_id` INT NOT NULL AUTO_INCREMENT,
  `NOTIP_FK_PROJ_id` INT NOT NULL,
  `NOTIP_FK_USUA_id` INT(11) NOT NULL,
  PRIMARY KEY (`NOTIP_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_veic_locacao`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_veic_locacao` (
  `LOCAV_id` INT NOT NULL AUTO_INCREMENT,
  `LOCAV_FK_VEIC_id` INT(11) NOT NULL,
  `LOCAV_FK_PROJ_id` INT NOT NULL,
  `LOCAV_data_inicio` DATE NULL DEFAULT NULL,
  `LOCAV_data_fim` DATE NULL DEFAULT NULL,
  `LOCAV_status` VARCHAR(1) NULL DEFAULT NULL,
  `LOCAV_observacao` VARCHAR(500) NULL DEFAULT NULL,
  PRIMARY KEY (`LOCAV_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_ordem_pgto`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_ordem_pgto` (
  `ORDP_id` INT NOT NULL AUTO_INCREMENT,
  `ORDP_FK_UNIDN_id` INT NOT NULL,
  `ORDP_FK_USUA_solicitante` INT(11) NOT NULL,
  `ORDP_FK_USUA_aprovador` INT(11) NOT NULL,
  `ORDP_FK_PROJ_id` INT NOT NULL,
  `ORDP_FK_PARC_id` INT(11) NOT NULL,
  `ORDP_descricao` VARCHAR(100) NULL DEFAULT NULL,
  `ORDP_data_solicitacao` DATE NULL DEFAULT NULL,
  `ORDP_nf` VARCHAR(50) NULL DEFAULT NULL,
  `ORDP_status` VARCHAR(1) NULL DEFAULT NULL,
  `ORDP_aprovado` VARCHAR(1) NULL DEFAULT NULL,
  `ORDP_data_aprovacao` DATE NULL DEFAULT NULL,
  `ORDP_data_prev` DATE NULL DEFAULT NULL,
  `ORDP_beneficiado` VARCHAR(45) NULL DEFAULT NULL,
  `ORDP_valor_total` DECIMAL(12,2) NULL DEFAULT 0,
  `ORDP_qtde_parc` INT NULL DEFAULT 1,
  `ORDP_financeiro` VARCHAR(1) NULL DEFAULT NULL,
  `ORDP_observacao` VARCHAR(500) NULL DEFAULT NULL,
  PRIMARY KEY (`ORDP_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_ordem_pgto_parc`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_ordem_pgto_parc` (
  `ORDPP_id` INT NOT NULL AUTO_INCREMENT,
  `ORDPP_FK_ORDP_id` INT NOT NULL,
  `ORDPP_nro_parc` VARCHAR(10) NULL DEFAULT NULL,
  `ORDPP_data_prev` DATE NULL DEFAULT NULL,
  `ORDPP_valor` DECIMAL(12,2) NULL DEFAULT 0,
  PRIMARY KEY (`ORDPP_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_ordem_serv`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_ordem_serv` (
  `ORDS_id` INT NOT NULL AUTO_INCREMENT,
  `ORDS_FK_UNIDN_id` INT NOT NULL,
  `ORDS_FK_USUA_solicitante` INT(11) NOT NULL,
  `ORDS_FK_USUA_aprovador` INT(11) NOT NULL,
  `ORDS_data_solicitacao` DATE NULL DEFAULT NULL,
  `ORDS_descricao` VARCHAR(100) NULL DEFAULT NULL,
  `ORDS_data_prev` DATE NULL DEFAULT NULL,
  `ORDS_status` VARCHAR(1) NULL DEFAULT NULL,
  `ORDS_aprovado` VARCHAR(1) NULL DEFAULT NULL,
  `ORDS_data_aprovacao` DATE NULL DEFAULT NULL,
  `ORDS_observacao` VARCHAR(500) NULL DEFAULT NULL,
  PRIMARY KEY (`ORDS_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_ordem_serv_item`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_ordem_serv_item` (
  `ORDSI_id` INT NOT NULL AUTO_INCREMENT,
  `ORDSI_FK_ORDS_id` INT NOT NULL,
  `ORDSI_descricao` VARCHAR(100) NULL DEFAULT NULL,
  `ORDSI_status` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`ORDSI_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_mensagem`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_mensagem` (
  `MENSA_id` INT NOT NULL AUTO_INCREMENT,
  `MENSA_FK_USUA_emissor` INT(11) NOT NULL,
  `MENSA_FK_USUA_destinatario` INT(11) NOT NULL,
  `MENSA_data` DATE NULL DEFAULT NULL,
  `MENSA_titulo` VARCHAR(50) NULL DEFAULT NULL,
  `MENSA_corpo` VARCHAR(2000) NULL DEFAULT NULL,
  `MENSA_status` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`MENSA_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_orc_financeiro`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_orc_financeiro` (
  `ORCF_id` INT NOT NULL AUTO_INCREMENT,
  `ORCF_FK_UNIDN_id` INT NOT NULL,
  `ORCF_FK_CONTAC_id` INT NOT NULL,
  `ORCF_ano` VARCHAR(4) NULL DEFAULT NULL,
  `ORCF_mes` VARCHAR(2) NULL DEFAULT NULL,
  `ORCF_valor_prev` DECIMAL(12,2) NULL DEFAULT 0,
  `ORCF_valor_real` DECIMAL(12,2) NULL DEFAULT 0,
  PRIMARY KEY (`ORCF_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_cotacao`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_cotacao` (
  `COTA_id` INT NOT NULL AUTO_INCREMENT,
  `COTA_FK_UNIDN_id` INT NOT NULL,
  `COTA_FK_PARC_id` INT(11) NOT NULL,
  `COTA_FK_USUA_id` INT(11) NOT NULL,
  `COTA_data` DATE NULL DEFAULT NULL,
  `COTA_finalidade` VARCHAR(100) NULL DEFAULT NULL,
  `COTA_observacao` VARCHAR(500) NULL DEFAULT NULL,
  `COTA_status` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`COTA_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_cotacao_item`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_cotacao_item` (
  `COTAI_id` INT NOT NULL AUTO_INCREMENT,
  `COTAI_FK_COTA_id` INT NOT NULL,
  `COTAI_qtde` DECIMAL(12,3) NULL DEFAULT 0,
  `COTAI_valor_unit` DECIMAL(12,2) NULL DEFAULT 0,
  `COTAI_valor_total` DECIMAL(12,2) NULL DEFAULT 0,
  `COTAI_descricao` VARCHAR(100) NULL DEFAULT NULL,
  `COTAI_obs` VARCHAR(200) NULL DEFAULT NULL,
  `COTAI_status` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`COTAI_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `TBG_parcela`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `TBG_parcela` (
  `PARC_id` INT NOT NULL AUTO_INCREMENT,
  `PARC_FK_CONTRA_id` INT NOT NULL,
  `PARC_data_vencto` DATE NULL DEFAULT NULL,
  `PARC_valor` DECIMAL(12,2) NULL DEFAULT NULL,
  `PARC_data_pgto` DATE NULL DEFAULT NULL,
  `PARC_forma_pgto` VARCHAR(1) NULL DEFAULT NULL,
  `PARC_status` VARCHAR(1) NULL DEFAULT NULL,
  `PARC_doc` VARCHAR(100) NULL DEFAULT NULL,
  `PARC_boleto` VARCHAR(100) NULL DEFAULT NULL,
  PRIMARY KEY (`PARC_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `TBG_contrato_modulo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `TBG_contrato_modulo` (
  `CONTRAM_id` INT NOT NULL AUTO_INCREMENT,
  `CONTRAM_FK_TIPOC_id` INT NOT NULL,
  `CONTRAM_FK_MODU_id` INT NOT NULL,
  `CONTRAM_valor` DECIMAL(12,2) NULL DEFAULT 0,
  PRIMARY KEY (`CONTRAM_id`))
ENGINE = InnoDB;



-- -----------------------------------------------------
-- Table `TBG_compo_item`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `TBG_compo_item` (
  `COMPOI_id` INT NOT NULL AUTO_INCREMENT,
  `COMPOI_FK_COMPO_id` INT NOT NULL,
  `COMPOI_FK_INSU_id` INT NOT NULL,
  `COMPOI_FK_UNIDM_id` INT NOT NULL,
  `COMPOI_qtde` DECIMAL(12,3) NULL DEFAULT 0,
  `COMPOI_obs` VARCHAR(200) NULL DEFAULT NULL,
  PRIMARY KEY (`COMPOI_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_objetivo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_objetivo` (
  `OBJ_id` INT NOT NULL,
  `OBJ_FK_UNIDN_id` INT NOT NULL,
  `OBJ_descricao` VARCHAR(100) NULL DEFAULT NULL,
  `OBJ_ativo` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`OBJ_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `TBG_perspectiva`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `TBG_perspectiva` (
  `PERSP_id` INT NOT NULL AUTO_INCREMENT,
  `PERSP_FK_UNIDN_id` INT NOT NULL,
  `PERSP_descricao` VARCHAR(50) NULL DEFAULT NULL,
  `PERSP_ativo` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`PERSP_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_setor`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_setor` (
  `SETOR_id` INT NOT NULL AUTO_INCREMENT,
  `SETOR_FK_UNIDN_id` INT NOT NULL,
  `SETOR_descricao` VARCHAR(50) NULL DEFAULT NULL,
  `SETOR_ativo` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`SETOR_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_indicador`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_indicador` (
  `INDI_id` INT NOT NULL AUTO_INCREMENT,
  `INDI_FK_UNIDN_id` INT NOT NULL,
  `INDI_descricao` VARCHAR(50) NULL DEFAULT NULL,
  `INDI_ativo` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`INDI_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_metas`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_metas` (
  `META_id` INT NOT NULL AUTO_INCREMENT,
  `META_FK_UNIDN_id` INT NOT NULL,
  `META_FK_PERSP_id` INT NOT NULL,
  `META_FK_INDI_id` INT NOT NULL,
  `META_FK_OBJ_id` INT NOT NULL,
  `META_FK_SETOR_id` INT NOT NULL,
  `META_descricao` VARCHAR(500) NULL DEFAULT NULL,
  `META_criterio_sucesso` VARCHAR(50) NULL DEFAULT NULL,
  `META_analise_critica` VARCHAR(2000) NULL DEFAULT NULL,
  PRIMARY KEY (`META_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_exercicio`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_exercicio` (
  `EXER_id` INT NOT NULL AUTO_INCREMENT,
  `EXER_FK_UNIDN_id` INT NOT NULL,
  `EXER_ano` VARCHAR(4) NULL DEFAULT NULL,
  `EXER_status` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`EXER_id`),
  INDEX `fk_APC_exercicio_APC_unidade_negocio1_idx` (`EXER_FK_UNIDN_id` ASC) ,
  CONSTRAINT `fk_APC_exercicio_APC_unidade_negocio1`
    FOREIGN KEY (`EXER_FK_UNIDN_id`)
    REFERENCES `APC_unidade_negocio` (`UNIDN_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_periodo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_periodo` (
  `PERIO_id` INT NOT NULL,
  `PERIO_FK_EXER_id` INT NOT NULL,
  `PERIO_mes` VARCHAR(2) NULL DEFAULT NULL,
  `PERIO_status` VARCHAR(1) NULL DEFAULT NULL,
  PRIMARY KEY (`PERIO_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_resultado`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_resultado` (
  `RESU_id` INT NOT NULL AUTO_INCREMENT,
  `RESU_FK_META_id` INT NOT NULL,
  `RESU_FK_PERIO_id` INT NOT NULL,
  `RESU_ano` VARCHAR(4) NULL DEFAULT NULL,
  `RESU_mes` VARCHAR(2) NULL DEFAULT NULL,
  `RESU_status` VARCHAR(2) NULL DEFAULT NULL,
  `RESU_obs` VARCHAR(500) NULL DEFAULT NULL,
  `RESU_analise_critica` VARCHAR(500) NULL DEFAULT NULL,
  PRIMARY KEY (`RESU_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_plano_acao`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_plano_acao` (
  `PLANO_id` INT NOT NULL AUTO_INCREMENT,
  `PLANO_FK_USUA_id` INT(11) NOT NULL,
  `PLANO_FK_META_id` INT NOT NULL,
  `PLANO_descricao` VARCHAR(500) NULL DEFAULT NULL,
  `PLANO_recursos` VARCHAR(200) NULL DEFAULT NULL,
  `PLANO_tipo` VARCHAR(1) NULL DEFAULT NULL,
  `PLANO_analise_critica` VARCHAR(2000) NULL DEFAULT NULL,
  `PLANO_prazo` DATE NULL,
  `PLANO_status` VARCHAR(2) NULL DEFAULT NULL,
  PRIMARY KEY (`PLANO_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_meta_notifica`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_meta_notifica` (
  `METAN_id` INT NOT NULL AUTO_INCREMENT,
  `METAN_FK_META_id` INT NOT NULL,
  `METAN_FK_USUA_id` INT(11) NOT NULL,
  PRIMARY KEY (`METAN_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `APC_meta_permissao`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `APC_meta_permissao` (
  `METAP_id` INT NOT NULL AUTO_INCREMENT,
  `METAP_FK_META_id` INT NOT NULL,
  `METAP_FK_USUA_id` INT(11) NOT NULL,
  PRIMARY KEY (`METAP_id`))
ENGINE = InnoDB;


