$(document).ready(function()
{
    carregaGraficoBarras();
    carregaGraficoOcupacao();
});

//########################## PAINÉIS ##########################\\

$("#pnlProcesso").click(function()
{
    if($(this).attr("data") > 0)
    {
        $("#icone_form_modal_dlgPainel").attr('class','fas fa-sync');
        $('#titulo_form_modal_dlgPainel').text("Veículos no Processo");

        buscaDadosPainel(['AG','PA','ET','NF']);

        $("#dlgPainel").modal({backdrop:'static'}).show();
    }
});

$("#pnlPatio").click(function()
{
    if($(this).attr("data") > 0)
    {
        $("#icone_form_modal_dlgPainel").attr('class','fas fa-truck');
        $('#titulo_form_modal_dlgPainel').text("Veículos no Pátio");

        buscaDadosPainel(['PA']);

        $("#dlgPainel").modal({backdrop:'static'}).show();
    }
});

$("#pnlChamado").click(function()
{
    if($(this).attr("data") > 0)
    {
        $("#icone_form_modal_dlgPainel").attr('class','fas fa-bullhorn');
        $('#titulo_form_modal_dlgPainel').text("Veículos Chamados");

        buscaDadosPainel(['PA'],true);

        $("#dlgPainel").modal({backdrop:'static'}).show();
    }
});

$("#pnlEsperado").click(function()
{
    if($(this).attr("data") > 0)
    {
        $("#icone_form_modal_dlgPainel").attr('class','fas fa-clock');
        $('#titulo_form_modal_dlgPainel').text("Veículos Esperados");

        buscaDadosPainel(['AG']);

        $("#dlgPainel").modal({backdrop:'static'}).show();
    }
});

$("#divTabela").on("click","#tblVeiculos tbody span[name=visuaEstadia]",function()
{

    PesquisaEstadia($(this).attr("data"));
});

//########################## FUNÇÕES ##########################\\
function ConstroiChartsMes(ano,dadosMes)
{
    Highcharts.chart('chartContainer',
    {
        chart: {type: 'column'},
        title: {text: 'Agendamentos por Mês em '+ ano},
        subtitle: {text: ''},
        xAxis:
        {
            categories: ['Jan','Fev','Mar','Abr','Mai','Jun','Jul','Ago','Set','Out','Nov','Dez'],
            crosshair: true
        },
        yAxis:
        {
            min: 0,
            title:
            {
                text: 'quantidade'
            }
        },
        tooltip:
        {
            headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
            pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td><td style="padding:0"><b>{point.y}</b></td></tr>',
            footerFormat: '</table>',
            shared: true,
            useHTML: true
        },
        plotOptions:
        {
            column:
            {
                pointPadding: 0.2,
                borderWidth: 0
            }
        },
        series:
        [
            {
                name:'Agendamentos',
                data:dadosMes
            }
        ]
    });
}

function ConstroiChartsOcupacao(dados)
{
    Highcharts.chart('container-ocupation',
    {
        chart:
        {
            type: 'solidgauge'
        },
        title: 'Ocupação',
        pane:
        {
            center: ['50%', '80%'],
            size: '100%',
            startAngle: -90,
            endAngle: 90,
            background:
            {
                backgroundColor:'#DF5353',
                innerRadius: '100%',
                outerRadius: '100%',
                shape: 'arc'
            }
        },
        tooltip:
        {
            enabled: false
        },

        // the value axis
        yAxis:
        {
            stops:
            [
                [10, '#55BF3B'], // green
                [50, '#DDDF0D'], // yellow
                [90, '#DF5353'] // red
            ],
            lineWidth: 0,
            minorTickInterval: null,
            tickAmount: 2,
            title:
            {
                y: -70
            },
            labels:
            {
                y: 50
            }
        },
        plotOptions:
        {
            solidgauge:
            {
                dataLabels:
                {
                    y: 5,
                    borderWidth: 0,
                    useHTML: true
                }
            }
        },
        yAxis:
        {
            min: 0,
            max: 100,
            title: 'Ocupação'
        },

        credits:
        {
            enabled: false
        },

        series:
        [{
            name: 'Ocupação',
            data: [dados.porcetagem],
            dataLabels:
            {
                format: '<div style="text-align:center"><span style="font-size:25px;color:' +
                    ((Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black') + '"></span><br/>' +
                    '<span style="font-size:25px;">{y}%</span></div>'
            },
            tooltip:
            {
                valueSuffix: ' %'
            }
        }]

    });
}


//funções AJAX
function buscaDadosPainel(status,isChamada = null)
{
    $.ajaxSetup({headers:{'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});

    $.ajax(
    {
        url: "operacao/ajax-veiculo-status",
        method: 'post',
        data:
        {
            status: status,
            isChamada: isChamada
        },
        beforeSend: function()
        {
            $('#divTabela').empty();

            $("#divTabela").append('<center><i class="fas fa-5x fa-circle-notch fa-spin text-primary"></i></center>');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);
        },
        success: function(data)
        {
            $('#divTabela').empty();

            if(data != null && data.length > 0)
            {
                var index = 0;
                var table = '<table id="tblVeiculos" class="table table-striped">'
                +               '<thead  style="background-color:#333333; color: #ccc; font-weight: bold;">'
                +                   '<tr>'
                +                       '<th>#</th>'
                +                       '<th>Placa</th>'
                +                       '<th>Marca</th>'
                +                       '<th>Modelo</th>'
                +                       '<th>Tipo Veículo</th>'
                +                       '<th>Cliente</th>'
                +                       '<th>Produto</th>'
                +                       '<th>Status</th>'
                +                       '<th></th>'
                +                   '</tr>'
                +               '</thead>'
                +               '<tbody>';

                data.forEach(item =>
                {
                    index++;

                    var linha = '<tr>'
                    +               '<td>'+ index +'</td>'
                    +               '<td id="'+ item.id +'_placa">'+ item.veiculo.placa +'</td>'
                    +               '<td id="'+ item.id +'_marca">'+ item.veiculo.marca +'</td>'
                    +               '<td id="'+ item.id +'_modelo">'+ item.veiculo.modelo +'</td>'
                    +               '<td id="'+ item.id +'_tipo" data="' + item.veiculo.idtipoveiculo + '">' + item.veiculo.tipo +'</td>'
                    +               '<td id="'+ item.id +'_cliente" data="' + item.cliente.id + '">' + item.cliente.cliente +'</td>'
                    +               '<td id="'+ item.id +'_produto" data="' + item.produto.id + '">' + item.produto.produto +'</td>'
                    +               '<td id="'+ item.id +'_status" data="'+ item.status +'">'+ getStatus(item.status) +'</td>'
                    +               '<td><span name="visuaEstadia" class="fas fa-search cursor-pointer text-primary" data="'+ item.id +'"></span></td>'
                    +         '</tr>';

                    table += linha;
                });

                table += '</tbody></table>';

                $("#divTabela").append(table);
            }
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function carregaGraficoBarras()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-charts-agendamento-mes",
        method: 'get',
        data:
        {
            ano:2018
        },
        success: function(data)
        {
            ConstroiChartsMes(2018,data);
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function carregaGraficoOcupacao()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-charts-ocupacao",
        method: 'get',
        success: function(data)
        {
            ConstroiChartsOcupacao(data);
        },
        error:function(error)
        {
            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function PesquisaEstadia(id_estadia)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "consulta/ajax-veiculo-placa",
        method: 'post',
        data:
        {
            id: id_estadia
        },
        beforeSend: function()
        {
            //$('#tbEstadia tbody tr').remove();

            ModalAjaxCarregando(true,$("#dlgPainel"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#dlgPainel"),null);
        },
        success: function(data)
        {
            console.log(data);

            if(data != null && data.length  == 1)
            {
                var item = data[0];


                $('#id_form_modal_mdlEstadia').val(item.id);
                $('#txtPlaca').val(item.veiculo.placa);
                $('#txtMarca').val(item.veiculo.marca);
                $('#txtModelo').val(item.veiculo.modelo);
                $('#cbTipoVeiculo').val(item.veiculo.tipo);
                $('#cbSituacao').val(item.veiculo.situacao);
                $('#txtAno').val(item.veiculo.ano);
                $('#cbTipoFrota').val(item.veiculo.tipofrota);
                $('#txtMotorista').val(item.motorista.nome);
                $('#txtCelular').val(item.motorista.celular);
                $('#txtCpf').val(item.motorista.cpf);
                $('#cbCliente').val(item.cliente.cliente);
                $('#cbProduto').val(item.produto.produto);
                $('#cbFormula').val(item.formula.formula);
                $('#cbDestino').val(item.destino.destino);
                $('#txtQtde').val(item.qtde);
                $('#cbStatus').val(item.status);
                $('#txtDataPrev').val(item.dataprevista);
                $('#txtDataCheg').val(item.datachegada);
                $('#txtDataSaida').val(item.datasaida);
                $('#txtDataCria').val(item.datacriacao);
                $('#txtOrigem').val(item.cidade.nome);
                $('#cbTransportador').val(item.transportador.nome);
            }

            $("#mdlEstadia").modal({backdrop:"static"}).show();
        },
        error:function(error)
        {

            console.log(error);
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function getStatus(status)
{
    var linha = null;

    switch(status)
    {
        case 'AG':
            linha = 'AGENDADO';
            break;
        case 'ET':
            linha = 'EM TRÂNSITO';
            break;
        case 'PA':
            linha = 'NO PATIO';
            break;
        case 'NF':
            linha = 'NA FÁBRICA';
            break;
        case 'RC':
            linha = 'RECEBIDO CLIENTE';
            break;
        case 'CL':
            linha = 'CANCELADO';
            break;
        case 'FN':
            linha = 'FINALIZADO';
            break;
        default:
            linha = '';
            break;
    }

    return linha;
}
