$(document).ready(function()
{

    ListarClasses();

});

function MostraListaRotas(id_classe,dados)
{
   lista = $('#pick').pickList(
    {
        data: dados,
        buttons:
        [
            {
                action: 'add',
                label: '',
                className: 'btn btn-sm btn-block btn-success fas fa-angle-right text-white'
            },
            {
                action: 'addAll',
                label: '',
                className: 'btn btn-sm btn-block btn-success fas fa-angle-double-right'
            },
            {
                action: 'remove',
                label: '',
                className: 'btn btn-sm btn-block btn-danger fas fa-angle-left'
            },
            {
                action: 'removeAll',
                label: '',
                className: 'btn btn-sm btn-block btn-danger fas fa-angle-double-left'
            }
        ],

        label:
        {
            content: ['Rotas disponíveis:', 'Rotas autorizadas:']
        }
    });

    lista.on('picklist.add', function (event, rota)
    {
        associaRota(id_classe,rota,true)
    });

    lista.on('picklist.remove', function (event, rota)
    {
        associaRota(id_classe,rota,false)
    });
};

$('#cbClasses').change(function()
{
    if($(this).val() != '')
    {
        CarregaRotasClasse($(this).val());
    }
    else
    {
        $('#colunaPagina div[id="pick"]').remove();
    }
});

function associaRota(id_classe,rota,adiciona)
{
    if(rota != null && rota.length > 0)
    {
        $.ajaxSetup(
        {
            headers:
            {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $.ajax(
        {
            url: "ajax-associa-classe-rota",
            method: 'post',
            data:
            {
                rotas: rota,
                idClasse:id_classe,
                associa:adiciona,
            },
            success: function()
            {
                console.log('sucesso');
            },
            error:function(error)
            {
                MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
            }
        });
    }
}

function CarregaRotasClasse(id_classe)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-classe-rotas",
        method: 'post',
        data:
        {
            id: id_classe
        },
        beforeSend: function()
        {
            $('#colunaPagina div[id="pick"]').remove();

            ModalAjaxCarregando(true,$("#corpoPagina"),'Carregando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#corpoPagina"),null);
        },
        success: function(data)
        {
            $('#colunaPagina').append('<div id="pick"></div>');

            MostraListaRotas(id_classe,data);
        },
        error:function(error)
        {
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}

function ListarClasses(unidade)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-classe-todos",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#cbClasses').empty();
            $('#cbClasses').append('<option value="">Carregando...</option>');
            $('#cbClasses').prop('disabled',true);

        },
        complete: function()
        {
            $('#cbClasses').prop('disabled',false);
        },
        success: function(data)
        {
            
            if(data.consulta.length > 0)
            {
                $('#cbClasses').empty();
                $('#cbClasses').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClasses').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });

            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

