$(function () 
{
    $('#txtData').datetimepicker(
        {
            format:'D/M/YYYY'
        });
      
});


$("#btnPesquisa").click(function()
{
    PesquisarLog();
});

$("#cbUsuario").change(function()
{
    PesquisarLog();
});


$(document).ready(function()
{
    //CARREGA USUARIOS
    CarregaUsuario();

    //POSICIONA O MÊS E ANO ATUAL
    var data = new Date();
    var dia = data.getDate();
    var mes = data.getMonth() + 1;
    var ano = data.getFullYear();
    //var hora = data.getHours();
    //var minuto = data.getMinutes();
    //var agora = dia + '/' + mes + '/' + ano + ' ' + hora + ':' + minuto

    $("#cbMes").val(mes);
    $("#cbAno").val(ano);

    PesquisarLog();
});


$('#btnNovaMarcacao').click(function()
{
    if($("#cbFuncionario").val() == '')
    {
        MensagemBox('alerta','ATENÇÃO','Necessário selecionar um Funcionário!');
    }
    else
    {
        LimparCampos();

        $("#txtFuncionario").val($("#cbFuncionario").val());
        $("#cbFunc").val($("#cbFuncionario").val());
        $("#cbFunc").prop('disabled',true);
        $("#dlgFormulario").modal({backdrop: "static"}).show();
    }
    
});


$("#tbLog tbody").on("click","span[name=editBtn]",function()
{
    //LimparCampos();
    
    $('#titulo_form_modal').text("Atualizar Processo");

    var id = $(this).attr("data");
    var cliente = $("#" + id + "_cliente").attr('data');
    var setor = $("#" + id + "_setor").attr('data');

    $('#id_form_modal').val(id);
    //$('#txtUnidadeModal').val($('#cbUnidade').attr('data'));
    $('#txtUnidadeModal').val($("#" + id + "_unidade").attr('data'));
    $('#txtNumero').val($("#" + id + "_numero").text());
    $('#txtDescricao').val($("#" + id + "_descricao").text());
    $('#txtData').val($("#" + id + "_data").text());
    $('#txtObservacao').val($("#" + id + "_observacao").attr('data'));
    $('#txtPalavra').val($("#" + id + "_palavra").attr('data'));
    $('#cbTipo').val($("#" + id + "_tipo").attr('data'));
    $('#cbCliente').val($("#" + id + "_cliente").attr('data'));
    $('#cbStatus').val($("#" + id + "_status").attr('data'));
    $('#cbUnidade').val($("#" + id + "_unidade").attr('data'));

    //carrega lista de setores do cliente
    CarregaSetor(cliente, setor,'MODAL');
            
    $("#dlgFormulario").modal({backdrop: "static"}).show();
});


$("#tbLog tbody").on("click","span[name=delBtn]",function()
{
    var id = $(this).attr("data");

    $('#id_delete_modal').val(id);
    $('#item_delete').text($("#" + id + "_descricao").text());
    $("#dlgDelete").modal({backdrop: "static"}).show();
});


$('#cbCliente').change(function()
{
    if($('#cbCliente').val() == '')
    {
        $('#cbSetor option').remove();
        $("#cbSetor").prepend('<option value="">Selecione o setor</option>');
        $("#cbSetor").prop('disabled',true);
    }
    else
    {
        // Carrega Setor
        // Parâmetros: Cliente / Setor / Local
        CarregaSetor($('#cbCliente').val(),null,'MODAL');
    }
});

function LimparCampos()
{
    //Limpa os campos da Modal
    $('#id_form_modal').val('');
    $('#txtNumero').val('');
    $('#txtDescricao').val('');   
    $('#txtData').val('');
    $('#txtObservacao').val('');
    $('#txtPalavra').val('');
    $('#cbStatus').val('');
    $('#cbCliente').val('');
    //Limpa a lista de setores
    $('#cbSetor option').remove();
    $('#cbSetor').append('<option value="">Selecione o setor</option>');
    //Carrega o código da unidade de negócio
    $('#txtUnidadeModal').val($('#cbUnidade').val());
}


function PesquisarLog()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-log",
        method: 'post',
        data:
        {
            usuario: $('#cbUsuario').val(),
            mes: $('#cbMes').val(),
            ano: $('#cbAno').val()
        },

        beforeSend: function()
        {
            $('#tbLog tbody tr').remove();

            $('#cbUsuario').attr('disabled',true);
            $('#cbAno').attr('disabled',true);
            $('#cbMes').attr('disabled',true);
            
            ModalAjaxCarregando(true,$("#conteudoPagina"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#conteudoPagina"),null);

            $('#cbUsuario').attr('disabled',false);
            $('#cbAno').attr('disabled',false);
            $('#cbMes').attr('disabled',false);

        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {

                data.consulta.forEach(item =>
                {

                                       
                    var linha = '<tr>'
                            
                            +      '<td id="'+ item.id +'_data">'+ item.data +'</td>'
                            +      '<td id="'+ item.id +'_tipo">'+ item.nome +'</td>'
                            +      '<td id="'+ item.id +'_local">'+ item.descricao +'</td>'
                            
                            +   '</tr>';

                        $('#tbLog tbody').append(linha);
                });
            }
            else
            {
                $('#tbLog tbody').append(linhaNenhumResultado(5));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function CarregaUsuario()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-usuario",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbUsuario').empty();
            $('#cbUsuario').append('<option value="">Carregando...</option>');
            $('#cbUsuario').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbUsuario').prop('disabled',false);
        },
        success: function(data)
        {
            
            if(data.consulta.length > 0)
            {
                $('#cbUsuario').empty();
                $('#cbUsuario').append('<option value="">TODOS...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbUsuario').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });

            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}



