$(document).ready(function()
{
    var usua = $('#hdnUsuario').val();

    ListarCliente();

    LimparCampos();

    $('#txtCliente').prop('disabled',true);

});

$('#btnNovo').click(function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente==null)
    {
        MensagemBox( 'erro','','Selecione um cliente!', 2000, 'Ok');
    }
    else
    {
        LimparCampos();
        $('#cadastro').show();
        $('#lista').hide();
        $('#filtro').hide();
        $('#btnExcluir').hide();    
    }
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var palavra = $('#txtPalavra').val();
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente==null)
    {
        MensagemBox( 'erro','','Selecione um cliente!', 2000, 'Ok');
    }
    else
    {
        PesquisarFormula(palavra, cliente);
    }
});

$('#cbClientePesq').change(function()
{
    var palavra = $('#txtPalavra').val();
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente==null)
    {
        //MensagemBox( 'erro','','Selecione um cliente!', 2000, 'Ok');
    }
    else
    {
        PesquisarFormula(palavra, cliente);
        BuscarCliente(cliente);
    }
});

$('#btnSalvar').click(function()
{
    var grava = 1;
    var id = $('#hdnId').attr('data');
    var descricao = $('#txtDescricao').val();
    var cliente = $('#cbClientePesq').val();
    
    if(descricao=='')
    {
        MensagemBox( 'erro','','Descrição inválida!', 2000, 'Ok');
        grava = 0;
    }
    
   
    //console.log(' id: ' + id +' prato: ' +  prato + ' custo: ' +  custo + ' tipo: ' +  tipo + ' turno: ' + turno + ' ordem: ' + ordem +' semana: ' + semana);
    if(grava==1)
    { 
        //console.log('descricao: ' + descricao + ' id: ' + id + ' cliente: ' + cliente );
        SalvarFormula(id, descricao, cliente);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var id = $('#hdnId').attr('data');
       
    ExcluirFormula(id);

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbUnid tbody").on("click","span[name=editBtn]",function()
{
    var cliente = $('#cbClientePesq').val();
    if(cliente=='' || cliente==null)
    {
        MensagemBox( 'erro','','Selecione um cliente!', 2000, 'Ok');
    }
    else 
    {
        $('#cadastro').show();
        $('#lista').hide();
        $('#btnExcluir').show();
    
        LimparCampos();
    
        var id = $(this).attr("data");
    
        $('#hdnId').attr('data',id);
        $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));    
    }

});

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
}

function PesquisarFormula(palavra, cliente)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisar-formula",
        method: 'post',
        data:
        {
            palavra: palavra,
            cliente: cliente
        },
        beforeSend: function()
        {
            $('#tbUnid tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                var icone = "<i class='fas fa-flask fa-lg'></i>";

                data.consulta.forEach(item =>
                {
                   
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" style="font-size: 11pt;">' + icone + ' - ' + item.descricao + '</td>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbUnid tbody').append(linha);
                });
            }
            else
            {
                $('#tbUnid tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarFormula(id, descricao, cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-formula",
        method: 'post',
        data:
        {
            descricao:  descricao, 
            cliente:    cliente,
            id:         id           
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {

            var palavra = $('#txtPalavra').val();
            var cliente = $('#cbClientePesq').val();
            if(cliente=='' || cliente==null)
            {
                //MensagemBox( 'erro','','Selecione um cliente!', 2000, 'Ok');
            }
            else
            {
                PesquisarFormula(palavra, cliente);
            }
        },
        success: function(data)
        {

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirFormula(id)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-formula",
        method: 'post',
        data:
        {
            id: id
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');

            var palavra = $('#txtPalavra').val();
            var cliente = $('#cbClientePesq').val();
            if(cliente=='' || cliente==null)
            {
                //MensagemBox( 'erro','','Selecione um cliente!', 2000, 'Ok');
            }
            else
            {
                PesquisarFormula(palavra, cliente);
            }
            
        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}

function ListarCliente()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-cliente-formula",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbClientePesq').empty();
            $('#cbClientePesq').append('<option value="">Carregando...</option>');
            $('#cbClientePesq').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbClientePesq').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbClientePesq').empty();
                $('#cbClientePesq').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbClientePesq').append('<option value="' + item.id + '">' + item.nome + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function BuscarCliente(cliente)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-buscar-cliente-formula",
        method: 'post',
        data:
        {
           idcliente: cliente
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {               
                data.consulta.forEach(item =>
                {
                    $('#txtCliente').val(item.nome);
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}




