$(document).ready(function()
{
    var usua = $('#hdnUsuario').val();

    PesquisarTipoVeiculo();

    LimparCampos();

});

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var palavra = $('#txtPalavra').val();
    PesquisarTipoVeiculo(palavra);
});

$('#btnSalvar').click(function()
{
    var grava = 1;
    var id = $('#hdnId').attr('data');
    var descricao = $('#txtDescricao').val();
    
    if(descricao=='')
    {
        MensagemBox( 'erro','','Descrição inválida!', 2000, 'Ok');
        grava = 0;
    }
    
   
    //console.log(' id: ' + id +' prato: ' +  prato + ' custo: ' +  custo + ' tipo: ' +  tipo + ' turno: ' + turno + ' ordem: ' + ordem +' semana: ' + semana);
    if(grava==1)
    {
        console.log('descricao: ' + descricao + ' id: ' + id);
        SalvarTipoVeiculo(id, descricao);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var id = $('#hdnId').attr('data');
       
    ExcluirCentroCusto(id);

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbUnid tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));

});

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
}

function PesquisarTipoVeiculo(palavra)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisar-tipo-veiculo",
        method: 'post',
        data:
        {
            palavra: palavra
        },
        beforeSend: function()
        {
            $('#tbUnid tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                var icone = "<i class='fas fa-truck fa-lg'></i>";

                data.consulta.forEach(item =>
                {
                   
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" style="font-size: 11pt;">' + icone + ' - ' + item.descricao + '</td>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbUnid tbody').append(linha);
                });
            }
            else
            {
                $('#tbUnid tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarTipoVeiculo(id,  descricao)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-tipo-veiculo",
        method: 'post',
        data:
        {
            descricao:  descricao, 
            id:         id           
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            PesquisarTipoVeiculo();
        },
        success: function(data)
        {

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirCentroCusto(id)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-tipo-veiculo",
        method: 'post',
        data:
        {
            id: id
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            PesquisarTipoVeiculo();
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}




