$(document).ready(function()
{
    PesquisarCliente();
    ListarCategoria();
    LimparCampos();

});

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var status = $('#cbAtivoPesq').val();
    var busca = $('#txtBusca').val();
    
    //console.log(status);

    PesquisarCliente(status, busca);
});

$('#btnSalvar').click(function()
{
    var grava       = 1;
    var idcliente   = $('#hdnId').attr('data');
    var nome        = $('#txtNome').val();
    var codigo      = $('#txtCodigo').val();
    var contato     = $('#txtContato').val();
    var email       = $('#txtEmail').val();
    var celular     = $('#txtCelular').val();
    var categoria     = $('#cbCategoria').val();
    
    var ativo = document.getElementById("cbAtivo").checked;
    if(ativo==true)
    {
        ativo='1';
    }
    else 
    {
        ativo='0';
    }
    var inspecao = document.getElementById("cbInspecao").checked;
    if(inspecao==true)
    {
        inspecao='1';
    }
    else 
    {
        inspecao='0';
    }

    //console.log('CATEGORIA: ' + categoria);

    if(nome=='')
    {
        MensagemBox( 'erro','','Nome do cliente inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(categoria=='')
    {
        MensagemBox( 'erro','','Categoria de Pgto inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(grava==1)
    {
        SalvarCliente(idcliente, nome, codigo, contato, email, celular, ativo, categoria, inspecao);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbCliente tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtNome').val($("#" + id + "_nome").attr('data'));
    $('#txtContato').val($("#" + id + "_contato").attr('data'));
    $('#txtCodigo').val($("#" + id + "_codigo").attr('data'));
    $('#txtEmail').val($("#" + id + "_email").attr('data'));
    $('#txtCelular').val($("#" + id + "_celular").attr('data'));
    $('#cbCategoria').val($("#" + id + "_categoria").attr('data'));
    $('#cbAtivo').prop('checked',($('#' + id + '_ativo').attr('data') == '1'));
    $('#cbInspecao').prop('checked',($('#' + id + '_inspecao').attr('data') == '1'));
    

});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtNome').val('');   
    $('#txtContato').val('');   
    $('#txtCodigo').val('');   
    $('#txtEmail').val('');   
    $('#txtCelular').val('');   
    
    $('#cbAtivo').prop('checked', 1);
    $('#cbInspecao').prop('checked', 1);
    
}

function PesquisarCliente(status, busca)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-cliente",
        method: 'post',
        data:
        {
            status: status, 
            busca: busca
        },
        beforeSend: function()
        {
            $('#tbCliente tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocontato = '<i class="fas fa-user"></i>&nbsp;';
                var icoemail   = '<i class="fas fa-envelope"></i>&nbsp;';
                var icocelular = '<i class="fas fa-mobile-alt"></i>&nbsp;';

                data.consulta.forEach(item =>
                {
                                        
                    var icocliente = '<i class="fas fa-home fa-lg"></i>&nbsp;';
                    var icoinsp = '<i class="fa fa-star fa-lg"></i>&nbsp;';
                    var ativo = ' style="font-color: #000;"';
                    var nome = item.nome;
                    var inspecao = item.inspecao;
                    if(inspecao=='1')
                    {
                        inspecao = ' - ' + icoinsp + ' INSPEÇÃO'; 
                    }
                    else  
                    {
                        inspecao = '';
                    }
                    if(item.ativo=='0')
                    {
                        ativo = ' style="color: #ff0000;"';
                        icocliente = '<i class="fas fa-home fa-lg" ' + ativo + '></i>&nbsp;';
                        nome = '<del>' + nome + '</del>';
                    }
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_nome" data="' + item.nome + '" style="font-size: 12pt;">' + icocliente + '<b>' + nome + '</b><br>' + icocontato + item.contato + ' - ' + icocelular + item.celular + ' - ' + icoemail + item.email + inspecao + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_codigo" data="'+ item.codigo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_contato" data="'+ item.contato +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_celular" data="'+ item.celular +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_email" data="'+ item.email +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_categoria" data="'+ item.categoria +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_inspecao" data="'+ item.inspecao +'"/>'
                            
                            +       '<input type="hidden" id="'+ item.id +'_ativo" data="'+ item.ativo +'"/>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbCliente tbody').append(linha);
                });
            }
            else
            {
                $('#tbCliente tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarCliente(idcliente, nome, codigo, contato, email, celular, ativo, categoria, inspecao)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-cliente",
        method: 'post',
        data:
        {
            idcliente:  idcliente, 
            nome:       nome, 
            codigo:     codigo, 
            contato:    contato, 
            email:      email, 
            celular:    celular, 
            ativo:      ativo,
            categoria:  categoria,
            inspecao:   inspecao
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            var status = $('#cbAtivoPesq').val();
            var busca = $('#txtBusca').val();
            PesquisarCliente(status, busca);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}

function ListarCategoria()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-lista-categoria-caixa2",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbCategoria').empty();
            $('#cbCategoria').append('<option value="">Carregando...</option>');
            $('#cbCategoria').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbCategoria').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbCategoria').empty();
                $('#cbCategoria').append('<option value="">Selecione...</option>');
               
                data.consulta.forEach(item =>
                {
                    $('#cbCategoria').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}




