$(document).ready(function()
{
    PesquisarFuncao()
    LimparCampos();
});

$("#btnExcluir").click(function()
{
    var id = $('#hdnId').attr('data');

    $('#id_delete_modal').val(id);

    $('#item_delete').text($("#txtDescricao").val());
    $("#dlgDelete").modal({backdrop: "static"}).show();
});

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
    //$('#hdnId').attr('data','0');
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnSalvar').click(function()
{
    var descricao = $('#txtDescricao').val();
    var id = $('#hdnId').attr('data');
    
    SalvarFuncaoDados(descricao, id);

    $('#cadastro').hide();
    $('#lista').show();
});

$('#btnExcluir').click(function()
{
    var id = $('#hdnId').attr('data');
    
    ExcluirFuncao(id);

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbFuncao tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    //$('#txtSigla').val($("#" + id + "_sigla").attr('data'));

});

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');
    $('#txtSigla').val('');
}

function PesquisarFuncao()
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisar-funcao",
        method: 'post',
        data:
        {
            
        },
        beforeSend: function()
        {
            $('#tbFuncao tbody tr').remove();
            
            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                data.consulta.forEach(item =>
                {
                    //console.log('dados: ' + item.descricao);
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '">'+ item.descricao +'</td>'
                            
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbFuncao tbody').append(linha);
                });
            }
            else
            {
                $('#tbFuncao tbody').append(linhaNenhumResultado(3));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarFuncaoDados(descricao, id)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-funcao",
        method: 'post',
        data:
        {
            descricao:  descricao,
            id:         id
        },
        beforeSend: function()
        {
            ModalAjaxCarregando(true,$("#lista"),'Salvando dados...');
        },
        complete: function()
        {  
            ModalAjaxCarregando(false,$("#lista"),null);
        },
        success: function(data)
        {
            PesquisarFuncao();
            /* if(data == 1){
                MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            }else{
                MensagemBox( 'alerta','','Já existe um registro com esta descrição!', 2000, 'Ok');
            } */
            
        },
        error:function(error)
        {
            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirFuncao(id)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-delete-funcao",
        method: 'post',
        data:
        {
            id: id
        },
        beforeSend: function()
        {
            ModalAjaxCarregando(true,$("#lista"),'Excluindo dados...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#lista"),null);
        },
        success: function(data)
        {
            PesquisarFuncao();
           /*  if(data == 1){
                MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            }else{
                MensagemBox( 'alerta','','Código vazio!', 2000, 'Ok');
            } */
        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}