$(document).ready(function()
{
    //PesquisarMotorista();

    LimparCampos();

});

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var busca = $('#txtBusca').val();
    
    //console.log(status);

    PesquisarMotorista(busca);
});

$('#btnSalvar').click(function()
{
    var grava       = 1;
    var idMotorista   = $('#hdnId').attr('data');
    var nome        = $('#txtNome').val();
    var cpf         = $('#txtCpf').val();
    var celular     = $('#txtCelular').val();
    var cnh         = $('#txtCnh').val();
    var categoria   = $('#txtCategoria').val();
    
    
    //console.log('id: ' + idtipo);

    if(nome=='')
    {
        MensagemBox( 'erro','','Nome do motorista inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(grava==1)
    {
        SalvarMotorista(idMotorista, nome, cpf, celular, cnh, categoria);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbMotorista tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtNome').val($("#" + id + "_nome").attr('data'));
    $('#txtCpf').val($("#" + id + "_cpf").attr('data'));
    $('#txtCnh').val($("#" + id + "_cnh").attr('data'));
    $('#txtCategoria').val($("#" + id + "_categoria").attr('data'));
    $('#txtCelular').val($("#" + id + "_celular").attr('data'));
    
    //$('#cbAtivo').prop('checked',($('#' + id + '_ativo').attr('data') == '1'));

});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtNome').val('');   
    $('#txtCpf').val('');   
    $('#txtCnh').val('');   
    $('#txtCategoria').val('');   
    $('#txtCelular').val('');   
    
    //$('#cbAtivo').prop('checked', 1);
}

function PesquisarMotorista(busca)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-motorista",
        method: 'post',
        data:
        {
            busca: busca
        },
        beforeSend: function()
        {
            $('#tbMotorista tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocontato = '<i class="fas fa-user-tie"></i>&nbsp;';
                var icoemail   = '<i class="fas fa-envelope"></i>&nbsp;';
                var icocelular = '<i class="fas fa-mobile-alt"></i>&nbsp;';

                data.consulta.forEach(item =>
                {
                                        
                    var icocliente = '<i class="fas fa-user-tie fa-lg"></i>&nbsp;';
                    var ativo = ' style="font-color: #000;"';
                    var nome = item.nome;
                    if(item.ativo=='0')
                    {
                        ativo = ' style="color: #ff0000;"';
                        icocliente = '<i class="fas fa-user-tie fa-lg" ' + ativo + '></i>&nbsp;';
                        nome = '<del>' + nome + '</del>';
                    }
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_nome" data="' + item.nome + '" style="font-size: 12pt;">' + icocliente + '<b>' + nome + '</b><br>CPF: ' + item.cpf + ' - Celular: ' + item.celular + ' - CNH/Categoria: ' + item.cnh + '/' + item.categoria + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_cpf" data="'+ item.cpf +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_celular" data="'+ item.celular +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_cnh" data="'+ item.cnh +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_categoria" data="'+ item.categoria +'"/>'
                            
                            //+       '<input type="hidden" id="'+ item.id +'_ativo" data="'+ item.ativo +'"/>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-lg cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbMotorista tbody').append(linha);
                });
            }
            else
            {
                $('#tbMotorista tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarMotorista(idMotorista, nome, cpf, celular, cnh, categoria)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-motorista",
        method: 'post',
        data:
        {
            idMotorista: idMotorista, 
            nome:        nome, 
            cpf:         cpf, 
            celular:     celular, 
            cnh:         cnh, 
            categoria:   categoria 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
           
            var busca = $('#txtBusca').val();
            PesquisarMotorista(busca);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}



