$(document).ready(function()
{
    //PesquisarTransportador();

    LimparCampos();

});

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var status = $('#cbAtivoPesq').val();
    var busca = $('#txtBusca').val();
    
    //console.log(status);

    PesquisarTransportador(status, busca);
});

$('#btnSalvar').click(function()
{
    var grava       = 1;
    var idtransp    = $('#hdnId').attr('data');
    var nome        = $('#txtNome').val();
    var codigo      = $('#txtCodigo').val();
    var contato     = $('#txtContato').val();
    var email       = $('#txtEmail').val();
    var celular     = $('#txtCelular').val();
    
    var ativo = document.getElementById("cbAtivo").checked;
    if(ativo==true)
    {
        ativo='1';
    }
    else 
    {
        ativo='0';
    }

    //console.log('id: ' + idtransp + ' nome: ' + nome + ' codigo: ' + codigo + ' contato: ' + contato +' email: ' + email + ' celular: ' + celular);

    if(nome=='')
    {
        MensagemBox( 'erro','','Nome do transportador inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(grava==1)
    {
        SalvarTransportador(idtransp, nome, codigo, contato, email, celular, ativo);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbTransp tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtNome').val($("#" + id + "_nome").attr('data'));
    $('#txtContato').val($("#" + id + "_contato").attr('data'));
    $('#txtCodigo').val($("#" + id + "_codigo").attr('data'));
    $('#txtEmail').val($("#" + id + "_email").attr('data'));
    $('#txtCelular').val($("#" + id + "_celular").attr('data'));
    
    $('#cbAtivo').prop('checked',($('#' + id + '_ativo').attr('data') == '1'));

});

function LimparCampos()
{
    //$('#hdnId').val('0');
    $('#hdnId').attr('data','0');
    $('#txtNome').val('');   
    $('#txtContato').val('');   
    $('#txtCodigo').val('');   
    $('#txtEmail').val('');   
    $('#txtCelular').val('');   
    
    $('#cbAtivo').prop('checked', 1);
}

function PesquisarTransportador(status, busca)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-transportador",
        method: 'post',
        data:
        {
            status: status, 
            busca: busca
        },
        beforeSend: function()
        {
            $('#tbTransp tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocontato = '<i class="fas fa-user"></i>&nbsp;';
                var icoemail   = '<i class="fas fa-envelope"></i>&nbsp;';
                var icocelular = '<i class="fas fa-mobile-alt"></i>&nbsp;';

                data.consulta.forEach(item =>
                {
                                        
                    var icocliente = '<i class="fas fa-truck-loading fa-lg"></i>&nbsp;';
                    var ativo = ' style="font-color: #000;"';
                    var nome = item.nome;

                    if(item.ativo=='0')
                    {
                        ativo = ' style="color: #ff0000;"';
                        icocliente = '<i class="fas fa-truck-loading fa-lg" ' + ativo + '></i>&nbsp;';
                        nome = '<del>' + nome + '</del>';
                    }
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_nome" data="' + item.nome + '" style="font-size: 12pt;">' + icocliente + '<b>' + nome + '</b><br>' + icocontato + item.contato + ' - ' + icocelular + item.celular + ' - ' + icoemail + item.email +  '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_codigo" data="'+ item.codigo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_contato" data="'+ item.contato +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_celular" data="'+ item.celular +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_email" data="'+ item.email +'"/>'
                            
                            +       '<input type="hidden" id="'+ item.id +'_ativo" data="'+ item.ativo +'"/>'
                           
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-lg cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbTransp tbody').append(linha);
                });
            }
            else
            {
                $('#tbTransp tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarTransportador(idtransp, nome, codigo, contato, email, celular, ativo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-transportador",
        method: 'post',
        data:
        {
            idtransp:   idtransp, 
            nome:       nome, 
            codigo:     codigo, 
            contato:    contato, 
            email:      email, 
            celular:    celular, 
            ativo:      ativo 
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            var status = $('#cbAtivoPesq').val();
            var busca = $('#txtBusca').val();
            PesquisarTransportador(status, busca);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}



