$(document).ready(function()
{
    LimparCampos();
    ListarTipo();
    ListarTransp();

});

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var busca = $('#txtBusca').val();
    var transp = $('#cbTranspSel').val();
    //console.log('transp: ' + transp);

    PesquisaVeiculo(busca, transp);
});

$('#btnSalvar').click(function()
{
    var grava        = 1;
    var idveiculo    = $('#hdnId').attr('data');
    var placa        = $('#txtPlaca').val();
    var placa_carreta= $('#txtPlaca_carreta').val();
    var marca        = $('#txtMarca').val();
    var modelo       = $('#txtModelo').val();
    var tipo         = $('#cbTipo').val();
    var transp       = $('#cbTransp').val();
    
    if(placa=='')
    {
        MensagemBox( 'erro','','Placa do Veículo inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(tipo=='' || tipo==null)
    {
        MensagemBox( 'erro','','Tipo do Veículo inválido!', 2000, 'Ok');
        grava = 0;
    }
    if(grava==1)
    {
        SalvarVeiculo(idveiculo, placa, placa_carreta, marca, modelo, tipo, transp);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var idProf = $('#hdnId').attr('data');
    var unidade = $('#hdnUnidade').attr('data');

    ExcluirServico(idProf, unidade)

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbVeiculo tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtPlaca').val($("#" + id + "_placa").attr('data'));
    $('#txtPlaca_carreta').val($("#" + id + "_placa_carreta").attr('data'));
    $('#txtMarca').val($("#" + id + "_marca").attr('data'));
    $('#txtModelo').val($("#" + id + "_modelo").attr('data'));
    $('#cbTipo').val($("#" + id + "_tipo").attr('data'));
    $('#cbTransp').val($("#" + id + "_transp").attr('data'));

});

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    $('#txtPlaca').val('');   
    $('#txtPlaca_carreta').val('');   
    $('#txtMarca').val('');   
    $('#txtModelo').val('');   
}

function PesquisaVeiculo(busca, transp)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisa-veiculo",
        method: 'post',
        data:
        {
            busca: busca,
            transp: transp
        },
        beforeSend: function()
        {
            $('#tbVeiculo tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                
                var icocontato = '<i class="fas fa-user"></i>&nbsp;';
                var icoemail   = '<i class="fas fa-envelope"></i>&nbsp;';
                var icocelular = '<i class="fas fa-mobile-alt"></i>&nbsp;';
                var icotransp = '<i class="fas fa-home"></i>&nbsp;';

                data.consulta.forEach(item =>
                {
                                        
                    var icoveiculo = '<i class="fas fa-truck fa-lg"></i>&nbsp;';
                    var ativo = ' style="font-color: #000;"';
                    var placa = item.placa;
                    var transp = '';
                    if(item.ativo=='0')
                    {
                        ativo = ' style="color: #ff0000;"';
                        icoveiculo = '<i class="fas fa-truck fa-lg" ' + ativo + '></i>&nbsp;';
                        nome = '<del>' + nome + '</del>';
                    }
                    if(item.transp!='')
                    {
                        transp = ' - Transportador: ' + item.transp;
                    }
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_placa" data="' + item.placa + '" style="font-size: 12pt;">' + icoveiculo + '<b>' + placa + '</b><br>Placa Carreta: ' +  item.placa_carreta + ' - Marca: ' + item.marca + ' - Modelo: ' + item.modelo +  ' - Tipo: ' +  item.tipo + transp + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_placa_carreta" data="'+ item.placa_carreta +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_marca" data="'+ item.marca +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_modelo" data="'+ item.modelo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_tipo" data="'+ item.idtipo +'"/>'
                            +       '<input type="hidden" id="'+ item.id +'_transp" data="'+ item.idtransp +'"/>'
                            
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbVeiculo tbody').append(linha);
                });
            }
            else
            {
                $('#tbVeiculo tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarVeiculo(idveiculo, placa, placa_carreta, marca, modelo, tipo, transp)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-veiculo",
        method: 'post',
        data:
        {
            idveiculo:      idveiculo, 
            placa:          placa, 
            placa_carreta:  placa_carreta, 
            marca:          marca, 
            modelo:         modelo,
            tipo:           tipo,
            transp:         transp
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Dados incluídos/alterados com sucesso!', 2000, 'Ok');
            var busca = $('#txtBusca').val();
            var transp = $('#cbTranspSel').val();
            PesquisaVeiculo(busca, transp);
        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirServico(idprof, unidade)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-servico",
        method: 'post',
        data:
        {
            id: idprof
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');
            PesquisarServico(unidade);

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}

function ListarTipo()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-tipo-veiculo",
        method: 'post',
        data:
        {
           //cliente: cliente
        },
        beforeSend: function()
        {
            $('#cbTipo').empty();
            $('#cbTipo').append('<option value="">Carregando...</option>');
            $('#cbTipo').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbTipo').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTipo').empty();
                $('#cbTipo').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                   
                    $('#cbTipo').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function ListarTransp()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-transp-veic",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbTransp').empty();
            $('#cbTransp').append('<option value="">carregando...</option>');
            $('#cbTransp').prop('disabled',true);
            $('#cbTranspSel').empty();
            $('#cbTranspSel').append('<option value="">carregando...</option>');
            $('#cbTranspSel').prop('disabled',true);
            
        },
        complete: function()
        {
            $('#cbTransp').prop('disabled',false);
            $('#cbTranspSel').prop('disabled',false);
            
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbTransp').empty();
                $('#cbTransp').append('<option value="">...Selecione</option>');
                $('#cbTranspSel').empty();
                $('#cbTranspSel').append('<option value="">...Todos</option>');

                data.consulta.forEach(item =>
                {
                    var vira ='';
                    if(item.viraa=='1')
                    {
                        vira = ' (VIRA)';
                    }
                    $('#cbTransp').append('<option value="' + item.id + '">' + item.nome + vira + '</option>');
                    $('#cbTranspSel').append('<option value="' + item.id + '">' + item.nome + vira + '</option>');
                });
            }
        },
        error:function(error)
        {
            console.log(error);

           // MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}




