$(document).ready(function()
{
    var usua = $('#hdnUsuario').val();

    PesquisarBanco();

    LimparCampos();

});

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var palavra = $('#txtPalavra').val();
    PesquisarBanco(palavra);
});

const inputEle = document.getElementById('txtPalavra');
inputEle.addEventListener('keyup', function(e){
  var key = e.which || e.keyCode;
  if (key == 13) { // codigo da tecla enter
    // colocas aqui a tua função a rodar
    //alert('carregou enter o valor digitado foi: ' +this.value);
    var palavra = $('#txtPalavra').val();
    PesquisarBanco(palavra);
  }
});


$('#btnSalvar').click(function()
{
    var grava = 1;
    var id = $('#hdnId').attr('data');
    var descricao = $('#txtDescricao').val();
    var codigo = $('#txtCodigo').val();
    //console.log('id: ' + idtipo);

    if(descricao=='')
    {
        MensagemBox( 'erro','','Descrição inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(codigo=='')
    {
        MensagemBox( 'erro','','Código inválido!', 2000, 'Ok');
        grava = 0;
    }

    if(grava==1)
    {
        SalvarBanco(id, descricao, codigo);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var id = $('#hdnId').attr('data');
       
    ExcluirBanco(id);

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbUnid tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtCodigo').val($("#" + id + "_descricao").attr('data2'));

});

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
    $('#txtCodigo').val('');   
}

function PesquisarBanco(palavra)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisar-banco",
        method: 'post',
        data:
        {
            palavra: palavra
        },
        beforeSend: function()
        {
            $('#tbUnid tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            //$('#cbUnidadePesq').prop('disabled',false);
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                var icone = "<i class='fas fa-city fa-lg'></i>";

                data.consulta.forEach(item =>
                {
                   
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" data2="' + item.codigo + '" " style="font-size: 11pt;">'+ icone + ' - ' + item.descricao + ' - (' + item.codigo + ')</td>'

                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbUnid tbody').append(linha);
                });
            }
            else
            {
                $('#tbUnid tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarBanco(id,  descricao, codigo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-banco",
        method: 'post',
        data:
        {
            descricao:  descricao, 
            codigo:     codigo,
            id:         id           
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            PesquisarBanco();
        },
        success: function(data)
        {

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirBanco(id)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-banco",
        method: 'post',
        data:
        {
            id: id
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            PesquisarBanco();
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}



