$(document).ready(function()
{
    $('#btnSalvarGrupo').hide();
    $('#btnVoltarGrupo').hide();
    $('#txtGrupo').hide();

    var usua = $('#hdnUsuario').val();

    PesquisarCentroCusto();
    PesquisarGrupo();

    LimparCampos();

});

$('#btnNovoGrupo').click(function()
{
    //console.log('CLIQUEI NO NOVO !');
    $("#cbGrupo").hide();
    $('#btnNovoGrupo').hide();
    $('#txtGrupo').show();
    $('#btnSalvarGrupo').show();
    $('#btnVoltarGrupo').show();
    $('#txtGrupo').val('');
    document.getElementById("txtGrupo").focus();
});

$('#btnVoltarGrupo').click(function()
{
    //console.log('CLIQUEI NO NOVO !');
    $("#cbGrupo").show();
    $('#btnNovoGrupo').show();
    $('#txtGrupo').hide();
    $('#btnSalvarGrupo').hide();
    $('#btnVoltarGrupo').hide();
});

$('#btnSalvarGrupo').click(function()
{
    $("#cbGrupo").show();
    $('#btnNovoGrupo').show();
    $('#txtNomeGrupo').hide();
    $('#btnSalvarGrupo').hide();
    $('#btnVoltarGrupo').hide();
    SalvarGrupo();
    document.getElementById("cbGrupo").focus();

});


$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var palavra = $('#txtPalavra').val();
    PesquisarCentroCusto(palavra);
});

$('#btnSalvar').click(function()
{
    var grava = 1;
    var id = $('#hdnId').attr('data');
    var descricao = $('#txtDescricao').val();
    var grupo = $('#cbGrupo').val();
    
    if(descricao=='')
    {
        MensagemBox( 'erro','','Descrição inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(grupo=='' || grupo==null)
    {
        MensagemBox( 'erro','','Grupo inválido!', 2000, 'Ok');
        grava = 0;
    }
    
    console.log('id: ' + id + ' descr: ' + descricao + ' grupo: ' + grupo);
    //console.log(' id: ' + id +' prato: ' +  prato + ' custo: ' +  custo + ' tipo: ' +  tipo + ' turno: ' + turno + ' ordem: ' + ordem +' semana: ' + semana);
    if(grava==1)
    {
        SalvarCentroCusto(id, descricao, grupo);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var id = $('#hdnId').attr('data');
       
    ExcluirCentroCusto(id);

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbUnid tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#cbGrupo').val($("#" + id + "_idgrupo").attr('data'));
    $('#btnSalvarGrupo').hide();
    $('#btnVoltarGrupo').hide();
    $('#btnNovoGrupo').show();
    $('#txtGrupo').hide();
    $('#cbGrupo').show();

});

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
}

function PesquisarCentroCusto(palavra)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisar-centrocusto",
        method: 'post',
        data:
        {
            palavra: palavra
        },
        beforeSend: function()
        {
            $('#tbUnid tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                var icone = "<i class='fas fa-file-invoice-dollar fa-lg'></i>";

                data.consulta.forEach(item =>
                {
                   
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" style="font-size: 11pt;">' + icone + ' - ' + item.grupo + ' - ' + item.descricao + '</td>'
                            +       '<input type="hidden" id="'+ item.id +'_idgrupo" data="'+ item.idgrupo +'"/>'
                            
                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbUnid tbody').append(linha);
                });
            }
            else
            {
                $('#tbUnid tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarCentroCusto(id,  descricao, grupo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-centrocusto",
        method: 'post',
        data:
        {
            descricao:  descricao, 
            id:         id,
            grupo:      grupo      
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            PesquisarCentroCusto();
        },
        success: function(data)
        {

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirCentroCusto(id)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-centrocusto",
        method: 'post',
        data:
        {
            id: id
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            PesquisarCentroCusto();
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}

function ListarBanco()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-banco",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbBanco').empty();
            $('#cbBanco').append('<option value="">Carregando...</option>');
            $('#cbBanco').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbBanco').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbBanco').empty();
                $('#cbBanco').append('<option value="">Selecione...</option>');
              
                data.consulta.forEach(item =>
                {
                    $('#cbBanco').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                    
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}


function SalvarGrupo()
{
    var grava       = 1;
    var idgrupo   = '0';
    var nome  = $('#txtGrupo').val();

    nome = nome.toUpperCase();
    $('#txtGrupo').val(nome);
       
    if(nome=='')
    {
        MensagemBox( 'alerta','','Grupo inválido!', 2000, 'Ok');  
        grava = 0;
    }

    if(grava==1)
    {
        $('#txtGrupo').hide();
        $('#cbGrupo').show();
        InserirGrupoNovo(idgrupo, nome);
    }
}

function InserirGrupoNovo(idgrupo, nome)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-insere-grupo",
        method: 'post',
        data:
        {
            id: idgrupo, 
            descricao: nome
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            MensagemBox( 'sucesso','','Grupo incluido com sucesso!', 2000, 'Ok');
            PesquisarGrupo(nome);
            
        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}


function PesquisarGrupo(nome)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-carrega-grupo-ccusto",
        method: 'post',
        data:
        {
           nome: nome
        },
        beforeSend: function()
        {
           
            $('#cbGrupo').empty();
            $('#cbGrupo').append('<option value="">Carregando...</option>');
            $('#cbGrupo').prop('disabled',true);
            
        },
        complete: function()
        {
            $('#cbGrupo').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
               
                $('#cbGrupo').empty();
                $('#cbGrupo').append('<option value="">Selecione...</option>');

                data.consulta.forEach(item =>
                {
                    $('#cbGrupo').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                });
                
                
                //var nome = $('#txtGrupo').val();

                //console.log('nome: ' + nome);
                if(nome!='')
                {
                    posicionaGrupoPeloNome(nome);
                }

            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}

function posicionaGrupoPeloNome(nome)
{
    var text = nome;
    //text = text.toUpperCase();
    var select = document.querySelector('#cbGrupo');
    for (var i = 0; i < select.options.length; i++) {
        if (select.options[i].text === text) {
            select.selectedIndex = i;
            break;
        }
    }
}







