$(document).ready(function()
{
    //var usua = $('#hdnUsuario').val();

    PesquisarContaCusto();

    LimparCampos();

});

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var palavra = $('#txtPalavra').val();
    var tipo = $('#cbTipoSel').val();
    PesquisarContaCusto(palavra, tipo);
});

const inputEle = document.getElementById('txtPalavra');
inputEle.addEventListener('keyup', function(e){
  var key = e.which || e.keyCode;
  if (key == 13) { // codigo da tecla enter
    // colocas aqui a tua função a rodar
    //alert('carregou enter o valor digitado foi: ' +this.value);
    var palavra = $('#txtPalavra').val();
    var tipo = $('#cbTipoSel').val();
    PesquisarContaCusto(palavra, tipo);
  }
});

$('#btnSalvar').click(function()
{
    var grava = 1;
    var id = $('#hdnId').attr('data');
    var conta = $('#txtConta').val();
    var subconta = $('#txtSubConta').val();
    var codigo = $('#txtCodigo').val();
    var classif = $('#txtClassificacao').val();
    var tipo = $('#cbTipo').val();
    
    if(conta=='')
    {
        MensagemBox( 'erro','','Conta inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(subconta=='')
    {
        MensagemBox( 'erro','','Sub Conta inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(tipo=='')
    {
        MensagemBox( 'erro','','Tipo inválido!', 2000, 'Ok');
        grava = 0;
    }

    //console.log('inicio: ' + inicio);
    //console.log(' id: ' + id +' prato: ' +  prato + ' custo: ' +  custo + ' tipo: ' +  tipo + ' turno: ' + turno + ' ordem: ' + ordem +' semana: ' + semana);
    if(grava==1)
    {
        SalvarContaCusto(id, conta, subconta, codigo, classif, tipo);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var id = $('#hdnId').attr('data');
       
    ExcluirConta(id);

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbUnid tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtConta').val($("#" + id + "_conta").attr('data'));
    $('#txtSubConta').val($("#" + id + "_subconta").attr('data'));
    $('#txtClassificacao').val($("#" + id + "_classificacao").attr('data'));
    $('#txtCodigo').val($("#" + id + "_codigo").attr('data'));
    $('#cbTipo').val($("#" + id + "_tipo").attr('data'));

});

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    $('#txtConta').val('');
    $('#txtSubConta').val('');
    $('#txtClassificacao').val('');
    $('#txtCodigo').val('');
    $('#cbTipo').val('');  
}

function PesquisarContaCusto(palavra, tipo)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisar-contacusto",
        method: 'post',
        data:
        {
            palavra: palavra,
            tipo: tipo
        },
        beforeSend: function()
        {
            $('#tbUnid tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                var icone = '';
                
                

                data.consulta.forEach(item =>
                {
                    if(item.tipo=='R')
                    {
                        icone = '<i class="fas fa-comment-dollar fa-lg" style="color: green"></i>';
                    }
                    else 
                    {
                        icone = '<i class="fas fa-comment-dollar fa-lg" style="color: red"></i>';
                    }
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_conta" data="' + item.conta + '" style="font-size: 11pt;">' + icone + ' - ' + item.conta + ' - ' + item.subconta + '</td>'
                            +      '<input type="hidden" id="'+ item.id +'_subconta" data="'+ item.subconta +'"/>'
                            //+      '<input type="hidden" id="'+ item.id +'_subconta" data="'+ item.subconta +'"/>'
                            +      '<input type="hidden" id="'+ item.id +'_codigo" data="'+ item.codigo +'"/>'
                            +      '<input type="hidden" id="'+ item.id +'_classificacao" data="'+ item.classificacao +'"/>'
                            +      '<input type="hidden" id="'+ item.id +'_tipo" data="'+ item.tipo +'"/>'

                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbUnid tbody').append(linha);
                });
            }
            else
            {
                $('#tbUnid tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarContaCusto(id, conta, subconta, codigo, classif, tipo)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-contacusto",
        method: 'post',
        data:
        {
            id:         id, 
            conta:      conta, 
            subconta:   subconta, 
            codigo:     codigo, 
            classif:    classif, 
            tipo:       tipo         
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            PesquisarContaCusto();
        },
        success: function(data)
        {

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirConta(id)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-contacusto",
        method: 'post',
        data:
        {
            id: id
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            PesquisarContaCusto();
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}

/* function ListarBanco()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-banco",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbBanco').empty();
            $('#cbBanco').append('<option value="">Carregando...</option>');
            $('#cbBanco').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbBanco').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbBanco').empty();
                $('#cbBanco').append('<option value="">Selecione...</option>');
              
                data.consulta.forEach(item =>
                {
                    $('#cbBanco').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                    
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}
 */



