$(document).ready(function()
{
    var usua = $('#hdnUsuario').val();

    PersquisarContaFin();
    ListarBanco();

    LimparCampos();

});

$('#btnNovo').click(function()
{
    LimparCampos();
    
    $('#cadastro').show();
    $('#lista').hide();
    $('#filtro').hide();
    $('#btnExcluir').hide();
});

$('#btnVoltar').click(function()
{
    $('#cadastro').hide();
    $('#lista').show();
    $('#filtro').hide();
});

$('#btnPesquisar').click(function()
{
    var palavra = $('#txtPalavra').val();
    PersquisarContaFin(palavra);
});

const inputEle = document.getElementById('txtPalavra');
inputEle.addEventListener('keyup', function(e){
  var key = e.which || e.keyCode;
  if (key == 13) { // codigo da tecla enter
    // colocas aqui a tua função a rodar
    //alert('carregou enter o valor digitado foi: ' +this.value);
    var palavra = $('#txtPalavra').val();
    PersquisarContaFin(palavra);
  }
});

$('#btnSalvar').click(function()
{
    var grava = 1;
    var id = $('#hdnId').attr('data');
    var descricao = $('#txtDescricao').val();
    var agencia = $('#txtAgencia').val();
    var banco = $('#cbBanco').val();
    
    if(descricao=='')
    {
        MensagemBox( 'erro','','Descrição inválida!', 2000, 'Ok');
        grava = 0;
    }
    if(banco=='')
    {
        MensagemBox( 'erro','','Banco inválido!', 2000, 'Ok');
        grava = 0;
    }

    //console.log('inicio: ' + inicio);
    //console.log(' id: ' + id +' prato: ' +  prato + ' custo: ' +  custo + ' tipo: ' +  tipo + ' turno: ' + turno + ' ordem: ' + ordem +' semana: ' + semana);
    if(grava==1)
    {
        SalvarConta(id, descricao, banco, agencia);
        $('#cadastro').hide();
        $('#lista').show();
    }

});

$('#btnExcluir').click(function()
{
    var id = $('#hdnId').attr('data');
       
    ExcluirConta(id);

    $('#cadastro').hide();
    $('#lista').show();
});

$("#tbUnid tbody").on("click","span[name=editBtn]",function()
{
    $('#cadastro').show();
    $('#lista').hide();
    $('#btnExcluir').show();

    LimparCampos();

    var id = $(this).attr("data");

    $('#hdnId').attr('data',id);
    $('#txtDescricao').val($("#" + id + "_descricao").attr('data'));
    $('#txtAgencia').val($("#" + id + "_agencia").attr('data'));
    $('#cbBanco').val($("#" + id + "_banco").attr('data'));

});

function LimparCampos()
{
    $('#hdnId').attr('data','0');
    $('#txtDescricao').val('');   
    $('#txtAgencia').val('');   
    $('#cbBanco').val('');   
}

function PersquisarContaFin(palavra)
{
   
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-pesquisar-contafin",
        method: 'post',
        data:
        {
            palavra: palavra
        },
        beforeSend: function()
        {
            $('#tbUnid tbody tr').remove();
            //$('#cbUnidadePesq').prop('disabled',true);

            ModalAjaxCarregando(true,$("#lista"),'Pesquisando...');
        },
        complete: function()
        {
            ModalAjaxCarregando(false,$("#lista"),null);
            
        },
        success: function(data)
        {
           
            if(data.consulta.length > 0)
            {
                var icone = "<i class='fas fa-coins fa-lg'></i>";

                data.consulta.forEach(item =>
                {
                   
                    var linha = '<tr>'
                            +      '<td id="'+ item.id +'_descricao" data="' + item.descricao + '" style="font-size: 11pt;">' + icone + ' - ' + item.descricao + ' - ' + item.agencia + ' - (' + item.banco + ')</td>'
                            +      '<input type="hidden" id="'+ item.id +'_banco" data="'+ item.idbanco +'"/>'
                            +      '<input type="hidden" id="'+ item.id +'_agencia" data="'+ item.agencia +'"/>'

                            +      '<td width="10%" class="text-center">'
                            +         '<span name="editBtn" class="fas fa-pencil-alt fa-2x cursor-pointer botaoeditar" data="'+ item.id +'" style="cursor: pointer;color: #056367;" title="Editar"></span>'
                            +      '</td>'
                            +   '</tr>';

                        $('#tbUnid tbody').append(linha);
                });
            }
            else
            {
                $('#tbUnid tbody').append(linhaNenhumResultado(2));
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}


function SalvarConta(id,  descricao, banco, agencia)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-salvar-contafin",
        method: 'post',
        data:
        {
            descricao:  descricao, 
            banco:      banco,
            agencia:    agencia,
            id:         id           
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            PersquisarContaFin();
        },
        success: function(data)
        {

        },
        error:function(error)
        {
            //MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });
}



function ExcluirConta(id)
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-excluir-contafin",
        method: 'post',
        data:
        {
            id: id
        },
        beforeSend: function()
        {
            
        },
        complete: function()
        {
            
        },
        success: function(data)
        {
            PersquisarContaFin();
            MensagemBox( 'sucesso','','Dados excluídos com sucesso!', 2000, 'Ok');

        },
        error:function(error)
        {
            MensagemBox('erro','','Ocorreu erro: ' + error, 3000, 'Ok');
        }
    });
}

function ListarBanco()
{
    $.ajaxSetup(
    {
        headers:
        {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $.ajax(
    {
        url: "ajax-listar-banco",
        method: 'post',
        data:
        {
           
        },
        beforeSend: function()
        {
            $('#cbBanco').empty();
            $('#cbBanco').append('<option value="">Carregando...</option>');
            $('#cbBanco').prop('disabled',true);
        },
        complete: function()
        {
            $('#cbBanco').prop('disabled',false);
        },
        success: function(data)
        {
            if(data.consulta.length > 0)
            {
                $('#cbBanco').empty();
                $('#cbBanco').append('<option value="">Selecione...</option>');
              
                data.consulta.forEach(item =>
                {
                    $('#cbBanco').append('<option value="' + item.id + '">' + item.descricao + '</option>');
                    
                });
            }
        },
        error:function(error)
        {
            console.log(error);

            MensagemBox('erro','Erro',(error.responseJSON.exception != null && error.responseJSON.exception != '' ?  error.responseJSON.exception : error.responseJSON));
        }
    });	

}




