@extends('layouts.app')

@section('titulo')
     Classes
@endsection

@section('scripts')
    <script src="{{{ URL::asset('js/views/adm/classes.js') }}}"></script>
@endsection

@section('pagina')

<div class="content-wrapper">
    <div class="container-fluid mt-2">
        @if(session('mensagem'))
            @if(session('mensagem'))
                <div id="mensagem" class=" card-body alert alert-success text-center">
                    <i>{{session('mensagem')}}</i>
                </div>
            @endif
        @elseif(session('exclusao'))
            @if(session('exclusao'))
                <div id="exclusao" class=" card-body alert alert-danger text-center">
                    <i>{{session('exclusao')}}</i>
                </div>
            @endif
        @endif
        <div class="card rounded text-left" style="background-color:#fff; color:#056367; border-radius: 10px 10px 10px 10px;">
            <div class="card-body">
                <div class="row" >
                    <div class="col text-right">
                        <a href="{{route('adm.classe')}}"  class="btn btn-outline-primary" title="Novo Cadastro"><i class="fas fa-plus-circle"></i> Nova Classe</a>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 10px 10px 10px 10px;">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">
                        <table id="tbClasses" class="table table-striped table-bordered text-left">
                            <thead  style="background-color:#333333; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Código</th>
                                    <th>Descrição</th>
                                    <th>Admin</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>

                                @foreach($classes as $cls)
                                    <tr>
                                        <td id="{{$cls->getId()}}_codigo">{{$cls->getCodigo()}}</td>
                                        <td id="{{$cls->getId()}}_descricao">{{$cls->getDescricao()}}</td>
                                        <td id="{{$cls->getId()}}_admin">

                                            @if($cls->isAdmin())
                                                <span class="badge badge-success estilobag">SIM</span>
                                            @else
                                                <span class="badge badge-danger estilobag">NÃO</span>
                                            @endif


                                        </td>
                                        <td width="10%" class="text-center">
                                            <a href="{{route('adm.classe.editar',[Util::StringAleatoria(),$cls->getId(),Util::StringAleatoria()])}}">
                                                <span class="fas fa-pencil-alt fa-2x" style="cursor: pointer;color: #056367;" title="Editar"></span>
                                            </a>
                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
