@extends('layouts.app')

@section('titulo')
    <i class="fas fa-key"></i> Permissões
@endsection

@section('scripts')
    <script src="{{{ URL::asset('js/views/adm/permissao.js') }}}"></script>
@endsection

@section('pagina')
    
    <div class="container-fluid">
        <div class="card">
            <div class="card-body">
                <div class="row" >
                    <div class="col text-left">
                        <button id="btnNovaPermissao" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Nova Permissão
                        </button>
                    </div>
                </div>
                <br/>
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbPermissao" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#333333; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Usuário</th>
                                    <th>Classe</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                                @foreach($permissao as $perm)
                                    <tr>
                                        <!-- <td id="{{$perm->getId()}}_usuario"
                                            data="{{$perm->getFkUsuario()}}"
                                            data2="{{$perm->FkUsuario->getFkUsuario()}}">
                                            {{$perm->Usuario->getNome()}}
                                        </td>
                                        <td id="{{$perm->getId()}}_classe"
                                            data="{{$perm->getFkClasse()}}"
                                            data2="{{$perm->FkClasse->getFkClasse()}}">
                                            {{$perm->Classe->getDescricao()}}
                                        </td> -->

                                        <td id="{{$perm->getId()}}_fk_usuario">{{$perm->getFkUsuario()}}</td>
                                        <td id="{{$perm->getId()}}_fk_classe">{{$perm->getFkClasse()}}</td>
                                        <td>
                                            <span name="editBtn" class="fas fa-edit" data="{{$perm->getId()}}" style="cursor: pointer; color: #009933;" title="Editar"></span>
                                            <span name="delBtn" class="fas fa-trash-alt" data="{{$perm->getId()}}" style="cursor: pointer;color: #ff0000;" title="Excluir"></span>
                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Inclui formulário modal -->
    @include('partials._modal_form',
    [
        'titulo'=> 'Nova Permissão',
		'icone'=>'fa-lock',
        'rota' => 'adm.permissao.salvar',
        'campos'=> 
        [
            [
                'id' =>'cbSistema',
                'label'=>'Sistema',
                'nome'=>'sistema',
                'tipo'=>'combo',
                'opcoes'=> $sistema,
                'default'=>'Selecione o Sistema'
            ],
            [
                'id' =>'cbUsuario',
                'label'=>'Usuário',
                'nome'=>'usuario',
                'tipo'=>'combo',
                'opcoes'=> $usuario,
                'default'=>'Selecione o Usuário'
            ],
            [
                'id' =>'cbClasse',
                'label'=>'Classe',
                'nome'=>'classe',
                'tipo'=>'combo',
                'opcoes'=> $classe,
                'default'=>'Selecione a Classe'
            ],
        ]
    ])

    @include('partials._modal_delete',
    [
        'rota'=>'adm.permissao.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir a Permissão'
    ])

@endsection