@extends('layouts.app')

@section('titulo')
    <i class="fas fa-laptop"></i> Sistemas
@endsection

@section('scripts')
    <script src="{{{ URL::asset('js/views/adm/sistemas.js') }}}"></script>
@endsection

@section('pagina')

<div class="content-wrapper">
    <div class="container-fluid mt-2">
        @if(session('mensagem'))
            @if(session('mensagem'))
                <div class=" card-body alert alert-success text-center">
                    <i>{{session('mensagem')}}</i>
                </div>
            @endif
        @elseif(session('exclusao'))
            @if(session('exclusao'))
                <div id="exclusao" class=" card-body alert alert-danger text-center">
                    <i>{{session('exclusao')}}</i>
                </div>
            @endif
        @endif
        <div class="card rounded text-left" style="background-color:#fff; color:#056367; border-radius: 10px 10px 10px 10px;">
            <div class="card-body">
                <div class="row" >
                    <div class="col text-right">
                        <a href="{{route('adm.cadastrosistema')}}"  class="btn btn-outline-primary" title="Novo Cadastro"><i class="fas fa-plus-circle"></i> Novo Sistema</a>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 10px 10px 10px 10px;">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbSistema" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#333333; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Código</th>
                                    <th>Descrição</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                                @foreach($sistemas as $sist)
                                    <tr>
                                        <td id="{{$sist->getId()}}_codigo">{{$sist->getCodigo()}}</td>
                                        <td id="{{$sist->getId()}}_descricao">{{$sist->getDescricao()}}</td>
                                        <td width="10%" class="text-center">
                                            <a href="{{route('adm.cadastrosistema.editar',[Util::StringAleatoria(),$sist->getId(),Util::StringAleatoria()])}}">
                                                <span class="fas fa-pencil-alt fa-2x" style="cursor: pointer;color: #056367;" title="Editar"></span>
                                            </a>
                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection