@extends('layouts.app')

@section('titulo')
    SGPT - {{ Auth::user()->Unidade->getNome() }}</b> - <i class="fas fa-user-lock"></i> Trocar Senha
@endsection

@section('css')
    <link rel="stylesheet" href="{{{ URL::asset('css/tempus-dominus/tempusdominus-bootstrap-4.min.css') }}}" />
    <link rel="stylesheet" href="{{{ URL::asset('css/bootstrap-select-1.13.2/bootstrap-select.min.css') }}}" />
@endsection

@section('scripts')
    <script src="{{{ URL::asset('js/moment/min/moment-with-locales.min.js') }}}"></script>
    <script src="{{{ URL::asset('js/tempus-dominus/tempusdominus-bootstrap-4.min.js') }}}"></script>
    <script src="{{{ URL::asset('js/bootstrap-select-1.13.2/bootstrap-select.min.js') }}}"></script>
    <script src="{{{ URL::asset('js/views/adm/trocasenha.js') }}}"></script>
@endsection

@section('pagina')
    
<div class="content-wrapper">
    <div class="container-fluid">
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="{{ Auth::user()->getId() }}"/>
        <input type="hidden" id="txtUsuario" name="usuario" data="{{ Auth::user()->getNome() }}"/>
        <div class="card rounded text-left">
            <div class="card-body">
               <!--  <div class="col-md-4">
                    <h4 style="color:#056367;"><i class="fas fa-user-lock"></i> Trocar Senha do Usuário</h4>
                </div> -->
                <div class="row" >
                    
                    <div class="col col-sm-4 text-left">
                        <label for="cbUsuarioPesq" class="col-form-label text-md-left">Usuário Logado</label>
                        <br/>
                        <select id="cbUsuarioPesq" class="form-control">
                            <option value="">Selecione...</option>
                        </select>
                    </div>
                    
                   
                    <div class="col col-sm-7 text-right">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnTrocarSenha" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-user-lock"></i> Trocar Senha
                        </button>
                    </div>
                </div>
            </div>
        </div>
    
        
       
        <br/>
    </div>
</div>
   
    <!-- Inclui formulário modal -->
    @include('partials._modal_form',
    [
        'largura'=>700,
        'titulo'=> 'Trocar Senha',
        'rota' => 'adm.trocasenha.salvar',
        'icone' => 'fa-unlock',
        'campos'=>
        [
            [
                'id' =>'hdUsuario',
                'nome'=>'hdusuario',
                'tipo'=>'hidden'
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'10',
                        'id' =>'txtNome',
                        'label'=>'Usuário',
                        'nome'=>'nome',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                ]
            ],                       
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'5',
                        'id' =>'txtSenha',
                        'label'=>'Nova Senha',
                        'nome'=>'senha',
                        'tamanho'=>'30',
                        'tipo'=>'password',
                        'required'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'txtConfirmSenha',
                        'label'=>'Confirmar Senha',
                        'nome'=>'confirma_senha',
                        'tamanho'=>'30',
                        'tipo'=>'password',
                        'required'=> true,
                        'disabled'=>false
                    ]
                ]
            ]
        ]
    ])

@endsection