@extends('layouts.app')

@section('titulo')
  <h4><b>&nbsp;&nbsp;SGPT - {{ Auth::user()->Unidade->getNome() }}</b> - <i class="fas fa-globe-americas"></i> Cadastro de UF</h4> 
@endsection

@section('scripts')
    <script src="{{{ URL::asset('js/views/adm/uf.js') }}}"></script>
@endsection

@section('pagina')

<div class="content-wrapper">
    <div class="container-fluid mt-2">
        <div class="card">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbEstados" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#333333; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Nome</th>
                                    <th>Sigla</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                                @foreach($ufs as $uf)
                                    <tr>
                                        <td id="{{$uf->getId()}}_nome">{{$uf->getNome()}}</td>
                                        <td id="{{$uf->getId()}}_sigla">{{$uf->getSigla()}}</td>
                                        <td>
                                            <span name="editBtn" class="fas fa-edit fa-2x" data="{{$uf->getId()}}" style="cursor: pointer;color: #009933;" title="Editar"></span>
                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

    <!-- Inclui formulário modal -->
    @include('partials._modal_form',
    [
        'titulo'=> 'Atualizar Estado',
		'icone'=> 'fa-globe-americas',
        'rota' => 'adm.uf.salvar',
        'campos'=> 
        [
            [
                'id' =>'txtNome',
                'label'=>'Nome',
                'nome'=>'nome',
                'tamanho'=>'50',
                'tipo'=>'txt',
                'required'=> true,
                'autofocus'=> true,
                'disabled'=>false
            ],
            [
                'id' =>'txtSigla',
                'label'=>'Sigla',
                'nome'=>'sigla',
                'tamanho'=>'2',
                'tipo'=>'txt',
                'required'=> true,
                'autofocus'=> true,
                'disabled'=>false
            ]
        ]
    ])

@endsection