@extends('layouts.app')

@section('scripts')
    <script src="{{{ URL::asset('js/views/cadastro/servico.js') }}}"></script>
@endsection

@section('titulo')
    {{ Auth::user()->Unidade->getNome() }}
@endsection

@section('pagina')
    

<div class="content-wrapper">
    <input type="hidden" id="hdnUsuario" name="idusuario" data="{{ Auth::user()->getId() }}"/>
    <input type="hidden" id="hdnId" name="id" data=""/>
    <input type="hidden" id="hdnUnidade" name="unidade" data="{{ Auth::user()->getUnidade() }}"/>
    
    <div class="container-fluid mt-2">
        
        <div id="cadastro" class="card mt-2" style="display: none; background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            
            @csrf
            
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <h4 style="color:#056367;"><i class="fas fa-lightbulb"></i> Serviço</h4>
                    </div>
                    <div class="col-md-10">
                        <div class="col text-right">
                            
                            <button id="btnVoltar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-arrow-left"></i> Voltar
                            </button>

                            <button id="btnSalvar" type="button" data="" class="btn btn-success btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-save"></i> Salvar
                            </button>
                            
                            <button id="btnExcluir" type="button" data="" class="btn btn-danger btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-trash-alt"></i> Excluir
                            </button>
                            
                        </div>
                    </div>
                    
                </div>
                <hr></hr>
                <div class="row" >
                    <div class="col-md-9">
                        <label id="txtDescricao_label" for="txtDescricao"  class="col-form-label text-md-left">Descrição <span style="color: #ff0000;">*</span></label>
                        <input id="txtDescricao" class="form-control" name="descricao" type="text" maxlength="50" value="" required/>
                    </div>
                    <div class="col-md-2">
                        <label id="txtPreco_label" for="txtPreco"  class="col-form-label text-md-left">Preço</label>
                        <input id="txtPreco" class="form-control" name="preco" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-1">
                        <label id="txtAtivo_label" for="txtAtivo"  class="col-form-label text-md-left">Ativo?</label>
                        <br/>
                        <label class="switch">
                            <input id="cbAtivo"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>
            </div>
            
        </div>

        <div id="lista" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            <div class="card-body">
                <div class="row" style="padding-bottom: 5px; padding-right: 2px;">
                    <div class="col-md-2">
                        <h4 style="color:#056367;"><i class="fas fa-lightbulb"></i> Serviços</h4>
                    </div>
                    <div class="col-md-10 text-right">
                        
                        <button id="btnNovo" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo Serviço
                        </button>
                    </div>
                    
                </div>
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbServ" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Serviços</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection