@extends('layouts.app')

@section('scripts')
    <script src="{{{ URL::asset('js/views/cadastro/transportador.js?1234') }}}"></script>
@endsection

@section('titulo')
  SGPT - {{ Auth::user()->Unidade->getNome() }}</b> - <i class="fas fa-truck-loading"></i> Transportador
@endsection

@section('pagina')
    

<div class="content-wrapper">
    <input type="hidden" id="hdnUsuario" name="idusuario" data="{{ Auth::user()->getId() }}"/>
    <input type="hidden" id="hdnId" name="id" data=""/>
    
    <div class="container-fluid mt-2">
        
        <div id="cadastro" class="card mt-2" style="display: none; background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            
            @csrf
            
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-2">
                        <!-- <h4 style="color:#056367;"><i class="fas fa-truck-loading"></i> Transportador</h4> -->
                    </div>
                    <div class="col-md-10">
                        <div class="col text-right">
                            
                            <button id="btnVoltar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-arrow-left"></i> Voltar
                            </button>

                            <button id="btnSalvar" type="button" data="" class="btn btn-success btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-save"></i> Salvar
                            </button>
                            
                        </div>
                    </div>
                    
                </div>
                <hr></hr>
                <div class="row" >
                    <div class="col-md-8">
                        <label id="txtNome_label" for="txtNome"  class="col-form-label text-md-left">Nome <span style="color: #ff0000;">*</span></label>
                        <input id="txtNome" class="form-control" name="nome" type="text" maxlength="50" value="" required/>
                    </div>
                    <div class="col-md-2">
                        <label id="txtCodigo_label" for="txtPreco"  class="col-form-label text-md-left">Código</label>
                        <input id="txtCodigo" class="form-control" name="codigo" type="text" maxlength="10" value="" />
                    </div>
                    <div class="col-md-2">
                        <label id="txtAtivo_label" for="txtAtivo"  class="col-form-label text-md-left">Ativo?</label>
                        <br/>
                        <label class="switch">
                            <input id="cbAtivo"  type="checkbox" data-off-color="danger" data-on-text="1" data-off-text="0">
                            <span class="slider round"></span>
                        </label>
                    </div>
                </div>

                <div class="row" >
                    <div class="col-md-4">
                        <label id="txtContato_label" for="txtContato"  class="col-form-label text-md-left">Contato</label>
                        <input id="txtContato" class="form-control" name="contato" type="text" maxlength="50" value="" required/>
                    </div>
                    <div class="col-md-2">
                        <label id="txtCelular_label" for="txtCelular"  class="col-form-label text-md-left">Celular</label>
                        <input id="txtCelular" class="form-control" name="celular" type="text" maxlength="50" value="" required/>
                    </div>
                    <div class="col-md-6">
                        <label id="txtEmail_label" for="txtEmail"  class="col-form-label text-md-left">Email</label>
                        <input id="txtEmail" class="form-control" name="email" type="text" maxlength="50" value="" required/>
                    </div>
                </div>
            </div>
            
        </div>

        <div id="lista" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            <div class="card-body">
               
                <div class="row">
                    <div class="col col-lg-2 col-12 text-left">
                        <label for="cbAtivoPesq" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="cbAtivoPesq" class="form-control">
                            <option value="" selected>...Todos</option>
                            <option value="1">ATIVOS</option>
                            <option value="0">INATIVOS</option>
                        </select>
                    </div>
                    <div class="col col-lg-2 col-12 text-left">
                        <label id="txtBusca_label" for="txtBusca"  class="col-form-label text-md-left">Busca</label>
                        <input id="txtBusca" class="form-control" name="busca" type="text" maxlength="50" value="" required/>
                    </div>
                    <div class="col-md-8 text-right">
                        <label for="cbAtivoPesq" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <button id="btnPesquisar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-search"></i> Pesquisar
                        </button>
                        <button id="btnNovo" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo
                        </button>
                    </div>
                </div>
                <div class="row mt-2" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbTransp" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Dados dos Transportadores</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection