<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <!-- Styles -->
    <link rel="stylesheet" href="{{ URL::asset('css/bootstrap_v4/bootstrap.min.css') }}" >
    <link rel="stylesheet" href="{{ URL::asset('fontawesome/css/fontawesome.min.css')}}" >
    <link rel="stylesheet" href="{{ URL::asset('fontawesome/css/solid.css')}}" >
    <link rel="stylesheet" href="{{ URL::asset('css/views/layout.css') }}" >
    <link rel="stylesheet" href="{{ URL::asset('css/views/master.css') }}" >
    <link rel="stylesheet" href="{{{ URL::asset('js/DataTables/datatables.min.css') }}}" />

    <style type="text/css">
        @keyframes neon {
            from {
                filter: drop-shadow(0 0 0 var(--cor-neon));
            }
            to {
                filter: drop-shadow(0 0 100px var(--cor-neon));
            }
        }

        i {
            animation: neon 3s alternate infinite ease-in-out;
        }

        b {
            animation: neon 3s alternate infinite ease-in-out;
        }

        .texto {
            --cor-neon: white;
        }

        /* .img {
            --cor-neon: blue;
        } */
	</style>
</head>

<body>
    <div class="content">
        <div class="content-wrapper">
            <input type="hidden" id="hdnUsuario"    name="idusuario" data="{{ Auth::user()->getId() }}"/>
            <input type="hidden" id="hdnId"         name="id"        data=""/>
            <input type="hidden" id="hdnVeiculo"    name="veiculo"   data=""/>
            <input type="hidden" id="hdnMotorista"  name="motorista" data=""/>
            <input type="hidden" id="hdnData"       name="data"      data=""/>
            <input type="hidden" id="hdnDataChamada"       name="datachamada"      data=""/>
            <input type="hidden" id="hdnDataIni"    name="dataini"   data=""/>
            <input type="hidden" id="hdnDataFim"    name="datafim"   data=""/>
            <input type="hidden" id="hdnDataNormalIni"    name="datanini"   data=""/>
            <input type="hidden" id="hdnDataNormalFim"    name="datanfim"   data=""/>
            <input type="hidden" id="hdnTransp"     name="transp"   data=""/>

            <div class="container-fluid mt-2">
                
                <div id="lista" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
                    <div class="card-body">
                        <!-- <img src="logo-soene.png" class="img-responsive rounded text-center" height="70"/> -->
                        <img src="{{URL::asset('img\logo-sgp.png')}}" class="img-responsive rounded text-center" height="70"/>
                        <br>
                        <h3>Listagem de Estadias</h3>
                        <h6 id="periodo"></h6>
                        <div class="row mt-2">
                            <div class="col panel panel-primary table-responsive">

                                <table id="tbEstadia" class="table table-striped table-bordered text-left " border="1" width="100%" cellspacing="0">
                                    <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                        <tr>
                                            <th>Placa</th>
                                            <th>Entrada</th>
                                            <th>Saída</th>
                                            <th>Permanência</th>
                                            <th>Motorista</th>
                                            <th>Cliente</th>
                                            <th>Destino</th>
                                            <th>Transportador</th>
                                            <th>Produto</th>
                                        </tr>
                                    </thead>
                                    <tbody>                                

                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="{{ URL::asset('js/jquery_v3.3.1/jquery-3.3.1.min.js') }}" ></script>
    <!-- <script src="{{{ URL::asset('js/popper/popper.min.js') }}}"></script> -->
    <script src="{{ URL::asset('js/bootstrap_v4/bootstrap.min.js') }}" ></script>
    <script src="{{ URL::asset('js/JqueryMaxLength/jquery.maxlength.js') }}" ></script>
    <script src="{{ URL::asset('js/jquery_mask/jquery.mask.min.js') }}" ></script>
    <script src="{{{ URL::asset('js/DataTables/datatables.min.js') }}}"></script>
    <script src="{{{ URL::asset('js/views/consulta/impconsestadia.js?123456') }}}"></script>
</body>

<script>

    function mascara_data(campo) {
        if (campo.value.length == 2) {
            campo.value += '/';
        }
        if (campo.value.length == 5) {
            campo.value += '/';
        }
    }

    function mascara_hora(campo) {
        if (campo.value.length == 2) {
            campo.value += ':';
        }
    }

    function mascara_letra(campo) {
        if (campo.value == '-') {
            campo.value += '';
        }
        if (campo.value == '=') {
            campo.value += '';
        }
    
    }

</script>

