@extends('layouts.app')

@section('scripts')
    <script src="{{{ URL::asset('js/views/financeiro/conta_custo.js?123456') }}}"></script>
@endsection

@section('titulo')
  CONTA CUSTO - {{ Auth::user()->Unidade->getTitulo() }}
@endsection


@section('pagina')
    

<div class="content-wrapper">
    <input type="hidden" id="hdnUsuario" name="idusuario" data="{{ Auth::user()->getId() }}"/>
    <input type="hidden" id="hdnId" name="id" data=""/>
    
    <div class="container-fluid mt-2">
        
        <div id="cadastro" class="card mt-2" style="display: none; background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            
            @csrf
            
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-4">
                        <h4 style="color:#056367;"><i class="fas fa-comment-dollar"></i> Conta Custo</h4>
                    </div>
                    <div class="col-md-8">
                        <div class="col text-right">
                            
                            <button id="btnVoltar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-arrow-left"></i> Voltar
                            </button>

                            <button id="btnSalvar" type="button" data="" class="btn btn-success btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-save"></i> Salvar
                            </button>
                            
                            <button id="btnExcluir" type="button" data="" class="btn btn-danger btn-redondo" aria-label="Left Align" >
                                <i class="fas fa-trash-alt"></i> Excluir
                            </button>
                            
                        </div>
                    </div>
                    
                </div>
                <hr></hr>
                <div class="row" >
                    <div class="col-md-6">
                        <label id="txtConta_label" for="txtDescricao"  class="col-form-label text-md-left">Descrição da Conta <span style="color: #ff0000;">*</span></label>
                        <input id="txtConta" class="form-control" name="conta" type="text" maxlength="50" value=""/>
                    </div>
                    <div class="col-md-6">
                        <label id="txtSubConta_label" for="txtDescricao"  class="col-form-label text-md-left">Descrição da Sub Conta <span style="color: #ff0000;">*</span></label>
                        <input id="txtSubConta" class="form-control" name="conta" type="text" maxlength="50" value=""/>
                    </div>
                </div>
                <div class="row" >
                    <div class="col-md-6">
                        <label id="txtClassificacao_label" for="txtClassificacao"  class="col-form-label text-md-left">Classificação</label>
                        <input id="txtClassificacao" class="form-control" name="conta" type="text" maxlength="10" value=""/>
                    </div>
                    <div class="col-md-3">
                        <label id="txtCodigo_label" for="txtClassificacao"  class="col-form-label text-md-left">Código</label>
                        <input id="txtCodigo" class="form-control" name="conta" type="text" maxlength="10" value=""/>
                    </div>

                    <div class="col-md-3">
                        <label id="txtTipo_label" for="txtUf" class="col-form-label text-md-left">Tipo <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <select id="cbTipo" class="form-control" required>
                            <option value="" selected>...Selecione</option>
                            <option value="R">RECEITA</option>
                            <option value="D">DESPESA</option>
                        </select>
                    </div>
                </div>
            </div>
            
        </div>

        <div id="lista" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
            <div class="card-body">
                <div class="row" style="padding-bottom: 5px; padding-right: 2px;">
                    <div class="col-md-3">
                        <h4 style="color:#056367;"><i class="fas fa-comment-dollar"></i> Conta Custo</h4>
                    </div>
                    <div class="col-md-3">
                        <label id="txtPalavra_label" for="txtNome"  class="col-form-label text-md-left">Busca Por <span style="color: #C0C0C0;">Enter</span></label>
                        <input id="txtPalavra" class="form-control" name="palavra" type="text" maxlength="50" value="" style="background-color: #ffffb3;" title="Digite palavra para buscar e dê [Enter]"/>
                    </div>
                    <div class="col-md-3">
                        <label id="txtTipoSel_label" for="txtUf" class="col-form-label text-md-left">Tipo <span style="color: #ff0000;">*</span></label>
                        <br/>
                        <select id="cbTipoSel" class="form-control" required>
                            <option value="" selected>...Todos</option>
                            <option value="R">RECEITA</option>
                            <option value="D">DESPESA</option>
                        </select>
                    </div>
                    <div class="col-md-3 text-right">
                        <label id="txtPesquisar_label" for="txtNome"  class="col-form-label text-md-left">&nbsp;</label><br>
                        <button id="btnPesquisar" type="button" class="btn btn-secondary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-search"></i> Pesquisar
                        </button>
                        <button id="btnNovo" type="button" class="btn btn-primary btn-redondo" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo
                        </button>
                    </div>
                    
                </div>
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbUnid" class="table table-striped table-bordered text-left ">
                            <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                <tr>
                                    <th>Descrição das Contas Custo</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection