<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <!-- Styles -->
    <link rel="stylesheet" href="{{ URL::asset('css/bootstrap_v4/bootstrap.min.css') }}" >
    <link rel="stylesheet" href="{{ URL::asset('fontawesome/css/fontawesome.min.css')}}" >
    <link rel="stylesheet" href="{{ URL::asset('fontawesome/css/solid.css')}}" >
    <link rel="stylesheet" href="{{ URL::asset('css/views/layout.css') }}" >
    <link rel="stylesheet" href="{{ URL::asset('css/views/master.css') }}" >
    
    <style type="text/css">
        @keyframes neon {
            from {
                filter: drop-shadow(0 0 0 var(--cor-neon));
            }
            to {
                filter: drop-shadow(0 0 100px var(--cor-neon));
            }
        }

        i {
            animation: neon 3s alternate infinite ease-in-out;
        }

        b {
            animation: neon 3s alternate infinite ease-in-out;
        }

        .texto {
            --cor-neon: white;
        }

        /* .img {
            --cor-neon: blue;
        } */
	</style>

</head>
<body>
    

<div class="content-wrapper">
    <input type="hidden" id="hdnUsuario"    name="idusuario" data="{{ Auth::user()->getId() }}"/>
    <input type="hidden" id="hdnId"         name="id"        data=""/>
    <input type="hidden" id="hdnVeiculo"    name="veiculo"   data=""/>
    <input type="hidden" id="hdnMotorista"  name="motorista" data=""/>
    <input type="hidden" id="hdnData"       name="data"      data=""/>
    <input type="hidden" id="hdnModelo"     name="data"      data=""/>
    <input type="hidden" id="hdnMarca"      name="data"      data=""/>
    <input type="hidden" id="hdnCnh"        name="data"      data=""/>
    <input type="hidden" id="hdnCategoria"  name="data"      data=""/>
    <input type="hidden" id="hdnDataEntrada"  name="data"      data=""/>
    <input type="hidden" id="hdnViravirtual"  name="viravirtual" data=""/>

    <div class="container-fluid mt-2">
        
        <div id="cadastro" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 18px 0px 18px 0px;">
            
            @csrf
            
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <!-- <div class="col-md-6"> -->
                        <div class="col-md-1 text-left mt-2" style="height:40px;">
                            <a href="{{route('home')}}">
                                <img src="{{{ URL::asset('img\logo-sgp.png')}}}" class="rounded" height="60"/>
                            </a>
                        </div>
                        </br>
                    <!-- </div> -->
                    <div class="col-md-3">
                        <h1 style="color:#056367;"><b><i class='fas fa-redo'></i> VIRA</b></h1>
                    </div>
                    <div class="col-md-3">
                        <div class="col text-right">
                            <h5 id="feedback-erro" style="color: #ff0000;"><i class="fas fa-hand"></i> <b>FEEDBACK</b></h5>
                            <h5 id="feedback-sucesso" style="color: #009933;"><i class="fas fa-hand"></i> <b>FEEDBACK</b></h5>
                        </div>
                    </div>
                    <div class="col-md-5">
                        <div class="col text-right">
                            <button id="btnNovo" type="button" class="btn btn-primary btn-lg" aria-label="Left Align" >
                                <i class="fas fa-broom fa-2x"></i>&nbsp;LIMPAR
                            </button>
                            <button id="btnSalvar" type="button" data="" class="btn btn-success btn-lg" aria-label="Left Align" >
                                <i class="fas fa-save fa-2x"></i>&nbsp;&nbsp;SALVAR VIRA
                            </button>
                            <a href="{{route('home')}}">
                            <button id="btnInicio" type="button" class="btn btn-info btn-lg" aria-label="Left Align" >
                                <i class="fas fa-home fa-2x"></i>&nbsp;INÍCIO
                            </button>
                            </a>
                        </div>
                    </div>
                    
                </div>
                </br></br>
                <h5><i class="fas fa-truck fa-lg"></i><b> Veículo</b></h5>
                <!-- <hr style="color:gray;"></hr> -->
                <div class="row" >
                    <div class="col-md-2">
                        <label id="txtPlaca_label" for="txtPlaca"  class="col-form-label text-md-left" style="font-size:18px;">Placa Cavalo <span style="color: #ff0000; font-size:18px;">*</span></label>
                        <input id="txtPlaca" class="form-control" name="placa" type="text" maxlength="7" style="font-size:40px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-9">
                        <label id="txtMarca_label" for="txtMarca"  class="col-form-label text-md-left" style="font-size:18px;">Marca</label>
                        <input id="txtMarca" class="form-control" name="marca" type="text" maxlength="100" style="font-size:40px; font-bold: true; height: 60px;" value="" />
                    </div>
                    
                </div>
                <div id="feedback-placa" class="col-md-12 mt-2">
                    <h5 style="color: #ff0000;"><i class="fas fa-truck"></i> <b>VEÍCULO NÃO ENCONTRADO</b> - FAVOR PREENCHER OS CAMPOS PARA INCLUIR UM NOVO REGISTRO</h5>
                </div>
                <div id="feedback-patio" class="col-md-12 mt-2">
                    <h5 style="color: #ff0000;"><i class="	fas fa-ban fa-2x"></i> <b>VEÍCULO JÁ SE ENCONTRA NO PÁTIO</b> - FAVOR PROCEDER COM A SAÍDA DO MESMO</h5>
                </div>
                <br>
                <h5><i class="fas fa-user-tie fa-lg"></i><b> Motorista</b></h5>
                <!-- <hr style="color:gray;"></hr> -->
                <div class="row" >
                    <div class="col-md-3">
                        <label id="txtCpf_label" for="txtCpf"  class="col-form-label text-md-left" style="font-size:18px;">CPF <span style="color: #ff0000;">*</span></label>
                        <input id="txtCpf" class="form-control" name="cpf" type="text" maxlength="11" style="font-size:40px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-5">
                        <label id="txtNome_carreta_label" for="txtNome"  class="col-form-label text-md-left" style="font-size:18px;">Nome do Motorista</label>
                        <input id="txtNome" class="form-control" name="nome" type="text" maxlength="50" style="font-size:40px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-3">
                        <label id="txt_celular_label" for="txtCelular"  class="col-form-label text-md-left" style="font-size:18px;">Celular</label>
                        <input id="txtCelular" class="form-control" name="nome" type="text" maxlength="50" style="font-size:40px; font-bold: true; height: 60px;" value="" />
                    </div>
                    
                </div>
                <div id="feedback-motora" class="col-md-12 mt-2">
                    <h5 style="color: #ff0000;"><i class="fas fa-user"></i> <b>MOTORISTA NÃO ENCONTRADO</b> - FAVOR PREENCHER OS CAMPOS PARA INCLUIR UM NOVO REGISTRO</h5>
                </div>
                <br>
                <h5><i class="fas fa-box fa-lg"></i><b> Carga</b></h5>
                <!-- <hr style="color:gray;"></hr> -->
                <div class="row" >
                    <div class="col-md-2">
                        <label id="txtData_label" for="txtData"  class="col-form-label text-md-left" style="font-size:18px;">Data Prevista</label>
                        <input id="txtData" class="form-control" name="data" onKeyUp="mascara_data(this)" type="text" maxlength="10" style="font-size:40px; font-bold: true; height: 60px;" value=""/>
                    </div>
                    <div class="col-md-2">
                        <label id="txtHora_label" for="txtHora"  class="col-form-label text-md-left" style="font-size:18px;">Hora </label>
                        <input id="txtHora" class="form-control" name="hora" onKeyUp="mascara_hora(this)" type="text" maxlength="5" style="font-size:40px; font-bold: true; height: 60px;" value="" />
                    </div>   
                    <div class="col-md-7" id="destino">
                        <label id="cbDestino_carreta_label" for="cbTransp"  class="col-form-label text-md-left" style="font-size:18px;">Transportador <span style="color: #ff0000;">*</span></label>
                        <select id="cbTransp" class="form-control" style="font-size:40px; font-bold: true; height: 60px;">
                            
                        </select>
                    </div>
                    <!-- <div class="col-md-7" id="texto-destino">
                        <label id="txtDestino_label" for="txtDestino"  class="col-form-label text-md-left" style="font-size:18px;">Destino <span style="color: #ff0000;">*</span></label>
                        <input id="txtDestino" class="form-control" name="destino" type="text" maxlength="50" style="font-size:40px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-1" id="novo-destino">
                        <label id="btnDestino_carreta_label" for="btnDestino"  class="col-form-label text-md-left" style="font-size:18px;">&nbsp;</label><br>
                        <button id="btnDestino" type="button" class="btn btn-warning btn-lg" aria-label="Left Align" >
                            <i class="fas fa-plus fa-2x"></i>
                        </button>
                    </div>   
                    <div class="col-md-1" id="salvar-destino">
                        <label id="btnSalvaDestino_carreta_label" for="btnSalvaDestino"  class="col-form-label text-md-left" style="font-size:18px;">&nbsp;</label><br>
                        <button id="btnSalvaDestino" type="button" class="btn btn-success btn-lg" aria-label="Left Align" >
                            <i class="fas fa-check fa-2x"></i>
                        </button>
                    </div>  -->
                </div>


                <!-- <div class="row" >
                    <div class="col-md-8" id="operacao">
                        <label id="cbOperacao_label" for="cbTransp"  class="col-form-label text-md-left" style="font-size:18px;">Navio/Operação <span style="color: #ff0000;">*</span></label>
                        <select id="cbOperacao" class="form-control" style="font-size:40px; font-bold: true; height: 60px;">
                            
                        </select>
                        <input id="txtOperacao" class="form-control" name="destino" type="text" maxlength="100" style="font-size:40px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-1" id="nova-operacao">
                        <label id="btnNovaOperacao_label" for="btnDestino"  class="col-form-label text-md-left" style="font-size:18px;">&nbsp;</label><br>
                        <button id="btnNovaOperacao" type="button" class="btn btn-warning btn-lg" aria-label="Left Align" >
                            <i class="fas fa-plus fa-2x"></i>
                        </button>
                    </div>   
                    <div class="col-md-2" id="salvar-operacao">
                        <label id="btnSalvaOperacao_carreta_label" for="btnSalvaOperacao"  class="col-form-label text-md-left" style="font-size:18px;">&nbsp;</label><br>
                        <button id="btnSalvaOperacao" type="button" class="btn btn-success btn-lg" aria-label="Left Align" >
                            <i class="fas fa-check fa-2x"></i>
                        </button>
                        <button id="btnDesfaz" type="button" class="btn btn-default btn-lg" aria-label="Left Align" >
                            <i class="fas fa-undo fa-2x"></i>
                        </button>
                        
                    </div>

                </div> -->

            </div>
            
        </div>

    </div>
</div>


<script>

    function mascara_data(campo) {
        if (campo.value.length == 2) {
            campo.value += '/';
        }
        if (campo.value.length == 5) {
            campo.value += '/';
        }
    }

    function mascara_hora(campo) {
        if (campo.value.length == 2) {
            campo.value += ':';
        }
    }

    function mascara_letra(campo) {
        if (campo.value == '-') {
            campo.value += '';
        }
        if (campo.value == '=') {
            campo.value += '';
        }
    
    }

</script>


<script src="{{ URL::asset('js/jquery_v3.3.1/jquery-3.3.1.min.js') }}" ></script>
<script src="{{{ URL::asset('js/popper/popper.min.js') }}}"></script>
<script src="{{ URL::asset('js/bootstrap_v4/bootstrap.min.js') }}" ></script>
<script src="{{ URL::asset('js/JqueryMaxLength/jquery.maxlength.js') }}" ></script>
<script src="{{ URL::asset('js/jquery_mask/jquery.mask.min.js') }}" ></script>
<script src="{{{ URL::asset('js/DataTables/datatables.min.js') }}}"></script>
<script src="{{ URL::asset('js/views/patio/carrosel.js?123456') }}" ></script>



</body>
</html>

