<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <!-- Styles -->
    <link rel="stylesheet" href="{{ URL::asset('css/bootstrap_v4/bootstrap.min.css') }}" >
    <link rel="stylesheet" href="{{ URL::asset('fontawesome/css/fontawesome.min.css')}}" >
    <link rel="stylesheet" href="{{ URL::asset('fontawesome/css/solid.css')}}" >
    <link rel="stylesheet" href="{{ URL::asset('css/views/layout.css') }}" >
    <link rel="stylesheet" href="{{ URL::asset('css/views/master.css') }}" >
    <link rel="stylesheet" href="{{{ URL::asset('js/DataTables/datatables.min.css') }}}" />

    <style type="text/css">
        @keyframes neon {
            from {
                filter: drop-shadow(0 0 0 var(--cor-neon));
            }
            to {
                filter: drop-shadow(0 0 100px var(--cor-neon));
            }
        }

        i {
            animation: neon 3s alternate infinite ease-in-out;
        }

        b {
            animation: neon 3s alternate infinite ease-in-out;
        }

        .texto {
            --cor-neon: white;
        }

        /* .img {
            --cor-neon: blue;
        } */
	</style>
</head>

<body>
    <div class="content">
        <div class="content-wrapper">
            <input type="hidden" id="hdnUsuario"    name="idusuario" data="{{ Auth::user()->getId() }}"/>
            <input type="hidden" id="hdnId"         name="id"        data=""/>
            <input type="hidden" id="hdnVeiculo"    name="veiculo"   data=""/>
            <input type="hidden" id="hdnMotorista"  name="motorista" data=""/>
            <input type="hidden" id="hdnData"       name="data"      data=""/>
            <input type="hidden" id="hdnDataChamada"       name="datachamada"      data=""/>
            <input type="hidden" id="hdnDataIni"    name="dataini"   data=""/>
            <input type="hidden" id="hdnDataFim"    name="datafim"   data=""/>
            <input type="hidden" id="hdnDataNormalIni"    name="datanini"   data=""/>
            <input type="hidden" id="hdnDataNormalFim"    name="datanfim"   data=""/>
            <input type="hidden" id="hdnTransp"     name="transp"   data=""/>

            <div class="container-fluid mt-2">
                
                <div id="lista" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 20px 20px 20px;">
                    <div class="card-body">
                        <!-- <img src="logo-soene.png" class="img-responsive rounded text-center" height="70"/> -->
                        <img src="{{URL::asset('img\logo-sgp.png')}}" class="img-responsive rounded text-center" height="70"/>
                        <br>
                        <!-- <h3>Dados do Caixa</h3>
                        <h6 id="periodo"></h6> -->

                        <br>
                        <h6><i class="fas fa-calculator fa-lg"></i><b> Dados do Caixa</b></h6>
                        <hr style="color:gray;"></hr>
                        <div class="row" >
                            <div class="col-md-2  col-12">
                                <label id="txtDatacx_label" for="txtDataCaixa2"  class="col-form-label text-md-left">Data Caixa</label>
                                <input id="txtDatacx" class="form-control" name="datacx" type="text" maxlength="10" value="" />
                            </div>
                            <div class="col col-md-2  col-12 text-left">
                                <label for="cbTurnocx" class="col-form-label text-md-left">Turno</label>
                                <br/>
                                <select id="cbTurnocx" class="form-control">
                                
                                </select>
                            </div>
                            <div class="col col-md-2  col-12 text-left">
                                <label for="cbGuichecx" class="col-form-label text-md-left">Guichê</label>
                                <br/>
                                <select id="cbGuichecx" class="form-control">
                                    <option value="" selected>...Selecione</option>
                                    <option value="1">01</option>
                                    <option value="2">02</option>
                                    <option value="3">03</option>
                                </select>
                            </div>
                            <div class="col col-md-4 col-12 text-left">
                                <label for="cbUsuariocx" class="col-form-label text-md-left">Usuário</label>
                                <br/>
                                <select id="cbUsuariocx" class="form-control">
                                
                                </select>
                            </div>
                            <div class="col col-md-2 col-12 text-left">
                                <label for="cbStatuscx" class="col-form-label text-md-left">Status</label>
                                <br/>
                                <select id="cbStatuscx" class="form-control">
                                    <option value="" selected>...Selecione</option>
                                    <option value="1">ABERTO</option>
                                    <option value="0">FECHADO</option>
                                    
                                </select>
                            </div>
                        </div>
                        <div class="row" >
                            <div class="col-md-2">
                                <label id="txtInicialcx_label" for="txtDataCaixa2"  class="col-form-label text-md-left">Valor Inicial</label>
                                <input id="txtInicialcx" class="form-control" name="inicialcx" type="text" maxlength="10" value="" />
                            </div>
                            <div class="col-md-2">
                                <label id="txtEspeciecx_label" for="txtEspeciecx"  class="col-form-label text-md-left">Total Espécie</label>
                                <input id="txtEspeciecx" class="form-control" name="especiecx" type="text" maxlength="10" value="" />
                            </div>
                            <div class="col-md-2">
                                <label id="txtDebitocx_label" for="txtDebitocx"  class="col-form-label text-md-left">Total Débito</label>
                                <input id="txtDebitocx" class="form-control" name="debitocx" type="text" maxlength="10" value="" />
                            </div>
                            <div class="col-md-2">
                                <label id="txtCreditocx_label" for="txtCreditocx"  class="col-form-label text-md-left">Total Crédito</label>
                                <input id="txtCreditocx" class="form-control" name="creditocx" type="text" maxlength="10" value="" />
                            </div>
                            <div class="col-md-2">
                                <label id="txtDescontocx_label" for="txtDescontocx"  class="col-form-label text-md-left">Total Desconto</label>
                                <input id="txtDescontocx" class="form-control" name="descontocx" type="text" maxlength="10" value="" />
                            </div>
                            <div class="col-md-2">
                                <label id="txtTotalcx_label" for="txtTotalcx"  class="col-form-label text-md-left">Total Geral</label>
                                <input id="txtTotalcx" class="form-control" name="totalcx" type="text" maxlength="10" value="" />
                            </div>
                        </div>
                        <div class="row" >
                            <div class="col-md-12">
                                <label id="txtObscx_label" for="txtObscx"  class="col-form-label text-md-left">Observação</label>
                                <input id="txtObscx" class="form-control" name="obscx" type="text" maxlength="200" value="" />
                            </div>
                        </div>


                        <div class="row mt-2">
                            <div class="col panel panel-primary table-responsive">

                                <table id="tbCaixa" class="table table-striped table-bordered text-left ">
                                    <thead  style="background-color:#404040; color: #ccc; font-weight: bold;">
                                        <tr>
                                            <th>Placa</th>
                                            <th>Motorista</th>
                                            <th>Cliente</th>
                                            <th>Entrada</th>
                                            <th>Saída</th>
                                            <th>Tempo</th>
                                            <th>Valor</th>
                                            <th>Desconto</th>
                                            <th>Total</th>
                                            <th>Forma Pgto</th>
                                            <th>Tipo</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        

                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="{{ URL::asset('js/jquery_v3.3.1/jquery-3.3.1.min.js') }}" ></script>
    <script src="{{ URL::asset('js/bootstrap_v4/bootstrap.min.js') }}" ></script>
    <script src="{{ URL::asset('js/JqueryMaxLength/jquery.maxlength.js') }}" ></script>
    <script src="{{ URL::asset('js/jquery_mask/jquery.mask.min.js') }}" ></script>
    <script src="{{{ URL::asset('js/DataTables/datatables.min.js') }}}"></script>
    <script src="{{{ URL::asset('js/views/patio/impcaixa.js?123456') }}}"></script>
</body>

<script>

    function mascara_data(campo) {
        if (campo.value.length == 2) {
            campo.value += '/';
        }
        if (campo.value.length == 5) {
            campo.value += '/';
        }
    }

    function mascara_hora(campo) {
        if (campo.value.length == 2) {
            campo.value += ':';
        }
    }

    function mascara_letra(campo) {
        if (campo.value == '-') {
            campo.value += '';
        }
        if (campo.value == '=') {
            campo.value += '';
        }
    
    }

</script>

