<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/', 'HomeController@index')->name('home');
Route::get('/home',function(){return redirect()->route('home');});

//Gráficos
Route::get('ajax-charts-dados-grafico', 'ChartsController@ajaxDadosGrafico');
Route::get('ajax-charts-ocupacao', 'ChartsController@ajaxOcupacao');
Route::post('ajax-busca-agenda', 'AgendaController@ajaxPesquisaAgenda');
Route::post('ajax-busca-tarefa', 'TarefaController@ajaxPesquisaTarefa');
Route::post('ajax-qtde-patio', 'HomeController@ajaxQtdePatio');
Route::post('ajax-qtde-chamado', 'HomeController@ajaxQtdeChamado');
Route::post('ajax-sumario-tipo', 'HomeController@ajaxSumarioPedidosPorTipo');
Route::post('ajax-sumario-cliente', 'HomeController@ajaxSumarioCliente');
Route::post('ajax-pesquisa-patio', 'EstadiaController@ajaxListaVeiculosNoPatio');
Route::post('ajax-qtde-agendado', 'HomeController@ajaxQtdeAgendado');
Route::post('ajax-qtde-enviado', 'HomeController@ajaxQtdeEnviado');
Route::post('ajax-pesquisa-consulta-agenda', 'EstadiaController@ajaxPesquisarAgendados');
Route::post('ajax-qtde-tipo-operacao', 'HomeController@ajaxQtdeTipoOperacao');
Route::post('ajax-qtde-inspecao', 'HomeController@ajaxQtdeInspecao');
Route::post('ajax-qtde-inspecao-ok', 'HomeController@ajaxQtdeInspecaoOk');
Route::post('ajax-qtde-vira', 'HomeController@ajaxQtdeVira');
Route::post('ajax-qtde-vira-ext', 'HomeController@ajaxQtdeViraExt');


//Route::post('ajax-qtde-pendentes', 'HomeController@ajaxQtdePendente');
//Route::post('ajax-qtde-confirmado', 'HomeController@ajaxQtdeConfirmado');


Route::get('ajax-charts-dados-grafico-clientes', 'ChartsController@ajaxDadosGraficoClientes');
Route::post('ajax-lista-indicados', 'ChartsController@ajaxListaIndicados');



//Sistemas
Route::get('adm/sistema', 'SistemaController@indexSistema')->name('adm.sistema');
Route::get('adm/cadastrosistema', 'SistemaController@indexCadastroSistema')->name('adm.cadastrosistema');
Route::post('adm/sistema/salvar', 'SistemaController@salvarSistema')->name('adm.sistema.salvar');
Route::get('adm/cadastrosistema/{prefixo}&{id}&{sufixo}', 'SistemaController@indexEditarCadastroSistema')->name('adm.cadastrosistema.editar');
Route::post('adm/sistema/delete', 'SistemaController@deleteSistema')->name('adm.sistema.delete');

//Classe
Route::get('adm/classe', 'ClasseController@indexClasse')->name('adm.classe');
Route::get('adm/cadastroclasse', 'ClasseController@indexCadastroClasse')->name('adm.cadastroclasse');
Route::post('adm/classe/salvar', 'ClasseController@salvarClasse')->name('adm.classe.salvar');
Route::get('adm/cadastroclasse/{prefixo}&{id}&{sufixo}', 'ClasseController@indexEditarCadastroClasse')->name('adm.cadastroclasse.editar');
Route::post('adm/classe/delete', 'ClasseController@deleteClasse')->name('adm.classe.delete');

//Trocar senha
Route::get('adm/trocasenha', 'UsuarioController@indexTrocaSenha')->name('adm.trocasenha');
Route::post('adm/trocasenha/salvar', 'UsuarioController@salvarSenha')->name('adm.trocasenha.salvar');
Route::post('adm/ajax-lista-usuario','UsuarioController@ajaxListaUsuario')->name('ajax.lista.usuario');

//Admin rotas
Route::get('adm/rotas','RotaController@indexRotas')->name('adm.rota');
Route::post('adm/rotas/salvar','RotaController@salvarRota')->name('adm.rota.salvar');
Route::post('adm/rotas/delete','RotaController@deleteRota')->name('adm.rota.delete');
Route::post('adm/ajax-carrega-rota-pai','RotaController@ajaxRotaPai')->name('ajax.rota.carrega.pai');

//Classe_x_Rotas
Route::get('adm/classe-rotas', 'ClasseController@indexClasseRotas')->name('adm.classe_rotas');
Route::post('adm/ajax-carrega-classe-rotas','ClasseController@ajaxCarregaRotasByClasse')->name('adm.classe_rotas.ajax-carrega-rotas');
Route::post('adm/ajax-associa-classe-rota','ClasseController@ajaxVinculaRotas')->name('adm.classe_rotas.ajax-associa-rotas');

//Parâmetros
Route::get('adm/parametros', 'ParametroController@indexParametro')->name('adm.parametro');
Route::post('adm/parametros/salvar', 'ParametroController@salvarParametro')->name('adm.parametro.salvar');
Route::post('adm/parametros/delete', 'ParametroController@deleteParametro')->name('adm.parametro.delete');

//Estado
Route::get('adm/uf', 'UfController@indexUf')->name('adm.uf');
Route::post('adm/uf/salvar', 'UfController@salvarEstado')->name('adm.uf.salvar');

//carrega cidades - geral
Route::post('cadastros/ajax-cidade-uf','UfCidadeController@ajaxCidadeByUF')->name('uf.cidade');

//Cidade
Route::get('adm/cidade', 'CidadeController@indexCidade')->name('adm.cidade');
Route::post('adm/cidade/salvar', 'CidadeController@salvarCidade')->name('adm.cidade.salvar');
Route::post('adm/ajax-pesquisa-cidade','UfCidadeController@ajaxPesquisaCidade')->name('ajax.pesquisa.cidade');
Route::post('adm/ajax-pesquisa-uf','UfCidadeController@ajaxPesquisaUF')->name('ajax.pesquisa.uf');

//Usuários
Route::get('adm/usuario', 'UsuarioController@indexUsuario')->name('adm.usuario');
//Route::post('adm/usuario/salvar', 'UsuarioController@salvarUsuario')->name('adm.usuario.salvar');
//Route::post('adm/usuario/delete', 'UsuarioController@deleteUsuario')->name('adm.usuario.delete');
Route::post('adm/ajax-pesquisa-usuario','UsuarioController@ajaxPesquisaUsuario')->name('ajax.pesquisa.usuario');
Route::post('adm/ajax-pesquisa-empresa','EmpresaController@ajaxPesquisaEmpresa')->name('ajax.pesquisa.empresa');
Route::post('adm/ajax-pesquisa-classe-usuario','UsuarioController@ajaxPesquisaClasseUsuario')->name('ajax.pesquisa.classe.usuario');
//Route::post('adm/ajax-lista-unidade','UsuarioController@ajaxListaUnidade');
//Route::post('adm/ajax-lista-setor','UsuarioController@ajaxListaSetor');
Route::post('adm/ajax-lista-classe','ClasseController@ajaxListaClasseUsuario');
Route::post('adm/ajax-salvar-usuario','UsuarioController@ajaxSalvarUsuario');
Route::post('adm/ajax-pesquisa-usuario-login','UsuarioController@ajaxPesquisaUsuarioByLogin');
Route::post('adm/ajax-lista-cliente','ClienteController@ajaxListarCliente');
Route::post('adm/ajax-lista-transportador','TransportadorController@ajaxListarTransportador');
Route::post('adm/ajax-lista-destino-usuario', 'DestinoController@ajaxListaBaseDestino');
Route::post('adm/ajax-lista-classe-todos','ClasseController@ajaxListaClasseUsuarioTodos');

//Permissões
Route::get('adm/permissao', 'PermissaoController@indexPermissao')->name('adm.permissao');
Route::post('adm/permissao/salvar', 'PermissaoController@salvarPermissao')->name('adm.permissao.salvar');
Route::post('adm/permissao/delete', 'PermissaoController@deletePermissao')->name('adm.permissao.delete');


//Log
Route::get('adm/log','LogController@indexLog')->name('adm.log');
Route::post('adm/ajax-log-pesquisa','UsuarioController@ajaxPesquisaLog');
Route::post('adm/ajax-listar-usuario-log','UsuarioController@ajaxPesquisaUsuarioLista');


//Cliente
Route::get('cadastro/cliente', 'ClienteController@indexCliente')->name('cadastro.cliente');
Route::post('cadastro/ajax-pesquisa-cliente', 'ClienteController@ajaxPesquisaCliente');
Route::post('cadastro/ajax-salvar-cliente', 'ClienteController@ajaxSalvarCliente');
Route::post('cadastro/ajax-excluir-cliente', 'ClienteController@ajaxExcluirCliente');
Route::post('cadastro/ajax-lista-categoria-caixa2', 'CategoriaController@ajaxListaCategoria');

//Destino
Route::get('cadastro/destino', 'DestinoController@indexDestino')->name('cadastro.destino');
Route::post('cadastro/ajax-pesquisa-destino', 'DestinoController@ajaxPesquisarDestino');
Route::post('cadastro/ajax-salvar-destino', 'DestinoController@ajaxSalvarDestino');
Route::post('cadastro/ajax-excluir-destino', 'DestinoController@ajaxExcluirDestino');
Route::post('cadastro/ajax-listar-cliente', 'ClienteController@ajaxListarCliente');


//Veiculo
Route::get('cadastro/veiculo', 'VeiculoController@indexVeiculo')->name('cadastro.veiculo');
Route::post('cadastro/ajax-pesquisa-veiculo', 'VeiculoController@ajaxPesquisaVeiculo');
Route::post('cadastro/ajax-salvar-veiculo', 'VeiculoController@ajaxSalvarVeiculo');
Route::post('cadastro/ajax-excluir-veiculo', 'VeiculoController@ajaxExcluirVeiculo');
Route::post('cadastro/ajax-listar-tipo-veiculo', 'Tipo_veiculoController@ajaxPesquisaTipoVeiculo');
Route::post('cadastro/ajax-listar-transp-veic', 'TransportadorController@ajaxListarTransportador');


//Motorista
Route::get('cadastro/motorista', 'MotoristaController@indexMotorista')->name('cadastro.motorista');
Route::post('cadastro/ajax-pesquisa-motorista', 'MotoristaController@ajaxPesquisaMotorista');
Route::post('cadastro/ajax-salvar-motorista', 'MotoristaController@ajaxSalvarMotorista');
Route::post('cadastro/ajax-excluir-motorista', 'MotoristaController@ajaxExcluirMotorista');

//Transportador
Route::get('cadastro/transportador', 'TransportadorController@indexTransportador')->name('cadastro.transportador');
Route::post('cadastro/ajax-pesquisa-transportador', 'TransportadorController@ajaxPesquisaTransportador');
Route::post('cadastro/ajax-salvar-transportador', 'TransportadorController@ajaxSalvarTransportador');
Route::post('cadastro/ajax-excluir-transportador', 'TransportadorController@ajaxExcluirTransportador');

//Produto
Route::get('cadastro/produto', 'ProdutoController@indexProduto')->name('cadastro.produto');
Route::post('cadastro/ajax-pesquisa-produto', 'ProdutoController@ajaxPesquisaProduto');
Route::post('cadastro/ajax-salvar-produto', 'ProdutoController@ajaxSalvarProduto');
Route::post('cadastro/ajax-excluir-produto', 'ProdutoController@ajaxExcluirProduto');

//Serviço
Route::get('cadastro/servico', 'ServicoController@indexServico')->name('cadastro.servico');
Route::post('cadastro/ajax-pesquisa-servico', 'ServicoController@ajaxPesquisaServico');
Route::post('cadastro/ajax-salvar-servico', 'ServicoController@ajaxSalvarServico');
Route::post('cadastro/ajax-excluir-servico', 'ServicoController@ajaxExcluirServico');

//Agenda
Route::get('patio/estadia', 'EstadiaController@indexEstadia')->name('patio.estadia');
Route::post('patio/ajax-pesquisa-agendados', 'EstadiaController@ajaxPesquisarAgendados');
Route::post('patio/ajax-salvar-estadia', 'EstadiaController@ajaxSalvarAgenda');
Route::post('patio/ajax-listar-cliente-estadia', 'ClienteController@ajaxListarCliente');
Route::post('patio/ajax-listar-produto-estadia', 'ProdutoController@ajaxListaProduto');
Route::post('patio/ajax-listar-destino-estadia', 'DestinoController@ajaxListaDestino');
Route::post('patio/ajax-listar-transp-estadia', 'TransportadorController@ajaxListarTransportadorAuto');
Route::post('patio/ajax-buscar-cliente', 'ClienteController@ajaxBuscaClientePorId');
Route::post('patio/ajax-buscar-motorista-cpf', 'MotoristaController@ajaxBuscarMotoristaPeloCpf');
Route::post('patio/ajax-buscar-veiculo-placa', 'VeiculoController@ajaxBuscarVeiculoPelaPlaca');
Route::post('patio/ajax-listar-formula', 'FormulaController@ajaxListaFormula');
Route::post('patio/ajax-listar-tipo-veiculo', 'Tipo_veiculoController@ajaxPesquisaTipoVeiculo');
Route::post('patio/ajax-verificar-veiculo-estadia', 'VeiculoController@ajaxVerificaSeEstaNoPatio');


//Receber
Route::get('patio/receber', 'EstadiaController@indexReceber')->name('patio.receber');
Route::post('patio/ajax-pesquisa-receber', 'EstadiaController@ajaxPesquisarReceber');
Route::post('patio/ajax-salvar-receber', 'EstadiaController@ajaxSalvarReceber');
Route::post('patio/ajax-listar-cliente-receber', 'ClienteController@ajaxListarCliente');
Route::post('patio/ajax-listar-produto-receber', 'ProdutoController@ajaxListaProduto');
Route::post('patio/ajax-listar-destino-receber', 'DestinoController@ajaxListaDestino');
Route::post('patio/ajax-listar-transp-receber', 'TransportadorController@ajaxListarTransportador');

//Chamar
Route::get('patio/chamar', 'EstadiaController@indexChamar')->name('patio.chamar');
Route::post('patio/ajax-pesquisa-chamada', 'EstadiaController@ajaxPesquisarChamada');
Route::post('patio/ajax-salvar-chamada', 'EstadiaController@ajaxSalvarChamada');
Route::post('patio/ajax-listar-cliente-chamada', 'ClienteController@ajaxListarCliente');
Route::post('patio/ajax-listar-produto-chamada', 'ProdutoController@ajaxListaProduto');
Route::post('patio/ajax-listar-destino-chamada', 'DestinoController@ajaxListaDestino');
Route::post('patio/ajax-listar-transp-chamada', 'TransportadorController@ajaxListarTransportador');
Route::post('patio/ajax-desfaz-chamada', 'EstadiaController@ajaxDesfazerChamada');


//Sair
Route::get('patio/sair', 'EstadiaController@indexSair')->name('patio.sair');
Route::post('patio/ajax-pesquisa-sair', 'EstadiaController@ajaxPesquisarSaida');
Route::post('patio/ajax-salvar-sair', 'EstadiaController@ajaxSalvarSaida');
Route::post('patio/ajax-listar-cliente-sair', 'ClienteController@ajaxListarCliente');
Route::post('patio/ajax-listar-produto-sair', 'ProdutoController@ajaxListaProduto');
Route::post('patio/ajax-listar-destino-sair', 'DestinoController@ajaxListaDestino');
Route::post('patio/ajax-listar-transp-sair', 'TransportadorController@ajaxListarTransportador');

//Consulta Agenda
Route::get('consulta/consagenda', 'EstadiaController@indexConsAgenda')->name('consulta.consagenda');
Route::post('consulta/ajax-pesquisa-consulta-agenda', 'EstadiaController@ajaxPesquisarAgendados');
Route::post('consulta/ajax-listar-cliente-consagenda', 'ClienteController@ajaxListarCliente');
Route::post('consulta/ajax-listar-produto-consagenda', 'ProdutoController@ajaxListaProduto');
Route::post('consulta/ajax-listar-destino-consagenda', 'DestinoController@ajaxListaDestino');
Route::post('consulta/ajax-listar-transp-consagenda', 'TransportadorController@ajaxListarTransportador');

//Consulta Painel
Route::get('consulta/painel','PainelController@indexPainel')->name('consulta.painel');
Route::post('consulta/ajax-pesquisa-painel-geral2','PainelController@ajaxPesquisaFilaCliente');
Route::post('consulta/ajax-listar-cliente-painel', 'ClienteController@ajaxListarCliente');
Route::get('consulta/painelroma','PainelController@indexPainelRoma')->name('consulta.painelroma');


//Consulta Painel Fertgrow
Route::get('consulta/painelfertgrow','PainelController@indexPainelFertgrow')->name('consulta.painelfertgrow');
Route::post('consulta/ajax-pesquisa-painel-fertgrow','PainelController@ajaxPesquisaFilaFertgrow');
//Route::post('consulta/ajax-listar-cliente-painel', 'ClienteController@ajaxListarCliente');


//Consulta Pátio
Route::get('consulta/conspatio', 'EstadiaController@indexConsPatio')->name('consulta.conspatio');
Route::post('consulta/ajax-pesquisa-consulta-patio', 'EstadiaController@ajaxPesquisarPatio');
Route::post('consulta/ajax-listar-cliente-patio', 'ClienteController@ajaxListarClienteVivo');
//Route::post('consulta/ajax-listar-cliente-patio', 'ClienteController@ajaxListarCliente');

Route::post('consulta/ajax-listar-produto-patio', 'ProdutoController@ajaxListaProduto');
Route::post('consulta/ajax-listar-destino-patio', 'DestinoController@ajaxListaDestino');
Route::post('consulta/ajax-listar-transp-patio', 'TransportadorController@ajaxListarTransportador');

//Route::post('patio/ajax-listar-cliente-vivo', 'ClienteController@ajaxListarClienteVivo');


//Consulta carga
Route::get('consulta/conscarga', 'EstadiaController@indexConsCarga')->name('consulta.conscarga');
Route::post('consulta/ajax-pesquisa-consulta-carga', 'EstadiaController@ajaxPesquisarCargaDescarga');

//Consulta descarga
Route::get('consulta/consdescarga', 'EstadiaController@indexConsDescarga')->name('consulta.consdescarga');
Route::post('consulta/ajax-pesquisa-consulta-descarga', 'EstadiaController@ajaxPesquisarCargaDescarga');

//Consulta Chamados
Route::get('consulta/conschamado', 'EstadiaController@indexConsChamado')->name('consulta.conschamado');
Route::post('consulta/ajax-pesquisa-consulta-chamado', 'EstadiaController@ajaxPesquisarConsChamada');
Route::post('consulta/ajax-listar-cliente-chamado', 'ClienteController@ajaxListarCliente');
Route::post('consulta/ajax-listar-produto-chamado', 'ProdutoController@ajaxListaProduto');
Route::post('consulta/ajax-listar-destino-chamado', 'DestinoController@ajaxListaDestino');
Route::post('consulta/ajax-listar-transp-chamado', 'TransportadorController@ajaxListarTransportador');

//Auto Agendamento
Route::get('patio/autoagenda', 'EstadiaController@indexAuto')->name('patio.autoagenda');
//Route::post('patio/ajax-pesquisa-agendados', 'EstadiaController@ajaxPesquisarAgendados');
Route::post('patio/ajax-salvar-auto', 'EstadiaController@ajaxSalvarAutoAgenda');
Route::post('patio/ajax-listar-cliente-auto', 'ClienteController@ajaxListarClienteAuto');
//Route::post('patio/ajax-listar-produto-estadia', 'ProdutoController@ajaxListaProduto');
//Route::post('patio/ajax-listar-destino-estadia', 'DestinoController@ajaxListaDestino');
//Route::post('patio/ajax-listar-transp-estadia', 'TransportadorController@ajaxListarTransportador');
//Route::post('patio/ajax-buscar-cliente', 'ClienteController@ajaxBuscaClientePorId');
//Route::post('patio/ajax-buscar-motorista-cpf', 'MotoristaController@ajaxBuscarMotoristaPeloCpf');
//Route::post('patio/ajax-buscar-veiculo-placa', 'VeiculoController@ajaxBuscarVeiculoPelaPlaca');
Route::post('patio/ajax-varificar-veiculo', 'VeiculoController@ajaxVerificaSeEstaNoPatio');
Route::post('patio/ajax-insere-destino', 'DestinoController@ajaxSalvarDestinoAuto');
Route::post('patio/ajax-insere-transp', 'TransportadorController@ajaxSalvarTranspAuto');


//Entrada Avulso
Route::get('patio/avulso', 'EstadiaController@indexAvulso')->name('patio.avulso');
Route::post('patio/ajax-listar-destino-avulso', 'DestinoController@ajaxListaDestinoAvulso');
Route::post('patio/ajax-salvar-destino-avulso', 'DestinoController@ajaxSalvarDestinoAvulso');
Route::post('patio/ajax-salvar-avulso', 'EstadiaController@ajaxSalvarAvulso');
Route::post('patio/ajax-verificar-veiculo-avulso', 'VeiculoController@ajaxVerificaSeEstaNoPatio');


//consulta estadias
Route::get('consulta/consestadia', 'EstadiaController@indexConsEstadia')->name('consulta.consestadia');
Route::post('consulta/ajax-pesquisa-consulta-estadia', 'EstadiaController@ajaxConsultaEstadia');
Route::get('consulta/impconsestadia', 'EstadiaController@indeximpConsEstadia')->name('consulta.impconsestadia');
Route::post('consulta/ajax-listar-operador', 'UsuarioController@ajaxListaOperadorCaixa');
Route::post('consulta/ajax-lista-categoria-consulta', 'CategoriaController@ajaxListaCategoria');
//Route::get('consulta/consestadia/excel/{cliente}&{dataI}&{dataF}&{transp}','ExcelController@gerarExcelConsultaEstadia')->name('consulta.consestadia.excel');
Route::post('consulta/ajax-pesquisa-sumario', 'EstadiaController@ajaxPesquisarSumario');


//PDF
Route::get('pdf/pdfestadia', 'PdfController@gerarPdfEstadia')->name('pdf.pdfestadia');
Route::post('consulta/ajax-pesquisa-consulta-estadia-pdf', 'EstadiaController@ajaxConsultaEstadia');
Route::get('pdfinsp/{checklist}', 'PdfController@gerarPdfInsp')->name('pdfinsp');
Route::get('pdfinspsoene/{checklist}', 'PdfController@gerarPdfInspSoene')->name('pdfinspsoene');
Route::get('pdfinspbrasil/{checklist}', 'PdfController@gerarPdfInspbrasil')->name('pdfinspbrasil');
Route::get('pdfinspfto/{checklist}', 'PdfController@gerarPdfInspFto')->name('pdfinspfto');


//Route::get('pdfview',array('as'=>'pdfview','uses'=>'BestInterviewQuestionController@pdfview'));
//Route::get('pdfchecklist/{checklist}', 'PdfController@gerarPdf')->name('pdfchecklist');
//Route::get('pdftocantins/{checklist}', 'PdfController@gerarPdfTocantins')->name('pdftocantins');
//Route::get('pdfcaixa/{caixa}', 'PdfController@gerarPdfCaixa')->name('pdfcaixa');

//Categoria
Route::get('cadastro/categoria', 'CategoriaController@indexCategoria')->name('cadastro.categoria');
Route::post('cadastro/ajax-pesquisa-categoria', 'CategoriaController@ajaxPesquisaCategoria');
Route::post('cadastro/ajax-lista-categoria', 'CategoriaController@ajaxListaCategoria');
Route::post('cadastro/ajax-salvar-categoria', 'CategoriaController@ajaxSalvarCategoria');

//Caixa
Route::get('patio/caixa', 'EstadiaController@indexCaixa')->name('patio.caixa');
Route::post('patio/ajax-lista-caixa-aberto', 'CaixaController@ajaxListaCaixaAberto');
Route::post('patio/ajax-lista-turno', 'Caixa_turnoController@ajaxListaTurno');
Route::post('patio/ajax-salvar-caixa', 'CaixaController@ajaxSalvarCaixa');
Route::post('patio/ajax-lista-categoria-caixa', 'CategoriaController@ajaxListaCategoria');
Route::post('patio/ajax-pesquisa-dados-categoria', 'CategoriaController@ajaxDadosCategoria');
Route::post('patio/ajax-salvar-estadia-caixa', 'EstadiaController@ajaxSalvarCaixa');
Route::post('patio/ajax-pesquisa-caixa-sair', 'EstadiaController@ajaxPesquisarSaida');
Route::post('patio/ajax-dados-caixa', 'CaixaController@ajaxListaSumarioCaixa');
Route::post('patio/ajax-listar-usuario-caixa', 'UsuarioController@ajaxListaUsuario');
Route::post('patio/ajax-fechar-caixa', 'CaixaController@ajaxFecharCaixa');
Route::post('patio/ajax-lista-veiculos-do-caixa', 'CaixaController@ajaxListaEstadiasDoCaixa');
Route::get('patio/impcaixa', 'EstadiaController@indexImpCaixa')->name('patio.impcaixa');
Route::get('patio/imprecibo', 'EstadiaController@indexImpRecibo')->name('patio.imprecibo');
Route::post('patio/ajax-dados-estadia', 'CaixaController@ajaxDadosEstadia');
Route::get('patio/impreciboroma', 'EstadiaController@indexImpReciboRoma')->name('patio.impreciboroma');
Route::get('patio/imprecibobrasil', 'EstadiaController@indexImpReciboBrasil')->name('patio.imprecibobrasil');
Route::post('patio/ajax-pesquisa-vira-anterior', 'EstadiaController@ajaxPesquisaViraAnterior');
Route::post('patio/ajax-pesquisa-qtde-vira-anterior', 'EstadiaController@ajaxPesquisaQtdeViraAnterior');


//Usuário x Destino
Route::get('adm/usuariodestino', 'UsuarioDestinoController@indexUsuario_destino')->name('adm.usuariodestino');
Route::post('adm/ajax-pesquisa-usuario-destino', 'UsuarioDestinoController@ajaxPesquisarUsuarioDestino');
Route::post('adm/ajax-lista-usuario-destino', 'UsuarioController@ajaxListaUsuarioDestino');
Route::post('adm/ajax-salvar-usuario-destino', 'UsuarioDestinoController@ajaxSalvarUsuarioDestino');
Route::post('adm/ajax-lista-destino-disponivel', 'UsuarioDestinoController@ajaxListarUsuarioDestino');
Route::post('adm/ajax-excluir-usuario-destino', 'UsuarioDestinoController@ajaxEcluiUsuarioDestino');

//Mensagem
Route::get('cadastro/mensagem','MensagemController@indexMensagem')->name('cadastro.mensagem');
Route::post('cadastro/ajax-pesquisa-mensagem','MensagemController@ajaxPesquisaMensagem');
Route::post('cadastro/ajax-salvar-mensagem','MensagemController@ajaxSalvarMensagem');
Route::post('cadastro/ajax-excluir-mensagem','MensagemController@ajaxExcluirMensagem');

//Inspeção
Route::get('patio/inspecao','InspecaoController@indexInspecao')->name('patio.inspecao');
Route::post('patio/ajax-pesquisar-inspecao','InspecaoController@ajaxPesquisaInspecao');
Route::post('patio/ajax-salvar-iniciar','InspecaoController@ajaxIniciarInspecao');
Route::post('patio/ajax-salvar-finalizar2','InspecaoController@ajaxSalvarFinalizar');
Route::post('patio/ajax-salvar-manutencao','InspecaoController@ajaxSalvarManutencao');


//Tipo de veículo
Route::get('adm/tipo_veiculo','Tipo_veiculoController@indexTipo_veiculo')->name('adm.tipo_veiculo');
Route::post('adm/ajax-pesquisar-tipo-veiculo','Tipo_veiculoController@ajaxPesquisaTipoVeiculo');
Route::post('adm/ajax-salvar-tipo-veiculo','Tipo_veiculoController@ajaxSalvarTipoVeiculo');
Route::post('adm/ajax-excluir-tipo-veiculo','Tipo_veiculoController@ajaxExcluirTipoVeiculo');

//Fórmula
Route::get('adm/formula','FormulaController@indexFormula')->name('adm.formula');
Route::post('adm/ajax-pesquisar-formula','FormulaController@ajaxPesquisarFormula');
Route::post('adm/ajax-salvar-formula','FormulaController@ajaxSalvarFormula');
Route::post('adm/ajax-excluir-formula','FormulaController@ajaxExcluirFormula');
Route::post('adm/ajax-listar-cliente-formula', 'ClienteController@ajaxListarCliente');
Route::post('adm/ajax-buscar-cliente-formula', 'ClienteController@ajaxBuscaClientePorId');

//Receber Fabrica
Route::get('patio/receberfab', 'EstadiaController@indexReceberFab')->name('patio.receberfab');
Route::post('patio/ajax-pesquisa-receberfab', 'EstadiaController@ajaxPesquisarReceberFab');
Route::post('patio/ajax-salvar-receber-fab', 'EstadiaController@ajaxSalvarReceberFab');
//Route::post('patio/ajax-listar-cliente-sair', 'ClienteController@ajaxListarCliente');
Route::post('patio/ajax-listar-produto-sair', 'ProdutoController@ajaxListaProduto');
Route::post('patio/ajax-listar-destino-sair', 'DestinoController@ajaxListaDestino');
Route::post('patio/ajax-listar-transp-sair', 'TransportadorController@ajaxListarTransportador');

//Consulta Transito
Route::get('consulta/constransito', 'EstadiaController@indexConsTransito')->name('consulta.constransito');
Route::post('consulta/ajax-pesquisa-consulta-transito', 'EstadiaController@ajaxPesquisarTransito');
//Route::post('consulta/ajax-listar-cliente-patio', 'ClienteController@ajaxListarCliente');
//Route::post('consulta/ajax-listar-produto-patio', 'ProdutoController@ajaxListaProduto');
//Route::post('consulta/ajax-listar-destino-patio', 'DestinoController@ajaxListaDestino');
//Route::post('consulta/ajax-listar-transp-patio', 'TransportadorController@ajaxListarTransportador');

//Cliente carga
Route::get('cadastro/clientecarga', 'ClientecargaController@indexClientecarga')->name('cadastro.clientecarga');
Route::post('cadastro/ajax-listar-cliente-carga', 'ClienteController@ajaxListarClienteParaCarga');
Route::post('cadastro/ajax-pesquisa-cliente-carga', 'ClientecargaController@ajaxPesquisarClienteCarga');
Route::post('cadastro/ajax-salvar-cliente-carga', 'ClientecargaController@ajaxSalvarClientecarga');
//Route::post('cadastro/ajax-excluir-destino', 'DestinoController@ajaxExcluirDestino');
//Route::post('cadastro/ajax-listar-cliente', 'ClienteController@ajaxListarCliente');

//consulta financeiro
Route::get('consulta/consfinanceiro', 'EstadiaController@indexConsFinanceiro')->name('consulta.consfinanceiro');
Route::post('consulta/ajax-pesquisa-consulta-financeiro', 'EstadiaController@ajaxConsultaFinanceiro');
//Route::get('consulta/impconsestadia', 'EstadiaController@indeximpConsEstadia')->name('consulta.impconsestadia');
//Route::post('consulta/ajax-listar-operador', 'UsuarioController@ajaxListaOperadorCaixa');
//Route::post('consulta/ajax-lista-categoria-consulta', 'CategoriaController@ajaxListaCategoria');
Route::post('consulta/ajax-pesquisa-sumario-categoria', 'EstadiaController@ajaxPesquisaSumarioCategoria');

//Manutenção
Route::get('patio/manutencao', 'EstadiaController@indexManutencao')->name('patio.manutencao');
Route::post('patio/ajax-pesquisa-manutencao', 'EstadiaController@ajaxPesquisarManutencao');
Route::post('patio/ajax-salvar-estadia-manutencao', 'EstadiaController@ajaxSalvarManutencao');
Route::post('patio/ajax-listar-cliente-manutencao', 'ClienteController@ajaxListarClienteManutencao');
Route::post('patio/ajax-salvar-inspecao', 'EstadiaController@ajaxCriarNovaInspecao');

//Route::post('patio/ajax-listar-produto-estadia', 'ProdutoController@ajaxListaProduto');
//Route::post('patio/ajax-listar-destino-estadia', 'DestinoController@ajaxListaDestino');
//Route::post('patio/ajax-listar-transp-estadia', 'TransportadorController@ajaxListarTransportador');
//Route::post('patio/ajax-buscar-cliente', 'ClienteController@ajaxBuscaClientePorId');
//Route::post('patio/ajax-buscar-motorista-cpf', 'MotoristaController@ajaxBuscarMotoristaPeloCpf');
//Route::post('patio/ajax-buscar-veiculo-placa', 'VeiculoController@ajaxBuscarVeiculoPelaPlaca');
//Route::post('patio/ajax-listar-formula', 'FormulaController@ajaxListaFormula');
//Route::post('patio/ajax-listar-tipo-veiculo', 'Tipo_veiculoController@ajaxPesquisaTipoVeiculo');

//patio vivo
Route::get('patio/patiovivo', 'OcorrenciaController@indexPatioVivo')->name('patio.patiovivo');
Route::post('patio/ajax-listar-cliente-vivo', 'ClienteController@ajaxListarClienteVivo');
Route::post('patio/ajax-pesquisa-patio-vivo', 'EstadiaController@ajaxPesquisarPatioVivo');
Route::post('patio/ajax-pesquisa-historico-vivo', 'EstadiaController@ajaxPesquisarHistoricoVivo');
Route::post('patio/ajax-salvar-bloqueio', 'EstadiaController@ajaxSalvarBloqueio');
Route::post('patio/ajax-salvar-desbloqueio', 'EstadiaController@ajaxSalvarDesbloqueio');
Route::post('patio/ajax-salvar-cancelar', 'EstadiaController@ajaxSalvarCancelar');
Route::post('patio/ajax-pesquisa-ocorrencia-vivo', 'OcorrenciaController@ajaxPesquisarOcorrencia');
Route::post('patio/ajax-salvar-ocorrencia', 'EstadiaController@ajaxSalvarOcorrencia');
Route::post('patio/ajax-listar-transp-vivo', 'TransportadorController@ajaxListarTransportador');
Route::post('patio/ajax-listar-produto-vivo', 'ProdutoController@ajaxListaProduto');
Route::post('patio/ajax-salvar-prioridade', 'EstadiaController@ajaxSalvarPrioridade');
Route::post('patio/ajax-salvar-retirar-prioridade', 'EstadiaController@ajaxSalvarRetirarPrioridade');

//Consulta Painel Brasil
Route::get('consulta/painelbrasil','PainelController@indexPainelBrasil')->name('consulta.painelbrasil');
Route::post('consulta/ajax-pesquisa-painel-geral3','PainelController@ajaxPesquisaFilaCliente');
Route::post('consulta/ajax-listar-cliente-painel', 'ClienteController@ajaxListarCliente');
//Route::get('consulta/painelroma','PainelController@indexPainelRoma')->name('consulta.painelroma');

Route::get('consulta/painelbrasilfertil','PainelController@indexPainelBrasilFertilizante')->name('consulta.painelbrasilfertil');
Route::post('consulta/ajax-pesquisa-painel-graos','PainelController@ajaxPesquisaFilaClienteGraos');

//Parceiro
Route::get('cadastro/parceiro', 'ParceiroController@indexParceiro')->name('cadastro.parceiro');
Route::post('cadastro/ajax-pesquisa-parceiro','ParceiroController@ajaxPesquisaParceiro');
Route::post('cadastro/ajax-salvar-parceiro','ParceiroController@ajaxSalvarParceiro');
Route::post('cadastro/ajax-pesquisa-cidade-unidade','Unidade_negocioController@ajaxObterCidade');
Route::post('cadastro/ajax-listar-cliente','ParceiroController@ajaxListarCliente');
Route::post('cadastro/ajax-carrega-uf','UfController@ajaxCarregaUF');
Route::post('cadastro/ajax-carrega-cidade','UfCidadeController@ajaxListaCidade');

//Funcao
Route::get('cadastro/funcao', 'FuncaoController@indexFuncao')->name('cadastro.funcao');
Route::post('cadastro/ajax-salvar-funcao','FuncaoController@ajaxSalvarFuncao');
Route::post('cadastro/ajax-pesquisar-funcao','FuncaoController@ajaxPesquisarFuncao');
Route::post('cadastro/ajax-excluir-funcao','FuncaoController@ajaxExcluirFuncao');

//Colaborador
Route::get('cadastro/colaborador', 'ColaboradorController@indexColaborador')->name('cadastro.colaborador');
Route::post('cadastro/ajax-salvar-colaborador','ColaboradorController@ajaxSalvarColaborador');
Route::post('cadastro/ajax-pesquisar-colaborador','ColaboradorController@ajaxPesquisarColaborador');
Route::post('cadastro/ajax-listar-escola-geral','EscolaController@ajaxListarEscolasGeral');
Route::post('cadastro/ajax-listar-funcao','FuncaoController@ajaxPesquisarFuncao');
Route::post('cadastro/ajax-pesquisar-financeiro','ColaboradorController@ajaxPesquisarFinanceiro');
Route::post('cadastro/ajax-salvar-ocorrencia','OcorrenciaController@ajaxSalvarOcorrencia');
Route::post('cadastro/ajax-pesquisar-ocorrencia','OcorrenciaController@ajaxPesquisarOcorrencia');
Route::post('cadastro/ajax-excluir-ocorrencia','OcorrenciaController@ajaxExcluirOcorrencia');

//Banco
Route::get('financeiro/banco', 'BancoController@indexBanco')->name('financeiro.banco');
Route::post('financeiro/ajax-pesquisar-banco','BancoController@ajaxPesquisarBanco');
Route::post('financeiro/ajax-salvar-banco','BancoController@ajaxSalvarBanco');
Route::post('financeiro/ajax-excluir-banco','BancoController@ajaxExcluirBanco');

//Conta financeira
Route::get('financeiro/conta_fin', 'Conta_finController@indexConta_fin')->name('financeiro.conta_fin');
Route::post('financeiro/ajax-pesquisar-contafin','Conta_finController@ajaxPesquisarContaFin');
Route::post('financeiro/ajax-salvar-contafin','Conta_finController@ajaxSalvarConta_fin');
Route::post('financeiro/ajax-excluir-contafin','Conta_finController@ajaxExcluirConta_fin');
Route::post('financeiro/ajax-listar-banco','BancoController@ajaxPesquisarBanco');

//Conta custo
Route::get('financeiro/conta_custo', 'Conta_custoController@indexConta_custo')->name('financeiro.conta_custo');
Route::post('financeiro/ajax-pesquisar-contacusto','Conta_custoController@ajaxPesquisarConta_custo');
Route::post('financeiro/ajax-salvar-contacusto','Conta_custoController@ajaxSalvarConta_custo');
Route::post('financeiro/ajax-excluir-contacusto','Conta_custoController@ajaxExcluirConta_custo');

//Centro de custo
Route::get('financeiro/centro_custo', 'Centro_custoController@indexCentro_custo')->name('financeiro.centro_custo');
Route::post('financeiro/ajax-pesquisar-centrocusto','Centro_custoController@ajaxPesquisarCentroCusto');
Route::post('financeiro/ajax-salvar-centrocusto','Centro_custoController@ajaxSalvarCentroCusto');
Route::post('financeiro/ajax-excluir-centrocusto','Centro_custoController@ajaxExcluirCentroCusto');
Route::post('financeiro/ajax-carrega-grupo-ccusto','Grupo_ccustoController@ajaxPesquisarGrupoCCusto');
Route::post('financeiro/ajax-insere-grupo','Grupo_ccustoController@ajaxSalvarGrupo_ccusto');

//teste API
Route::post('consulta/ajax-teste-api', 'EstadiaController@ajaxTesteAPI');
Route::post('consulta/ajax-salvar-integracao', 'EstadiaController@ajaxSalvarIntegracao');

//Ordem de Pgto
Route::get('financeiro/ordem_pgto', 'Ordem_pgtoController@indexOrdem_pgto')->name('financeiro.ordem_pgto');
Route::post('financeiro/ajax-pesquisa-ordem-pgto', 'Ordem_pgtoController@ajaxPesquisaOrdemPgto');
Route::post('financeiro/ajax-salvar-ordem-pgto', 'Ordem_pgtoController@ajaxSalvarOrdemPgto');
Route::post('financeiro/ajax-carrega-pessoa-ordem', 'ParceiroController@ajaxPesquisaParceiroOrdemPgto');
Route::post('financeiro/ajax-aprovar-ordem-pgto', 'Ordem_pgtoController@ajaxAprovarOrdemPgto');
Route::post('financeiro/ajax-salvar-movimento-ordem', 'MovimentoController@ajaxSalvarMovimento');

//Movimento
Route::get('financeiro/movimento', 'MovimentoController@indexMovimento')->name('financeiro.movimento');
Route::post('financeiro/ajax-pesquisa-movimento', 'MovimentoController@ajaxPesquisaMovFinanceiro');
Route::post('financeiro/ajax-salvar-movimento', 'MovimentoController@ajaxSalvarMovimento');
Route::post('financeiro/ajax-excluir-movimento', 'MovimentoController@ajaxExcluirMovimento');
Route::post('financeiro/ajax-carrega-conta-mov', 'Conta_finController@ajaxPesquisarContaFin');
Route::post('financeiro/ajax-carrega-pessoa-mov', 'ParceiroController@ajaxPesquisaParceiro');
Route::post('financeiro/ajax-carrega-centro-custo', 'Centro_custoController@ajaxPesquisarCentroCusto');
Route::post('financeiro/ajax-carrega-conta-custo', 'Conta_custoController@ajaxPesquisarConta_custo');
Route::post('financeiro/ajax-carrega-func-mov', 'ColaboradorController@ajaxPesquisarFuncMov');
Route::post('financeiro/ajax-insere-fornec-mov','ParceiroController@ajaxInsereFornecEntrada');

//Entrada Carrosel - Vira
Route::get('patio/carrosel', 'EstadiaController@indexCarrosel')->name('patio.carrosel');
//Route::post('patio/ajax-listar-destino-avulso', 'DestinoController@ajaxListaDestinoAvulso');
//Route::post('patio/ajax-salvar-destino-avulso', 'DestinoController@ajaxSalvarDestinoAvulso');
Route::post('patio/ajax-salvar-vira', 'EstadiaController@ajaxSalvarVira');
Route::post('patio/ajax-listar-transp-vira', 'TransportadorController@ajaxListarTransportadorVira');
Route::post('patio/ajax-listar-operacao-vira', 'OperacaoController@ajaxPesquisarOperacao');
Route::post('patio/ajax-salvar-operacao-vira', 'OperacaoController@ajaxSalvarOperacao');
Route::post('patio/ajax-checa-se-esta-no-patio','EstadiaController@ajaxEstaNoPatio');
Route::post('patio/ajax-busca-classe','UsuarioController@ajaxPesquisaClasse');


//Consulta Vira
Route::get('consulta/consultavira', 'EstadiaController@indexConsVira')->name('consulta.consultavira');
Route::post('consulta/ajax-listar-transp-vira', 'TransportadorController@ajaxListarTransportadorVira');
Route::post('consulta/ajax-pesquisa-vira', 'EstadiaController@ajaxPesquisarDadosVira');
Route::post('consulta/ajax-listar-operacao-consulta', 'OperacaoController@ajaxPesquisarOperacao');
Route::post('consulta/ajax-salvar-sumario', 'ViraController@ajaxSalvarVira');
Route::post('consulta/ajax-excluir-todos-sumarios', 'ViraController@ajaxExcluirTodosSumarios');
Route::post('consulta/ajax-pesquisa-sumario-vira', 'EstadiaController@ajaxPesquisarSumarioVira');
Route::post('consulta/ajax-salvar-fatura', 'EstadiaController@ajaxSalvarFaturas');
Route::post('consulta/ajax-listar-faturas', 'EstadiaController@ajaxPesquisarFaturas');
Route::post('consulta/ajax-pesquisa-dados-faturado', 'EstadiaController@ajaxPesquisarDadosFaturado');

//Consulta Inspeção
Route::get('consulta/consinspecao', 'EstadiaController@indexConsInspecao')->name('consulta.consinspecao');
Route::post('consulta/ajax-pesquisa-consulta-inspecao', 'EstadiaController@ajaxPesquisarConsultaInspecao');
//Route::post('consulta/ajax-salvar-chamada', 'EstadiaController@ajaxSalvarChamada');
Route::post('consulta/ajax-listar-cliente-consulta-inspecao', 'ClienteController@ajaxListarCliente');
Route::post('consulta/ajax-listar-produto-consulta-inspecao', 'ProdutoController@ajaxListaProduto');
Route::post('consulta/ajax-listar-destino-consulta-inspecao', 'DestinoController@ajaxListaDestino');
Route::post('consulta/ajax-listar-transp-consulta-inspecao', 'TransportadorController@ajaxListarTransportador');
Route::post('consulta/ajax-listar-formula-consulta-inspecao', 'FormulaController@ajaxListaFormula');
//Route::post('consulta/ajax-desfaz-chamada', 'EstadiaController@ajaxDesfazerChamada');

//rotas da mineração

//origem
/* Route::get('mineracao/morigem', 'MorigemController@indexOrigem')->name('mineracao.morigem');
Route::post('mineracao/ajax-pesquisa-morigem', 'MorigemController@ajaxPesquisarOrigem');
Route::post('mineracao/ajax-salvar-morigem', 'MorigemController@ajaxSalvarOrigem'); */


//destino
/* Route::get('mineracao/mdestino', 'MdestinoController@indexDestino')->name('mineracao.mdestino');
Route::post('mineracao/ajax-pesquisa-mdestino', 'MdestinoController@ajaxPesquisarDestino');
Route::post('mineracao/ajax-salvar-mdestino', 'MdestinoController@ajaxSalvarDestino');
Route::post('mineracao/ajax-excluir-mdestino', 'MdestinoController@ajaxExcluirDestino'); */


//tipo de cacamba
/* Route::get('mineracao/mtipocacamba', 'MtipoCacambaController@indexTipoCacamba')->name('mineracao.mtipocacamba');
Route::post('mineracao/ajax-pesquisa-mtipo', 'MtipoCacambaController@ajaxPesquisarTipo');
Route::post('mineracao/ajax-salvar-mtipo', 'MtipoCacambaController@ajaxSalvarTipoCacamba');
Route::post('mineracao/ajax-excluir-mtipo', 'MtipoCacambaController@ajaxExcluirTipoCacamba'); */


//Produto Produto
/* Route::get('mineracao/mproduto', 'ProdutoController@indexProdutoMinerio')->name('mineracao.mproduto');
Route::post('mineracao/ajax-pesquisa-mproduto', 'ProdutoController@ajaxPesquisaProduto');
Route::post('mineracao/ajax-salvar-mproduto', 'ProdutoController@ajaxSalvarProduto');
Route::post('mineracao/ajax-excluir-mproduto', 'ProdutoController@ajaxExcluirProduto'); */


//Operação Mineracao
/* Route::get('mineracao/moperacao', 'MoperacaoController@indexOperacao')->name('mineracao.moperacao');
Route::post('mineracao/ajax-pesquisa-moperacao', 'MoperacaoController@ajaxPesquisarOperacao');
Route::post('mineracao/ajax-salvar-moperacao', 'MoperacaoController@ajaxSalvarOperacao');
Route::post('mineracao/ajax-listar-mcliente', 'ClienteController@ajaxListarCliente');
Route::post('mineracao/ajax-listar-mproduto', 'ProdutoController@ajaxListaProduto');
Route::post('mineracao/ajax-listar-mdestino', 'MdestinoController@ajaxPesquisarDestino');
Route::post('mineracao/ajax-listar-morigem', 'MorigemController@ajaxPesquisarOrigem'); */


//Saida da Mina
/* Route::get('mineracao/saidamina', 'MmovimentoController@indexSaidaMina')->name('mineracao.saidamina');
Route::post('mineracao/ajax-listar-mtransp', 'TransportadorController@ajaxListarTransportador');
Route::post('mineracao/ajax-listar-mveiculo', 'VeiculoController@ajaxPesquisaVeiculo');
Route::post('mineracao/ajax-listar-moperacao', 'MoperacaoController@ajaxPesquisarOperacao');
Route::post('mineracao/ajax-pesquisa-msaida', 'MmovimentoController@ajaxPesquisarSaidaMina'); */



