<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <!-- favicon -->
    <link rel="shortcut icon" href="<?php echo e(URL::asset('img/favicon.png')); ?>">

    <title>VALEN LOG</title>

    <!-- Styles -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap_v4/bootstrap.min.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/fontawesome.min.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/solid.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/layout.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/master.css')); ?>" />

    
    <!-- CSS do pré-loading -->
    <style>
        .no-js #loader { display: none;  }
        .js #loader { display: block; position: absolute; left: 100px; top: 0; }
        .se-pre-con 
        {
            position: fixed;
            left: 0px;
            top: 0px;
            width: 100%;
            height: 100%;
            z-index: 9999;
            /*background: url(../img/loader/64x/Preloader_2.gif) center no-repeat; */
            background-color: #243D7E;

        }

        .centralizar
        {
            margin-top:40vh;
            opacity:1 !important;
        }
    </style>

    <?php echo $__env->yieldContent('css'); ?>

</head>
<body>
    
    <div class="se-pre-con text-center">
        <i class="fa fa-spinner fa-spin fa-4x fa-fw text-primary centralizar"></i>
    </div>

    <div id="containerPrincipal" class="wrapper">
        <!-- Sidebar  -->

        <?php if(auth()->guard()->check()): ?>
            <?php echo $__env->make('partials._menu', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <?php endif; ?>

        <!-- Page Content  -->
        <main id="content" class="p-0">

            <?php if(auth()->guard()->check()): ?>
                <?php echo $__env->make('partials._barra_superior', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
            <?php endif; ?>

            <?php echo $__env->yieldContent('pagina'); ?>

        </main>
    </div>
	
	<!-- mensagem -->
    <?php echo $__env->make('partials._modal_mensagem', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <!-- Scripts -->
    <script src="<?php echo e(URL::asset('js/jquery_v3.3.1/jquery-3.3.1.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/popper/popper.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/bootstrap_v4/bootstrap.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/JqueryMaxLength/jquery.maxlength.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/jquery_mask/jquery.mask.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('js/views/layout.js')); ?>" ></script>

    <!-- script do pré-loading -->
    <script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>
       
	
	 <!-- Mensagens do controller -->
    <script type="text/javascript">

        <?php if(count($errors) > 0): ?>

            var message = "";

            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                message += "<?php echo e($error); ?>\n";
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            MensagemBox('erro','Erro',message);
        <?php endif; ?>

        <?php if(session('sucesso')): ?>
            
            MensagemBox ('sucesso','Sucesso',"<?php echo e(session('sucesso')); ?>");

        <?php elseif(session('alerta')): ?>
                
            MensagemBox ('alerta','Atenção',"<?php echo e(session('alerta')); ?>");

        <?php elseif(session('alerta-vermelho')): ?>
            
            MensagemBox ('alerta-vermelho','Atenção',"<?php echo e(session('alerta-vermelho')); ?>");

        <?php elseif(session('info')): ?>

            MensagemBox ('info','Informação',"<?php echo e(session('info')); ?>");

        <?php endif; ?>

    </script>
	
    <?php echo $__env->yieldContent('scripts'); ?>

</body>
</html>
