<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-wrench"></i> Manutenção das Estadias
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/tempus-dominus/tempusdominus-bootstrap-4.min.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap-select-1.13.2/bootstrap-select.min.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/moment/min/moment-with-locales.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/tempus-dominus/tempusdominus-bootstrap-4.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/bootstrap-select-1.13.2/bootstrap-select.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/operacao/estadia.js')); ?>" ></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

   <div id="conteudoPagina" class="container-fluid">
        <input type="hidden" id="txtLogin" name="login" data="<?php echo e(Auth::user()->getLogin()); ?>"/>
        <input type="hidden" id="txtIdUsuario" name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-3 text-left">
                        <label for="cbClientePesq" class="col-form-label text-md-left">Agendado Para</label>
                        <br/>
                        <select id="cbClientePesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="cbStatusPesq" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="cbStatusPesq" class="form-control">
                            <option value="">Todos...</option>
                            <option value="AG"="true">AGENDADO</option>
                            <option value="ET">EM TRÂNSITO</option>
                            <option value="PA" selected>NO PÁTIO</option>
                            <option value="NF">NA FÁBRICA</option>
                            <option value="RC">RECEBIDO CLIENTE</option>
                            <option value="CL">CANCELADO</option>
                            <option value="FN">FINALIZADO</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesq" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtMotoraPesq" class="col-form-label text-md-left">Busca Motorista</label>
                        <br/>
                        <input id="txtMotoraPesq" class="form-control" type="text"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaVeiculo"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    
                </div>

                <div class="row" >
                    <div class="col col-sm-3 text-left">
                        <label for="cbClienteCargaPesq" class="col-form-label text-md-left">Cliente Carga</label>
                        <br/>
                        <select id="cbClienteCargaPesq" class="form-control">
                            <option value="">Todos...</option>
                        </select>
                    </div>
                    <div class="col col-sm-3 text-left">
                        <label for="cbOrdemPesq" class="col-form-label text-md-left">Ordem</label>
                        <br/>
                        <select id="cbOrdemPesq" class="form-control">
                            <option value="">Nenhum...</option>
                            <option value="1">ID</option>
                            <option value="2" selected>Placa</option>
                            <option value="3">Fórmula + Data Chegada</option>
                            <option value="4">Data Recepção</option>
                        </select>
                    </div>
                </div>

            </div>
        </div>
        
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbEstadia" class="table table-hover text-left">
                            <thead>
                            <tr>
                                    <th>Data Prevista</th>
                                    <th>Data Chegada</th>
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th>Frete</th>
                                    <th>Agendado Para</th>
                                    <th>Cliente Carga</th>
                                    <th>Categoria</th>
                                    <th>Produto</th>
                                    <th>Id</th>
                                    <th>Inspeção</th>
                                    <th>Status</th>
                                    <th>Ação</th>
                                </tr>
                            </thead>
                            <tbody>

                            
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>


    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>1200,
        'titulo'=> 'Manutenção Estadia',
        'icone'=>'fa-wrench',
        'controles_salvar'=>'true',
        'rota' => 'operacao.estadia.salvar.geral',
        'controles_fechar'=>'false',
        'campos'=>
        [
            [
                'id' =>'hdUsuario',
                'nome'=>'hdusuario',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdNome',
                'nome'=>'hdnome',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdMae',
                'nome'=>'hdmae',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdIdMotora',
                'nome'=>'hdidmotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdDataCriacao',
                'nome'=>'hddatacriacao',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdPlaca',
                'nome'=>'hdplaca',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdLoginInc',
                'nome'=>'hdlogininc',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdLoginAlt',
                'nome'=>'hdloginalt',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCelular',
                'nome'=>'hdcelular',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCliente',
                'nome'=>'hdcliente',
                'tipo'=>'hidden'
            ],

            [
                'id' =>'hdTipoVeiculo',
                'nome'=>'hdtipoveiculo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdSituacao',
                'nome'=>'hdsituacao',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdTipoFrota',
                'nome'=>'hdtipofrota',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdStatus',
                'nome'=>'hdstatus',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdMarca',
                'nome'=>'hdmarca',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdModelo',
                'nome'=>'hdmodelo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdAno',
                'nome'=>'hdano',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdIdVeiculo',
                'nome'=>'hdidveiculo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdUfMotora',
                'nome'=>'hdufmotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCidadeMotora',
                'nome'=>'hdcidademotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCnh',
                'nome'=>'hdcnh',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCategoria',
                'nome'=>'hdcategoria',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdTipoMotora',
                'nome'=>'hdtipomotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdAtivoMotora',
                'nome'=>'hdativomotora',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdEndereco',
                'nome'=>'hdendereco',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdNro',
                'nome'=>'hdnro',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdBairro',
                'nome'=>'hdbairro',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdComplemento',
                'nome'=>'hdcomplemento',
                'tipo'=>'hidden'
            ],

            [
                'id'=>'tabAgenda',
                'tipo'=>'tabs',
                'abas'=>['Veiculo','Motorista','Manifesto','Produto'],
                'altura'=>'400px',
                'conteudo'=>
                [
                    //aba veiculo
                    [
                        'aba'=>'Veiculo',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPlaca',
                                        'label'=>'Placa',
                                        'nome'=>'placa',
                                        //'classe'=>'mask_placa text-uppercase',
                                        'tamanho'=>'7',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbTipoVeiculo',
                                        'label'=>'Tipo de Veículo',
                                        'nome'=>'tipo',
                                        'opcoes'=>$tipoveiculo,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbSituacao',
                                        'label'=>'Situação',
                                        'nome'=>'situacao',
                                        'opcoes'=>
                                        [
                                            'A'=>'ATIVO',
                                            'I'=>'INATIVO',
                                            'B'=>'BLOQUEADO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbTipoFrota',
                                        'label'=>'Tipo Frota',
                                        'nome'=>'tipofrota',
                                        'opcoes'=>[
                                            'F'=>'FROTA',
                                            'P'=>'PARTICULAR'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                   

                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtMarca',
                                        'label'=>'Marca',
                                        'nome'=>'marca',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtModelo',
                                        'label'=>'Modelo',
                                        'nome'=>'modelo',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtAno',
                                        'label'=>'Ano',
                                        'nome'=>'ano',
                                        'tamanho'=>'4',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtId',
                                        'label'=>'Id',
                                        'nome'=>'agenda',
                                        'tamanho'=>'5',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbStatus',
                                        'label'=>'Status',
                                        'nome'=>'status',
                                        'opcoes'=>[
                                            'AG'=>'AGENDADO',
                                            'ET'=>'EM TRÂNSITO',
                                            'PA'=>'NO PÁTIO',
                                            'NF'=>'NA FÁBRICA',
                                            'RC'=>'RECEBIDO CLIENTE',
                                            'CL'=>'CANCELADO',
                                            'FN'=>'FINALIZADO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    
                                    [
                                        'largura'=>'3',
                                        'id' =>'txtLoginInc',
                                        'label'=>'Login Inclusão',
                                        'nome'=>'logininc',
                                        'tamanho'=>'30',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'3',
                                        'id' =>'txtLoginAlt',
                                        'label'=>'Login Alteração',
                                        'nome'=>'loginalt',
                                        'tamanho'=>'30',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataCriacao',
                                        'label'=>'Data Criação',
                                        'nome'=>'datacriacao',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataPrevista2',
                                        'label'=>'Data Prevista',
                                        'nome'=>'dataprevista',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataChegada',
                                        'label'=>'Data Chegada',
                                        'nome'=>'datachegada',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataSaida',
                                        'label'=>'Data Saída',
                                        'nome'=>'datasaida',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtInspecao',
                                        'label'=>'Inspeção',
                                        'nome'=>'inspecao',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ]
                                ]
                            ]
                        
                        ]
                    ],

                    //aba motorista
                    [
                        'aba'=>'Motorista',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtCpf',
                                        'label'=>'CPF',
                                        'nome'=>'cpf',
                                        'tamanho'=>'50',
                                        'classe'=>'mask_cpf',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'txtNome',
                                        'label'=>'Motorista',
                                        'nome'=>'nome',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    
                                    [
                                        'largura'=>'3',
                                        'id' =>'txtCelular',
                                        'label'=>'Celular',
                                        'nome'=>'celular',
                                        'tamanho'=>'50',
                                        'classe'=>'mask_celular',
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]

                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtCnh',
                                        'label'=>'CNH',
                                        'nome'=>'cnh',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtCategoria',
                                        'label'=>'Categoria',
                                        'nome'=>'categoria',
                                        'tamanho'=>'3',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],

                                    [
                                        'largura'=>'6',
                                        'id' =>'txtMae',
                                        'label'=>'Nome da Mãe',
                                        'nome'=>'mae',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtEndereco',
                                        'label'=>'Endereço',
                                        'nome'=>'endereco',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'1',
                                        'id' =>'txtNro',
                                        'label'=>'Nº',
                                        'nome'=>'nro',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtBairro',
                                        'label'=>'Bairro',
                                        'nome'=>'bairro',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'3',
                                        'id' =>'txtComplemento',
                                        'label'=>'Complemento',
                                        'nome'=>'complemento',
                                        'tamanho'=>'50',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbUfMotora',
                                        'label'=>'UF',
                                        'nome'=>'ufmotora',
                                        'opcoes'=>$estado,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbCidadeMotora',
                                        'label'=>'Cidade',
                                        'nome'=>'cidademotora',
                                        'opcoes'=>[],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbTipoMotora',
                                        'label'=>'Tipo Motora',
                                        'nome'=>'tipomotora',
                                        'opcoes'=>[
                                            'F'=>'FROTA',
                                            'P'=>'PARTICULAR'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbAtivoMotora',
                                        'label'=>'Situação',
                                        'nome'=>'ativomotora',
                                        'opcoes'=>
                                        [
                                            '1'=>'ATIVO',
                                            '0'=>'INATIVO'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ],
                        ]
                    ],

                    //aba manifesto
                    [
                        'aba'=>'Manifesto',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtDataPrevista',
                                        'label'=>'Data Prevista',
                                        'nome'=>'dataprevista',
                                        'tamanho'=>'10',
                                        'classe'=>'mask_data',
                                        'autofocus'=> true,
                                        'tipo'=>'txt',
                                        'required'=> true,
                                        'disabled'=>true,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbCliente',
                                        'label'=>'Agendado para',
                                        'nome'=>'cliente',
                                        'opcoes'=>[],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbTransportador',
                                        'label'=>'Transportador',
                                        'nome'=>'transportador',
                                        'opcoes'=>$transportador,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbClienteCarga',
                                        'label'=>'Cliente Carga',
                                        'nome'=>'clientecarga',
                                        'opcoes'=>$clientecarga,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbDestino',
                                        'label'=>'Local Operação',
                                        'nome'=>'destino',
                                        'opcoes'=>$destino,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbTipoFrete',
                                        'label'=>'Tipo Frete',
                                        'nome'=>'tipofrete',
                                        'opcoes'=>[
                                            'ND'=>'NÃO DEFINIDO',
                                            'CIF'=>'CIF',
                                            'FOB'=>'FOB'
                                        ],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ],

                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    
                                    [
                                        'largura'=>'2',
                                        'id' =>'cbUf',
                                        'label'=>'UF (origem)',
                                        'nome'=>'uf',
                                        'opcoes'=>$estado,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'cbCidade',
                                        'label'=>'Cidade (origem)',
                                        'nome'=>'cidade',
                                        'opcoes'=>[],
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'4',
                                        'id' =>'txtObs',
                                        'label'=>'Observação',
                                        'nome'=>'observacao',
                                        'tamanho'=>'200',
                                        'tipo'=>'textarea',
                                        'rows'=>'3',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                    
                                ]
                            ]

                        ]
                    ],

                    //aba produto
                    [
                        'aba'=>'Produto',
                        'campos'=>
                        [
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'9',
                                        'id' =>'cbProduto',
                                        'label'=>'Categoria',
                                        'nome'=>'produto',
                                        'opcoes'=>$produto,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> true,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido',
                                        'label'=>'Nº Pedido',
                                        'nome'=>'pedido',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula',
                                        'label'=>'Produtos',
                                        'nome'=>'formula',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde',
                                        'label'=>'Qtde (kg)',
                                        'nome'=>'qtde',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido2',
                                        'label'=>'',
                                        'nome'=>'pedido2',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula2',
                                        'label'=>'',
                                        'nome'=>'formula2',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde2',
                                        'label'=>'',
                                        'nome'=>'qtde2',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido3',
                                        'label'=>'',
                                        'nome'=>'pedido3',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula3',
                                        'label'=>'',
                                        'nome'=>'formula3',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde3',
                                        'label'=>'',
                                        'nome'=>'qtde3',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido4',
                                        'label'=>'',
                                        'nome'=>'pedido4',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula4',
                                        'label'=>'',
                                        'nome'=>'formula4',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde4',
                                        'label'=>'',
                                        'nome'=>'qtde4',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido5',
                                        'label'=>'',
                                        'nome'=>'pedido5',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula5',
                                        'label'=>'',
                                        'nome'=>'formula5',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde5',
                                        'label'=>'',
                                        'nome'=>'qtde5',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            ],
                            [
                                'tipo'=>'array',
                                'campos'=>
                                [
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtPedido6',
                                        'label'=>'',
                                        'nome'=>'pedido6',
                                        'tamanho'=>'20',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'5',
                                        'id' =>'cbFormula6',
                                        'label'=>'',
                                        'nome'=>'formula6',
                                        'opcoes'=>$formula,
                                        'default'=>'Selecione',
                                        'tipo'=>'combo',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ],
                                    [
                                        'largura'=>'2',
                                        'id' =>'txtQtde6',
                                        'label'=>'',
                                        'nome'=>'qtde6',
                                        'tamanho'=>'10',
                                        'tipo'=>'txt',
                                        'required'=> false,
                                        'disabled'=>false,
                                        'autofocus'=> true
                                    ]
                                ]
                            
                            ] 
                            
                        ]
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>