<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-truck"></i> Tipo de Cobrança
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/adm/tipoestadia.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    
    <div class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col text-right">
                        <button id="btnNovoTipo" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo Tipo Estadia
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbTipo" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Descrição</th>
                                    <th>Valor Convênio</th>
                                    <th>Valor Diária</th>
                                    <th>Valor Hora Adicional</th>
                                    <th>Valor Inspeção</th>
                                    <th>Tolerância (h)</th>
                                    <th>Limite Saída (min)</th>
                                    <th>Bônus (h)</th>
                                    <th>Valor Fixo</th>
                                    <th>Tipo</th>
                                    <th>Status</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                                <?php $__currentLoopData = $tipoestadia; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tipo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td id="<?php echo e($tipo->getId()); ?>_descricao" data="<?php echo e($tipo->getDescricao()); ?>"><?php echo e($tipo->getDescricao()); ?></td>
                                        <td id="<?php echo e($tipo->getId()); ?>_valorconvenio" data="<?php echo e($tipo->getValorconvenio()); ?>"><?php echo e($tipo->getValorconvenio()); ?></td>
                                        <td id="<?php echo e($tipo->getId()); ?>_valordiaria" data="<?php echo e($tipo->getValordiaria()); ?>"><?php echo e($tipo->getValordiaria()); ?></td>
                                        <td id="<?php echo e($tipo->getId()); ?>_horaadicional" data="<?php echo e($tipo->getHoraadicional()); ?>"><?php echo e($tipo->getHoraadicional()); ?></td>
                                        <td id="<?php echo e($tipo->getId()); ?>_valorinspecao" data="<?php echo e($tipo->getValorinspecao()); ?>"><?php echo e($tipo->getValorinspecao()); ?></td>
                                        <td id="<?php echo e($tipo->getId()); ?>_tolerancia" data="<?php echo e($tipo->getTolerancia()); ?>"><?php echo e($tipo->getTolerancia()); ?></td>
                                        <td id="<?php echo e($tipo->getId()); ?>_horamax" data="<?php echo e($tipo->getHoramax()); ?>"><?php echo e($tipo->getHoramax()); ?></td>
                                        <td id="<?php echo e($tipo->getId()); ?>_bonus" data="<?php echo e($tipo->getBonus()); ?>"><?php echo e($tipo->getBonus()); ?></td>
                                        <td id="<?php echo e($tipo->getId()); ?>_fixo" data="<?php echo e($tipo->getFixo()); ?>">
                                            <?php if($tipo->getFixo()): ?>
                                                <span class="badge badge-success">SIM</span>
                                            <?php else: ?>
                                                <span class="badge badge-danger">NÃO</span>
                                            <?php endif; ?>
                                        </td>
                                        <td id="<?php echo e($tipo->getId()); ?>_convenio" data="<?php echo e($tipo->getConvenio()); ?>">
                                            <?php if($tipo->getConvenio()): ?>
                                                <span class="badge badge-warning">CONVÊNIO</span>
                                            <?php else: ?>
                                                <span class="badge badge-info">CONTRATO</span>
                                            <?php endif; ?>
                                        </td>
                                        <td id="<?php echo e($tipo->getId()); ?>_ativo" data="<?php echo e($tipo->getAtivo()); ?>">
                                            <?php if($tipo->getAtivo()): ?>
                                                <span class="badge badge-success">ATIVO</span>
                                            <?php else: ?>
                                                <span class="badge badge-danger">INATIVO</span>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <span name="editBtn" class="fas fa-edit fa-2x" data="<?php echo e($tipo->getId()); ?>" style="cursor: pointer;color: #009933;" title="Editar"></span>
                                            <span name="delBtn" class="fas fa-trash-alt fa-2x" data="<?php echo e($tipo->getId()); ?>" style="cursor: pointer;color: #ff0000;" title="Excluir"></span>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'titulo'=> 'Novo Tipo de Cobrança',
		'icone'=>'fa-truck',
        'rota' => 'adm.tipoestadia.salvar',
        'largura'=>1000,
        'campos'=> 
        [
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtDescricao',
                        'label'=>'Descrição',
                        'nome'=>'descricao',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'padding'=>'20',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbFixo',
                        'label'=>'Valor Fixo?',
                        'nome'=>'fixo',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbConvenio',
                        'label'=>'É Convênio?',
                        'nome'=>'convenio',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbAtivo',
                        'label'=>'Ativo?',
                        'nome'=>'ativo',
                        'tipo'=>'slider',
                        'required'=> true
                    ]

                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtValorConvenio',
                        'label'=>'Valor Convênio',
                        'nome'=>'valorconvenio',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtValorDiaria',
                        'label'=>'Valor Diária',
                        'nome'=>'valordiaria',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtHoraAdicional',
                        'label'=>'Hora Adicional',
                        'nome'=>'horaadicional',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtValorInspecao',
                        'label'=>'Valor Inspeção',
                        'nome'=>'valorinspecao',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ]
                    
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtTolerancia',
                        'label'=>'Tolerância (h)',
                        'nome'=>'tolerancia',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtHoramax',
                        'label'=>'Limite (min)',
                        'nome'=>'horamax',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtBonus',
                        'label'=>'Bonus (h)',
                        'nome'=>'bonus',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'adm.tipoestadia.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o Tipo de Estadia?'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>