<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-truck"></i> Cadastra Estadias
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/tempus-dominus/tempusdominus-bootstrap-4.min.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap-select-1.13.2/bootstrap-select.min.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/moment/min/moment-with-locales.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/tempus-dominus/tempusdominus-bootstrap-4.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/bootstrap-select-1.13.2/bootstrap-select.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/operacao/estadia.js')); ?>" ></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

   <div id="conteudoPagina" class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesquisa" class="col-form-label text-md-left">Busca Placa</label>
                        <br/>
                        <input id="txtPlacaPesquisa" class="form-control" type="text"/>
                    </div>

                    <div class="col col-sm-2 text-left">
                        <label for="txtStatusPesquisa" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="txtStatusPesquisa" class="form-control">
                            <option value="">TODOS</option>
                            <option value="AG" selected>AGENDADOS</option>
                            <option value="ET">EM TRÂNSITO</option>
                            <option value="PA">NO PÁTIO</option>
                            <option value="NF">NA FÁBRICA</option>
                            <option value="RC">RECEBIDOS CLIENTE</option>
                            <option value="FN">FINALIZADOS</option>
                            <option value="CL">CANCELADOS</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaVeiculo"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col col-sm-6 text-right">
                        <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovaEstadia" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Nova Estadia
                        </button>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbEstadia" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Data Prevista</th>
                                    <th>Placa</th>
                                    <th>Tipo Veículo</th>
                                    <th>Agendado Para</th>
                                    
                                    <th>Produto</th>
                                    <th>Id</th>
                                    <th>Status</th>
                                    <th>Ação</th>
                                </tr>
                            </thead>
                            <tbody>

                            
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>


    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>1100,
        'titulo'=> 'Cadastrar Estadia',
        'icone'=>'fa-truck',
        'controles_salvar'=>'true',
        'rota' => 'operacao.estadia.salvar.geral',
        'controles_fechar'=>'false',
        'campos'=>
        [
            [
                'id' =>'hdDataCriacao',
                'nome'=>'hddatacriacao',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdStatus',
                'nome'=>'hdstatus',
                'tipo'=>'hidden'
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'9',
                        'id' =>'cbVeiculo',
                        'label'=>'Veículo',
                        'nome'=>'veiculo',
                        'opcoes'=>$veiculo2,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbStatus',
                        'label'=>'Status',
                        'nome'=>'status',
                        'opcoes'=>[
                            'AG'=>'AGENDADO',
                            'ET'=>'EM TRÂNSITO',
                            'PA'=>'NO PÁTIO',
                            'NF'=>'NA FÁBRICA',
                            'RC'=>'RECEBIDO CLIENTE',
                            'CL'=>'CANCELADO',
                            'FN'=>'FINALIZADO'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                    
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'9',
                        'id' =>'cbMotorista',
                        'label'=>'Motorista',
                        'nome'=>'motorista',
                        'opcoes'=>$motorista,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDataCria',
                        'label'=>'Data Criação',
                        'nome'=>'datacriacao',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbCliente',
                        'label'=>'Cliente',
                        'nome'=>'cliente',
                        'opcoes'=>$cliente,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbDestino',
                        'label'=>'Destino',
                        'nome'=>'destino',
                        'opcoes'=>$destino,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                                        
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbProduto',
                        'label'=>'Produto',
                        'nome'=>'produto',
                        'opcoes'=>$produto,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbFormula',
                        'label'=>'Fórmula',
                        'nome'=>'formula',
                        'opcoes'=>$formula,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtQtde',
                        'label'=>'Qtde (ton)',
                        'nome'=>'qtde',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                                        
                ]
            ],

            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'4',
                        'id' =>'cbUF',
                        'label'=>'UF',
                        'nome'=>'UF',
                        'tipo'=>'combo',
                        'opcoes'=> $uf,
                        'required'=> true,
                        'default'=>'Selecione a UF'
                    ],
                    [
                        'largura'=>'8',
                        'id' =>'cbCidade',
                        'label'=>'Cidade de Origem',
                        'nome'=>'cidade',
                        'tipo'=>'combo',
                        'required'=> true,
                        'opcoes'=> [],
                        'default'=>'Selecione a Cidade'
                    ],
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'4',
                        'id' =>'cbTransportador',
                        'label'=>'Transportador',
                        'nome'=>'transportador',
                        'opcoes'=>$transportador,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataPrev',
                        'label'=>'Data Prevista',
                        'nome'=>'dataprevista',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDataCheg',
                        'label'=>'Data Chegada',
                        'nome'=>'datachegada',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDataSaida',
                        'label'=>'Data Saída',
                        'nome'=>'datasaida',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                    
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>