<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-truck"></i> Veículo
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/adm/veiculo.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

    <div class="container-fluid">
        <div class="row" >
            <div class="col text-left">
                <button id="btnNovoVeiculo" type="button" class="btn btn-primary" aria-label="Left Align" >
                    <i class="fas fa-plus-circle"></i> Novo Veículo
                </button>
            </div>
        </div>
    <br/>
    <div class="row" >
        <div class="col panel panel-primary table-responsive">

                <table id="tbTipoVeiculos" class="table table-hover text-left">
                    <thead>
                        <tr>
                            <th>Placa</th>
                            <th>Marca</th>
                            <th>Modelo</th>
                            <th>Ano</th>
                            <th>Tipo</th>
                            <th>Situação</th>
                            <th>Ações</th>
                        </tr>
                    </thead>
                    <tbody>

                        <?php $__currentLoopData = $veiculos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $veiculo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td id="<?php echo e($veiculo->getId()); ?>_placa"><?php echo e($veiculo->getPlaca()); ?></td>
                                <td id="<?php echo e($veiculo->getId()); ?>_marca"><?php echo e($veiculo->getMarca()); ?></td>
                                <td id="<?php echo e($veiculo->getId()); ?>_modelo"><?php echo e($veiculo->getModelo()); ?></td>
                                <td id="<?php echo e($veiculo->getId()); ?>_ano"><?php echo e($veiculo->getAno()); ?></td>
                                <td id="<?php echo e($veiculo->getId()); ?>_tipo" data="<?php echo e($veiculo->Tipo->getId()); ?>"><?php echo e($veiculo->Tipo->getNome()); ?></td>
                                <td id="<?php echo e($veiculo->getId()); ?>_situacao" data="<?php echo e($veiculo->getSituacao()); ?>">
                                    <?php if($veiculo->getSituacao() == 'A'): ?>
                                        <span class="badge badge-success">Ativo</span>
                                    <?php elseif($veiculo->getSituacao() == 'I'): ?>
                                        <span class="badge badge-danger">Inativo</span>
                                    <?php elseif($veiculo->getSituacao() == 'B'): ?>
                                        <span class="badge badge-warning">Bloqueado</span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <span name="editBtn" class="fas fa-edit fa-lg cursor-pointer text-success" data="<?php echo e($veiculo->getId()); ?>" title="Editar"></span>
                                    <span name="delBtn" class="fas fa-trash-alt fa-lg cursor-pointer text-danger" data="<?php echo e($veiculo->getId()); ?>" title="Excluir"></span>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>
                </table>

            </div>
        </div>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'titulo'=> 'Atualizar Veículo',
		'icone'=>'fa-truck',
        'rota' => 'adm.veiculo.salvar',
        'campos'=>
        [
            [
                'tipo'=>'array',
                'campos'=>
                [
                    
                    [
                        'largura'=>'5',
                        'id' =>'cbSituacao',
                        'label'=>'Situação',
                        'nome'=>'situacao',
                        'opcoes'=>['A'=>'ATIVO','I'=>'INATIVO','B'=>'BLOQUEADO'],
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'7',
                        'id' =>'cbTipoVeiculo',
                        'label'=>'Tipo de Veículo',
                        'nome'=>'tipo',
                        'opcoes'=>$tipos,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'4',
                        'id' =>'txtPlaca',
                        'label'=>'Placa',
                        'nome'=>'placa',
                        'classe'=>'mask_placa text-uppercase',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'8',
                        'id' =>'txtMarca',
                        'label'=>'Marca',
                        'nome'=>'marca',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'8',
                        'id' =>'txtModelo',
                        'label'=>'Modelo',
                        'nome'=>'modelo',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'txtAno',
                        'label'=>'Ano Fab.',
                        'nome'=>'ano',
                        'tamanho'=>'4',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true
                    ]
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'adm.tipoveiculo.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o Veículo'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>