<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-truck"></i> Transportador
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/views/cadastros/transportador.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

    <div class="container-fluid">
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-3 text-left">
                        <label for="txtTranspPesquisa" class="col-form-label text-md-left">Transportador</label>
                        <br/>
                        <input id="txtTranspPesquisa" class="form-control" type="text"/>
                    </div>

                    
                    <div class="col col-sm-2 text-left">
                        <label for="txtStatusPesquisa" class="col-form-label text-md-left">Status</label>
                        <br/>
                        <select id="txtStatusPesquisa" class="form-control">
                            <option value="">Todos...</option>
                            <option value="1">Ativo</option>
                            <option value="0">Inativo</option>
                        </select>
                    </div>
                    
                    <div class="col col-sm-2 text-left">
                        <label for="txtTranspPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaTransp"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>

                    <div class="col col-sm-5 text-right">
                        <label for="txtTranspPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovoTransp" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo Transportador
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbTransp" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Razão Social</th>
                                    <th>Nome Fantasia</th>
                                    <th>CNPJ</th>
                                    <th>Cidade</th>
                                    <th>Status</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                                

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>'950',
        'icone'=>'fa-truck',
        'titulo'=> 'Novo Transportador',
        'rota' => 'cadastros.transportador.salvar',
        'campos'=>
        [
            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'4',
                        'id' =>'txtCnpj',
                        'label'=>'CNPJ',
                        'nome'=>'cnpj',
                        'tamanho'=>'20',
                        'padding'=>'50',
                        'classe'=>'mask_cnpj',
                        'tipo'=>'txt',
                        'required'=>true,
                        'autofocus'=> true,
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbAtivo',
                        'label'=>'Ativo',
                        'nome'=>'ativo',
                        'tipo'=>'slider',
                        'required'=> true
                    ],
                ]
            ],

            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtRazaoSocial',
                        'label'=>'Razao Social',
                        'nome'=>'razao_social',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'autocomplete'=>'off'
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtNomeFantasia',
                        'label'=>'Nome Fantasia',
                        'nome'=>'nome_fantasia',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'autocomplete'=>'off'
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'10',
                        'id' =>'txtEndereco',
                        'label'=>'Endereço',
                        'nome'=>'endereco',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtNumero',
                        'label'=>'Número',
                        'nome'=>'numero',
                        'tamanho'=>'6',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ]
                ]
            ],

            [
                'tipo'=> 'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtBairro',
                        'label'=>'Bairro',
                        'nome'=>'bairro',
                        'tamanho'=>'30',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtComplemento',
                        'label'=>'Complemento',
                        'nome'=>'complemento',
                        'tamanho'=>'50',
                        'required'=> false,
                        'tipo'=>'txt',
                        'autofocus'=> true,
                    ]
                ]
            ],
			
            [
                'tipo'=>'array',
                'campos' =>
                [
					[
						'largura'=>'4',
						'id' =>'cbUF',
						'label'=>'UF',
						'nome'=>'UF',
						'tipo'=>'combo',
                        'required'=> true,
						'opcoes'=> $uf,
						'default'=>'Selecione a UF'
					],
					[
						'largura'=>'8',
						'id' =>'cbCidade',
						'label'=>'Cidade',
						'nome'=>'cidade',
						'tipo'=>'combo',
                        'required'=> true,
						'opcoes'=> [],
						'default'=>'Selecione a cidade'
					],
				]
			],
			[
                'id' =>'txtObs',
                'label'=>'Observação',
                'nome'=>'obs',
                'tamanho'=>'200',
                'tipo'=>'textarea',
                'required'=> false,
				'rows'=>'3',
                'autofocus'=> true
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'cadastros.transportador.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o transportador'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>