<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-truck"></i> Cadastra Estadias
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap-select-1.13.2/bootstrap-select.min.css')); ?>" />
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    
    <script src="<?php echo e(URL::asset('js/views/operacao/estadia.js')); ?>" ></script>
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>

   <div id="conteudoPagina" class="container-fluid">
        <div class="row" >
            <div class="col col-sm-2 text-left">
                <label for="txtPlacaPesquisa" class="col-form-label text-md-left">Busca Placa</label>
                <br/>
                <input id="txtPlacaPesquisa" class="form-control" type="text"/>
            </div>

            <div class="col col-sm-2 text-left">
                <label for="txtStatusPesquisa" class="col-form-label text-md-left">Status</label>
                <br/>
                <select id="txtStatusPesquisa" class="form-control">
                    <option value="">TODOS</option>
                    <option value="AG" selected>AGENDADOS</option>
                    <option value="ET">EM TRÂNSITO</option>
                    <option value="PA">NO PÁTIO</option>
                    <option value="NF">NA FÁBRICA</option>
                    <option value="RC">RECEBIDOS CLIENTE</option>
                    <option value="FN">FINALIZADOS</option>
                    <option value="CL">CANCELADOS</option>
                </select>
            </div>
            <div class="col col-sm-2 text-left">
                <label for="txtCidadePesquisa" class="col-form-label text-md-left">&nbsp;</label>
                <br/>
                <button id="btnPesquisaVeiculo"  class="btn btn-default btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
            </div>
        </div>
    <br/>
    <div class="row" >
        <div class="col text-left">
            <button id="btnNovaEstadia" type="button" class="btn btn-primary" aria-label="Left Align" >
                <i class="fas fa-plus-circle"></i> Nova Estadia
            </button>
        </div>
    </div>
    <br/>
    <div class="row" >
        <div class="col panel panel-primary table-responsive">

                <table id="tbEstadia" class="table table-hover text-left">
                    <thead>
                        <tr>
                            <th>Placa</th>
                            <th>Marca</th>
                            <th>Modelo</th>
                            <th>Tipo Veículo</th>
                            <th>Cliente</th>
                            <th>Produto</th>
                            <th>Status</th>
                            <th>Ação</th>
                        </tr>
                    </thead>
                    <tbody>

                    </tbody>
                </table>

            </div>
        </div>
    </div>


    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>1100,
        'titulo'=> 'Cadastrar Estadia',
		'icone'=>'fa-truck',
        'controles_salvar'=>'true',
        'rota' => 'operacao.estadia.salvar',
        'controles_fechar'=>'false',
        'campos'=>
        [
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'9',
                        'id' =>'cbVeiculo',
                        'label'=>'Veículo',
                        'nome'=>'veiculo',
                        'opcoes'=>$veiculo2,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbStatus',
                        'label'=>'Status',
                        'nome'=>'status',
                        'opcoes'=>[
                            'AG'=>'AGENDADO',
                            'ET'=>'EM TRÂNSITO',
                            'PA'=>'NO PÁTIO',
                            'NF'=>'NA FÁBRICA',
                            'RC'=>'RECEBIDO CLIENTE',
                            'CL'=>'CANCELADO',
                            'FN'=>'FINALIZADO'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                    
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'9',
                        'id' =>'cbMotorista',
                        'label'=>'Motorista',
                        'nome'=>'motorista',
                        'opcoes'=>$motorista,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDataCria',
                        'label'=>'Data Criação',
                        'nome'=>'datacriacao',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbCliente',
                        'label'=>'Cliente',
                        'nome'=>'cliente',
                        'opcoes'=>$cliente,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'cbDestino',
                        'label'=>'Destino',
                        'nome'=>'destino',
                        'opcoes'=>$destino,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                                        
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbProduto',
                        'label'=>'Produto',
                        'nome'=>'produto',
                        'opcoes'=>$produto,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbFormula',
                        'label'=>'Fórmula',
                        'nome'=>'formula',
                        'opcoes'=>$formula,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtQtde',
                        'label'=>'Qtde',
                        'nome'=>'qtde',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                                        
                ]
            ],

            [
                'tipo'=>'array',
                'campos' =>
                [
					[
						'largura'=>'4',
						'id' =>'cbUF',
						'label'=>'UF',
						'nome'=>'UF',
						'tipo'=>'combo',
						'opcoes'=> $uf,
                        'required'=> true,
						'default'=>'Selecione a UF'
					],
					[
						'largura'=>'8',
						'id' =>'cbCidade',
						'label'=>'Cidade de Origem',
						'nome'=>'cidade',
						'tipo'=>'combo',
                        'required'=> true,
						'opcoes'=> [],
						'default'=>'Selecione a Cidade'
					],
				]
			],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'4',
                        'id' =>'cbTransportador',
                        'label'=>'Transportador',
                        'nome'=>'transportador',
                        'opcoes'=>$transportador,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataPrev',
                        'label'=>'Data Prevista',
                        'nome'=>'dataprevista',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDataCheg',
                        'label'=>'Data Chegada',
                        'nome'=>'datachegada',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtDataSaida',
                        'label'=>'Data Saída',
                        'nome'=>'datasaida',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                    
                   
                ]
            ]
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>



<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>