<!DOCTYPE html>
<html lang="pt">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <!-- Styles -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap_v4/bootstrap.min.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/fontawesome.min.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('fontawesome/css/solid.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/layout.css')); ?>" >
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/views/master.css')); ?>" >
    
    <style type="text/css">
        @keyframes  neon {
            from {
                filter: drop-shadow(0 0 0 var(--cor-neon));
            }
            to {
                filter: drop-shadow(0 0 100px var(--cor-neon));
            }
        }

        i {
            animation: neon 3s alternate infinite ease-in-out;
        }

        b {
            animation: neon 3s alternate infinite ease-in-out;
        }

        .texto {
            --cor-neon: white;
        }

        /* .img {
            --cor-neon: blue;
        } */
	</style>

</head>
<body>
    

<div class="content-wrapper">
    <input type="hidden" id="hdnUsuario"    name="idusuario" data="<?php echo e(Auth::user()->getId()); ?>"/>
    <input type="hidden" id="hdnId"         name="id"        data=""/>
    <input type="hidden" id="hdnVeiculo"    name="veiculo"   data=""/>
    <input type="hidden" id="hdnMotorista"  name="motorista" data=""/>
    <input type="hidden" id="hdnData"       name="data"      data=""/>
    <input type="hidden" id="hdnModelo"     name="data"      data=""/>
    <input type="hidden" id="hdnMarca"      name="data"      data=""/>
    <input type="hidden" id="hdnCnh"        name="data"      data=""/>
    <input type="hidden" id="hdnCategoria"  name="data"      data=""/>
    <input type="hidden" id="hdnDataEntrada"  name="data"      data=""/>

    <div class="container-fluid mt-2">
        
        <div id="cadastro" class="card mt-2" style="background-color:#fff; color:#056367; border-radius: 20px 0px 20px 0px;">
            
            <?php echo csrf_field(); ?>
            
            <div class="card-body">
                <div class="row" style="padding-right: 2px;">
                    <div class="col-md-1 text-left mt-2" style="height:40px;">
                        <a href="<?php echo e(route('home')); ?>">
                            <img src="<?php echo e(URL::asset('img\logo-sgp.png')); ?>" class="rounded" height="60"/>
                        </a>
                    </div>
                    </br>
                    <div class="col-md-3">
                        <h1 style="color:#056367;"><b> Auto Agendamento</b></h1>
                    </div>
                    <div class="col-md-4">
                        <div class="col text-right">
                            <h5 id="feedback-erro" style="color: #ff0000;"><i class="fas fa-hand"></i> <b>FEEDBACK</b></h5>
                            <h5 id="feedback-sucesso" style="color: #009933;"><i class="fas fa-hand"></i> <b>FEEDBACK</b></h5>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="col text-right">
                            
                            <button id="btnNovo" type="button" class="btn btn-info btn-lg" aria-label="Left Align" >
                                <i class="fas fa-broom fa-2x"></i>&nbsp;LIMPAR
                            </button>
                            <button id="btnSalvar" type="button" data="" class="btn btn-success btn-lg" aria-label="Left Align" >
                                <i class="fas fa-save fa-2x"></i>&nbsp;&nbsp;SALVAR AGENDAMENTO
                            </button>
                            
                        </div>
                    </div>
                    
                </div>
                </br>
                <h5><i class="fas fa-truck"></i><b> Dados do Veículo</b></h5>
                <div class="row" >
                    <div class="col-md-2">
                        <label id="txtPlaca_label" for="txtPlaca"  class="col-form-label text-md-left" style="font-size:20px;">Placa Cavalo <span style="color: #ff0000; font-size:20px;">*</span></label>
                        <input id="txtPlaca" class="form-control" name="placa" type="text" maxlength="7" style="font-size:38px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-2">
                        <label id="txtPlaca_carreta_label" for="txtPreco"  class="col-form-label text-md-left" style="font-size:20px;">Placa Carreta</label>
                        <input id="txtPlaca_carreta" class="form-control" name="placa_carreta" type="text" maxlength="7" style="font-size:38px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-4">
                        <label id="txtMarca_label" for="txtMarca"  class="col-form-label text-md-left" style="font-size:20px;">Marca/Modelo</label>
                        <input id="txtMarca" class="form-control" name="marca" type="text" maxlength="100" style="font-size:38px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-4">
                        <label id="txtTipo_label" for="txtForm"  class="col-form-label text-md-left" style="font-size:20px;">Tipo Veículo <span style="color: #ff0000; font-size:20px;">*</span></label><br>
                        <select id="cbTipo" class="form-control" style="font-size:38px; font-bold: true; height: 60px;">
                            
                        </select>
                    </div>
                </div>
                <div id="feedback-placa" class="col-md-12 mt-2">
                    <h5 style="color: #ff0000;"><i class="fas fa-truck"></i> <b>VEÍCULO NÃO ENCONTRADO</b> - FAVOR PREENCHER OS CAMPOS PARA INCLUIR UM NOVO REGISTRO</h5>
                </div>
                <br>
                <h5><i class="fas fa-user-tie"></i><b> Dados do Motorista</b></h5>
                <div class="row" >
                    <div class="col-md-3">
                        <label id="txtCpf_label" for="txtCpf"  class="col-form-label text-md-left" style="font-size:20px;">CPF <span style="color: #ff0000;">*</span></label>
                        <input id="txtCpf" class="form-control" name="cpf" type="text" maxlength="11" style="font-size:38px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-6">
                        <label id="txtNome_carreta_label" for="txtNome"  class="col-form-label text-md-left" style="font-size:20px;">Nome do Motorista <span style="color: #ff0000;">*</span></label>
                        <input id="txtNome" class="form-control" name="nome" type="text" maxlength="50" style="font-size:38px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-3">
                        <label id="txtCelular_label" for="txtCelular"  class="col-form-label text-md-left" style="font-size:20px;">Celular (com DDD)<span style="color: #ff0000;">*</span></label>
                        <input id="txtCelular" class="form-control" name="celular" type="text" maxlength="11" style="font-size:38px; font-bold: true; height: 60px;" value="" />
                    </div>
                </div>
                <div id="feedback-motora" class="col-md-12 mt-2">
                    <h5 style="color: #ff0000;"><i class="fas fa-user"></i> <b>MOTORISTA NÃO ENCONTRADO</b> - FAVOR PREENCHER OS CAMPOS PARA INCLUIR UM NOVO REGISTRO</h5>
                </div>

                <br>
                <h5><i class="fas fa-box"></i><b> Dados da Carga</b></h5>
                <div class="row" >
                    <div class="col-md-4">
                        <label id="cbCliente_label" for="cbCliente"  class="col-form-label text-md-left" style="font-size:20px;">Cliente <span style="color: #ff0000;">*</span></label>
                        <select id="cbCliente" class="form-control" style="font-size:38px; font-bold: true; height: 60px;">
                            
                        </select>
                        <select id="cbInspecao" class="form-control" style="font-size:38px; font-bold: true; height: 60px;">
                            
                        </select>
                    </div>

                    <div class="col-md-4">
                        <label id="txtPlaca_label" for="txtPlaca"  class="col-form-label text-md-left" style="font-size:20px;">Produto <span style="color: #ff0000;">*</span></label>
                        <select id="cbProduto" class="form-control" style="font-size:38px; font-bold: true; height: 60px;">
                            
                        </select>
                    </div>
                    <div class="col-md-3">
                        <label id="cbDestino_carreta_label" for="cbDestino"  class="col-form-label text-md-left" style="font-size:20px;">Cliente da Carga <span style="color: #ff0000;">*</span></label>
                        <select id="cbDestino" class="form-control" style="font-size:38px; font-bold: true; height: 60px;">
                            
                        </select>
                        <input id="txtDestino" class="form-control" name="destino" type="text" maxlength="50" style="font-size:38px; font-bold: true; height: 60px; background: #ffffb3;" value="" />
                    </div>
                    <div class="col-md-1">
                        <label id="txtForm_label" for="txtForm"  class="col-form-label text-md-left" style="font-size:20px;">&nbsp;</label><br>
                        <button id="btnNovoDestino" type="button" data="" class="btn btn-primary" aria-label="Left Align" title="Novo cliente da carga">
                            <i class="fas fa-plus"></i>
                        </button>
                        <button id="btnLimpaDestino" type="button" data="" class="btn btn-danger" aria-label="Left Align" title="limpa destino"><i class="fas fa-times"></i></button>    
                        <button id="btnIncluirDestino" data="destino" type="button" class="btn btn-success" title="Inclui o destino"><i class="fas fa-check"></i></button>
                    </div>
                </div>
                <div class="row" >
                    <div class="col-md-2">
                        <label id="cbCif_label" for="cbCiffob"  class="col-form-label text-md-left" style="font-size:20px;">Tipo Frete <span style="color: #ff0000;">*</span></label>
                        <select id="cbCiffob" class="form-control" style="font-size:38px; font-bold: true; height: 60px;">
                            <option value="" selected>...</option>
                            <option value="CIF">CIF</option>
                            <option value="FOB">FOB</option>
                            
                        </select>
                    </div>
                    <div class="col-md-2">
                        <label id="txtData_label" for="txtData"  class="col-form-label text-md-left" style="font-size:20px;">Data Prevista <span style="color: #ff0000;">*</span></label>
                        <input id="txtData" class="form-control" name="data" onKeyUp="mascara_data(this)" type="text" maxlength="10" style="font-size:38px; font-bold: true; height: 60px;" value=""/>
                    </div>
                    <div class="col-md-1">
                        <label id="txtHora_label" for="txtHora"  class="col-form-label text-md-left" style="font-size:20px;">Hora <span style="color: #ff0000;">*</span></label>
                        <input id="txtHora" class="form-control" name="hora" onKeyUp="mascara_hora(this)" type="text" maxlength="5" style="font-size:38px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-2">
                        <label id="cbTipocarga_label" for="cbTipocarga"  class="col-form-label text-md-left" style="font-size:20px;">Tipo de Carga <span style="color: #ff0000;">*</span></label>
                        <select id="cbTipocarga" class="form-control" style="font-size:38px; font-bold: true; height: 60px;">
                            <option value="" selected>...</option>
                            <option value="BG">BAGS</option>
                            <option value="CS">CARGA GERAL</option>
                            <option value="GR">GRANEL</option>
                            <option value="SA">SACARIA</option>
                            <option value="TQ">TANQUE</option>
                        </select>
                    </div>
                    <div class="col-md-4">
                        <label id="cbTransp_label" for="cbTransp"  class="col-form-label text-md-left" style="font-size:20px;">Transportador <span style="color: #ff0000;">*</span></label>
                        <select id="cbTransp" class="form-control" style="font-size:38px; font-bold: true; height: 60px;">
                            
                        </select>
                        <input id="txtTransp" class="form-control" name="pedido" type="text" maxlength="50" style="font-size:38px; font-bold: true; height: 60px; background: #ffffb3;" value="" />
                    </div>
                    <div class="col-md-1">
                        <label id="txtForm_label" for="txtForm"  class="col-form-label text-md-left" style="font-size:20px;">&nbsp;</label><br>
                        <button id="btnNovoTransp" type="button" data="" class="btn btn-primary" aria-label="Left Align" title="Novo transportador">
                            <i class="fas fa-plus"></i>
                        </button>
                        <button id="btnLimpaTransp" type="button" data="" class="btn btn-danger" aria-label="Left Align" title="limpa transportador"><i class="fas fa-times"></i></button>    
                        <button id="btnIncluirTransp" data="transp" type="button" class="btn btn-success" title="Inclui o transportador"><i class="fas fa-check"></i></button>
                    </div>
                    

                </div>

                <div class="row" >
                    <div class="col-md-2">
                        <label id="txtPeso_label" for="txtCelular"  class="col-form-label text-md-left" style="font-size:20px;">Peso (ton)</label>
                        <input id="txtPeso" class="form-control" name="peso" type="text" maxlength="10" style="font-size:38px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-2">
                        <label id="txtPedido_label" for="txtCelular"  class="col-form-label text-md-left" style="font-size:20px;">Nº Pedido</label>
                        <input id="txtPedido" class="form-control" name="pedido" type="text" maxlength="20" style="font-size:38px; font-bold: true; height: 60px;" value="" />
                    </div>
                    <div class="col-md-2">
                        <label id="cbTipooper_label" for="cbTipocarga"  class="col-form-label text-md-left" style="font-size:20px;">Tipo Operação <span style="color: #ff0000;">*</span></label>
                        <select id="cbTipooper" class="form-control" style="font-size:38px; font-bold: true; height: 60px;">
                            <option value="" selected>...</option>
                            <option value="C">CARREGAR</option>
                            <option value="D">DESCARREGAR</option>
                        </select>
                    </div>
                    <div class="col-md-5">
                        <label id="txtForm_label" for="txtForm"  class="col-form-label text-md-left" style="font-size:20px;">Seleciona Fórmula</label><br>
                        <select id="cbFormula" class="form-control" style="font-size:38px; font-bold: true; height: 60px;">
                            
                        </select>
                    </div>
                    <div class="col-md-1">
                        <label id="txtForm_label" for="txtForm"  class="col-form-label text-md-left" style="font-size:20px;">&nbsp;</label><br>
                        <button id="btnNovaFormula" type="button" data="" class="btn btn-warning" aria-label="Left Align" >
                            <i class="fas fa-flask"></i>
                        </button>
                        
                        <button id="btnIncluirFormula" data="formula" type="button" class="btn btn-success" title="Inclui a fórmula"><i class="fas fa-check"></i></button>
                    </div>

                </div>

                <div class="row" >
                    <div class="col-md-11">
                        <label id="txtForm_label" for="txtForm"  class="col-form-label text-md-left" style="font-size:20px;">Fórmulas da carga</label>
                        <textarea id="txtFormula" name="txtFormula" style="width: 100%; font-size:38px; font-bold: true; height: 200px;" rows="2" maxlength="200" ></textarea>
                    </div>
                    <div class="col-md-1">
                        <label id="txtForm_label" for="txtForm"  class="col-form-label text-md-left" style="font-size:20px;">&nbsp;</label><br>
                        <button id="btnLimpaFormula" type="button" data="" class="btn btn-danger" aria-label="Left Align" title="limpa lista de fórmulas"><i class="fas fa-times"></i></button>    
                    </div>
                </div>
                

            </div>
            
        </div>

    </div>
</div>


<script>

    function mascara_data(campo) {
        if (campo.value.length == 2) {
            campo.value += '/';
        }
        if (campo.value.length == 5) {
            campo.value += '/';
        }
    }

    function mascara_hora(campo) {
        if (campo.value.length == 2) {
            campo.value += ':';
        }
    }

    function mascara_letra(campo) {
        if (campo.value == '-') {
            campo.value += '';
        }
        if (campo.value == '=') {
            campo.value += '';
        }
    
    }

</script>


<script src="<?php echo e(URL::asset('js/jquery_v3.3.1/jquery-3.3.1.min.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/popper/popper.min.js')); ?>"></script>
<script src="<?php echo e(URL::asset('js/bootstrap_v4/bootstrap.min.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/JqueryMaxLength/jquery.maxlength.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/jquery_mask/jquery.mask.min.js')); ?>" ></script>
<script src="<?php echo e(URL::asset('js/DataTables/datatables.min.js')); ?>"></script>
<script src="<?php echo e(URL::asset('js/views/patio/autoagenda.js?123456789')); ?>" ></script>



</body>
</html>

