<?php $__env->startSection('titulo'); ?>
    <i class="fas fa-truck"></i> Veículos Avulso
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/tempus-dominus/tempusdominus-bootstrap-4.min.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/bootstrap-select-1.13.2/bootstrap-select.min.css')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(URL::asset('js/moment/min/moment-with-locales.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/tempus-dominus/tempusdominus-bootstrap-4.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/bootstrap-select-1.13.2/bootstrap-select.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('js/views/operacao/avulso.js')); ?>"></script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('pagina'); ?>
    
    <div class="container-fluid">
        <input type="hidden" id="hnLogin" name="hnlogin" data="<?php echo e(Auth::user()->getLogin()); ?>"/>
        <input type="hidden" id="hdDestinoLoad" value="<?php echo e(app('request')->input('destino')); ?>"/>
        <div class="card rounded text-left">
            <div class="card-body">
                <div class="row" >
                    <div class="col col-sm-2 text-left">
                        <label for="cbDestinoPesq" class="col-form-label text-md-left">Destino</label>
                        <br/>
                        <select id="cbDestinoPesq" class="form-control">
                            <option value="">Todos</option>
                            
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtPlacaPesquisa" class="col-form-label text-md-left">Placa</label>
                        <br/>
                        <input id="txtPlacaPesquisa" class="form-control  text-uppercase" type="text" maxlength="7"/>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtSituacaoPesquisa" class="col-form-label text-md-left">Situação</label>
                        <br/>
                        <select id="cbSituacaoPesquisa" class="form-control">
                            <option value="">Todos</option>
                            <option value="P">PENDENTES</option>
                            <option value="R" selected>AGENDADOS</option>
                            <option value="S">ENVIADOS</option>
                            <option value="C">CANCELADOS</option>
                        </select>
                    </div>
                    <div class="col col-sm-2 text-left">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnPesquisaAvulso"  class="btn btn-secondary btn-group-justified"><i class="fas fa-search"></i> Pesquisar</button>
                    </div>
                    <div class="col col-sm-4 text-right">
                        <label for="txtPesquisa" class="col-form-label text-md-left">&nbsp;</label>
                        <br/>
                        <button id="btnNovoAvulso" type="button" class="btn btn-primary" aria-label="Left Align" >
                            <i class="fas fa-plus-circle"></i> Novo Avulso
                        </button>
                    </div>
                </div>
            </div>
        </div>
    
        
        <div class="card mt-2">
            <div class="card-body">
                <div class="row" >
                    <div class="col panel panel-primary table-responsive">

                        <table id="tbAvulso" class="table table-hover text-left">
                            <thead>
                                <tr>
                                    <th>Data</th>
                                    <th>Ordem</th>
                                    <th>Placa</th>
                                    <th>Motorista</th>
                                    <th>Celular</th>
                                    <th>Destino</th>
                                    <th>Incluido Por</th>
                                    <th>Situação</th>
                                    <th>Ações</th>
                                </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
        <br/>
    </div>

    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>700,
        'idModal'=>'dlgAvulso',
        'titulo'=> 'Atualizar Avulso',
		'icone'=>'fa-truck',
        'rota' => 'operacao.avulso.salvar',
        'campos'=> 
        [
            [
                'id' =>'hdData',
                'nome'=>'hddata',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdLogin',
                'nome'=>'hdlogin',
                'tipo'=>'hidden'
            ],

            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtPlaca',
                        'label'=>'Placa',
                        'nome'=>'placa',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        //'classe'=>'mask_placa text-uppercase',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'txtData',
                        'label'=>'Data',
                        'nome'=>'data',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'cbDestino2',
                        'label'=>'Local Operação',
                        'nome'=>'destino2',
                        'opcoes'=>[],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]

                ]
            ],
            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'5',
                        'id' =>'txtMotorista',
                        'label'=>'Motorista',
                        'nome'=>'motorista',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'txtCelular',
                        'label'=>'Celular',
                        'nome'=>'celular',
                        'classe'=>'mask_celular',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbSituacao',
                        'label'=>'Situação',
                        'nome'=>'situacao',
                        'tamanho'=>'10',
                        'opcoes'=>
                        [
                        'P'=>'PENDENTE',
                        'R'=>'AGENDADO',
                        'S'=>'ENVIADO',
                        'C'=>'CANCELADO'
                        ],
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>false
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos' =>
                [
                    
                    [
                        'largura'=>'8',
                        'id' =>'txtObservacao',
                        'label'=>'Observação',
                        'nome'=>'observacao',
                        'tamanho'=>'200',
                        'tipo'=>'textarea',
                        'rows'=>'3',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>false
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'txtLoginInc',
                        'label'=>'Login Inclusão',
                        'nome'=>'logininc',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                ]
            ]
            
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <?php echo $__env->make('partials._modal_delete',
    [
        'rota'=>'operacao.avulso.delete',
        'titulo'=>'Confirma Exclusão',
        'mensagem_delete'=>'Tem certeza que deseja excluir o veículo avulso'
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>


        <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'idModal'=>'dlgEstadia',
        'largura'=>1100,
        'titulo'=> 'Converter Avulso -> Estadia',
        'icone'=>'fa-truck',
        'controles_salvar'=>'true',
        'rota' => 'operacao.estadia.salvar',
        'controles_fechar'=>'false',
        'campos'=>
        [
            [
                'id' =>'txtIdVeiculo',
                'nome'=>'idveiculo',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'txtStatus',
                'nome'=>'status',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'txtIdMotorista',
                'nome'=>'idmotorista',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'txtIdAvulso',
                'nome'=>'idavulso',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'txtPlaca3',
                'nome'=>'placa3',
                'tipo'=>'hidden'
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtPlaca2',
                        'label'=>'Placa',
                        'nome'=>'placa2',
                        'tipo'=>'txt',
                        'tamanho'=>'7',
                        'required'=> true,
                        'disabled'=>true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtMarca',
                        'label'=>'Marca',
                        'nome'=>'marca',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtModelo',
                        'label'=>'Modelo',
                        'nome'=>'modelo',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'1',
                        'id' =>'txtAno',
                        'label'=>'Ano',
                        'nome'=>'ano',
                        'tamanho'=>'4',
                        'tipo'=>'txt',
                        'required'=> true,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'cbTipoVeiculo',
                        'label'=>'Tipo de Veículo',
                        'nome'=>'tipo',
                        'opcoes'=>$tipos,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> true,
                        'autofocus'=> true
                    ]
                    
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'2',
                        'id' =>'txtCpf',
                        'label'=>'CPF',
                        'nome'=>'cpf',
                        'tamanho'=>'11',
                        'tipo'=>'txt',
                        'classe'=>'mask_cpf',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'txtNome',
                        'label'=>'Nome do Motorista',
                        'nome'=>'nome',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                   
                    [
                        'largura'=>'2',
                        'id' =>'txtCelular',
                        'label'=>'Celular',
                        'nome'=>'celular',
                        'tamanho'=>'15',
                        'tipo'=>'txt',
                        'classe'=>'mask_celular',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtCnh',
                        'label'=>'Número Cnh',
                        'nome'=>'cnh',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'1',
                        'id' =>'txtCategoria',
                        'label'=>'Categoria',
                        'nome'=>'categoria',
                        'tamanho'=>'6',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'5',
                        'id' =>'cbCliente',
                        'label'=>'Cliente',
                        'nome'=>'cliente',
                        'opcoes'=>$cliente,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'5',
                        'id' =>'cbDestino',
                        'label'=>'Local Operação',
                        'nome'=>'destino',
                        'opcoes'=>$destino,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'cbStatus',
                        'label'=>'Status',
                        'nome'=>'status',
                        'opcoes'=>[
                            'AG'=>'AGENDADO',
                            'ET'=>'EM TRÂNSITO',
                            'PA'=>'NO PÁTIO',
                            'NF'=>'NA FÁBRICA',
                            'RC'=>'RECEBIDO CLIENTE',
                            'CL'=>'CANCELADO',
                            'FN'=>'FINALIZADO'
                        ],
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                                        
                ]
            ],
            
            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbProduto',
                        'label'=>'Produto',
                        'nome'=>'produto',
                        'opcoes'=>$produto,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'4',
                        'id' =>'cbFormula',
                        'label'=>'Fórmula',
                        'nome'=>'formula',
                        'opcoes'=>$formula,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtQtde',
                        'label'=>'Qtde',
                        'nome'=>'qtde',
                        'tamanho'=>'10',
                        'tipo'=>'txt',
                        'required'=> true,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                                        
                ]
            ],

            [
                'tipo'=>'array',
                'campos'=>
                [
                    [
                        'largura'=>'6',
                        'id' =>'cbTransportador',
                        'label'=>'Transportador',
                        'nome'=>'transportador',
                        'opcoes'=>$transportador,
                        'default'=>'Selecione',
                        'tipo'=>'combo',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ],
                    [
                        'largura'=>'2',
                        'id' =>'txtDataPrev',
                        'label'=>'Data Prevista',
                        'nome'=>'dataprevista',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>false,
                        'autofocus'=> true
                    ]
                ]
            ]
            
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>



    <!-- Inclui formulário modal -->
    <?php echo $__env->make('partials._modal_form',
    [
        'largura'=>700,
        'idModal'=>'dlgChamarAvulso',
        'titulo'=> 'Chamar Avulso',
		'icone'=>'fa-bullhorn',
        'rota' => 'operacao.avulso.chamar',
        'campos'=> 
        [
            [
                'id' =>'hdmotorista3',
                'nome'=>'hdmotorista3',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdDestino3',
                'nome'=>'hddestino3',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdPlaca3',
                'nome'=>'hdplaca3',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdCelular3',
                'nome'=>'hdcelular3',
                'tipo'=>'hidden'
            ],
            [
                'id' =>'hdAvulso3',
                'nome'=>'hdavulso3',
                'tipo'=>'hidden'
            ],
            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'3',
                        'id' =>'txtPlaca4',
                        'label'=>'Placa',
                        'nome'=>'placa4',
                        'tamanho'=>'7',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'6',
                        'id' =>'txtDestino3',
                        'label'=>'Local Operação',
                        'tamanho'=>'50',
                        'nome'=>'destino3',
                        'tipo'=>'txt',
                        'required'=> false,
                        'disabled'=>true,
                        'autofocus'=> true
                    ]
                ]
            ],
            [
                'tipo'=>'array',
                'campos' =>
                [
                    [
                        'largura'=>'6',
                        'id' =>'txtMotorista3',
                        'label'=>'Motorista',
                        'nome'=>'motorista3',
                        'tamanho'=>'50',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>true
                    ],
                    [
                        'largura'=>'3',
                        'id' =>'txtCelular3',
                        'label'=>'Celular',
                        'nome'=>'celular3',
                        'tamanho'=>'20',
                        'tipo'=>'txt',
                        'required'=> false,
                        'autofocus'=> true,
                        'disabled'=>true
                    ]
                    
                ]
            ]
            
        ]
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>